####################################################################################

global ModName
global ModDesc
global ModVersion
global ModAuthor
global ModAuthorInfo
global NewFiles
global RepFiles
global MakeDirs

####################################################################################
# Mod Info
####################################################################################

# Mod Name
ModName          = "WizardsDomain"
# Mod Description
import Language
if Language.Current == 'Spanish':
	ModDesc = (
		"""This map is for testing Wizard character."""
		)
else:
	ModDesc = (
		"""This map is for testing Wizard character."""
		)

# Mod Version
ModVersion       = "1.2"
# Author name
ModAuthor        = "ProsperoProductions"
# Author info: email, url,...
ModAuthorInfo    = "peterrobinsonfineart@btinternet.com"

####################################################################################
# Mod Data
####################################################################################

# Make new directories

MakeDirs = ['../WizardsDomain', 
	    '../WizardsDomain/NUFiles',
	    '../WizardsDomain/NUFiles/NUMasklinStuff',
	    '../WizardsDomain/NUFiles/NUBadgerStuff',
	    '../WizardsDomain/NUFiles/NUCatStuff',
	    '../WizardsDomain/NUFiles/NUDorcasStuff',
	    '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff',
	    '../WizardsDomain/NUFiles/NUZombyStuff',
	    '../WizardsDomain/NUFiles/NUWerewolfStuff',
            '../WizardsDomain/pak']
          

# New Files added by Mod and destination directory


NewFiles[0]      = {'File': 'pj.py'                                               ,	 'Dest': '../WizardsDomain'}
NewFiles[1]      = {'File': 'DefFuncs.py'                                         ,	 'Dest': '../WizardsDomain'}
NewFiles[2]      = {'File': 'cfg.py'                                              ,	 'Dest': '../WizardsDomain'}
NewFiles[3]      = {'File': 'TextureMaterials.py'                                 ,      'Dest': '../WizardsDomain'}
NewFiles[4]      = {'File': 'objs.py'                                             ,      'Dest': '../WizardsDomain'}
NewFiles[5]      = {'File': 'ActorsInit.py'                                       ,      'Dest': '../WizardsDomain'}
NewFiles[6]      = {'File': 'def_class.py'                                        ,      'Dest': '../WizardsDomain'}
NewFiles[7]      = {'File': 'NUFiles/NUMasklinStuff/WizardAllyTypes.py'           ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[8]      = {'File': 'puertas.py'                                          ,	 'Dest': '../WizardsDomain'}
NewFiles[9]      = {'File': 'NUFiles/NUMasklinStuff/EnemyCharTypes.py'            ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[10]     = {'File': 'MusicEvents.py'                                      ,      'Dest': '../WizardsDomain'}
NewFiles[11]     = {'File': 'birds.py'                                            ,      'Dest': '../WizardsDomain'}
NewFiles[12]     = {'File': 'agua.py'                                             ,      'Dest': '../WizardsDomain'}
NewFiles[13]     = {'File': 'sonidos.py'                                          ,      'Dest': '../WizardsDomain'}
NewFiles[14]     = {'File': 'enemigos.py'                                         ,      'Dest': '../WizardsDomain'}
NewFiles[15]     = {'File': 'Wizard.bw'                                           ,      'Dest': '../WizardsDomain'}
NewFiles[16]     = {'File': 'doorbell.wav'                                        ,      'Dest': '../WizardsDomain'}
NewFiles[17]     = {'File': 'wiztex.mmp'                                          ,      'Dest': '../WizardsDomain'}
NewFiles[18]     = {'File': 'WizardsDomain.lvl'                                   ,      'Dest': '../WizardsDomain'}
NewFiles[19]     = {'File': 'Blade_progress.jpg'                                  ,      'Dest': '../WizardsDomain'}
NewFiles[20]     = {'File': 'Blade_progress2.jpg'                                 ,      'Dest': '../WizardsDomain'}
NewFiles[21]     = {'File': 'WizardsDomainMenu/WizardsDomainMenu.bmp'             ,      'Dest': '../WizardsDomain'}
NewFiles[22]     = {'File': 'WizardsDomainMenu/WizardsDomainMenu.py'              ,      'Dest': '../../Scripts'}
NewFiles[23]     = {'File': 'NUFiles/NUMasklinStuff/Skin01.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[24]     = {'File': 'NUFiles/NUMasklinStuff/Skin02.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[25]     = {'File': 'NUFiles/NUMasklinStuff/Skin03.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[26]     = {'File': 'NUFiles/NUMasklinStuff/Skin04.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[27]     = {'File': 'NUFiles/NUMasklinStuff/Skin05.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[28]     = {'File': 'wizardobjs.mmp'                                      ,      'Dest': '../WizardsDomain'}
NewFiles[29]     = {'File': 'NUFiles/NUMasklinStuff/MasklinTypes.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[30]     = {'File': 'NUFiles/NUMasklinStuff/AniSoundWiz.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[31]     = {'File': 'NUFiles/NUMasklinStuff/AniSoundWizX.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[32]     = {'File': 'NUFiles/NUMasklinStuff/AnmFactMasklin.py'            ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[33]     = {'File': 'NUFiles/NUMasklinStuff/MasklinAnimationSet.py'       ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[34]     = {'File': 'NUFiles/NUMasklinStuff/MasklinBAct.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[35]     = {'File': 'NUFiles/NUMasklinStuff/MasklinCombos.py'             ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[36]     = {'File': 'NUFiles/NUMasklinStuff/MasklinData.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[37]     = {'File': 'NUFiles/NUMasklinStuff/MasklinAnm_def.py'            ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[38]     = {'File': 'NUFiles/NUMasklinStuff/MasklinComboNames.py'         ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[39]     = {'File': 'NUFiles/NUMasklinStuff/MasklinAnm_def_FX.py'         ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[40]     = {'File': 'NUFiles/NUMasklinStuff/MasklinComboFX.py'            ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[41]     = {'File': 'NUFiles/NUMasklinStuff/MasklinStats.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[42]     = {'File': 'NUFiles/NUMasklinStuff/MasklinMagic.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[43]     = {'File': 'NUFiles/NUMasklinStuff/AnmFactMasklin.py'            ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[44]     = {'File': 'NUFiles/NUMasklinStuff/magicbarwidget.mmp'           ,	 'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[45]     = {'File': 'NUFiles/NUMasklinStuff/mslider.bmp'                  ,	 'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[46]     = {'File': 'NUFiles/NUMasklinStuff/spellwidgets.mmp'             ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[47]     = {'File': 'NUFiles/NUMasklinStuff/MagicScorer.py'               ,      'Dest': '../../Scripts'}
NewFiles[48]     = {'File': 'NUFiles/NUBadgerStuff/BadgerAnimationSet.py'         ,      'Dest': '../WizardsDomain/NUFiles/NUBadgerStuff'}
NewFiles[49]     = {'File': 'NUFiles/NUBadgerStuff/BadgerBAct.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUBadgerStuff'}
NewFiles[50]     = {'File': 'NUFiles/NUBadgerStuff/BadgerCombos.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUBadgerStuff'}
NewFiles[51]     = {'File': 'NUFiles/NUBadgerStuff/BadgerData.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUBadgerStuff'}
NewFiles[52]     = {'File': 'NUFiles/NUBadgerStuff/BadgerAnm_def.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUBadgerStuff'}
NewFiles[53]     = {'File': 'NUFiles/NUBadgerStuff/BadgerStats.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUBadgerStuff'}
NewFiles[54]     = {'File': 'NUFiles/NUBadgerStuff/BadgerAnmFact.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUBadgerStuff'}
NewFiles[55]     = {'File': 'NUFiles/NUBadgerStuff/BadgerIcon.bmp'                ,      'Dest': '../WizardsDomain/NUFiles/NUBadgerStuff'}
NewFiles[56]     = {'File': 'NUFiles/NUBadgerStuff/BadgerTypes.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUBadgerStuff'}
NewFiles[57]     = {'File': 'NUFiles/NUCatStuff/CatAnimationSet.py'         ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[58]     = {'File': 'NUFiles/NUCatStuff/CatBAct.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[59]     = {'File': 'NUFiles/NUCatStuff/CatCombos.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[60]     = {'File': 'NUFiles/NUCatStuff/CatData.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[61]     = {'File': 'NUFiles/NUCatStuff/CatAnm_def.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[62]     = {'File': 'NUFiles/NUCatStuff/CatStats.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[63]     = {'File': 'NUFiles/NUCatStuff/CatAnmFact.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[64]     = {'File': 'NUFiles/NUCatStuff/CatIcon.bmp'                ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[65]     = {'File': 'NUFiles/NUCatStuff/CatTypes.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[66]     = {'File': 'NUFiles/NUCatStuff/AniSoundCat.py'             ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[67]     = {'File': 'NUFiles/NUCatStuff/AniSoundCatX.py'            ,      'Dest': '../WizardsDomain/NUFiles/NUCatStuff'}
NewFiles[68]     = {'File': 'NUFiles/NUMasklinStuff/BlueFirePrtl.bmp'             ,      'Dest': '../../Data'}
NewFiles[69]     = {'File': 'intro.py'                                            ,	 'Dest': '../WizardsDomain'}
NewFiles[70]     = {'File': 'NUFiles/NUMasklinStuff/wizgraphic.mmp'               ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[71]     = {'File': 'NUFiles/NUDorcasStuff/DorcasAnimationSet.py'         ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[72]     = {'File': 'NUFiles/NUDorcasStuff/DorcasBAct.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[73]     = {'File': 'NUFiles/NUDorcasStuff/DorcasCombos.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[74]     = {'File': 'NUFiles/NUDorcasStuff/DorcasData.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[75]     = {'File': 'NUFiles/NUDorcasStuff/Dorcas_anm_def.py'             ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[76]     = {'File': 'NUFiles/NUDorcasStuff/DorcasStats.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[77]     = {'File': 'NUFiles/NUDorcasStuff/AnmFactDorcas.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[78]     = {'File': 'NUFiles/NUDorcasStuff/DorcasIcon.bmp'                ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[79]     = {'File': 'NUFiles/NUDorcasStuff/DorcasTypes.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[80]     = {'File': 'NUFiles/NUDorcasStuff/AniSoundDorcas.py'             ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[81]     = {'File': 'NUFiles/NUDorcasStuff/AniSoundDorcasX.py'            ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[82]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletonDRTPAnimationSet.py'         ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[83]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletonDRTPBAct.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[84]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletonDRTPCombos.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[85]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletonDRTPData.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[86]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletonDRTPAnm_def.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[87]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletonDRTPStats.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[88]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/AnmFactSkeletonDRTP.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[89]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SklDRTPIcon.bmp'                     ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[90]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/AniSoundSklDRTP.py'                  ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[91]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/AniSoundSklDRTPX.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[92]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletonDRTPTypes.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[93]     = {'File': 'NUFiles/NUZombyStuff/ZombyAnimationSet.py'         ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[94]     = {'File': 'NUFiles/NUZombyStuff/ZombyBAct.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[95]     = {'File': 'NUFiles/NUZombyStuff/ZombyCombos.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[96]     = {'File': 'NUFiles/NUZombyStuff/ZombyData.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[97]     = {'File': 'NUFiles/NUZombyStuff/ZombyAnm_def.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[98]     = {'File': 'NUFiles/NUZombyStuff/ZombyStats.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[99]     = {'File': 'NUFiles/NUZombyStuff/AnmFactZomby.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[100]     = {'File': 'NUFiles/NUZombyStuff/ZombyIcon.bmp'                ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[101]     = {'File': 'NUFiles/NUZombyStuff/ZombyTypes.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[102]     = {'File': 'NUFiles/NUZombyStuff/AniSoundZmb.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[103]     = {'File': 'NUFiles/NUZombyStuff/AniSoundZmbX.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUZombyStuff'}
NewFiles[104]     = {'File': 'NUFiles/NUMasklinStuff/page1_2.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[105]     = {'File': 'NUFiles/NUMasklinStuff/page3_4.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[106]     = {'File': 'NUFiles/NUMasklinStuff/page5_6.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[107]     = {'File': 'NUFiles/NUMasklinStuff/page7_8.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[108]     = {'File': 'NUFiles/NUMasklinStuff/spellpage1_2.jpg'            ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[109]     = {'File': 'NUFiles/NUMasklinStuff/spellpage2.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[110]     = {'File': 'NUFiles/NUMasklinStuff/spellpage1.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[111]     = {'File': 'NUFiles/NUMasklinStuff/spellpage3_4.jpg'            ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[112]     = {'File': 'NUFiles/NUMasklinStuff/spellpage3.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[113]     = {'File': 'NUFiles/NUMasklinStuff/spellpage4.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[114]     = {'File': 'NUFiles/NUMasklinStuff/spellpage5_6.jpg'            ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[115]     = {'File': 'NUFiles/NUMasklinStuff/spellpage5.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[116]     = {'File': 'NUFiles/NUMasklinStuff/spellpage6.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[117]     = {'File': 'NUFiles/NUMasklinStuff/spellpage7_8.jpg'            ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[118]     = {'File': 'NUFiles/NUMasklinStuff/spellpage7.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[119]     = {'File': 'NUFiles/NUMasklinStuff/spellpage8.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[120]     = {'File': 'NUFiles/NUMasklinStuff/swpage1.jpg'                 ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[121]     = {'File': 'NUFiles/NUMasklinStuff/swpage1_2.jpg'               ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[122]     = {'File': 'NUFiles/NUMasklinStuff/swpage1_2_3.jpg'             ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[123]     = {'File': 'NUFiles/NUMasklinStuff/swpage1_2_3_4.jpg'           ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[124]     = {'File': 'NUFiles/NUMasklinStuff/swpage2.jpg'                 ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[125]     = {'File': 'NUFiles/NUMasklinStuff/swpage2_3.jpg'               ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[126]     = {'File': 'NUFiles/NUMasklinStuff/swpage2_3_4.jpg'             ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[127]     = {'File': 'NUFiles/NUMasklinStuff/swpage3.jpg'                 ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[128]     = {'File': 'NUFiles/NUMasklinStuff/swpage3_4.jpg'               ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[129]     = {'File': 'NUFiles/NUMasklinStuff/swpage1_3.jpg'               ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[130]     = {'File': 'NUFiles/NUMasklinStuff/swpage1_3_4.jpg'             ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[131]     = {'File': 'NUFiles/NUMasklinStuff/swpage1_4.jpg'               ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[132]     = {'File': 'NUFiles/NUMasklinStuff/swpage4.jpg'                 ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[133]     = {'File': 'NUFiles/NUMasklinStuff/swpage2_4.jpg'               ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[134]     = {'File': 'NUFiles/NUMasklinStuff/swpage0.jpg'                 ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[135]     = {'File': 'NUFiles/NUMasklinStuff/spellpage9.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[136]     = {'File': 'NUFiles/NUMasklinStuff/swpage1_2_4.jpg'             ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[137]     = {'File': 'NUFiles/NUMasklinStuff/WizQuiverTypes.py'           ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[138]     = {'File': 'NUFiles/NUMasklinStuff/SpiritFirePtrl.bmp'          ,      'Dest': '../../Data'}
NewFiles[139]     = {'File': 'wizface.mmp'                                        ,	 'Dest': '../WizardsDomain'}
NewFiles[140]     = {'File': 'WizGotoMapVars.py'                                  ,      'Dest': '../../Scripts'}
NewFiles[141]     = {'File': 'WizBladeInit.py'                                    ,      'Dest': '../../Scripts'}
NewFiles[142]     = {'File': 'NUFiles/NUMasklinStuff/CrowIcon.bmp'                ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[143]     = {'File': 'CrabeEIcon.bmp'                                     ,      'Dest': '../WizardsDomain'}
NewFiles[144]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletteBAct.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[145]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletteCombos.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[146]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletteData.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[147]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletteAnm_def.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[148]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletteStats.py'                ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[149]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/AnmFactSkelette.py'              ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[150]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SkeletteAnimationSet.py'         ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[151]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/AniSoundSkelette.py'             ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[152]     = {'File': 'NUFiles/NUSkeletonDRTPStuff/SCLIcon.bmp'                     ,      'Dest': '../WizardsDomain/NUFiles/NUSkeletonDRTPStuff'}
NewFiles[153]     = {'File': 'NUFiles/NUMasklinStuff/Skin06.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[154]     = {'File': 'NUFiles/NUMasklinStuff/Skin07.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[155]     = {'File': 'NUFiles/NUMasklinStuff/Skin08.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[156]     = {'File': 'NUFiles/NUMasklinStuff/Skin09.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[157]     = {'File': 'NUFiles/NUMasklinStuff/Skin10.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[158]     = {'File': 'NUFiles/NUMasklinStuff/Skin11.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[159]     = {'File': 'NUFiles/NUMasklinStuff/Skin12.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[160]     = {'File': 'NUFiles/NUMasklinStuff/Skin13.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[161]     = {'File': 'NUFiles/NUMasklinStuff/Skin14.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[162]     = {'File': 'NUFiles/NUMasklinStuff/Skin15.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[163]     = {'File': 'NUFiles/NUMasklinStuff/Skin16.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[164]     = {'File': 'NUFiles/NUMasklinStuff/Skin17.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[165]     = {'File': 'NUFiles/NUMasklinStuff/Skin18.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[166]     = {'File': 'NUFiles/NUMasklinStuff/Skin19.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[167]     = {'File': 'NUFiles/NUMasklinStuff/Skin20.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[168]     = {'File': 'NUFiles/NUDorcasStuff/DorcasEvilIcon.bmp'                 ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[169]     = {'File': 'NUFiles/NUDorcasStuff/AllyDorcasTypes.py'                 ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[170]     = {'File': 'NUFiles/NUDorcasStuff/DorcasWeaponTypes.py'               ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[171]     = {'File': 'NUFiles/NUDorcasStuff/sc1h.jpg'                ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[172]     = {'File': 'NUFiles/NUDorcasStuff/sc2h.jpg'                ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[173]     = {'File': 'NUFiles/NUDorcasStuff/scab.jpg'                ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[174]     = {'File': 'NUFiles/NUDorcasStuff/scitems.jpg'             ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[175]     = {'File': 'NUFiles/NUDorcasStuff/scnotes1.jpg'            ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[176]     = {'File': 'NUFiles/NUDorcasStuff/scnotes2.jpg'            ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[177]     = {'File': 'NUFiles/NUDorcasStuff/scsp.jpg'                ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[178]     = {'File': 'NUFiles/NUDorcasStuff/scspec.jpg'              ,      'Dest': '../WizardsDomain/NUFiles/NUDorcasStuff'}
NewFiles[179]     = {'File': 'wiz_id.py'                                     ,	    'Dest': '../WizardsDomain'}
NewFiles[180]     = {'File': 'InitNewChars.py'                               ,      'Dest': '../WizardsDomain'}
NewFiles[181]     = {'File': 'NUFiles/NUMasklinStuff/Skin21.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[182]     = {'File': 'NUFiles/NUMasklinStuff/Skin22.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[183]     = {'File': 'NUFiles/NUMasklinStuff/Skin23.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[184]     = {'File': 'NUFiles/NUMasklinStuff/Skin24.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[185]     = {'File': 'NUFiles/NUMasklinStuff/Skin25.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[186]     = {'File': 'NUFiles/NUMasklinStuff/Skin26.bmp'                        ,      'Dest': '../WizardsDomain/NUFiles/NUMasklinStuff'}
NewFiles[187]     = {'File': 'well.sf'                                               ,	 'Dest': '../WizardsDomain'}



inststuff=0

if inststuff==0:
	execfile("../../BODLoader/Mods/WizardsDomain/Installnewstuff.py")
      	instuff=1
else:
	print "Wizmap stuff already done"
      		







