######################################################
#
# Create sets of attacks
#
#        - Badger -
#
######################################################


import Bladex
import Actions

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2



# Predeclare & link all my combos into ATTACKING action event tables

Bladex.SetEventTableFunc("ATTACKING","HitFinalItp",Actions.LinkNextAttack)
Bladex.SetEventTableFuncC("ATTACKING","HitFinalItpC","LinkNextAttack")
Bladex.SetEventTableFunc("ATTACKING","ActionEnd",Actions.EndOfAttack)
Bladex.SetEventTableFuncC("ATTACKING","ActionEndC","EndOfAttack")

Bladex.SetActionEventTable("Bgr","g_01","ATTACKING")
Bladex.SetActionEventTable("Bgr","g_02","ATTACKING")
Bladex.SetActionEventTable("Bgr","g_spit","ATTACKING")

# Predeclare & link all my dodges into DODGES action event tables
Bladex.SetActionEventTable("Bgr","D_r", "DODGING")
Bladex.SetActionEventTable("Bgr","D_l", "DODGING")
Bladex.SetActionEventTable("Bgr","D_b", "DODGING")


bgr=Bladex.GetCharType("Badger","Bgr")

###############################
# GRUPOS DE GOLPES ALEATORIOS #
###############################

#
#Dodge groups
#

#Dodges themselves
bgr.AddAttack("DR","D_r")
bgr.AttackTypeFlag("DR",ATK_UNIQUE) 

bgr.AddAttack("DL","D_l")
bgr.AttackTypeFlag("DL",ATK_UNIQUE) 

bgr.AddAttack("DB","D_b")
bgr.AttackTypeFlag("DB",ATK_UNIQUE) 



bgr.AddAttack("GA","Bgr_g_01")
bgr.AttackWindow("Bgr_g_01",5,15,"GA_Window")
bgr.AttackTypeFlag("GA",ATK_UNIQUE)
bgr.AddEnergyLevel("Bgr_g_01", 0)

bgr.AddAttack("GB","Bgr_g_02")
bgr.AttackWindow("Bgr_g_02",5,15,"GB_Window")
bgr.AttackTypeFlag("GB",ATK_UNIQUE)
bgr.AddEnergyLevel("Bgr_g_02", 0)

#SP group
bgr.AddAttack("SP","Bgr_g_spit")
bgr.AddEnergyLevel("Bgr_g_spit", 0)



