
import Bladex
import math
##########################
# Create New Biped Data  #
##########################


####################
#                  #
#    Badger        #
#                  #
####################




import BadgerAnm_def
BadgerAnm_def.InitBadger()




bgr=Bladex.GetCharType("Badger","Bgr")



bgr.TurnSpeed=3.4
bgr.Jcost=27000
bgr.MaxFall=5000
bgr.DieFall=14000
bgr.MaxStair=335
bgr.Fov=math.pi
bgr.MaxGrab=3500.0
bgr.MedGrab=2500.0
bgr.Min2Grab=1500.0    
bgr.MinTake=-500.0	# Min height above floor TigerwiteE will take
bgr.MaxTake1=450.0	# Max height above floor for Take1 Anim
bgr.MaxTake2=550.0	# Max height above floor for Take2 Anim
bgr.MaxTake3=1300.0	# Max height above floor for Take3 Anim
bgr.MaxTake4=1900.0	# Max height above floor for Take4 Anim
bgr.MaxTake5=3000.0	# Max height above floor for Take5 Anim
bgr.Reach=2000.0	# Max distance from bgr centre to obj centre to take
bgr.MovFrwdSpeedInStrafe=1000  #Forwards speed when in bgrafe(combat mode only)
bgr.MovBkwdSpeedInStrafe=1000  #Idem backwards
bgr.MaxCombatDist=4000
bgr.MaxSeeDist=30000
bgr.DistStop=2500.0
bgr.DistStop2=6000.0

bgr.SetNCDSpheres(1)  #Numero de esferas en el modelo de colisiones
bgr.SetCDSphere(0,-300,400.0)  #(numero de la espera, altura mm, radio mm)

bgr.HeadControlled=0
bgr.NaturalWeapons=1



############################### 

###############################################################################
    	
    	
    	
def BadgerWhenFirst():
	Bladex.CreateBipedData("Bgr","Badger")

	######################################################
	# Comment the next section when changes are complete #
	######################################################
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Bgr.dat")
	#except:
	#	pass
	######################################################
	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Bgr.dat")
	

	import BadgerAnimationSet
	BadgerAnimationSet.LoadBadgerAnimationSet("Bgr")
	import BadgerBAct
	import LinkTables
	LinkTables.LinkMe("Bgr")
	import BadgerCombos

	import BadgerAnmFact
	BadgerAnmFact.AnmFactBadger()
        import BadgerStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Bgr.dat","Bgr")
	Bladex.AddFloorCTolerance("slip",10)
	
	print"Badger Data Set"
	
	
	
race=Bladex.GetCharType("Badger","Bgr")
race.OnFirst=BadgerWhenFirst
	


