######################################################
#
# Create sets of attacks
#
#        - DOR -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Dor","g_01","ATTACKING")
Bladex.SetActionEventTable("Dor","g_02","ATTACKING")
Bladex.SetActionEventTable("Dor","g_05","ATTACKING")
Bladex.SetActionEventTable("Dor","g_06","ATTACKING")
Bladex.SetActionEventTable("Dor","g_07","ATTACKING")
Bladex.SetActionEventTable("Dor","g_09","ATTACKING")
Bladex.SetActionEventTable("Dor","g_01a","ATTACKING")
Bladex.SetActionEventTable("Dor","g_02a","ATTACKING")
Bladex.SetActionEventTable("Dor","g_05a","ATTACKING")
Bladex.SetActionEventTable("Dor","g_06a","ATTACKING")
Bladex.SetActionEventTable("Dor","g_07a","ATTACKING")
Bladex.SetActionEventTable("Dor","g_09a","ATTACKING")
Bladex.SetActionEventTable("Dor","g_13","ATTACKING")
Bladex.SetActionEventTable("Dor","g_14","ATTACKING")
Bladex.SetActionEventTable("Dor","g_16","ATTACKING")
Bladex.SetActionEventTable("Dor","g_17","ATTACKING")
Bladex.SetActionEventTable("Dor","g_21","ATTACKING")
Bladex.SetActionEventTable("Dor","g_22","ATTACKING")
Bladex.SetActionEventTable("Dor","g_23","ATTACKING")
Bladex.SetActionEventTable("Dor","g_26","ATTACKING")
Bladex.SetActionEventTable("Dor","g_27","ATTACKING")
Bladex.SetActionEventTable("Dor","g_31","ATTACKING")
Bladex.SetActionEventTable("Dor","g_punch2","ATTACKING")
Bladex.SetActionEventTable("Dor","g_kick1","ATTACKING")
Bladex.SetActionEventTable("Dor","g_kick2","ATTACKING")
Bladex.SetActionEventTable("Dor","g_kick3","ATTACKING")
Bladex.SetActionEventTable("Dor","g_kick5","ATTACKING")
Bladex.SetActionEventTable("Dor","g_magic","ATTACKING")
Bladex.SetActionEventTable("Dor","g_magic2","ATTACKING")

Bladex.SetActionEventTable("Dor","g_06dwf","ATTACKING")

Bladex.SetActionEventTable("Dor","g_spears1","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear_sb11","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear26kata","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear08","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear17","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear16","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear19_13","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear19","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear_b06","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear_bs21","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear111","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear_kata23","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear_b6_26","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear33","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear_21","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear13","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear09","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear_b29","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spears8","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear12","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear22","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear02","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spears6","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear3s2","ATTACKING")
Bladex.SetActionEventTable("Dor","g_3s9_6new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_12_7_s1new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_28new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear19_bs1","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear32kata_b2","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear16low","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear_2katab6low","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear02low","ATTACKING")
Bladex.SetActionEventTable("Dor","g_spear_back","ATTACKING")
Bladex.SetActionEventTable("Dor","g_27kata_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_06lowkata_new","ATTACKING")


# clumsy attacks
Bladex.SetActionEventTable("Dor","g_bad_axe", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Dor","g_bad_spear", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Dor","g_bad_sword", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Dor","g_bad_no", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Dor","g_bad_1h", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Dor","g_bad_sword2","ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Dor","g_bad_sword3","ATTACKING_NOMOVE")

# Draw attacks
Bladex.SetActionEventTable("Dor","g_draw_rlx", "ATTACKING")
Bladex.SetActionEventTable("Dor","g_draw_run", "ATTACKING")

# Predeclare & link all my dodges into DODGES action event tables

Bladex.SetActionEventTable("Dor","D_r", "DODGING")
Bladex.SetActionEventTable("Dor","D_l", "DODGING")
Bladex.SetActionEventTable("Dor","D_b", "DODGING")


Bladex.SetActionEventTable("Dor","g_d_r", "ATTACKING")
Bladex.SetActionEventTable("Dor","g_d_l", "ATTACKING")

Bladex.SetActionEventTable("Dor","g_d_rnew", "ATTACKING")
Bladex.SetActionEventTable("Dor","g_d_lnew", "ATTACKING")

# xtra dwarf attacks

Bladex.SetActionEventTable("Dor","g_01low_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_41","ATTACKING")# Basic
Bladex.SetActionEventTable("Dor","g_42","ATTACKING")
Bladex.SetActionEventTable("Dor","g_46","ATTACKING")
Bladex.SetActionEventTable("Dor","g_48","ATTACKING")


Bladex.SetActionEventTable("Dor","g_s22low_newdwf","ATTACKING") # crush hammer


# xtra knight attacks

Bladex.SetActionEventTable("Dor","g_32_5_3new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_s3_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_02_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_b06_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_s19_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_09_07_s6low_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_sb25_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_s22low_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_28new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_01_7_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_18_11_22_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_22kata_23_new","ATTACKING")


Bladex.SetActionEventTable("Dor","g_31dwf","ATTACKING")
Bladex.SetActionEventTable("Dor","g_22dwf","ATTACKING")
Bladex.SetActionEventTable("Dor","g_18dwf","ATTACKING")
Bladex.SetActionEventTable("Dor","g_21dwf","ATTACKING")
Bladex.SetActionEventTable("Dor","g_11dwf","ATTACKING")

Bladex.SetActionEventTable("Dor","g_12_7_s1new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_21_6_s8new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_s28kata_new","ATTACKING")
Bladex.SetActionEventTable("Dor","g_s3_newdwf","ATTACKING")



Bladex.SetActionEventTable("Dor","g2h_back","ATTACKING")
Bladex.SetActionEventTable("Dor","g_back","ATTACKING")

# 2H Sword
Bladex.SetActionEventTable("Dor","g2h_21_7","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_21_2","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_02kata","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_21_6kata","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_b7","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_08","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_28","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_s8kata","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_b6kata","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_s8","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_12","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_02","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_b6","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_11","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_01","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_13","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_12low","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_02low","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_b6low","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_01","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_b29","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_17","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_b7","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_s7","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_19","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_26_b6","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_26","ATTACKING")
Bladex.SetActionEventTable("Dor","g2h_earthpow","ATTACKING")
Bladex.SetActionEventTable("Dor","g_axe34","ATTACKING")

# Twin-Handed

Bladex.SetActionEventTable("Dor","g_katar16","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar28","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar23","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar211","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar32","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar33","ATTACKING")

Bladex.SetActionEventTable("Dor","g_katar02","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar06","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar08","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar011","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar11","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar17","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar31","ATTACKING")
Bladex.SetActionEventTable("Dor","g_katar111","ATTACKING")






dor=Bladex.GetCharType("Fem1Wiz","Dor")

#################################################################

# 180

dor.AddAttack("GM71_SP","Dor_g_spear_back")
dor.AddLevels("Dor_g_spear_back",0,40)
dor.AddEnergyLevel("Dor_g_spear_back", 0)

dor.AddAttack("GM72_2H","Dor_g2h_back")
dor.AddLevels("Dor_g2h_back",0,40)
dor.AddEnergyLevel("Dor_g2h_back", 0)

dor.AddAttack("GM73_1H","Dor_g_back")
dor.AddLevels("Dor_g_back",0,40)
dor.AddEnergyLevel("Dor_g_back", 0)

#################################################################
##### BAD

dor.AddAttack("GM47_AXE","Dor_g_bad_axe")
dor.AddLevels("Dor_g_bad_axe",0,40)

dor.MetaAttack("GIM_AXE","GM47_AXE")

dor.MetaAttack("BADAXE","GM47_AXE")

#GOLPE torpe Hacha
dor.AllowAttack("GM47_AXE","A","","BADAXE","","AXE")

#################################################################
#### Unarmed

#GOLPESINARMA1 "group"
dor.AddAttack("GM21_NO","Dor_g_kick2")
dor.AddLevels("Dor_g_kick2",0,40)

#GOLPESINARMA2 "group"
dor.AddAttack("GM22_NO","Dor_g_kick1")
dor.AddLevels("Dor_g_kick1",0,40)

#GOLPESINARMA3 "group"
dor.AddAttack("GM23_NO","Dor_g_kick5")
dor.AddLevels("Dor_g_kick5",0,40)


dor.MetaAttack("GIM_NO","GM21_NO")
dor.MetaAttack("GIM_NO","GM22_NO")
dor.MetaAttack("GIM_NO","GM23_NO")

dor.MetaAttack("COMBO1","GM21_NO")
dor.MetaAttack("COMBO1","GM22_NO")
dor.MetaAttack("COMBO1","GM23_NO")


#GOLPESINARMA1
dor.AllowAttack("GM23_NO","A","","COMBO1","","NO")

#GOLPESINARMA2
dor.AllowAttack("GM22_NO","A+F","","COMBO1","","NO")
dor.AllowAttack("GM22_NO","&A+F","","COMBO1","","NO")

#GOLPESINARMA3
dor.AllowAttack("GM21_NO","A+B","","COMBO1","","NO")
dor.AllowAttack("GM21_NO","&A+B","","COMBO1","","NO")

#################################################################
## Dodges


dor.AddAttack("DR","D_r")
dor.AttackTypeFlag("DR",ATK_UNIQUE) 

dor.AddAttack("DL","D_l")
dor.AttackTypeFlag("DL",ATK_UNIQUE) 

dor.AddAttack("DB","D_b")
dor.AttackTypeFlag("DB",ATK_UNIQUE) 


#Dodge attacks
dor.AddAttack("DR_G_1H","g_d_r")
dor.AssignTrail("DR_G_1H","","EstelaAmarilla2")
dor.AddLevels("g_d_r",0,40)
dor.AttackTypeFlag("DR",ATK_UNIQUE) 

dor.AddAttack("DL_G_1H","g_d_l")
dor.AssignTrail("DL_G_1H","","EstelaAmarilla2")
dor.AddLevels("g_d_l",0,40)
dor.AttackTypeFlag("DL",ATK_UNIQUE) 

#################################################################
#### Spears

#GI "group"
dor.AddAttack("GI_SP","Dor_g_spears1")
dor.AttackWindow("Dor_g_spears1",0.334,0.642,"GI_SP_Window")

# LOW
dor.AddAttack("GM8_SP","Dor_g_spear16low")
dor.AttackWindow("Dor_g_spear16low",0.341,0.475,"GM8_SP_Window")
dor.AddLevels("Dor_g_spear16low",0,40)

# HIGH
dor.AddAttack("GM1_SP","Dor_g_spear08")
dor.AttackWindow("Dor_g_spear08",0.100,0.748,"GM1_SP_Window")
dor.AddLevels("Dor_g_spear08",0,40)

# RIGHT
dor.AddAttack("GM3_SP","Dor_g_spear12")
dor.AttackWindow("Dor_g_spears12",0.183,0.448,"GM3_SP_Window")
dor.AddLevels("Dor_g_spears12",0,40)

# LEFT
dor.AddAttack("GM6_SP","Dor_g_spears6")
dor.AttackWindow("Dor_g_spears6",0.100,0.648,"GM6_SP_Window")
dor.AddLevels("Dor_g_spears6",0,40)



# WHIRLWIND
dor.AddAttack("GM15_SP","Dor_g_spear26kata")
dor.AttackWindow("Dor_g_spear26kata",0.626,0.781,"GM15_SP_Window")
#dor.AssignTrail("GM15_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear26kata",1,40)


### Red Combos


#COMBO BO
dor.AddAttack("GM2_SP","Dor_g_spears8")
dor.AttackWindow("Dor_g_spears8",0.265,0.538,"GM2_SP_Window")
dor.AssignTrail("GM2_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spears8",2,40)

#COMBO BICHERO
dor.AddAttack("GM10_SP","Dor_g_spear_2katab6low")
dor.AttackWindow("Dor_g_spear_2katab6low",0.424,0.655,"GM10_SP_Window")
dor.AssignTrail("GM10_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear_2katab6low",6,40)

#COMBO TRIDENTE
dor.AddAttack("GM4_SP","Dor_g_spear09")
dor.AttackWindow("Dor_g_spear09",0.418,0.569,"GM4_SP_Window")
dor.AssignTrail("GM4_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear09",9,40)

#COMBO CROSSPEAR
dor.AddAttack("GM7_SP","Dor_g_spear13")
dor.AttackWindow("Dor_g_spear13",0.287,0.532,"GM7_SP_Window")
dor.AssignTrail("GM7_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear13",13,40)

#COMBO HACHACUCHILLA
dor.AddAttack("GM5_SP","Dor_g_spear3s2")
dor.AttackWindow("Dor_g_spear3s2",0.608,0.779,"GM5_SP_Window")
dor.AssignTrail("GM5_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear3s2",14,40)

#GOLPE CRUSHBO
dor.AddAttack("GM26_SP","Dor_g_spear_21")
dor.AttackWindow("Dor_g_spear_21",0.313,0.547,"GM26_SP_Window")
dor.AssignTrail("GM26_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear_21",15,40)

#GOLPE NAGINATA
dor.AddAttack("GM27_SP","Dor_g_spear22")
dor.AttackWindow("Dor_g_spear22",0.343,0.656,"GM27_SP_Window")
dor.AssignTrail("GM27_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear22",8,40)

#COMBO NAGINATA2
dor.AddAttack("GM24_SP","Dor_g_spear33")
dor.AttackWindow("Dor_g_spear33",0.404,0.613,"GM24_SP_Window")
dor.AssignTrail("GM24_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear33",17,40)

#GOLPE LANZAHANCHA
dor.AddAttack("GM28_SP","Dor_g_spear_sb11")
dor.AttackWindow("Dor_g_spear_sb11",0.564,0.718,"GM28_SP_Window")
dor.AssignTrail("GM28_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear_sb11",18,40)

#GOLPE DEATHBO
dor.AddAttack("GM25_SP","Dor_g_spear_kata23")
dor.AttackWindow("Dor_g_spear_kata23",0.426,0.613,"GM25_SP_Window")
dor.AssignTrail("GM25_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear_kata23",11,40)

#GOLPE FIREBO
dor.AddAttack("GM30_SP","Dor_g_spear_b6_26")
dor.AttackWindow("Dor_g_spear_b6_26",0.467,0.670,"GM30_SP_Window")
dor.AssignTrail("GM30_SP","","EstelaRoja1")
dor.AddLevels("Dor_g_spear_b6_26",13,40)

#GOLPE AXPEAR
dor.AddAttack("GM31_SP","Dor_g_spear32kata_b2")
dor.AttackWindow("Dor_g_spear32kata_b2",0.553,0.674,"GM31_SP_Window")
dor.AssignTrail("GM31_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear32kata_b2",10,40)

#GOLPE LANZA
dor.AddAttack("GM32_SP","Dor_g_spear19")
dor.AttackWindow("Dor_g_spear19",0.001,0.999,"GM32_SP_Window")
dor.AssignTrail("GM32_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear19",7,40)

#GOLPE ARPON
dor.AddAttack("GM33_SP","Dor_g_spear_b29")
dor.AttackWindow("Dor_g_spear_b29",0.077,0.602,"GM33_SP_Window")
dor.AssignTrail("GM33_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear_b29",16,40)

#GOLPE STEELFEATHER
dor.AddAttack("GM34_SP","Dor_g_spear19_bs1")
dor.AttackWindow("Dor_g_spear19_bs1",0.020,0.900,"GM34_SP_Window")
dor.AssignTrail("GM34_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear19_bs1",17,40)

#GOLPE ICEWAND
dor.AddAttack("GM36_SP","Dor_g_spear16")
dor.AttackWindow("Dor_g_spear16",0.020,0.900,"GM36_SP_Window")
dor.AssignTrail("GM36_SP","","EstelaAmarilla2")
dor.AddLevels("Dor_g_spear16",12,40)


dor.MetaAttack("GIM_SP","GI_SP")
dor.MetaAttack("GIM_SP","GM8_SP")
dor.MetaAttack("GIM_SP","GM1_SP")
dor.MetaAttack("GIM_SP","GM3_SP")
dor.MetaAttack("GIM_SP","GM6_SP")
dor.MetaAttack("GIM_SP","GM15_SP")

dor.MetaAttack("GIM_SP","GM2_SP")
dor.MetaAttack("GIM_SP","GM10_SP")
dor.MetaAttack("GIM_SP","GM4_SP")
dor.MetaAttack("GIM_SP","GM7_SP")
dor.MetaAttack("GIM_SP","GM5_SP")
dor.MetaAttack("GIM_SP","GM26_SP")
dor.MetaAttack("GIM_SP","GM27_SP")
dor.MetaAttack("GIM_SP","GM24_SP")
dor.MetaAttack("GIM_SP","GM28_SP")
dor.MetaAttack("GIM_SP","GM25_SP")
dor.MetaAttack("GIM_SP","GM30_SP")
dor.MetaAttack("GIM_SP","GM31_SP")
dor.MetaAttack("GIM_SP","GM32_SP")
dor.MetaAttack("GIM_SP","GM33_SP")
dor.MetaAttack("GIM_SP","GM34_SP")
dor.MetaAttack("GIM_SP","GM36_SP")
dor.MetaAttack("GIM_SP","GM71_SP")


dor.MetaAttack("GOLPEINICIAL","GI_SP")
dor.MetaAttack("COMBO3","GM8_SP")
dor.MetaAttack("COMBO3","GM1_SP")
dor.MetaAttack("COMBO3","GM3_SP")
dor.MetaAttack("COMBO3","GM6_SP")
dor.MetaAttack("COMBO3EXTRA","GM15_SP")

dor.MetaAttack("COMBO3","GM2_SP")
dor.MetaAttack("COMBO3","GM10_SP")
dor.MetaAttack("COMBO3","GM4_SP")
dor.MetaAttack("COMBO3","GM7_SP")
dor.MetaAttack("COMBO3","GM5_SP")
dor.MetaAttack("COMBO3","GM26_SP")
dor.MetaAttack("COMBO3","GM27_SP")
dor.MetaAttack("COMBO3","GM24_SP")
dor.MetaAttack("COMBO3","GM28_SP")
dor.MetaAttack("COMBO3","GM25_SP")
dor.MetaAttack("COMBO3","GM30_SP")
dor.MetaAttack("COMBO3","GM31_SP")
dor.MetaAttack("COMBO3","GM32_SP")
dor.MetaAttack("COMBO3","GM33_SP")
dor.MetaAttack("COMBO3","GM34_SP")
dor.MetaAttack("COMBO3","GM36_SP")
dor.MetaAttack("COMBO3","GM71_SP")


dor.AllowAttack("GI_SP","A","","GIM_SP","GI_SP_Window","SP")

# LOW
dor.AllowAttack("GM8_SP","A+B","","COMBO3","","SP")
dor.AllowAttack("GM8_SP","&A+B","","COMBO3","","SP")

# HIGH
dor.AllowAttack("GM1_SP","A+F","","COMBO3","","SP")
dor.AllowAttack("GM1_SP","&A+F","","COMBO3","","SP")

# RIGHT
dor.AllowAttack("GM3_SP","A+R","","COMBO3","","SP")
dor.AllowAttack("GM3_SP","&A+R","","COMBO3","","SP")

# LEFT
dor.AllowAttack("GM6_SP","A+L","","COMBO3","","SP")
dor.AllowAttack("GM6_SP","&A+L","","COMBO3","","SP")


dor.AllowAttack("GM71_SP","L+R+B","","","","SP")


# WHIRLWIND
dor.AllowAttack("GM15_SP","R+L","GI_SP","COMBO3EXTRA","GM15_SP_Window","SP")


#COMBO BO
dor.AllowAttack("GM2_SP","F","GM8_SP","","","Bo")

#COMBO BICHERO
dor.AllowAttack("GM10_SP","B","GM1_SP","","","Bichero")

#COMBO TRIDENTE
dor.AllowAttack("GM4_SP","B+L","GI_SP","","GI_SP_Window","Tridente")

#COMBO CROSSPEAR
dor.AllowAttack("GM7_SP","F+L","GM6_SP","","GM6_SP_Window","Crosspear")

#COMBO HACHACUCHILLA
dor.AllowAttack("GM5_SP","L+R","GM3_SP","","GM3_SP_Window","Hachacuchilla")

#GOLPE CRUSHBO
dor.AllowAttack("GM26_SP","A+F","GM1_SP","","GM1_SP_Window","CrushBo")

#GOLPE NAGINATA
dor.AllowAttack("GM27_SP","L","GM3_SP","","","Naginata")

#COMBO NAGINATA2
dor.AllowAttack("GM24_SP","F+B","GM15_SP","","","Naginata2")

#GOLPE LANZAANCHA
dor.AllowAttack("GM28_SP","A+B","GM8_SP","","","LanzaAncha")

#GOLPE DEATHBO
dor.AllowAttack("GM25_SP","F+R","GM1_SP","","GM1_SP_Window","DeathBo")

#GOLPE FIREBO
dor.AllowAttack("GM30_SP","F+L","GM3_SP","","GM3_SP_Window","FireBo") ## Att-right + front-left


#GOLPE AXPEAR
dor.AllowAttack("GM31_SP","L","GM6_SP","","","SP")

#GOLPE LANZA
dor.AllowAttack("GM32_SP","B+R","GI_SP","","GI_SP_Window","Lanza")

#GOLPE ARPON
dor.AllowAttack("GM33_SP","F+B","GI_SP","","GI_SP_Window","Arpon")

#GOLPE STEELFEATHER
dor.AllowAttack("GM34_SP","B","GM1_SP","","","SteelFeather")

#GOLPE ICEWAND
dor.AllowAttack("GM36_SP","F+R","GM6_SP","","GM6_SP_Window","IceWand") ## Att-left + front-right










##################################################################
##################################################################
### Twin-Handed

dor.AddAttack("GM91_1H","Dor_g_katar16")
dor.AttackWindow("Dor_g_katar16",0.001,0.900,"GM91_1H_Window")
dor.AddEnergyLevel("Dor_g_katar16", 0)
dor.AssignTrail("GM91_1H","","EstelaAmarilla2")

dor.AddAttack("GM92_1H","Dor_g_katar28")
dor.AttackWindow("Dor_g_katar28",0.001,0.900,"GM92_1H_Window")
dor.AddEnergyLevel("Dor_g_katar28", 0)
dor.AssignTrail("GM92_1H","","EstelaAmarilla2")

dor.AddAttack("GM93_1H","Dor_g_katar23")
dor.AttackWindow("Dor_g_katar23",0.001,0.900,"GM93_1H_Window")
dor.AddEnergyLevel("Dor_g_katar23", 0)
dor.AssignTrail("GM93_1H","","EstelaAmarilla2")

dor.AddAttack("GM94_1H","Dor_g_katar211")
dor.AttackWindow("Dor_g_katar211",0.001,0.900,"GM94_1H_Window")
dor.AddEnergyLevel("Dor_g_katar211", 0)
dor.AssignTrail("GM94_1H","","EstelaAmarilla2")

dor.AddAttack("GM95_1H","Dor_g_katar33")
dor.AttackWindow("Dor_g_katar33",0.001,0.900,"GM95_1H_Window")
dor.AddEnergyLevel("Dor_g_katar33", 0)
dor.AssignTrail("GM95_1H","","EstelaAmarilla2")

dor.AddAttack("GM96_1H","Dor_g_katar32")
dor.AttackWindow("Dor_g_katar32",0.001,0.900,"GM96_1H_Window")
dor.AddEnergyLevel("Dor_g_katar32", 0)
dor.AssignTrail("GM96_1H","","EstelaAmarilla2")

dor.AddAttack("GM97_1H","Dor_g_katar02")
dor.AttackWindow("Dor_g_katar02",0.001,0.900,"GM97_1H_Window")
dor.AddEnergyLevel("Dor_g_katar02", 0)
dor.AssignTrail("GM97_1H","","EstelaAmarilla2")

dor.AddAttack("GM98_1H","Dor_g_katar06")
dor.AttackWindow("Dor_g_katar06",0.001,0.900,"GM98_1H_Window")
dor.AddEnergyLevel("Dor_g_katar06", 0)
dor.AssignTrail("GM98_1H","","EstelaAmarilla2")

dor.AddAttack("GM99_1H","Dor_g_katar08")
dor.AttackWindow("Dor_g_katar08",0.001,0.900,"GM99_1H_Window")
dor.AddEnergyLevel("Dor_g_katar08", 0)
dor.AssignTrail("GM99_1H","","EstelaAmarilla2")

dor.AddAttack("GM90_1H","Dor_g_katar011")
dor.AttackWindow("Dor_g_katar011",0.001,0.900,"GM90_1H_Window")
dor.AddEnergyLevel("Dor_g_katar011", 0)
dor.AssignTrail("GM90_1H","","EstelaAmarilla2")

dor.AddAttack("GM89_1H","Dor_g_katar11")
dor.AttackWindow("Dor_g_katar11",0.001,0.900,"GM89_1H_Window")
dor.AddEnergyLevel("Dor_g_katar11", 0)
dor.AssignTrail("GM89_1H","","EstelaAmarilla2")

dor.AddAttack("GM88_1H","Dor_g_katar17")
dor.AttackWindow("Dor_g_katar17",0.001,0.900,"GM88_1H_Window")
dor.AddEnergyLevel("Dor_g_katar17", 0)
dor.AssignTrail("GM88_1H","","EstelaAmarilla2")

dor.AddAttack("GM87_1H","Dor_g_katar31")
dor.AttackWindow("Dor_g_katar31",0.001,0.900,"GM87_1H_Window")
dor.AddEnergyLevel("Dor_g_katar31", 0)
dor.AssignTrail("GM87_1H","","EstelaAmarilla2")

dor.AddAttack("GM86_1H","Dor_g_katar111")
dor.AttackWindow("Dor_g_katar111",0.001,0.900,"GM86_1H_Window")
dor.AddEnergyLevel("Dor_g_katar111", 0)
dor.AssignTrail("GM86_1H","","EstelaAmarilla2")


dor.AddAttack("GM80_1H","Dor_g_axe34")
dor.AttackWindow("Dor_g_axe34",0.001,0.900,"GM80_1H_Window")
dor.AddEnergyLevel("Dor_g_axe34", 0)
dor.AssignTrail("GM80_1H","","EstelaAmarilla2")



##################################################################
##################################################################
##### One-Handed 

### IH Axe/Club


#COMBOCOMBO1ENANO1 group # Basic
dor.AddAttack("GM41_1H","Dor_g_41")
dor.AttackWindow("Dor_g_41",0.001,0.900,"GM41_1H_Window")
dor.AddEnergyLevel("Dor_g_41", 0)

#COMBOCOMBO1ENANO2 group # Right
dor.AddAttack("GM42_1H","Dor_g_42")
dor.AttackWindow("Dor_g_42",0.001,0.900,"GM42_1H_Window")
dor.AddLevels("Dor_g_42",0,40)
dor.AddEnergyLevel("Dor_g_42", 0)

#COMBOCOMBO1ENANO3 group # Left
dor.AddAttack("GM46_1H","Dor_g_46")
dor.AttackWindow("Dor_g_46",0.001,0.900,"GM46_1H_Window")
dor.AddLevels("Dor_g_46",0,40)
dor.AddEnergyLevel("Dor_g_46", 0)

#COMBOCOMBO1ENANO4 group
dor.AddAttack("GM48_1H","Dor_g_48")
dor.AttackWindow("Dor_g_48",0.001,0.900,"GM48_1H_Window")
dor.AddLevels("Dor_g_48",0,40)
dor.AddEnergyLevel("Dor_g_48", 0)

#COMBOCOMBO1ENANO5 group
dor.AddAttack("GM49_1H","Dor_g_01low_new")
dor.AttackWindow("Dor_g_01low_new",0.001,0.900,"GM48_1H_Window")
dor.AddLevels("Dor_g_01low_new",0,40)
dor.AddEnergyLevel("Dor_g_01low_new", 0)

# Swords

#GOLPEARMA1MANO1 group
dor.AddAttack("GI_1H","Dor_g_09")
dor.AttackWindow("Dor_g_09",0.334,0.642,"GI_1H_Window")


# LOW                                   (Dor - Ripper)
dor.AddAttack("GM4_1H","Dor_g_s3_new")
dor.AddLevels("Dor_g_s3_new",0,40)

# High 1H                              (Dwarf - High attack)
dor.AddAttack("GM1_1H","Dor_g_05")
dor.AddLevels("Dor_g_05",0,40)

# Right
dor.AddAttack("GM2_1H","Dor_g_02")
dor.AddLevels("Dor_g_02",0,40)

# Left
dor.AddAttack("GM3_1H","Dor_g_06dwf")
dor.AddLevels("Dor_g_06dwf",0,40)


# Knight Sharp Sword

dor.AddAttack("GM16_1H","Dor_g_09_07_s6low_new")
dor.AttackWindow("Dor_g_09_07_s6low_new",0.445,0.560,"GM16_1H_Window")
dor.AssignTrail("GM16_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_09_07_s6low_new",0,40)
dor.AddEnergyLevel("Dor_g_09_07_s6low_new", 0)


# Knight HOOKSWORD
dor.AddAttack("GM39_1H","Dor_g_s22low_new")
dor.AttackWindow("Dor_g_s22low_new",0.001,0.900,"GM39_1H_Window")
dor.AssignTrail("GM39_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_s22low_new",0,40)
dor.AddEnergyLevel("Dor_g_s22low_new", 0)


# Knight GLADIUS
dor.AddAttack("GM38_1H","Dor_g_28new")
dor.AttackWindow("Dor_g_28new",0.001,0.900,"GM38_1H_Window")
dor.AssignTrail("GM38_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_28new",0,40)
dor.AddEnergyLevel("Dor_g_28new", 0)


# Knight ESPADACURVA
dor.AddAttack("GM5_1H","Dor_g_sb25_new")
dor.AttackWindow("Dor_g_sb25_new",0.472,0.626,"GM5_1H_Window")
dor.AssignTrail("GM5_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_sb25_new",0,40)
dor.AddEnergyLevel("Dor_g_sb25_new", 0)


# Knight ESPADAROMANA
dor.AddAttack("GM35_1H","Dor_g_27kata_new")
dor.AttackWindow("Dor_g_27kata_new",0.427,0.670,"GM35_1H_Window")
dor.AssignTrail("GM35_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_27kata_new",0,40)
dor.AddEnergyLevel("Dor_g_27kata_new", 0)


# North Cross
dor.AddAttack("GM23_1H","Dor_g_01_7_new")
dor.AttackWindow("Dor_g_01_7_new",0.461,0.655,"GM23_1H_Window")
dor.AssignTrail("GM23_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_01_7_new",5,40)
dor.AddEnergyLevel("Dor_g_01_7_new", 0)


# Cylone
dor.AddAttack("GM43_1H","Dor_g_26")
dor.AttackWindow("Dor_g_26",0.445,0.668,"GM43_1H_Window")
dor.AssignTrail("GM43_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_26",4,40)

#



# Red Combos


#COMBO ELFSWORD (Dream)
dor.AddAttack("GM34_1H","Dor_g_32_5_3new")
dor.AttackWindow("Dor_g_32_5_3new",0.265,0.538,"GM34_1H_Window")
dor.AssignTrail("GM34_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_32_5_3new",3,40)


#COMBO CIMITARRA
dor.AddAttack("GM18_1H","Dor_g_18_11_22_new")
dor.AttackWindow("Dor_g_18_11_22_new",0.630,0.770,"GM18_1H_Window")
dor.AssignTrail("GM18_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_18_11_22_new",9,40)
dor.AddEnergyLevel("Dor_g_18_11_22_new", 0)

# Dagesse
dor.AddAttack("GM25_1H","Dor_g_s19_new")
dor.AttackWindow("Dor_g_s19_new",0.508,0.696,"GM25_1H_Window")
dor.AssignTrail("GM25_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_s19_new",0,40)
dor.AddEnergyLevel("Dor_g_s19_new", 0)


#COMBO ICESWORD
dor.AddAttack("GM37_1H","Dor_g_12_7_s1new")
dor.AttackWindow("Dor_g_12_7_s1new",0.508,0.612,"GM37_1H_Window")
dor.AssignTrail("GM37_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_12_7_s1new",2,40)
dor.AddEnergyLevel("Dor_g_12_7_s1new", 0)



#COMBO QUEENSWORD
dor.AddAttack("GM50_1H","Dor_g_06lowkata_new")
dor.AttackWindow("Dor_g_06lowkata_new",0.001,0.900,"GM50_1H_Window")
dor.AssignTrail("GM50_1H","","EstelaRoja1")
dor.AddLevels("Dor_g_06lowkata_new",10,40)

# Combo DOUBLESWORD
dor.AddAttack("GM66_1H","Dor_g_22kata_23_new")
dor.AttackWindow("Dor_g_22kata_23_new",0.001,0.900,"GM66_1H_Window")
#dor.AssignTrail("GM66_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_22kata_23_new",1,40) # L17
dor.AddEnergyLevel("Dor_g_22kata_23_new", 0)

# axes/clubs 

# Garropin
dor.AddAttack("GM56_1H","Dor_g_11dwf")
dor.AttackWindow("Dor_g_11dor",0.001,0.900,"GM56_1H_Window")
dor.AssignTrail("GM56_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_11dor",5,40)

# Maza Doble
dor.AddAttack("GM58_1H","Dor_g_21dwf")
dor.AttackWindow("Dor_g_21dor",0.001,0.900,"GM58_1H_Window")
dor.AssignTrail("GM58_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_21dor",8,40)

#GOLPE MARTILLO2
dor.AddAttack("GM53_1H","Dor_g_18dwf")
dor.AttackWindow("Dor_g_18dor",0.417,0.768,"GM53_1H_Window")
dor.AssignTrail("GM53_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_18dor",11,40)

#GOLPE FIREAXE
dor.AddAttack("GM54_1H","Dor_g_22dwf")
dor.AttackWindow("Dor_g_22dor",0.480,0.662,"GM54_1H_Window")
dor.AssignTrail("GM54_1H","","EstelaRoja1")
dor.AddLevels("Dor_g_22dor",14,40)

# Martillo3
dor.AddAttack("GM52_1H","Dor_g_31dwf")
dor.AttackWindow("Dor_g_31dor",0.001,0.999,"GM52_1H_Window")
dor.AssignTrail("GM52_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_31dor",15,40)

# Eagles Eye
dor.AddAttack("GM11_1H","Dor_g_s3_newdwf")
dor.AttackWindow("Dor_g_s3_newdwf",0.001,0.900,"GM11_1H_Window")
dor.AssignTrail("GM11_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_s3_newdwf",15,40)


####

#COMBO ICESWORD
dor.AddAttack("GM37_1H","Dor_g_12_7_s1new")
dor.AttackWindow("Dor_g_12_7_s1new",0.508,0.612,"GM37_1H_Window")
dor.AssignTrail("GM37_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_12_7_s1new",12,40)
dor.AddEnergyLevel("Dor_g_12_7_s1new", 0)


#COMBO ESPADAFIRESWORD
dor.AddAttack("GM36_1H","Dor_g_s28kata_new")
dor.AttackWindow("Dor_g_s28kata_new",0.600,0.821,"GM36_1H_Window")
dor.AssignTrail("GM36_1H","","EstelaRoja1")
dor.AddLevels("Dor_g_s28kata_new",12,40)
dor.AddEnergyLevel("Dor_g_s28kata_new", 0)


#COMBO MAZA2 (Used as Ice Hammer combo)
dor.AddAttack("GM22_1H","Dor_g_21_6_s8new")
dor.AttackWindow("Dor_g_21_6_s8new",0.562,0.674,"GM22_1H_Window")
dor.AssignTrail("GM22_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_21_6_s8new",12,40)
dor.AddEnergyLevel("Dor_g_21_6_s8new", 0)


# Crushhammer
dor.AddAttack("GM10_1H","Dor_g_s22low_newdwf")
dor.AttackWindow("Dor_g_s22low_newdwf",0.001,0.900,"GM10_1H_Window")
dor.AssignTrail("GM10_1H","","EstelaAmarilla2")
dor.AddLevels("Dor_g_s22low_newdwf",12,40)




dor.MetaAttack("GIM_1H","GI_1H")
dor.MetaAttack("GIM_1H","GM4_1H")
dor.MetaAttack("GIM_1H","GM1_1H")
dor.MetaAttack("GIM_1H","GM2_1H")
dor.MetaAttack("GIM_1H","GM3_1H")
dor.MetaAttack("GIM_1H","GM10_1H")
dor.MetaAttack("GIM_1H","GM11_1H")
dor.MetaAttack("GIM_1H","GM39_1H")
dor.MetaAttack("GIM_1H","GM38_1H")
dor.MetaAttack("GIM_1H","GM41_1H")
dor.MetaAttack("GIM_1H","GM42_1H")
dor.MetaAttack("GIM_1H","GM46_1H")
dor.MetaAttack("GIM_1H","GM48_1H")
dor.MetaAttack("GIM_1H","GM43_1H")
dor.MetaAttack("GIM_1H","GM49_1H")
dor.MetaAttack("GIM_1H","GM23_1H")
dor.MetaAttack("GIM_1H","GM5_1H")
dor.MetaAttack("GIM_1H","GM35_1H")
dor.MetaAttack("GIM_1H","GM50_1H")
dor.MetaAttack("GIM_1H","GM25_1H")
dor.MetaAttack("GIM_1H","GM34_1H")
dor.MetaAttack("GIM_1H","GM18_1H")
dor.MetaAttack("GIM_1H","GM73_1H")
dor.MetaAttack("GIM_1H","GM56_1H")
dor.MetaAttack("GIM_1H","GM58_1H")
dor.MetaAttack("GIM_1H","GM53_1H")
dor.MetaAttack("GIM_1H","GM54_1H")
dor.MetaAttack("GIM_1H","GM52_1H")
dor.MetaAttack("GIM_1H","GM37_1H")
dor.MetaAttack("GIM_1H","GM36_1H")
dor.MetaAttack("GIM_1H","GM22_1H")
dor.MetaAttack("GIM_1H","GM66_1H")
dor.MetaAttack("GIM_1H","GM86_1H")
dor.MetaAttack("GIM_1H","GM87_1H")
dor.MetaAttack("GIM_1H","GM88_1H")
dor.MetaAttack("GIM_1H","GM89_1H")
dor.MetaAttack("GIM_1H","GM90_1H")
dor.MetaAttack("GIM_1H","GM91_1H")
dor.MetaAttack("GIM_1H","GM92_1H")
dor.MetaAttack("GIM_1H","GM93_1H")
dor.MetaAttack("GIM_1H","GM94_1H")
dor.MetaAttack("GIM_1H","GM95_1H")
dor.MetaAttack("GIM_1H","GM96_1H")
dor.MetaAttack("GIM_1H","GM97_1H")
dor.MetaAttack("GIM_1H","GM98_1H")
dor.MetaAttack("GIM_1H","GM99_1H")
dor.MetaAttack("GIM_1H","GM16_1H")
dor.MetaAttack("GIM_1H","GM80_1H")


#dor.MetaAttack("GOLPEINICIAL","G1_1H")

dor.MetaAttack("GOLPEINICIAL1H","GI_1H")
dor.MetaAttack("COMBO1","GM4_1H")
dor.MetaAttack("COMBO1","GM1_1H")
dor.MetaAttack("COMBO1","GM2_1H")
dor.MetaAttack("COMBO1","GM3_1H")
dor.MetaAttack("COMBO1","GM73_1H")
dor.MetaAttack("COMBO1EXTRA","GM16_1H")
dor.MetaAttack("COMBO1EXTRA","GM39_1H")
dor.MetaAttack("COMBO1EXTRA","GM38_1H")
dor.MetaAttack("COMBO1EXTRA","GM23_1H")
dor.MetaAttack("COMBO1EXTRA","GM25_1H")
dor.MetaAttack("COMBO1EXTRA","GM5_1H")
dor.MetaAttack("COMBO1EXTRA","GM35_1H")
dor.MetaAttack("COMBO1ENANO","GM41_1H")
dor.MetaAttack("COMBO1ENANO","GM42_1H")
dor.MetaAttack("COMBO1ENANO","GM46_1H")
dor.MetaAttack("COMBO1ENANO","GM48_1H")
dor.MetaAttack("COMBO1ENANO","GM49_1H")
dor.MetaAttack("COMBO1ENANOEXTRA","GM43_1H")
dor.MetaAttack("COMBO1EXTRA","GM34_1H")
dor.MetaAttack("COMBO1EXTRA","GM18_1H")
dor.MetaAttack("COMBO1EXTRA","GM25_1H")
dor.MetaAttack("COMBO1EXTRA","GM50_1H")
dor.MetaAttack("COMBO1EXTRA","GM66_1H")
dor.MetaAttack("COMBO1ENANOEXTRA","GM56_1H")
dor.MetaAttack("COMBO1ENANOEXTRA","GM58_1H")
dor.MetaAttack("COMBO1ENANOEXTRA","GM53_1H")
dor.MetaAttack("COMBO1ENANOEXTRA","GM54_1H")
dor.MetaAttack("COMBO1ENANOEXTRA","GM52_1H")

dor.MetaAttack("COMBO1EXTRA","GM37_1H")
dor.MetaAttack("COMBO1EXTRA","GM36_1H")
dor.MetaAttack("COMBO1EXTRA","GM25_1H")
dor.MetaAttack("COMBO1EXTRA","GM80_1H")
dor.MetaAttack("COMBO1ENANOEXTRA","GM22_1H")
dor.MetaAttack("COMBO1ENANOEXTRA","GM10_1H")
dor.MetaAttack("COMBO1ENANOEXTRA","GM11_1H")

dor.MetaAttack("COMBO2EXTRA","GM86_1H")
dor.MetaAttack("COMBO2EXTRA","GM87_1H")
dor.MetaAttack("COMBO2EXTRA","GM88_1H")
dor.MetaAttack("COMBO2EXTRA","GM89_1H")
dor.MetaAttack("COMBO2EXTRA","GM90_1H")
dor.MetaAttack("COMBO2EXTRA","GM91_1H")
dor.MetaAttack("COMBO2EXTRA","GM92_1H")
dor.MetaAttack("COMBO2EXTRA","GM93_1H")
dor.MetaAttack("COMBO2EXTRA","GM94_1H")
dor.MetaAttack("COMBO2EXTRA","GM95_1H")
dor.MetaAttack("COMBO2EXTRA","GM96_1H")
dor.MetaAttack("COMBO2EXTRA","GM97_1H")
dor.MetaAttack("COMBO2EXTRA","GM98_1H")
dor.MetaAttack("COMBO2EXTRA","GM99_1H")


################################################################################


# Katar17
dor.AllowAttack("GM88_1H","R+L","GI_1H","COMBO2EXTRA","GM88_1H_Window","ProRHWep2")

# Katar33
dor.AllowAttack("GM95_1H","F+B","GI_1H","COMBO2EXTRA","GM95_1H_Window","ProRHWep2")

# Katar 32
dor.AllowAttack("GM96_1H","L+B","GI_1H","COMBO2EXTRA","GM96_1H_Window","ProRHWep2")

# Katar 02/16/31
dor.AllowAttack("GM91_1H","R+B","GI_1H","COMBO2EXTRA","GM91_1H_Window","ProRHWep2")

# Katar 08
dor.AllowAttack("GM99_1H","F+R","GI_1H","COMBO2EXTRA","GM99_1H_Window","ProRHWep2")

# Katar 011
dor.AllowAttack("GM90_1H","F+L","GI_1H","COMBO2EXTRA","GM90_1H_Window","ProRHWep2")


#GOLPE Knight ICESWORD
dor.AllowAttack("GM37_1H","L+R","GM91_1H","","GM91_1H_Window","ProRHWep2")

# Dagesse
dor.AllowAttack("GM25_1H","F","GI_1H","","GI_1H_Window","ProRHWep2")

# Sharp Sword
dor.AllowAttack("GM16_1H","L+B","GM2_1H","","GM2_1H_Window","ProRHWep2")

# Barb - Blind Fury
dor.AllowAttack("GM80_1H","R+B","GM3_1H","","GM3_1H_Window","ProRHWep2")









# Katar17
dor.AllowAttack("GM88_1H","R+L","GI_1H","COMBO2EXTRA","GM88_1H_Window","ProRHWep3")

# Katar33
dor.AllowAttack("GM95_1H","F+B","GI_1H","COMBO2EXTRA","GM95_1H_Window","ProRHWep3")

# Katar 32
dor.AllowAttack("GM96_1H","L+B","GI_1H","COMBO2EXTRA","GM96_1H_Window","ProRHWep3")

# Katar 02/16/31
dor.AllowAttack("GM91_1H","R+B","GI_1H","COMBO2EXTRA","GM91_1H_Window","ProRHWep3")

# Katar 08
dor.AllowAttack("GM99_1H","F+R","GI_1H","COMBO2EXTRA","GM99_1H_Window","ProRHWep3")

# Katar 011
dor.AllowAttack("GM90_1H","F+L","GI_1H","COMBO2EXTRA","GM90_1H_Window","ProRHWep3")


#GOLPE Knight ICESWORD
dor.AllowAttack("GM37_1H","L+R","GM91_1H","","GM91_1H_Window","ProRHWep3")

# Dagesse
dor.AllowAttack("GM25_1H","F","GI_1H","","GI_1H_Window","ProRHWep3")

# Sharp Sword
dor.AllowAttack("GM16_1H","L+B","GM2_1H","","GM2_1H_Window","ProRHWep3")

# Barb - Blind Fury
dor.AllowAttack("GM80_1H","R+B","GM3_1H","","GM3_1H_Window","ProRHWep3")




# Katar17
dor.AllowAttack("GM88_1H","R+L","GI_1H","COMBO2EXTRA","GM88_1H_Window","ProRHWep4")

# Katar33
dor.AllowAttack("GM95_1H","F+B","GI_1H","COMBO2EXTRA","GM95_1H_Window","ProRHWep4")

# Katar 32
dor.AllowAttack("GM96_1H","L+B","GI_1H","COMBO2EXTRA","GM96_1H_Window","ProRHWep4")

# Katar 02/16/31
dor.AllowAttack("GM91_1H","R+B","GI_1H","COMBO2EXTRA","GM91_1H_Window","ProRHWep4")

# Katar 08
dor.AllowAttack("GM99_1H","F+R","GI_1H","COMBO2EXTRA","GM99_1H_Window","ProRHWep4")

# Katar 011
dor.AllowAttack("GM90_1H","F+L","GI_1H","COMBO2EXTRA","GM90_1H_Window","ProRHWep4")


#GOLPE Knight ICESWORD
dor.AllowAttack("GM37_1H","L+R","GM91_1H","","GM91_1H_Window","ProRHWep4")

# Dagesse
dor.AllowAttack("GM25_1H","F","GI_1H","","GI_1H_Window","ProRHWep4")

# Sharp Sword
dor.AllowAttack("GM16_1H","L+B","GM2_1H","","GM2_1H_Window","ProRHWep4")

# Barb - Blind Fury
dor.AllowAttack("GM80_1H","R+B","GM3_1H","","GM3_1H_Window","ProRHWep4")




# Katar17
dor.AllowAttack("GM88_1H","R+L","GI_1H","COMBO2EXTRA","GM88_1H_Window","ProBlade5")

# Katar33
dor.AllowAttack("GM95_1H","F+B","GI_1H","COMBO2EXTRA","GM95_1H_Window","ProBlade5")

# Katar 32
dor.AllowAttack("GM96_1H","L+B","GI_1H","COMBO2EXTRA","GM96_1H_Window","ProBlade5")

# Katar 02/16/31
dor.AllowAttack("GM91_1H","R+B","GI_1H","COMBO2EXTRA","GM91_1H_Window","ProBlade5")

# Katar 08
dor.AllowAttack("GM99_1H","F+R","GI_1H","COMBO2EXTRA","GM99_1H_Window","ProBlade5")

# Katar 011
dor.AllowAttack("GM90_1H","F+L","GI_1H","COMBO2EXTRA","GM90_1H_Window","ProBlade5")




##################################################################################


# IH Sword
# LOW
dor.AllowAttack("GM4_1H","A+B","","COMBO1","","1H")
dor.AllowAttack("GM4_1H","&A+B","","COMBO1","","1H")

# HIGH
dor.AllowAttack("GM1_1H","A+F","","COMBO1","","1H")
dor.AllowAttack("GM1_1H","&A+F","","COMBO1","","1H")

# RIGHT
dor.AllowAttack("GM2_1H","A+R","","COMBO1","","1H")
dor.AllowAttack("GM2_1H","&A+R","","COMBO1","","1H")

# LEFT
dor.AllowAttack("GM3_1H","A+L","","COMBO1","","1H")
dor.AllowAttack("GM3_1H","&A+L","","COMBO1","","1H")


# NORTH CROSS
dor.AllowAttack("GM23_1H","R+L","GI_1H","COMBO3EXTRA","GM23_1H_Window","1H")


#Golpes en esquiva
dor.AllowAttack("DL_G_1H","A","DL","","","1H")
dor.AllowAttack("DR_G_1H","A","DR","","","1H")

#######################################################################

# ANKLE BITER (Knight HookSword)
dor.AllowAttack("GM39_1H","A+B","GM4_1H","COMBO1EXTRA","GM39_1H","1H")
dor.AllowAttack("GM39_1H","&A+B","GM4_1H","COMBO1EXTRA","GM39_1H","1H")


# SKULL SPLITTER (Knight Gladius)
dor.AllowAttack("GM38_1H","A+F","GM1_1H","COMBO1EXTRA","GM38_1H","1H")
dor.AllowAttack("GM38_1H","&A+F","GM1_1H","COMBO1EXTRA","GM38_1H","1H")


# DEATH SPIN (Knight Curved Sword)
dor.AllowAttack("GM5_1H","A+R","GM2_1H","COMBO1EXTRA","GM5_1H","1H")
dor.AllowAttack("GM5_1H","&A+R","GM2_1H","COMBO1EXTRA","GM5_1H","1H")


# SWORD FLICK (Knight Combat Sword)
dor.AllowAttack("GM35_1H","A+L","GM3_1H","COMBO1EXTRA","GM35_1H","1H")
dor.AllowAttack("GM35_1H","&A+L","GM3_1H","COMBO1EXTRA","GM35_1H","1H")


########################################################################


dor.AllowAttack("GM73_1H","L+R+B","","","","1H")




#COMBO ESPADAELFICA
#dor.AllowAttack("GM34_1H","F+R","GI_1H","","GI_1H_Window","Espadaelfica")

#COMBO CIMITARRA
#dor.AllowAttack("GM18_1H","F","GM23_1H","","","Cimitarra")

#COMBO DAGESSE
#dor.AllowAttack("GM25_1H","B+R","GI_1H","","GI_1H_Window","Dagesse")

# Queensword
#dor.AllowAttack("GM50_1H","R+B","GM3_1H","","","QueenSword")	
#dor.AllowAttack("GM50_1H","R+B","GM3_1H","","","KingSword")	


#GOLPE FIRESWORD
#dor.AllowAttack("GM36_1H","F+L","GM2_1H","","GM2_1H_Window","FireSword")

# Espada Magic 1
#dor.AllowAttack("GM66_1H","B","GM23_1H","","","EspadaMagica1")


#dor.AllowAttack("GM50_1H","R+B","GM46_1H","","","VampWeapon2")	

# Basic 1H
dor.AllowAttack("GI_1H","A","","GIM_1H","GI_1H_Window","1H")




###################################################################
###################################################################
###### Two-Handed Swords


#GOLPEARMA2MANO1 group
dor.AddAttack("GI_2H","Dor_g2h_08")
dor.AttackWindow("Dor_g2h_08",0.001,0.900,"GI_2H_Window")


# LOW
dor.AddAttack("GM4_2H","Dor_g2h_12low")
#dor.AttackWindow("Dor_g2h_12low",0.112,0.695,"GM4_2H_Window")
dor.AddLevels("Dor_g2h_12low",0,40)


# HIGH
dor.AddAttack("GM1_2H","Dor_g2h_b6kata")
#dor.AttackWindow("Dor_g2h_b6kata",0.143,0.669,"GM1_2H_Window")
dor.AddLevels("Dor_g2h_b6kata",0,40)

# RIGHT
dor.AddAttack("GM2_2H","Dor_g2h_11")
#dor.AttackWindow("Dor_g2h_11",0.172,0.602,"GM2_2H_Window")
dor.AddLevels("Dor_g2h_11",0,40)


# LEFT
dor.AddAttack("GM3_2H","Dor_g2h_s7")
#dor.AttackWindow("Dor_g2h_s7",0.172,0.662,"GM3_2H_Window")
dor.AddLevels("Dor_g2h_s7",0,40)


# DEATH DEALER
dor.AddAttack("GM23_2H","Dor_g2h_21_6kata")
dor.AttackWindow("Dor_g2h_21_6kata",0.328,0.731,"GM23_2H_Window")
dor.AssignTrail("GM23_2H","","EstelaAmarilla2")
dor.AddLevels("Dor_g2h_21_6kata",6,40)



# 2 High (sky smash)
dor.AddAttack("GM9_2H","Dor_g2h_b7")
dor.AttackWindow("Dor_g2h_b7",0.297,0.418,"GM9_2H_Window")
dor.AssignTrail("GM9_2H","","EstelaAmarilla2")
dor.AddLevels("Dor_g2h_b7",3,40)

# Right (rage)
dor.AddAttack("GM10_2H","Dor_g2h_02kata")
dor.AttackWindow("Dor_g2h_02kata",0.297,0.548,"GM10_2H_Window")
dor.AssignTrail("GM10_2H","","EstelaAmarilla2")
dor.AddLevels("Dor_g2h_02kata",1,40)

# 2 Left (thunder smash)
dor.AddAttack("GM8_2H","Dor_g2h_01")
dor.AttackWindow("Dor_g2h_01",0.195,0.427,"GM8_2H_Window")
dor.AssignTrail("GM8_2H","","EstelaAmarilla2")
dor.AddLevels("Dor_g2h_01",2,40)

# 2 Low (thunder sweep)
dor.AddAttack("GM11_2H","Dor_g2h_02low")
dor.AttackWindow("Dor_g2h_02low",0.280,0.525,"GM11_2H_Window")
dor.AssignTrail("GM11_2H","","EstelaAmarilla2")
dor.AddLevels("Dor_g2h_02low",4,40)


### Red Combos

# Hellswing
dor.AddAttack("GM41_2H","Dor_g2h_13")
dor.AttackWindow("Dor_g2h_13",0.366,0.572,"GM41_2H_Window")
dor.AssignTrail("GM41_2H","","EstelaAmarilla2")
dor.AddLevels("Dor_g2h_13",9,40)

# Destroyer
dor.AddAttack("GM42_2H","Dor_g2h_28")
dor.AttackWindow("Dor_g2h_28",0.427,0.512,"GM42_2H_Window")
dor.AssignTrail("GM42_2H","","EstelaAmarilla2")
dor.AddLevels("Dor_g2h_28",13,40)

# Death Sweep
dor.AddAttack("GM12_2H","Dor_g2h_b6low")
dor.AttackWindow("Dor_g2h_b6low",0.338,0.470,"GM12_2H_Window")
dor.AssignTrail("GM12_2H","","EstelaAmarilla2")
dor.AddLevels("Dor_g2h_b6low",4,40)

# Hellthrust
dor.AddAttack("GM29_2H","Dor_g2h_b29")
dor.AttackWindow("Dor_g2h_b29",0.304,0.557,"GM29_2H_Window")
dor.AssignTrail("GM29_2H","","EstelaAmarilla2")
dor.AddLevels("Dor_g2h_b29",14,40)

### FireSword

#COMBOFIREBIGSWORD1 "group"
dor.AddAttack("GM44_2H","Dor_g2h_21_2")
dor.AttackWindow("Dor_g2h_21_2",0.186,0.610,"GM44_2H_Window")
dor.AssignTrail("GM44_2H","","EstelaRoja1")
dor.AddLevels("Dor_g2h_21_2",12,40)

#COMBOFIREBIGSWORD2 "group"
dor.AddAttack("GM45_2H","Dor_g2h_earthpow")
dor.AttackWindow("Dor_g2h_earthpow",0.620,0.732,"GM45_2H_Window")
dor.AssignTrail("GM45_2H","","EstelaRoja1")
dor.AddLevels("Dor_g2h_earthpow",15,40)



#### Slaying Sword (used for Dragon Sword)

dor.AddAttack("GM15_2H","Dor_g2h_s8")
dor.AttackWindow("Dor_g2h_s8",0.145,0.667,"GM15_2H_Window")
dor.AssignTrail("GM15_2H","","EstelaAmarilla2")
dor.AddLevels("Dor_g2h_s8",16,40)



dor.MetaAttack("GIM_2H","GI_2H")
dor.MetaAttack("GIM_2H","GM4_2H")
dor.MetaAttack("GIM_2H","GM1_2H")
dor.MetaAttack("GIM_2H","GM2_2H")
dor.MetaAttack("GIM_2H","GM3_2H")
dor.MetaAttack("GIM_2H","GM23_2H")
dor.MetaAttack("GIM_2H","GM8_2H")
dor.MetaAttack("GIM_2H","GM9_2H")
dor.MetaAttack("GIM_2H","GM10_2H")
dor.MetaAttack("GIM_2H","GM11_2H")
dor.MetaAttack("GIM_2H","GM41_2H")
dor.MetaAttack("GIM_2H","GM42_2H")
dor.MetaAttack("GIM_2H","GM42_2H")
dor.MetaAttack("GIM_2H","GM12_2H")
dor.MetaAttack("GIM_2H","GM29_2H")
dor.MetaAttack("GIM_2H","GM44_2H")
dor.MetaAttack("GIM_2H","GM45_2H")
dor.MetaAttack("GIM_2H","GM72_2H")
dor.MetaAttack("GIM_2H","GM15_2H")



dor.MetaAttack("GOLPEINICIAL2H","GI_2H")
dor.MetaAttack("COMBO2","GM4_2H")
dor.MetaAttack("COMBO2","GM1_2H")
dor.MetaAttack("COMBO2","GM2_2H")
dor.MetaAttack("COMBO2","GM3_2H")
dor.MetaAttack("COMBO2","GM72_2H")
dor.MetaAttack("COMBO2EXTRA","GM23_2H")
dor.MetaAttack("COMBO2EXTRA","GM8_2H")
dor.MetaAttack("COMBO2EXTRA","GM9_2H")
dor.MetaAttack("COMBO2EXTRA","GM10_2H")
dor.MetaAttack("COMBO2EXTRA","GM11_2H")
dor.MetaAttack("COMBO2EXTRA","GM41_2H")
dor.MetaAttack("COMBO2EXTRA","GM42_2H")
dor.MetaAttack("COMBO2EXTRA","GM12_2H")
dor.MetaAttack("COMBO2EXTRA","GM29_2H")
dor.MetaAttack("COMBO2EXTRA","GM15_2H")
dor.MetaAttack("COMBOFIREBIGSWORD","GM44_2H")
dor.MetaAttack("COMBOFIREBIGSWORD","GM45_2H")


dor.AllowAttack("GM72_2H","L+R+B","","","","2W")

dor.AllowAttack("GM23_2H","R+L","GI_2H","COMBO2EXTRA","GM23_1H_Window","2W")


dor.AllowAttack("GM15_2H","L+B","GM23_2H","","","ProDragonSword")


dor.AllowAttack("GM29_2H","F","GM23_2H","","","2W")


dor.AllowAttack("GM41_2H","R","GM3_2H","","","2W")

dor.AllowAttack("GM42_2H","B+R","GI_2H","","GI_2H_Window","2W")

dor.AllowAttack("GM12_2H","F","GI_2H","","GI_2H_Window","2W")



#COMBOFIREBIGSWORD
dor.AllowAttack("GM44_2H","L+F","GM2_2H","COMBOFIREBIGSWORD","","FireBigSword")

#COMBOFIREBIGSWORD
dor.AllowAttack("GM45_2H","B+R","GM23_2H","COMBOFIREBIGSWORD","","FireBigSword")



# High ok
dor.AllowAttack("GM9_2H","A+F","GM1_2H","COMBO2EXTRA","GM9_2H","2W")
dor.AllowAttack("GM9_2H","&A+F","GM1_2H","COMBO2EXTRA","GM9_2H","2W")


# LOW
dor.AllowAttack("GM11_2H","A+B","GM4_2H","COMBO2EXTRA","GM11_2H","2W")
dor.AllowAttack("GM11_2H","&A+B","GM4_2H","COMBO2EXTRA","GM11_2H","2W")

# Right
dor.AllowAttack("GM10_2H","A+R","GM2_2H","COMBO2EXTRA","GM10_2H","2W")
dor.AllowAttack("GM10_2H","&A+R","GM2_2H","COMBO2EXTRA","GM10_2H","2W")

# Left ok
dor.AllowAttack("GM8_2H","A+L","GM3_2H","COMBO2EXTRA","GM8_2H","2W")
dor.AllowAttack("GM8_2H","&A+L","GM3_2H","COMBO2EXTRA","GM8_2H","2W")





# LOW
dor.AllowAttack("GM4_2H","A+B","","COMBO2","","2W")
dor.AllowAttack("GM4_2H","&A+B","","COMBO2","","2W")

# HIGH
dor.AllowAttack("GM1_2H","A+F","","COMBO2","","2W")
dor.AllowAttack("GM1_2H","&A+F","","COMBO2","","2W")

# RIGHT
dor.AllowAttack("GM2_2H","A+R","","COMBO2","","2W")
dor.AllowAttack("GM2_2H","&A+R","","COMBO2","","2W")

# RIGHT
dor.AllowAttack("GM3_2H","A+L","","COMBO2","","2W")
dor.AllowAttack("GM3_2H","&A+L","","COMBO2","","2W")

dor.AllowAttack("GI_2H","A","","GIM_2H","GI_2H_Window","2W")
