import Bladex
import NetSounds
import netgame

# ***********************************
# *      Asignacion de sonidos      *
# ***********************************


def AsignarSonidosWizard(Personaje):
	from AniSoundWizX import *
	
	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos
	if netgame.GetNetState() !=2:
		pass
	per.AddEventSound('shield_block', GolpeArmaEscudoWiz)
	per.AddEventSound('weapon_block', GolpeArmaArmaWiz)
	per.AddEventSound('impale', TajoEmpalanteWiz)
	per.AddEventSound('slash', TajoCortanteWiz)
	per.AddEventSound('mutilate', TajoMutilacionWiz)
	per.AddEventSound('crush', GolpeContundenteWiz)



	# Sonidos de animaciones

	NetSounds.AddAnimSound(per,'Wiz_chg_r', Enfundar, 0.4)
	NetSounds.AddAnimSound(per,'Wiz_chg_r_l', Enfundar, 0.3599)
	NetSounds.AddAnimSound(per,'Wiz_attack_chg_r_l', Enfundar, 0.5)
	NetSounds.AddAnimSound(per,'Wiz_attack_chg_r', Enfundar, 0.5)
	NetSounds.AddAnimSound(per,'Wiz_attack_chg_l', CambiarEscudo, 0.5)
	NetSounds.AddAnimSound(per,'Wiz_g_01low_new', SesgadoLargoAgudo, 0.1950)
	NetSounds.AddAnimSound(per,'Wiz_g_01low_new', EsfuerzoGolpeLateralWiz, 0.1750)
	NetSounds.AddAnimSound(per,'Wiz_g_01low_new', AndarWiz2, 0.1200)
	
	NetSounds.AddAnimSound(per,'Wiz_g_bad_axe', EsfuerzoGolpeFrontalWiz, 0.1200)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_axe', SesgadoLento, 0.4260)
	NetSounds.AddAnimSound(per,'Wiz_g_draw_run', Enfundar, 0.1100)
	NetSounds.AddAnimSound(per,'Wiz_g_draw_run', EsfuerzoGolpeLateralWiz, 0.1300)
	NetSounds.AddAnimSound(per,'Wiz_g_draw_run', SesgadoLargoAgudo, 0.3470)
	NetSounds.AddAnimSound(per,'Wiz_g_draw_rlx', Enfundar, 0.1100)
	NetSounds.AddAnimSound(per,'Wiz_g_draw_rlx', EsfuerzoCorto2Wiz, 0.3000)
	NetSounds.AddAnimSound(per,'Wiz_g_draw_rlx', SesgadoLargoGrave, 0.3280)

		
	NetSounds.AddAnimSound(per,'Wiz_chg_l',CambiarEscudo,0.3652)
	

	
	
	NetSounds.AddAnimSound(per,'Wlk_1h_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_1h_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Wiz', AndarWiz2, 0.9200)
	
	
	NetSounds.AddAnimSound(per,'Wlk_2w_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2w_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Wiz', AndarWiz2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Wbk_1h_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_1h_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Wiz', AndarWiz2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Wbk_2h_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2h_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Wiz', AndarWiz2, 0.9200)

	
	NetSounds.AddAnimSound(per,'Wlk_spear_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_spear_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Wiz', AndarWiz2, 0.9200)

	
	

	NetSounds.AddAnimSound(per,'Jog_2h_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2h_Wiz', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2h_Wiz', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2h_Wiz', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2h_Wiz', AndarWiz2, 0.8500)
	

	
	NetSounds.AddAnimSound(per,'Jog_no_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_no_Wiz', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_no_Wiz', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_no_Wiz', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_no_Wiz', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Jog_spear_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_spear_Wiz', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_spear_Wiz', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_spear_Wiz', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_spear_Wiz', AndarWiz2, 0.8500)

	
	
	NetSounds.AddAnimSound(per,'Wiz_jogb_2h', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2h', AndarWiz2, 0.1500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2h', AndarWiz1, 0.2500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2h', AndarWiz2, 0.3500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2h', AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2h', AndarWiz1, 0.5500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2h', AndarWiz2, 0.6500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2h', AndarWiz1, 0.7500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2h', AndarWiz2, 0.8500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2h', AndarWiz2, 0.9500)
	

	####################################################################################
	####################################################################################
	####################################################################################
	####################################################################################
	
	
	NetSounds.AddAnimSound(per,'Wiz_clmb_medlow_1h', EsfuerzoSubirWiz1, 0.2400)
	NetSounds.AddAnimSound(per,'Wiz_clmb_medium_1h', EsfuerzoSubirWiz1, 0.1250)
	NetSounds.AddAnimSound(per,'Wiz_clmb_medium_1h', EsfuerzoSubirFinalWiz1, 0.2400)
	NetSounds.AddAnimSound(per,'Wiz_clmb_high_1h', EsfuerzoSubirWiz3, 0.1450)
	NetSounds.AddAnimSound(per,'Wiz_clmb_high_1h', EsfuerzoSubirFinalWiz3, 0.8500)
	NetSounds.AddAnimSound(per,'Wiz_clmb_low_1h', EsfuerzoSubirWiz1, 0.5940)
	
	#NetSounds.AddAnimSound(per,'Wiz_jmph0_no', EsfuerzoSubirWiz1, 0.2820)
	#NetSounds.AddAnimSound(per,'Wiz_jmp_no', EsfuerzoSubirWiz1, 0.2800)
	#NetSounds.AddAnimSound(per,'Wiz_jmp_no', EsfuerzoSubirFinalWiz3, 0.3000)
	#NetSounds.AddAnimSound(per,'Wiz_jmp_1h', EsfuerzoSubirWiz1, 0.4850)
	#NetSounds.AddAnimSound(per,'Wiz_jmp_1h', EsfuerzoSubirFinalWiz1, 0.2000)
	
	NetSounds.AddAnimSound(per,'Wiz_1tw_h_f',AndarWiz2, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_1tw_h_f',EsfuerzoWizMediano, 0.3000)
	NetSounds.AddAnimSound(per,'Wiz_1tw_l_f',AndarWiz2, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_1tw_l_f',EsfuerzoCorto2Wiz, 0.3000)
	
	NetSounds.AddAnimSound(per,'Wiz_jog_turn',AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,'Wiz_jog_turn',EsfuerzoSubirWiz2, 0.3800)
	NetSounds.AddAnimSound(per,'Wiz_wlk_turn',AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,'Wiz_wlk_turn',EsfuerzoSubirFinalWiz2, 0.3800)
	NetSounds.AddAnimSound(per,'Wiz_snk_turn',AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,'Wiz_rlx_turn',AndarWiz2, 0.4500)
	
	NetSounds.AddAnimSound(per,'Wiz_tke_r_key00',CogerLlave, 0.2069)
	NetSounds.AddAnimSound(per,'Wiz_tke_r_key01',CogerLlave, 0.3103)
	NetSounds.AddAnimSound(per,'Wiz_tke_r_key02',CogerLlave, 0.2759)
	NetSounds.AddAnimSound(per,'Wiz_tke_r_key03',CogerLlave, 0.2754)
	NetSounds.AddAnimSound(per,'Wiz_tke_r_key04',CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Wiz_tke_r_key05',CogerLlave, 0.2654)
	
	NetSounds.AddAnimSound(per,'Wiz_tke_r_00', CogerEspada, 0.2069)
	NetSounds.AddAnimSound(per,'Wiz_tke_r_01', CogerEspada, 0.3103)
	NetSounds.AddAnimSound(per,'Wiz_tke_r_02', CogerEspada, 0.2759)
	NetSounds.AddAnimSound(per,'Wiz_tke_r_03', CogerEspada, 0.2754)
	NetSounds.AddAnimSound(per,'Wiz_tke_r_04', CogerEspada, 0.2727)
	NetSounds.AddAnimSound(per,'Wiz_tke_r_05', CogerEspada, 0.2654)
	
	NetSounds.AddAnimSound(per,"Wiz_key",RuidoLlaveCerradura, 0.4100)
	NetSounds.AddAnimSound(per,'Wiz_key',Ruidook, 0.2500)
	NetSounds.AddAnimSound(per,'Wiz_key',Ruidook, 0.1300)
	
	NetSounds.AddAnimSound(per,"Wiz_lvr_u",SonidoPalanca, 0.3889)
	NetSounds.AddAnimSound(per,"Wiz_lvr_d",SonidoPalanca, 0.3548)
	
	
	NetSounds.AddAnimSound(per,'Wiz_attack_f', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_f', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_f', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_f', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_f', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_f_s', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_f_s', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_f_s', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_f_s', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_f_s', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_b', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_b', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_b', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_b', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_b', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_b_s', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_b_s', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_b_s', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_b_s', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_b_s', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_b_spear', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_b_spear', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_b_spear', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_b_spear', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_b_spear', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_l', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_l', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_l', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_l', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_l', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_l_s', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_s', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_s', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_s', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_s', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_l_2w', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_2w', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_2w', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_2w', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_2w', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_l_spear', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_spear', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_spear', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_spear', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_l_spear', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_r', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_r', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_r', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_r', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_r', AndarWiz2, 0.8500)
	
	
	NetSounds.AddAnimSound(per,'Wiz_attack_r_s', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_s', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_s', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_s', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_s', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_r_2w', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_2w', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_2w', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_2w', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_2w', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_attack_r_spear', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_spear', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_spear', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_spear', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Wiz_attack_r_spear', AndarWiz2, 0.8500)
	
	
	NetSounds.AddAnimSound(per,'Wbk_no_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_no_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_no_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_no_Wiz', AndarWiz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_b_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_b_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_b_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_b_Wiz', AndarWiz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_spear_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_spear_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Wiz', AndarWiz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_2w_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2w_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Wiz', AndarWiz2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Wlk_no_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_no_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_no_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_no_Wiz', AndarWiz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_b_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_b_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_b_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_b_Wiz', AndarWiz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_2w_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2w_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Wiz', AndarWiz2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_spear_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_spear_Wiz', AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Wiz', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Wiz', AndarWiz2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Jog_1h_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_1h_Wiz', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_1h_Wiz', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_1h_Wiz', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_1h_Wiz', AndarWiz2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_no_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_no_Wiz', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_no_Wiz', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_no_Wiz', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_no_Wiz', AndarWiz2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_2w_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2w_Wiz', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2w_Wiz', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2w_Wiz', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2w_Wiz', AndarWiz2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_axe_Wiz', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_axe_Wiz', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_axe_Wiz', AndarWiz1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_axe_Wiz', AndarWiz2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_axe_Wiz', AndarWiz2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Wiz_jogb_1h', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_jogb_1h', AndarWiz2, 0.1500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_1h', AndarWiz1, 0.2500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_1h', AndarWiz2, 0.3500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_1h', AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_1h', AndarWiz1, 0.5500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_1h', AndarWiz2, 0.6500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_1h', AndarWiz1, 0.7500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_1h', AndarWiz2, 0.8500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_1h', AndarWiz2, 0.9500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_no', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_jogb_no', AndarWiz2, 0.1500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_no', AndarWiz1, 0.2500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_no', AndarWiz2, 0.3500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_no', AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_no', AndarWiz1, 0.5500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_no', AndarWiz2, 0.6500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_no', AndarWiz1, 0.7500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_no', AndarWiz2, 0.8500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_no', AndarWiz2, 0.9500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2w', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2w', AndarWiz2, 0.1500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2w', AndarWiz1, 0.2500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2w', AndarWiz2, 0.3500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2w', AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2w', AndarWiz1, 0.5500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2w', AndarWiz2, 0.6500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2w', AndarWiz1, 0.7500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2w', AndarWiz2, 0.8500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_2w', AndarWiz2, 0.9500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_axe', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_jogb_axe', AndarWiz2, 0.1500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_axe', AndarWiz1, 0.2500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_axe', AndarWiz2, 0.3500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_axe', AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_axe', AndarWiz1, 0.5500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_axe', AndarWiz2, 0.6500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_axe', AndarWiz1, 0.7500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_axe', AndarWiz2, 0.8500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_axe', AndarWiz2, 0.9500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_spear', AndarWiz1, 0.0534)
	NetSounds.AddAnimSound(per,'Wiz_jogb_spear', AndarWiz2, 0.1500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_spear', AndarWiz1, 0.2500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_spear', AndarWiz2, 0.3500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_spear', AndarWiz1, 0.5500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_spear', AndarWiz2, 0.6500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_spear', AndarWiz1, 0.7500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_spear', AndarWiz2, 0.8500)
	NetSounds.AddAnimSound(per,'Wiz_jogb_spear', AndarWiz2, 0.9500)
	
	
	NetSounds.AddAnimSound(per,'Snk_b_Wiz',AndarWiz1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_b_Wiz',AndarWiz2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_1h_Wiz',AndarWiz1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_1h_Wiz',AndarWiz2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_spear_Wiz',AndarWiz1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_spear_Wiz',AndarWiz2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_2w_Wiz',AndarWiz1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_2w_Wiz',AndarWiz2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_no_Wiz',AndarWiz1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_no_Wiz',AndarWiz2, 0.5000)
	
	NetSounds.AddAnimSound(per,"FallHigh_Wiz",CaidaWiz1, 0.1000)
	NetSounds.AddAnimSound(per,"FallHigh_Wiz",CaidaWiz2, 0.1700)
	NetSounds.AddAnimSound(per,"FallHigh_Wiz",HeridaWiz3, 0.2000)
	NetSounds.AddAnimSound(per,"FallHigh_Wiz",AndarWiz1, 0.1800)
	NetSounds.AddAnimSound(per,"FallLow_Wiz",CaidaWiz1, 0.1180)
	NetSounds.AddAnimSound(per,"FallLow_Wiz",CaidaWiz2, 0.1300)
	NetSounds.AddAnimSound(per,"FallLow_Wiz",HeridaWiz3, 0.1280)
	NetSounds.AddAnimSound(per,"FallLow_Wiz",AndarWiz1, 0.1250)
	NetSounds.AddAnimSound(per,"FallMed_Wiz",CaidaWiz1, 0.1180)
	NetSounds.AddAnimSound(per,"FallMed_Wiz",CaidaWiz2, 0.1300)
	NetSounds.AddAnimSound(per,"FallMed_Wiz",HeridaWiz3, 0.1280)
	NetSounds.AddAnimSound(per,"FallMed_Wiz",AndarWiz1, 0.1250)
	
	NetSounds.AddAnimSound(per,"Dth_Fll2_Wiz", CaidaWiz1, 0.1750)
	NetSounds.AddAnimSound(per,"Dth_Fll2_Wiz", MuerteSaltoVacioWiz1, 0.2000)

	NetSounds.AddAnimSound(per,"Dth_Fll_Wiz", Grito_Salto_VacioWiz, 0.1100)
	
	NetSounds.AddAnimSound(per,"Wiz_g_d_r",EsfuerzoCorto1Wiz, 0.1500)
	NetSounds.AddAnimSound(per,"Wiz_g_d_l",EsfuerzoCorto2Wiz, 0.1300)
	NetSounds.AddAnimSound(per,"Wiz_d_b",EsfuerzoCorto3Wiz, 0.1500)
	
	
	NetSounds.AddAnimSound(per,'Wiz_parryspear', EsfuerzoSubirWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wiz_parryspear', AndarWiz2, 0.6000)
	
	NetSounds.AddAnimSound(per,'Wiz_parry2w', EsfuerzoSubirFinalWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_parry2w', AndarWiz2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wiz_df_01', EsfuerzoSubirFinalWiz2, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_df_01', AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_df_02', EsfuerzoSubirWiz2, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_df_02', AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_df_s_broken', EsfuerzoSubirFinalWiz2, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_df_s_broken', AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_df_01_spear', EsfuerzoSubirWiz2, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_df_01_spear', AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_df_02_spear', EsfuerzoSubirFinalWiz2, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_df_02_spear', AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_df_01_2w', EsfuerzoSubirWiz2, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_df_01_2w', AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_df_02_2w', EsfuerzoSubirFinalWiz2, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_df_02_2w', AndarWiz1, 0.5000)
	
	NetSounds.AddAnimSound(per,'Wiz_hurt_f_lite', HeridaWiz2, 0.3000)
	NetSounds.AddAnimSound(per,'Wiz_hurt_f_big', HeridaWiz3, 0.3000)
	NetSounds.AddAnimSound(per,'Wiz_hurt_f_head', HeridaWiz2, 0.3889)
	NetSounds.AddAnimSound(per,'Wiz_hurt_f_breast', HeridaWiz3,0.3889)
	NetSounds.AddAnimSound(per,'Wiz_hurt_f_back', HeridaWiz2, 0.4211)
	NetSounds.AddAnimSound(per,'Wiz_hurt_f_r_arm', HeridaWiz3, 0.2100)
	NetSounds.AddAnimSound(per,'Wiz_hurt_f_l_arm', HeridaWiz2, 0.5333)
	NetSounds.AddAnimSound(per,'Wiz_hurt_f_r_leg', HeridaWiz3, 0.4076)
	NetSounds.AddAnimSound(per,'Wiz_hurt_f_l_leg', HeridaWiz2, 0.4375)
	NetSounds.AddAnimSound(per,'Wiz_hurt_jog', HeridaWiz3, 0.3000)
	NetSounds.AddAnimSound(per,'Wiz_hurt_head', HeridaWiz2, 0.6000)
	NetSounds.AddAnimSound(per,'Wiz_hurt_breast', HeridaWiz3, 0.3889)
	NetSounds.AddAnimSound(per,'Wiz_hurt_back', HeridaWiz3, 0.4211)
	NetSounds.AddAnimSound(per,'Wiz_hurt_r_arm', HeridaWiz2,0.4076)
	NetSounds.AddAnimSound(per,'Wiz_hurt_l_arm', HeridaWiz3, 0.5333)
	NetSounds.AddAnimSound(per,'Wiz_hurt_r_leg', HeridaWiz2, 0.4076)
	NetSounds.AddAnimSound(per,'Wiz_hurt_l_leg', HeridaWiz3, 0.4375)
	
	
	NetSounds.AddAnimSound(per,'Wiz_dth_i1', MuerteWiz1, 0.1200)
	NetSounds.AddAnimSound(per,'Wiz_dth_i2', MuerteWiz1, 0.1100)
	NetSounds.AddAnimSound(per,'Wiz_dth_bl1', MuerteWiz1, 0.1200)
	NetSounds.AddAnimSound(per,'Wiz_dth_bl2', MuerteWiz1, 0.1100)
	NetSounds.AddAnimSound(per,'Wiz_dth_rock', MuerteAplastamientoWiz1, 0.1200)
	NetSounds.AddAnimSound(per,'Wiz_dth_rock', HeridaWiz2, 0.1200)
	NetSounds.AddAnimSound(per,'Wiz_dth0', MuerteWiz1, 0.1300)
	NetSounds.AddAnimSound(per,"Wiz_dth0", CaidaWiz1, 0.5710)
	NetSounds.AddAnimSound(per,"Wiz_dth0", CaidaWiz2, 0.7700)
	NetSounds.AddAnimSound(per,"Wiz_dth0", AndarWiz1, 0.3000)
	NetSounds.AddAnimSound(per,"Wiz_dth0", AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,"Wiz_dth0", AndarWiz1, 0.6800)
	
	NetSounds.AddAnimSound(per,"Wiz_dth_n00", MuerteWiz1, 0.1100)
	NetSounds.AddAnimSound(per,"Wiz_dth_n00", AndarWiz1, 0.2000)
	NetSounds.AddAnimSound(per,"Wiz_dth_n00", AndarWiz2, 0.4000)
	NetSounds.AddAnimSound(per,"Wiz_dth_n00", AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,"Wiz_dth_n00", AndarWiz2, 0.7500)
	NetSounds.AddAnimSound(per,"Wiz_dth_n00", CaidaWiz1, 0.7000)
	NetSounds.AddAnimSound(per,"Wiz_dth_n01", MuerteWiz2, 0.1100)
	NetSounds.AddAnimSound(per,"Wiz_dth_n01", AndarWiz1, 0.2200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n01", AndarWiz2, 0.4200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n01", AndarWiz1, 0.6200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n01", AndarWiz2, 0.7500)
	NetSounds.AddAnimSound(per,"Wiz_dth_n01", CaidaWiz1, 0.6800)
	NetSounds.AddAnimSound(per,"Wiz_dth_n02", MuerteWiz3, 0.1200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n02", AndarWiz1, 0.2200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n02", AndarWiz2, 0.4200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n02", AndarWiz1, 0.6200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n02", AndarWiz1, 0.7500)
	NetSounds.AddAnimSound(per,"Wiz_dth_n02", CaidaWiz1, 0.7000)
	NetSounds.AddAnimSound(per,"Wiz_dth_n03", MuerteWiz4, 0.1200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n03", AndarWiz1, 0.2200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n03", AndarWiz2, 0.4200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n03", AndarWiz1, 0.6200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n03", AndarWiz1, 0.7500)
	NetSounds.AddAnimSound(per,"Wiz_dth_n03", CaidaWiz1, 0.6550)
	NetSounds.AddAnimSound(per,"Wiz_dth_n04", MuerteWiz4, 0.1100)
	NetSounds.AddAnimSound(per,"Wiz_dth_n04", AndarWiz1, 0.2200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n04", AndarWiz2, 0.4200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n04", AndarWiz1, 0.6200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n04", AndarWiz2, 0.7500)
	NetSounds.AddAnimSound(per,"Wiz_dth_n04", CaidaWiz1, 0.7600)
	NetSounds.AddAnimSound(per,"Wiz_dth_n05", MuerteWiz4, 0.1100)
	NetSounds.AddAnimSound(per,"Wiz_dth_n05", AndarWiz1, 0.2200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n05", AndarWiz2, 0.4200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n05", AndarWiz1, 0.6200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n05", AndarWiz1, 0.7500)
	NetSounds.AddAnimSound(per,"Wiz_dth_n05", CaidaWiz1, 0.7700)
	NetSounds.AddAnimSound(per,"Wiz_dth_n06", MuerteWiz2, 0.1200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n06", AndarWiz1, 0.2200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n06", AndarWiz2, 0.4200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n06", AndarWiz1, 0.6200)
	NetSounds.AddAnimSound(per,"Wiz_dth_n06", AndarWiz2, 0.7500)
	NetSounds.AddAnimSound(per,"Wiz_dth_n06", CaidaWiz1, 0.6900)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", DesangreWiz1, 0.1250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", AndarWiz1, 0.2250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", AndarWiz1, 0.3800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", AndarWiz2, 0.6000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", AndarWiz1, 0.6800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", AndarWiz2, 0.7200)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", CaidaWiz1, 0.7800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c1", DesangreWiz2, 0.2500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", DesangreWiz1, 0.1250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", DesangreWiz2, 0.2500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", AndarWiz1, 0.2250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", AndarWiz1, 0.3800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", AndarWiz2, 0.6000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", AndarWiz1, 0.6800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", AndarWiz2, 0.7200)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", CaidaWiz1, 0.7720)
	NetSounds.AddAnimSound(per,"Wiz_dth_c2", CaidaWiz2, 0.8720)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", DesangreWiz1, 0.1250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", DesangreWiz2, 0.2500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", AndarWiz1, 0.2250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", AndarWiz1, 0.3800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", AndarWiz2, 0.6000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", AndarWiz1, 0.6800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", AndarWiz1, 0.7200)
	NetSounds.AddAnimSound(per,"Wiz_dth_c3", CaidaWiz1, 0.7220)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", DesangreWiz1, 0.1250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", DesangreWiz2, 0.2500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", AndarWiz1, 0.2250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", AndarWiz1, 0.3800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", AndarWiz2, 0.6000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", AndarWiz1, 0.6800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", CaidaWiz1, 0.7000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c4", CaidaWiz2, 0.8720)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", DesangreWiz1, 0.1250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", DesangreWiz2, 0.2500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", AndarWiz1, 0.2250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", AndarWiz1, 0.3800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", AndarWiz2, 0.6000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", AndarWiz1, 0.6800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", AndarWiz2, 0.7200)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", CaidaWiz1, 0.7720)
	NetSounds.AddAnimSound(per,"Wiz_dth_c5", CaidaWiz2, 0.5500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", DesangreWiz1, 0.1250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", DesangreWiz2, 0.2500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", AndarWiz1, 0.2250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", AndarWiz2, 0.3000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", AndarWiz1, 0.3800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", AndarWiz2, 0.6000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", AndarWiz1, 0.6800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", AndarWiz2, 0.7200)
	NetSounds.AddAnimSound(per,"Wiz_dth_c6", CaidaWiz1, 0.7700)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", DesangreWiz1, 0.1250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", DesangreWiz2, 0.2500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", AndarWiz1, 0.2250)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", AndarWiz1, 0.3000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", AndarWiz2, 0.3800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", AndarWiz2, 0.4500)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", AndarWiz1, 0.5000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", AndarWiz2, 0.6800)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", AndarWiz1, 0.7200)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", CaidaWiz1, 0.6300)
	NetSounds.AddAnimSound(per,"Wiz_dth_c7", CaidaWiz2, 0.6900)
	
	NetSounds.AddAnimSound(per,"Wiz_dth_burn", MuerteQuemandoWiz, 0.1100)
	
	NetSounds.AddAnimSound(per,"Wiz_dth_rockfront", MuerteAplastamientoWiz1, 0.1000)
	NetSounds.AddAnimSound(per,"Wiz_dth_rockfront", HeridaWiz2, 0.1000)
	
	NetSounds.AddAnimSound(per,'Wiz_g_51', EsfuerzoCorto2Wiz, 0.4030)
	NetSounds.AddAnimSound(per,'Wiz_g_51', AndarWiz2, 0.3700)
	NetSounds.AddAnimSound(per,'Wiz_g_51', SesgadoCortoGrave, 0.4030)
	
	NetSounds.AddAnimSound(per,'Wiz_g_55', EsfuerzoCorto3Wiz, 0.4030)
	NetSounds.AddAnimSound(per,'Wiz_g_55', AndarWiz1, 0.3700)
	NetSounds.AddAnimSound(per,'Wiz_g_55', SesgadoCorto, 0.4030)
	
	NetSounds.AddAnimSound(per,'Wiz_g_52', EsfuerzoCorto6Wiz, 0.4030)
	NetSounds.AddAnimSound(per,'Wiz_g_52', AndarWiz1, 0.3700)
	NetSounds.AddAnimSound(per,'Wiz_g_52', SesgadoCortoAgudo, 0.4030)
	
	NetSounds.AddAnimSound(per,'Wiz_g_53', EsfuerzoCorto4Wiz, 0.4030)
	NetSounds.AddAnimSound(per,'Wiz_g_53', AndarWiz1, 0.3700)
	NetSounds.AddAnimSound(per,'Wiz_g_53', SesgadoCortoAgudo, 0.4030)
	
	NetSounds.AddAnimSound(per,'Wiz_g_54', EsfuerzoCorto5Wiz, 0.4030)
	NetSounds.AddAnimSound(per,'Wiz_g_54', AndarWiz1, 0.3700)
	NetSounds.AddAnimSound(per,'Wiz_g_54', SesgadoCortoGrave, 0.4030)
	
	NetSounds.AddAnimSound(per,'Wiz_g_57', SesgadoCortoGrave, 0.137)
	NetSounds.AddAnimSound(per,'Wiz_g_57', SesgadoEspecialLargo2, 0.415)
	NetSounds.AddAnimSound(per,'Wiz_g_57', EsfuerzoCorto2Wiz, 0.130)
	
	
	NetSounds.AddAnimSound(per,'Wiz_g_magic12', SesgadoEspecialLargo2, 0.304)
	
	NetSounds.AddAnimSound(per,'Wiz_g_08', EsfuerzoCorto2Wiz, 0.4030)
	NetSounds.AddAnimSound(per,'Wiz_g_08', AndarWiz2, 0.3700)
	NetSounds.AddAnimSound(per,'Wiz_g_08', SesgadoCortoGrave, 0.4030)
	NetSounds.AddAnimSound(per,'Wiz_g_01', EsfuerzoCorto6Wiz, 0.1000)
	NetSounds.AddAnimSound(per,'Wiz_g_01', AndarWiz1, 0.2800)
	NetSounds.AddAnimSound(per,'Wiz_g_01', SesgadoCorto, 0.3117)
	NetSounds.AddAnimSound(per,'Wiz_g_02', EsfuerzoCorto5Wiz, 0.3026)
	NetSounds.AddAnimSound(per,'Wiz_g_02', AndarWiz2, 0.2500)
	NetSounds.AddAnimSound(per,'Wiz_g_02', SesgadoCortoAgudo, 0.3026)
	NetSounds.AddAnimSound(per,'Wiz_g_05', EsfuerzoCorto2Wiz, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_g_05', AndarWiz1, 0.4600)
	NetSounds.AddAnimSound(per,'Wiz_g_05', SesgadoEspecialLargo1, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_g_06', SesgadoCorto, 0.4342)
	NetSounds.AddAnimSound(per,'Wiz_g_06', EsfuerzoCorto3Wiz, 0.4342)
	NetSounds.AddAnimSound(per,'Wiz_g_06', AndarWiz2, 0.4342)
	NetSounds.AddAnimSound(per,'Wiz_g_07', EsfuerzoCorto4Wiz, 0.3291)
	NetSounds.AddAnimSound(per,'Wiz_g_07', AndarWiz1, 0.2800)
	NetSounds.AddAnimSound(per,'Wiz_g_07', SesgadoEspecialLargo1, 0.3291)
	NetSounds.AddAnimSound(per,'Wiz_g_09', EsfuerzoCorto4Wiz, 0.3291)
	NetSounds.AddAnimSound(per,'Wiz_g_09', AndarWiz1, 0.2800)
	NetSounds.AddAnimSound(per,'Wiz_g_09', SesgadoCorto, 0.3291)
	NetSounds.AddAnimSound(per,'Wiz_g_01a', EsfuerzoCorto4Wiz, 0.3220)
	NetSounds.AddAnimSound(per,'Wiz_g_01a', AndarWiz1, 0.6000)
	NetSounds.AddAnimSound(per,'Wiz_g_01a', SesgadoCorto, 0.3220)
	NetSounds.AddAnimSound(per,'Wiz_g_02a', EsfuerzoCorto2Wiz, 0.2750)
	NetSounds.AddAnimSound(per,'Wiz_g_02a', AndarWiz1, 0.2200)
	NetSounds.AddAnimSound(per,'Wiz_g_02a', SesgadoCorto, 0.2830)
	NetSounds.AddAnimSound(per,'Wiz_g_05a', EsfuerzoCorto6Wiz, 0.1100)
	NetSounds.AddAnimSound(per,'Wiz_g_05a', AndarWiz1, 0.7000)
	NetSounds.AddAnimSound(per,'Wiz_g_05a', SesgadoCorto, 0.2630)
	NetSounds.AddAnimSound(per,'Wiz_g_06a', EsfuerzoCorto1Wiz, 0.4360)
	NetSounds.AddAnimSound(per,'Wiz_g_06a', AndarWiz1, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_06a', SesgadoCorto, 0.4630)
	NetSounds.AddAnimSound(per,'Wiz_g_06a', AndarWiz2, 0.7000)
	NetSounds.AddAnimSound(per,'Wiz_g_07a', EsfuerzoCorto1Wiz, 0.1050)
	NetSounds.AddAnimSound(per,'Wiz_g_07a', SesgadoCortoGrave, 0.3410)
	NetSounds.AddAnimSound(per,'Wiz_g_07a', AndarWiz2, 0.7000)
	NetSounds.AddAnimSound(per,'Wiz_g_07a', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_09a', EsfuerzoCorto5Wiz, 0.3220)
	NetSounds.AddAnimSound(per,'Wiz_g_09a', SesgadoCortoGrave, 0.3220)
	NetSounds.AddAnimSound(per,'Wiz_g_09a', AndarWiz2, 0.7000)
	NetSounds.AddAnimSound(per,'Wiz_g_09a', AndarWiz2, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_11', EsfuerzoGolpeFrontalWiz, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_11', AndarWiz1, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_g_11', SesgadoEspecialLargo1, 0.4685)
	NetSounds.AddAnimSound(per,'Wiz_g_12', EsfuerzoGolpeFrontalWiz, 0.3000)
	NetSounds.AddAnimSound(per,'Wiz_g_12', AndarWiz2, 0.5500)
	NetSounds.AddAnimSound(per,'Wiz_g_12', SesgadoEspecialLargo1, 0.5954)
	
	NetSounds.AddAnimSound(per,'Wiz_g_13', EsfuerzoGolpeFrontalWiz, 0.1500)
	NetSounds.AddAnimSound(per,'Wiz_g_13', AndarWiz1, 0.2750)
	NetSounds.AddAnimSound(per,'Wiz_g_13', SesgadoEspecialLargo1, 0.3053)
	NetSounds.AddAnimSound(per,'Wiz_g_14', EsfuerzoGolpeLateralWiz, 0.3969)
	NetSounds.AddAnimSound(per,'Wiz_g_14', AndarWiz1, 0.3500)
	NetSounds.AddAnimSound(per,'Wiz_g_14', SesgadoEspecialLargo1, 0.3969)
	NetSounds.AddAnimSound(per,'Wiz_g_16', EsfuerzoCorto1Wiz, 0.4400)
	NetSounds.AddAnimSound(per,'Wiz_g_16', AndarWiz1, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_g_16', SesgadoEspecialLargo1, 0.4681)
	NetSounds.AddAnimSound(per,'Wiz_g_15', EsfuerzoGolpeLateralWiz, 0.4628)  #no se si se usa
	NetSounds.AddAnimSound(per,'Wiz_g_15', AndarWiz2, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_g_15', SesgadoEspecialLargo1, 0.4628)
	NetSounds.AddAnimSound(per,'Wiz_g_17', SesgadoEspecialLargo1, 0.4427)
	NetSounds.AddAnimSound(per,'Wiz_g_17', EsfuerzoCorto1Wiz, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_g_17', AndarWiz2, 0.3600)
	NetSounds.AddAnimSound(per,'Wiz_g_18', EsfuerzoGolpeArribaWiz, 0.4224)
	NetSounds.AddAnimSound(per,'Wiz_g_18', AndarWiz1, 0.3800)
	NetSounds.AddAnimSound(per,'Wiz_g_18', SesgadoEspecialLargo1, 0.4224)
	
	NetSounds.AddAnimSound(per,'Wiz_g_21', EsfuerzoGolpeArribaWiz, 0.5300)
	NetSounds.AddAnimSound(per,'Wiz_g_21', AndarWiz1, 0.4600)
	NetSounds.AddAnimSound(per,'Wiz_g_21', SesgadoEspecialLargo1, 0.5410)
	NetSounds.AddAnimSound(per,'Wiz_g_22', EsfuerzoGolpeAtrasWiz, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_g_22', AndarWiz1, 0.4100)
	NetSounds.AddAnimSound(per,'Wiz_g_22', SesgadoLargo, 0.4698)
	NetSounds.AddAnimSound(per,'Wiz_g_23', EsfuerzoGolpeArribaWiz, 0.4800)
	NetSounds.AddAnimSound(per,'Wiz_g_23', SesgadoLargo, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_g_23', AndarWiz1, 0.3000)
	NetSounds.AddAnimSound(per,'Wiz_g_26', EsfuerzoGolpeCabezaWiz, 0.4480)
	NetSounds.AddAnimSound(per,'Wiz_g_26', AndarWiz2, 0.2400)
	NetSounds.AddAnimSound(per,'Wiz_g_26', SesgadoLargoAgudo, 0.4480)
	NetSounds.AddAnimSound(per,'Wiz_g_27', EsfuerzoCorto6Wiz, 0.3800)
	NetSounds.AddAnimSound(per,'Wiz_g_27', SesgadoLargoAgudo, 0.6210)
	NetSounds.AddAnimSound(per,'Wiz_g_27', SesgadoLargoGrave, 0.8100)
	
	NetSounds.AddAnimSound(per,'Wiz_g_27kata', EsfuerzoCorto1Wiz, 0.4870)
	NetSounds.AddAnimSound(per,'Wiz_g_27kata', SesgadoLargo, 0.4870)
	NetSounds.AddAnimSound(per,'Wiz_g_27kata', SesgadoCortoAgudo, 0.1050)
	NetSounds.AddAnimSound(per,'Wiz_g_27kata', SesgadoCortoGrave, 0.2170)
	NetSounds.AddAnimSound(per,'Wiz_g_31', EsfuerzoGolpeAtrasWiz, 0.2950)
	NetSounds.AddAnimSound(per,'Wiz_g_31', AndarWiz2, 0.2500)
	NetSounds.AddAnimSound(per,'Wiz_g_31', SesgadoEspecialLargo2, 0.2950)
	NetSounds.AddAnimSound(per,'Wiz_g_31', SesgadoEspecialLargo1, 0.4300)
	NetSounds.AddAnimSound(per,'Wiz_g_s18', EsfuerzoGolpeFrontalWiz, 0.1500)
	NetSounds.AddAnimSound(per,'Wiz_g_s18', AndarWiz1, 0.2750)
	NetSounds.AddAnimSound(per,'Wiz_g_s18', SesgadoCorto, 0.6140)
	NetSounds.AddAnimSound(per,'Wiz_g_s18', AndarWiz2, 0.7000)
	NetSounds.AddAnimSound(per,'Wiz_g_s18_2h', EsfuerzoGolpeFrontalWiz, 0.1500)
	NetSounds.AddAnimSound(per,'Wiz_g_s18_2h', AndarWiz1, 0.2750)
	NetSounds.AddAnimSound(per,'Wiz_g_s18_2h', SesgadoCorto, 0.6100)
	NetSounds.AddAnimSound(per,'Wiz_g_s18_2h', AndarWiz2, 0.7000)
	NetSounds.AddAnimSound(per,'Wiz_g_06lowkata_new', SesgadoCorto, 0.2270)
	NetSounds.AddAnimSound(per,'Wiz_g_06lowkata_new', SesgadoCortoAgudo, 0.4750)
	NetSounds.AddAnimSound(per,'Wiz_g_06lowkata_new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Wiz_g_06lowkata_new', EsfuerzoCorto2Wiz, 0.1000)
	NetSounds.AddAnimSound(per,'Wiz_g_06lowkata_new', EsfuerzoCorto2Wiz, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_06lowkata_new', EsfuerzoCorto3Wiz, 0.4750)
	NetSounds.AddAnimSound(per,'Wiz_g_06lowkata_new', AndarWiz2, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_g_32_5_3new', EsfuerzoGolpeAtrasWiz, 0.1850)
	NetSounds.AddAnimSound(per,'Wiz_g_32_5_3new', SesgadoCortoAgudo, 0.1850)
	NetSounds.AddAnimSound(per,'Wiz_g_32_5_3new', EsfuerzoWizMediano, 0.3100)
	NetSounds.AddAnimSound(per,'Wiz_g_32_5_3new', SesgadoCorto, 0.3100)
	NetSounds.AddAnimSound(per,'Wiz_g_32_5_3new', AndarWiz2, 0.7000)
	NetSounds.AddAnimSound(per,'Wiz_g_32_5_3new', EsfuerzoCortoWiz, 0.5300)
	NetSounds.AddAnimSound(per,'Wiz_g_32_5_3new', SesgadoLargo, 0.5300)
	NetSounds.AddAnimSound(per,'Wiz_g_12low', AndarWiz2, 0.7000)
	NetSounds.AddAnimSound(per,'Wiz_g_12low', EsfuerzoCortoWiz, 0.3240)
	NetSounds.AddAnimSound(per,'Wiz_g_12low', SesgadoLargo, 0.3240)
	NetSounds.AddAnimSound(per,'Wiz_g_s11', AndarWiz2, 0.7000)
	NetSounds.AddAnimSound(per,'Wiz_g_s11', EsfuerzoCortoWiz, 0.2950)
	NetSounds.AddAnimSound(per,'Wiz_g_s11', SesgadoLargo, 0.3000)
	NetSounds.AddAnimSound(per,'Wiz_g_s3_new', SesgadoEspecialLargo1, 0.2860)
	NetSounds.AddAnimSound(per,'Wiz_g_s3_new', EsfuerzoGolpeArribaWiz, 0.2600)
	NetSounds.AddAnimSound(per,'Wiz_g_s3_new', AndarWiz1, 0.3200)
	NetSounds.AddAnimSound(per,'Wiz_g_s22low_new',SesgadoLargo, 0.3970)
	NetSounds.AddAnimSound(per,'Wiz_g_s22low_new',EsfuerzoGolpeArribaWiz, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_s22low_new',AndarWiz1, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_g_s22low_new',AndarWiz2, 0.8000)
	NetSounds.AddAnimSound(per,"Wiz_g_punch1",EsfuerzoCorto4Wiz, 0.4000)
	NetSounds.AddAnimSound(per,"Wiz_g_punch2",EsfuerzoCorto1Wiz, 0.4000)
	NetSounds.AddAnimSound(per,"Wiz_g_punch3",EsfuerzoCorto2Wiz, 0.1250)
	NetSounds.AddAnimSound(per,"Wiz_g_kick",EsfuerzoCorto2Wiz, 0.1250)
	
	NetSounds.AddAnimSound(per,'Wiz_g_back', SesgadoCortoAgudo, 0.1200)
	NetSounds.AddAnimSound(per,'Wiz_g_back', EsfuerzoCorto1Wiz, 0.1200)
	NetSounds.AddAnimSound(per,'Wiz_g_back', AndarWiz2, 0.1500)
	NetSounds.AddAnimSound(per,'Wiz_g_back', EsfuerzoCorto2Wiz, 0.3800)
	NetSounds.AddAnimSound(per,'Wiz_g_back', SesgadoLargoAgudo, 0.3800)
	
	NetSounds.AddAnimSound(per,'Wiz_g_bad_axe', EsfuerzoGolpeFrontalWiz, 0.1200)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_axe', SesgadoLento, 0.4260)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_1h', SesgadoLento, 0.3060)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_1h', EsfuerzoGolpeFrontalWiz, 0.1100)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_1h', AndarWiz2, 0.4300)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_1h', AndarWiz1, 0.7000)	
	NetSounds.AddAnimSound(per,'Wiz_g_bad_no', SesgadoCorto, 0.3060)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_no', EsfuerzoGolpeFrontalWiz, 0.1100)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_no', AndarWiz2, 0.4300)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_no', AndarWiz1, 0.7000)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_sword2', SesgadoLento, 0.4370)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_sword2', EsfuerzoGolpeAtrasWiz, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_sword2', AndarWiz1, 0.3800)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_sword3', SesgadoLento, 0.3150)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_sword3', EsfuerzoGolpeFrontalWiz, 0.2650)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_sword3', AndarWiz2, 0.2200)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_spear', SesgadoCorto, 0.2600)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_spear', EsfuerzoGolpeFrontalWiz, 0.1900)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_spear', AndarWiz2, 0.2200)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_spear2', SesgadoLargo, 0.4520)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_spear2', EsfuerzoGolpeCabezaWiz, 0.3350)
	NetSounds.AddAnimSound(per,'Wiz_g_bad_spear2', AndarWiz2, 0.4700)
	NetSounds.AddAnimSound(per,'Wiz_g_magic', ConcBladeSword1, 0.1300)
	NetSounds.AddAnimSound(per,'Wiz_g_magic', EsfuerzoGolpeLateralWiz, 0.5400)
	NetSounds.AddAnimSound(per,'Wiz_g_magic', SesgadoLargoGrave, 0.5530)
	NetSounds.AddAnimSound(per,'Wiz_g_magic2', ConcBladeSword2, 0.1000)
	NetSounds.AddAnimSound(per,'Wiz_g_magic2', EsfuerzoGolpeLateralWiz, 0.3250)
	NetSounds.AddAnimSound(per,'Wiz_g_magic2', SesgadoLargoGrave, 0.5530)
	NetSounds.AddAnimSound(per,'Wiz_g_magic11', SesgadoEspecialLargo3, 0.4000)
	NetSounds.AddAnimSound(per,'Wiz_g_magic11', SesgadoEspecialLargo4, 0.5000)
	NetSounds.AddAnimSound(per,'Wiz_g_02wolf', EsfuerzoCorto7Wiz, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_07wolf', EsfuerzoCorto8Wiz, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_09wolf', EsfuerzoCorto9Wiz, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_16wolf', EsfuerzoCorto10Wiz, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_claw1wolf', EsfuerzoCorto12Wiz, 0.2000)
	NetSounds.AddAnimSound(per,'Wiz_g_punch2wolf', EsfuerzoCorto11Wiz, 0.4000)



	
	
	
	
	

	

	
