import BUIx
import Bladex
import ScorerWidgets
import WidgetsExtra
import ScorerActions
#import PowDefWidgets
import Raster
import B3DLib
import math
import CharStats
import MenuText
import Scorer



ALPHAMAX=1.0
ALPHAMIN=0.2


char=Bladex.GetEntity("Player1")


Bladex.ReadBitMap("../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/mslider.bmp","Magic")


wMagicMarker = BUIx.B_BitmapWidget(Scorer.wLeftFrame,"MagicObjNameBg",186,30,"MagicLevelBar","../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/magicbarwidget.mmp");
wMagicMarker.SetColor(255,255,255)
wMagicMarker.SetAlpha(1.0)


wMagicBar=ScorerWidgets.B_SmoothBarWidget(Scorer.wLeftFrame,"MagicBar",195 + Scorer.BAR_DELTA,5)
wMagicBar.SetColor(128,255,0)
wMagicBar.SetAlpha(1.0)
wMagicBar.SetBackgroundAlpha(0.0)
wMagicBar.SetBackgroundColor(0,80,110)


wMagicBar.SetBitmap("Magic")



Scorer.wLeftFrame.AddWidget(wMagicBar,14,37)       #14,6
Scorer.wLeftFrame.AddWidget(wMagicMarker,12,23)


Scorer.wFrame.SetAutoScale(1)
#if Scorer.wants_auto_scale:
wMagicBar.SetAutoScale(1)
wMagicMarker.SetAutoScale(1)
	
	
	
	
def SetMagicLimits(inf,sup):
  	wMagicBar.SetLimits(inf,sup)
  	
  	
def SetMagicBarValue(v):
  	wMagicBar.SetPosition(v*(6.5/8.0))
	
def ResetMagicScorer():
        wMagicBar.SetAutoScale(1)
	wMagicMarker.SetAutoScale(1)


	
######################### Spells



SpellWidgetsmmp=( "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/spellwidgets.mmp")

widg1=BUIx.B_BitmapWidget(Scorer.wFrame,"Spell1",17,17,"SPELL1", SpellWidgetsmmp)
widg1.SetColor(255,255,255)
Scorer.wFrame.AddWidget(widg1,18,53,
       	BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,
       	BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
widg1.SetAlpha(ALPHAMIN)
widg1.SetVisible(0)
widg1.SetAutoScale(1)
        	



widg2=BUIx.B_BitmapWidget(Scorer.wFrame,"Spell2",17,17,"SPELL2", SpellWidgetsmmp)
widg2.SetColor(255,255,255)
Scorer.wFrame.AddWidget(widg2,36,53,
       	BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,
       	BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
widg2.SetAlpha(ALPHAMIN)
widg2.SetVisible(0)
widg2.SetAutoScale(1)
        	



widg3=BUIx.B_BitmapWidget(Scorer.wFrame,"Spell3",17,17,"SPELL3", SpellWidgetsmmp)
widg3.SetColor(255,255,255)
Scorer.wFrame.AddWidget(widg3,54,53,
       	BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,
       	BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
widg3.SetAlpha(ALPHAMIN)
widg3.SetVisible(0)
widg3.SetAutoScale(1)
        	




widg4=BUIx.B_BitmapWidget(Scorer.wFrame,"Spell4",17,17,"SPELL4", SpellWidgetsmmp)
widg4.SetColor(255,255,255)
Scorer.wFrame.AddWidget(widg4,72,53,
       	BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,
       	BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
widg4.SetAlpha(ALPHAMIN)
widg4.SetVisible(0)
widg4.SetAutoScale(1)
        	




widg5=BUIx.B_BitmapWidget(Scorer.wFrame,"Spell5",17,17,"SPELL5", SpellWidgetsmmp)
widg5.SetColor(255,255,255)
Scorer.wFrame.AddWidget(widg5,90,53,
       	BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,
       	BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
widg5.SetAlpha(ALPHAMIN)
widg5.SetVisible(0)
widg5.SetAutoScale(1)
        	




widg6=BUIx.B_BitmapWidget(Scorer.wFrame,"Spell6",17,17,"SPELL6", SpellWidgetsmmp)
widg6.SetColor(255,255,255)
Scorer.wFrame.AddWidget(widg6,113,53,
       	BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,
       	BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
widg6.SetAlpha(ALPHAMIN)
widg6.SetVisible(0)
widg6.SetAutoScale(1)
        	




widg7=BUIx.B_BitmapWidget(Scorer.wFrame,"Spell7",17,17,"SPELL7", SpellWidgetsmmp)
widg7.SetColor(255,255,255)
Scorer.wFrame.AddWidget(widg7,131,53,
       	BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,
       	BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
widg7.SetAlpha(ALPHAMIN)
widg7.SetVisible(0)
widg7.SetAutoScale(1)
        	



widg8=BUIx.B_BitmapWidget(Scorer.wFrame,"Spell8",17,17,"SPELL8", SpellWidgetsmmp)
widg8.SetColor(255,255,255)
Scorer.wFrame.AddWidget(widg8,149,53,
       	BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,
       	BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
widg8.SetAlpha(ALPHAMIN)
widg8.SetVisible(0)
widg8.SetAutoScale(1)
        	




widg9=BUIx.B_BitmapWidget(Scorer.wFrame,"Spell9",17,17,"SPELL9", SpellWidgetsmmp)
widg9.SetColor(255,255,255)
Scorer.wFrame.AddWidget(widg9,167,53,
       	BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,
       	BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
widg9.SetAlpha(ALPHAMIN)
widg9.SetVisible(0)
widg9.SetAutoScale(1)
        	





widg10=BUIx.B_BitmapWidget(Scorer.wFrame,"Spell10",17,17,"SPELL10", SpellWidgetsmmp)
widg10.SetColor(255,255,255)
Scorer.wFrame.AddWidget(widg10,185,53,
       	BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,
       	BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
widg10.SetAlpha(ALPHAMIN)
widg10.SetVisible(0)
widg10.SetAutoScale(1)
        	





def Show1():
	widg1.SetVisible(1)
	
def Show2():
	widg2.SetVisible(1)
	
def Show3():
	widg3.SetVisible(1)
	
def Show4():
	widg4.SetVisible(1)

def Show5():
	widg5.SetVisible(1)

def Show6():
	widg6.SetVisible(1)

def Show7():
	widg7.SetVisible(1)

def Show8():
	widg8.SetVisible(1)

def Show9():
	widg9.SetVisible(1)

def Show10():
	widg10.SetVisible(1)





def Full1():
	widg1.SetAlpha(ALPHAMAX)
	
def Full2():
	widg2.SetAlpha(ALPHAMAX)
	
	
def Full3():
	widg3.SetAlpha(ALPHAMAX)
	
def Full4():
	widg4.SetAlpha(ALPHAMAX)
	
def Full5():
	widg5.SetAlpha(ALPHAMAX)
	
def Full6():
	widg6.SetAlpha(ALPHAMAX)
	
def Full7():
	widg7.SetAlpha(ALPHAMAX)
	
def Full8():
	widg8.SetAlpha(ALPHAMAX)
	
def Full9():
	widg9.SetAlpha(ALPHAMAX)
	
def Full10():
	widg10.SetAlpha(ALPHAMAX)




def Dim1():
	widg1.SetAlpha(ALPHAMIN)
	
def Dim2():
	widg2.SetAlpha(ALPHAMIN)
	
	
def Dim3():
	widg3.SetAlpha(ALPHAMIN)
	
def Dim4():
	widg4.SetAlpha(ALPHAMIN)
	
def Dim5():
	widg5.SetAlpha(ALPHAMIN)
	
def Dim6():
	widg6.SetAlpha(ALPHAMIN)
	
def Dim7():
	widg7.SetAlpha(ALPHAMIN)
	
def Dim8():
	widg8.SetAlpha(ALPHAMIN)
	
def Dim9():
	widg9.SetAlpha(ALPHAMIN)
	
def Dim10():
	widg10.SetAlpha(ALPHAMIN)



def MscorerHide():
	widg1.SetAlpha(0.0)
	widg2.SetAlpha(0.0)
	widg3.SetAlpha(0.0)
	widg4.SetAlpha(0.0)
	widg5.SetAlpha(0.0)
	widg6.SetAlpha(0.0)
	widg7.SetAlpha(0.0)
	widg8.SetAlpha(0.0)
	widg9.SetAlpha(0.0)
	widg10.SetAlpha(0.0)






print "MScorer ON"