######################################################
#
# Create sets of attacks
#
#        - Wiz -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Wiz","g_08","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_01","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_01low_new","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_02","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_05","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_06","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_07","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_09","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_01a","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_02a","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_05a","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_06a","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_07a","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_09a","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_18","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_15","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_14","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_13","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_16","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_11","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_12","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_17","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_21","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_22","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_23","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_26","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_27","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_31","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_punch1","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_punch2","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_kick","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_back","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_magic","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_magic2","ATTACKING")

Bladex.SetActionEventTable("Wiz","g_bad_sword1","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_bad_sword2","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_bad_sword3","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_bad_spear2","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_s18_2h","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_06lowkata_new","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_s3_new","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_s22low_new","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_32_5_3new","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_27kata","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_12low","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_s11","ATTACKING")


Bladex.SetActionEventTable("Wiz","g_51","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_52","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_53","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_54","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_55","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_56","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_57","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_58","ATTACKING")


Bladex.SetActionEventTable("Wiz","g_magic01","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_magic02","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_magic03","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_magic06","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_magic11","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_magic12","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_invoke","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_3s9_6new","ATTACKING")

Bladex.SetActionEventTable("Wiz","g_02wolf","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_07wolf","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_09wolf","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_16wolf","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_claw1wolf","ATTACKING")
Bladex.SetActionEventTable("Wiz","g_punch2wolf","ATTACKING")




# clumsy attacks
Bladex.SetActionEventTable("Wiz","g_bad_axe", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Wiz","g_bad_spear", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Wiz","g_bad_sword", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Wiz","g_bad_no", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Wiz","g_bad_1h", "ATTACKING_NOMOVE")

# Draw attacks
Bladex.SetActionEventTable("Wiz","g_draw_rlx", "ATTACKING")
Bladex.SetActionEventTable("Wiz","g_draw_run", "ATTACKING")

#Dodge->attacks
Bladex.SetActionEventTable("Wiz","g_d_r", "ATTACKING")
Bladex.SetActionEventTable("Wiz","g_d_l", "ATTACKING")

# Predeclare & link all my dodges into DODGES action event tables
Bladex.SetActionEventTable("Wiz","D_r", "DODGING")
Bladex.SetActionEventTable("Wiz","D_l", "DODGING")
Bladex.SetActionEventTable("Wiz","D_b", "DODGING")

wiz=Bladex.GetCharType("Wizard_A","Wiz")

#
#Dodge groups
#

#Dodges themselves
wiz.AddAttack("DR","D_r")
#wiz.AttackWindow("D_r",0.315,0.510,"GI_1H_Window") # O lo que sea
wiz.AttackTypeFlag("DR",ATK_UNIQUE) 

wiz.AddAttack("DL","D_l")
wiz.AttackTypeFlag("DL",ATK_UNIQUE) 

wiz.AddAttack("DB","D_b")
wiz.AttackTypeFlag("DB",ATK_UNIQUE) 

#Dodge attacks
wiz.AddAttack("DR_G_1H","g_d_r")
wiz.AssignTrail("DR_G_1H","","EstelaAmarilla1")
wiz.AddLevels("g_d_r",1,40)
wiz.AttackTypeFlag("DR",ATK_UNIQUE) 

wiz.AddAttack("DL_G_1H","g_d_l")
wiz.AssignTrail("DL_G_1H","","EstelaAmarilla1")
wiz.AddLevels("g_d_l",1,40)
wiz.AttackTypeFlag("DL",ATK_UNIQUE) 

#wiz.AddAttack("DB_G_1H","D_b_g")
#wiz.AttackTypeFlag("DB",ATK_UNIQUE) 


###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#COMBOALEATORIO1
wiz.AddAttack("GM43_1H","Wiz_g_26")
wiz.AttackWindow("Wiz_g_26",0.445,0.668,"GM43_1H_Window")
wiz.AssignTrail("GM43_1H","","EstelaAmarilla1")
wiz.AddLevels("Wiz_g_26",4,40)

#COMBOHACHATORPE group
wiz.AddAttack("GM1_AXE","Wiz_g_bad_axe")
wiz.AttackWindow("Wiz_g_bad_axe",0.435,0.643,"GM1_AXE_Window")
wiz.AssignTrail("GM1_AXE","","EstelaAmarilla1")
wiz.AddLevels("Wiz_g_bad_axe",0,8)

#COMBOHACHATORPE2 group
wiz.AddAttack("GM7_AXE","Wiz_g_bad_spear")
wiz.AttackWindow("Wiz_g_bad_spear",0.461,0.748,"GM7_AXE_Window")
wiz.AssignTrail("GM7_AXE","","EstelaAmarilla1")
wiz.AddLevels("Wiz_g_bad_spear",0,20)

#COMBOESPADATORPE1 group
wiz.AddAttack("GM2_2W","Wiz_g_bad_sword1")
wiz.AttackWindow("Wiz_g_bad_sword1",0.225,0.575,"GM2_2W_Window")
wiz.AssignTrail("GM2_2W","","EstelaAmarilla1")
wiz.AddLevels("Wiz_g_bad_sword1",0,40)

#COMBOESPADATORPE2 group
wiz.AddAttack("GM3_2W","Wiz_g_bad_sword2")
wiz.AttackWindow("Wiz_g_bad_sword2",0.464,0.741,"GM3_2W_Window")
wiz.AssignTrail("GM3_2W","","EstelaAmarilla1")
wiz.AddLevels("Wiz_g_bad_sword2",0,40)

#COMBOESPADATORPE2 group
wiz.AddAttack("GM4_2W","Wiz_g_bad_sword3")
wiz.AttackWindow("Wiz_g_bad_sword3",0.427,0.807,"GM4_2W_Window")
wiz.AssignTrail("GM4_2W","","EstelaAmarilla1")
wiz.AddLevels("Wiz_g_bad_sword3",0,40)

#COMBOLANZATORPE1 group
wiz.AddAttack("GM5_SP","Wiz_g_bad_spear")
wiz.AttackWindow("Wiz_g_bad_spear",0.283,0.519,"GM5_SP_Window")
wiz.AssignTrail("GM5_SP","","EstelaAmarilla1")
wiz.AddLevels("Wiz_g_bad_spear",0,40)

#COMBOLANZATORPE2 group
wiz.AddAttack("GM6_SP","Wiz_g_bad_spear2")
wiz.AttackWindow("Wiz_g_bad_spear2",0.461,0.748,"GM6_SP_Window")
wiz.AssignTrail("GM6_SP","","EstelaAmarilla1")
wiz.AddLevels("Wiz_g_bad_spear2",0,40)



###################################################################
###### wolf attacks


# basic 
wiz.AddAttack("GW_1H","Wiz_g_09wolf")
wiz.AttackWindow("Wiz_g_09wolf",0.001,0.999,"GW_1H_Window")


# high
wiz.AddAttack("GM63_1H","Wiz_g_07wolf")
wiz.AttackWindow("Wiz_g_07wolf",0.408,0.725,"GM63_1H_Window")
wiz.AddLevels("Wiz_g_07wolf",0,40)

# right 
wiz.AddAttack("GM64_1H","Wiz_g_02wolf")
wiz.AttackWindow("Wiz_g_02wolf",0.408,0.725,"GM64_1H_Window")
wiz.AddLevels("Wiz_g_02wolf",0,40)

# left
wiz.AddAttack("GM65_1H","Wiz_g_16wolf")
wiz.AttackWindow("Wiz_g_16wolf",0.408,0.725,"GM65_1H_Window")
wiz.AddLevels("Wiz_g_16wolf",0,40)

# low
wiz.AddAttack("GM66_1H","Wiz_g_claw1wolf")
wiz.AttackWindow("Wiz_g_claw1wolf",0.408,0.725,"GM66_1H_Window")
wiz.AddLevels("Wiz_g_claw1wolf",0,40)




wiz.AddAttack("GM67_1H","Wiz_g_punch2wolf")
wiz.AttackWindow("Wiz_g_punch2wolf",0.408,0.725,"GM67_1H_Window")
wiz.AddLevels("Wiz_g_punch2wolf",0,40)





####### Sword Atacks

#GI "group"
wiz.AddAttack("GI_1H","Wiz_g_51")
wiz.AttackWindow("Wiz_g_51",0.001,0.999,"GI_1H_Window")


#COMBO1 HIGH
wiz.AddAttack("GM12_1H","Wiz_g_55")
wiz.AttackWindow("Wiz_g_55",0.408,0.725,"GM12_1H_Window")
wiz.AddLevels("Wiz_g_55",0,40)


#COMBO2 RIGHT
wiz.AddAttack("GM14_1H","Wiz_g_52")
wiz.AttackWindow("Wiz_g_52",0.265,0.586,"GM14_1H_Window")
wiz.AddLevels("Wiz_g_52",0,40)


#COMBO3 LEFT
wiz.AddAttack("GM16_1H","Wiz_g_53")
wiz.AttackWindow("Wiz_g_53",0.391,0.661,"GM16_1H_Window")
wiz.AddLevels("Wiz_g_53",0,40)


#COMBO4 LOW
wiz.AddAttack("GM18_1H","Wiz_g_54")
wiz.AttackWindow("Wiz_g_55",0.001,0.900,"GM18_1H_Window")
wiz.AddLevels("Wiz_g_55",0,40)

### Magic combos (Sword)


# Death Spin
wiz.AddAttack("GM22_1H","Wiz_g_57")
wiz.AttackWindow("Wiz_g_57",0.445,0.668,"GM22_1H_Window")
#wiz.AssignTrail("GM22_1H","","EstelaAmarilla1")
wiz.AddLevels("Wiz_g_57",0,40)

# fire ring
wiz.AddAttack("GM91_1H","Wiz_g_magic06")
wiz.AttackWindow("Wiz_g_magic06",0.001,0.900,"GM91_1H_Window")
wiz.AddLevels("Wiz_g_magic06",0,40)

# ice storm
wiz.AddAttack("GM92_1H","Wiz_g_magic11")
wiz.AttackWindow("Wiz_g_magic11",0.001,0.900,"GM92_1H_Window")
wiz.AddLevels("Wiz_g_magic11",0,40)

# Light Strike
wiz.AddAttack("GM93_1H","Wiz_g_magic12")
wiz.AttackWindow("Wiz_g_magic12",0.001,0.900,"GM93_1H_Window")
wiz.AddLevels("Wiz_g_magic12",0,40)

# Lighting Rope
wiz.AddAttack("GM94_1H","Wiz_g_3s9_6new")
wiz.AttackWindow("Wiz_g_3s9_6new",0.001,0.900,"GM94_1H_Window")
wiz.AddLevels("Wiz_g_3s9_6new",0,40)



####################################################################
######## Staff Attacks

wiz.AddAttack("GA_1H","Wiz_g_01")
wiz.AttackWindow("Wiz_g_01",0.001,0.999,"GA_1H_Window")

#COMBO1
wiz.AddAttack("GM42_1H","Wiz_g_08")
wiz.AttackWindow("Wiz_g_08",0.408,0.725,"GM42_1H_Window")
wiz.AddLevels("Wiz_g_08",0,40)


#COMBO2
wiz.AddAttack("GM44_1H","Wiz_g_02")
wiz.AttackWindow("Wiz_g_02",0.265,0.586,"GM44_1H_Window")
wiz.AddLevels("Wiz_g_02",0,40)


#COMBO3
wiz.AddAttack("GM46_1H","Wiz_g_06")
wiz.AttackWindow("Wiz_g_06",0.391,0.661,"GM46_1H_Window")
wiz.AddLevels("Wiz_g_06",0,40)


#COMBO4
wiz.AddAttack("GM48_1H","Wiz_g_01low_new")
wiz.AttackWindow("Wiz_g_01low_new",0.001,0.900,"GM48_1H_Window")
wiz.AddLevels("Wiz_g_01low_new",0,40)



# Wiz cross
wiz.AddAttack("GM49_1H","Wiz_g_58")
wiz.AttackWindow("Wiz_g_58",0.001,0.900,"GM49_1H_Window")
wiz.AddLevels("Wiz_g_58",0,40)

####################################################################
####### Unarmed

#GOLPESINARMA1 "group"
wiz.AddAttack("GM19_NO","Wiz_g_punch1")
wiz.AddLevels("Wiz_g_punch1",0,40)

#GOLPESINARMA2 "group"
wiz.AddAttack("GM20_NO","Wiz_g_punch2")
wiz.AddLevels("Wiz_g_punch2",0,40)

#GOLPESINARMA3 "group"
wiz.AddAttack("GM21_NO","Wiz_g_kick")
wiz.AddLevels("Wiz_g_kick",0,40)


#####################################################################
#### Back Attack
#COMBOGIRO180 group
wiz.AddAttack("GM33_1H","Wiz_g_back")
wiz.AddLevels("Wiz_g_back",3,40)
wiz.AddEnergyLevel("Wiz_g_back", 0)

#####################################################################


#GAI meta-group
wiz.MetaAttack("GIM_1H","GI_1H")
wiz.MetaAttack("GIM_AXE","GM1_AXE")
wiz.MetaAttack("GIM_2W","GM2_2W")
wiz.MetaAttack("GIM_2W","GM3_2W")
wiz.MetaAttack("GIM_2W","GM4_2W")
wiz.MetaAttack("GIM_SP","GM5_SP")
wiz.MetaAttack("GIM_SP","GM6_SP")
wiz.MetaAttack("GIM_SP","GM7_AXE")
wiz.MetaAttack("GIM_NO","GM19_NO")
wiz.MetaAttack("GIM_NO","GM20_NO")
wiz.MetaAttack("GIM_NO","GM21_NO")
wiz.MetaAttack("GIM_1H","GM12_1H")
wiz.MetaAttack("GIM_1H","GM14_1H")
wiz.MetaAttack("GIM_1H","GM16_1H")
wiz.MetaAttack("GIM_1H","GM18_1H")
wiz.MetaAttack("GIM_1H","GM33_1H")
wiz.MetaAttack("GIM_1H","GA_1H")  ####
wiz.MetaAttack("GIM_1H","GM42_1H")
wiz.MetaAttack("GIM_1H","GM44_1H")
wiz.MetaAttack("GIM_1H","GM46_1H")
wiz.MetaAttack("GIM_1H","GM48_1H")
wiz.MetaAttack("GIM_1H","GM49_1H")
wiz.MetaAttack("GIM_1H","GM22_1H")
wiz.MetaAttack("GIM_1H","GM91_1H")
wiz.MetaAttack("GIM_1H","GM92_1H")
wiz.MetaAttack("GIM_1H","GM93_1H")
wiz.MetaAttack("GIM_1H","GM94_1H")


wiz.MetaAttack("GIM_1H","GW_1H")  ####

wiz.MetaAttack("GIM_1H","GM63_1H")
wiz.MetaAttack("GIM_1H","GM64_1H")
wiz.MetaAttack("GIM_1H","GM65_1H")
wiz.MetaAttack("GIM_1H","GM66_1H")
wiz.MetaAttack("GIM_1H","GM67_1H")

wiz.MetaAttack("GOLPEINICIALSW","GI_1H")

wiz.MetaAttack("COMBOSW","GM12_1H")
wiz.MetaAttack("COMBOSW","GM14_1H")
wiz.MetaAttack("COMBOSW","GM16_1H")
wiz.MetaAttack("COMBOSW","GM18_1H")
wiz.MetaAttack("COMBOSWEXTRA","GM22_1H")
wiz.MetaAttack("COMBOSWEXTRA","GM91_1H")
wiz.MetaAttack("COMBOSWEXTRA","GM92_1H")
wiz.MetaAttack("COMBOSWEXTRA","GM93_1H")
wiz.MetaAttack("COMBOSWEXTRA","GM94_1H")
wiz.MetaAttack("COMBO1","GM1_AXE")
wiz.MetaAttack("COMBO1","GM2_2W")
wiz.MetaAttack("COMBO1","GM3_2W")
wiz.MetaAttack("COMBO1","GM4_2W")
wiz.MetaAttack("COMBO1","GM5_SP")
wiz.MetaAttack("COMBO1","GM6_SP")
wiz.MetaAttack("COMBO1","GM7_AXE")
wiz.MetaAttack("COMBO1","GM19_NO")
wiz.MetaAttack("COMBO1","GM20_NO")
wiz.MetaAttack("COMBO1","GM21_NO")
wiz.MetaAttack("COMBO1","GM33_1H")

wiz.MetaAttack("COMBOSTAFF","GA_1H")
wiz.MetaAttack("COMBOSTAFF","GM42_1H")
wiz.MetaAttack("COMBOSTAFF","GM44_1H")
wiz.MetaAttack("COMBOSTAFF","GM46_1H")
wiz.MetaAttack("COMBOSTAFF","GM48_1H")
wiz.MetaAttack("COMBOSTAFFEXTRA","GM48_1H")

wiz.MetaAttack("COMBOWOLF","GW_1H")

wiz.MetaAttack("COMBOWOLF","GM63_1H")
wiz.MetaAttack("COMBOWOLF","GM64_1H")
wiz.MetaAttack("COMBOWOLF","GM65_1H")
wiz.MetaAttack("COMBOWOLF","GM66_1H")
wiz.MetaAttack("COMBOWOLFEXTRA","GM67_1H")




######################################################
#
#        - Attacks themselves -
#
######################################################

# *Name of NEW attack (anm name itself , group name or metagroup)
# *Keys
#       R , L , F , B -> Control keys
#       A -> Attack 
#       D -> Defense(block)
#     
# -->Keys Modifiers
#       a+b . Simultaneous press
#       !c . Should not be pressed
#       &d . Should be already pressed
# *Previous Historial
#       "GA,GA,GM,GGF"
# *Previous NEGATIVE historial
#       +/- idem b4
#
#

#COMBOGIRO180
wiz.AllowAttack("GM33_1H","L+R+B","","","","1H")


#Golpes en esquiva
wiz.AllowAttack("DL_G_1H","A","DL","","","1H")

wiz.AllowAttack("DR_G_1H","A","DR","","","1H")

wiz.AllowAttack("DB_G_1H","A","DB","","","1H")

######## 'BAD' Attacks

#COMBOHACHATORPE2
wiz.AllowAttack("GM7_AXE","A+R","","","GM7_AXE_Window","AXE")
wiz.AllowAttack("GM7_AXE","&A+R","","","GM7_AXE_Window","AXE")

#COMBOHACHATORPE1
wiz.AllowAttack("GM1_AXE","A","","","GM1_AXE_Window","AXE")

#COMBOESPADATORPE3
wiz.AllowAttack("GM4_2W","A","GM3_2W","","GM3_2W_Window","2W")

#COMBOESPADATORPE2
wiz.AllowAttack("GM3_2W","A","","COMBO1,COMBO1,COMBO1","GM4_2W_Window","2W")

#COMBOLANZATORPE2
wiz.AllowAttack("GM6_SP","A","GM5_SP","","GM5_SP_Window","SP")

#COMBOLANZATORPE1
wiz.AllowAttack("GM5_SP","A","","COMBO1,COMBO1,COMBO1","GM6_SP_Window","SP")


#GOLPESINARMA1
wiz.AllowAttack("GM19_NO","A","","COMBO1,COMBO1","","NO")

#GOLPESINARMA2
wiz.AllowAttack("GM20_NO","A+B","","COMBO1","","NO")
wiz.AllowAttack("GM20_NO","&A+B","","COMBO1","","NO")

#GOLPESINARMA3
wiz.AllowAttack("GM21_NO","A+F","","COMBO1","","NO")
wiz.AllowAttack("GM21_NO","&A+F","","COMBO1","","NO")


###############################################################
############# Wolf Attacks ####################################

#COMBOARRIBA1
wiz.AllowAttack("GM63_1H","A+F","","COMBOWOLF","","ProWolfClaw")
wiz.AllowAttack("GM63_1H","&A+F","","COMBOWOLF","","ProWolfClaw")

#COMBODERECHA1
wiz.AllowAttack("GM64_1H","A+R","","COMBOWOLF","","ProWolfClaw")
wiz.AllowAttack("GM64_1H","&A+R","","COMBOWOLF","","ProWolfClaw")

#COMBOIZQUIERDA1
wiz.AllowAttack("GM65_1H","A+L","","COMBOWOLF","","ProWolfClaw")
wiz.AllowAttack("GM65_1H","&A+L","","COMBOWOLF","","ProWolfClaw")

#COMBOABAJO1
wiz.AllowAttack("GM66_1H","A+B","","COMBOWOLF","","ProWolfClaw")
wiz.AllowAttack("GM66_1H","&A+B","","COMBOWOLF","","ProWolfClaw")

wiz.AllowAttack("GM67_1H","R+L","GW_1H","COMBOWOLFEXTRA","GM67_1H_Window","ProWolfClaw")

wiz.AllowAttack("GW_1H","A","","COMBOWOLF","","ProWolfClaw")


###################### Staff Attacks ##########################
#COMBOARRIBA1
wiz.AllowAttack("GM42_1H","A+F","","COMBOSTAFF","","ProStaff1")
wiz.AllowAttack("GM42_1H","&A+F","","COMBOSTAFF","","ProStaff1")

#COMBODERECHA1
wiz.AllowAttack("GM44_1H","A+R","","COMBOSTAFF","","ProStaff1")
wiz.AllowAttack("GM44_1H","&A+R","","COMBOSTAFF","","ProStaff1")

#COMBOIZQUIERDA1
wiz.AllowAttack("GM46_1H","A+L","","COMBOSTAFF","","ProStaff1")
wiz.AllowAttack("GM46_1H","&A+L","","COMBOSTAFF","","ProStaff1")

#COMBOABAJO1
wiz.AllowAttack("GM48_1H","A+B","","COMBOSTAFF","","ProStaff1")
wiz.AllowAttack("GM48_1H","&A+B","","COMBOSTAFF","","ProStaff1")

wiz.AllowAttack("GM49_1H","R+L","GA_1H","COMBOSTAFFEXTRA","GM49_1H_Window","ProStaff1")

wiz.AllowAttack("GA_1H","A","","COMBOSTAFF","","ProStaff1")

################### Sword Attacks #############################
#COMBOARRIBA1G
wiz.AllowAttack("GM12_1H","A+F","","COMBO1","","WizardSword")
wiz.AllowAttack("GM12_1H","&A+F","","COMBO1","","WizardSword")

#COMBODERECHA1
wiz.AllowAttack("GM14_1H","A+R","","COMBO1","","WizardSword")
wiz.AllowAttack("GM14_1H","&A+R","","COMBO1","","WizardSword")

#COMBOIZQUIERDA1
wiz.AllowAttack("GM16_1H","A+L","","COMBO1","","WizardSword")
wiz.AllowAttack("GM16_1H","&A+L","","COMBO1","","WizardSword")

#COMBOABAJO1
wiz.AllowAttack("GM18_1H","A+B","","COMBO1","","WizardSword")
wiz.AllowAttack("GM18_1H","&A+B","","COMBO1","","WizardSword")



################### Magic Sword Powers ##############################################

# DeathWhirl
#wiz.AllowAttack("GM22_1H","B+L","GI_1H","COMBOSWEXTRA","GM22_1H_Window","WizardSword")


# Fire Ring
#wiz.AllowAttack("GM91_1H","F+B","GI_1H","COMBOSWEXTRA","GM91_1H_Window","WizardSword")


# Ice Storm
#wiz.AllowAttack("GM92_1H","B+R","GI_1H","COMBOSWEXTRA","GM92_1H_Window","WizardSword")


# Light Strike
#wiz.AllowAttack("GM93_1H","F+R","GM16_1H","COMBOSWEXTRA","GM93_1H_Window","WizardSword")

# Electic Rope
#wiz.AllowAttack("GM94_1H","F+L","GM14_1H","COMBOSWEXTRA","GM94_1H_Window","WizardSword")



#####################################################################################


#GI Basic Sword Attack
wiz.AllowAttack("GI_1H","A","","GIM_1H","GIM_1H_Window","1H")




















