import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # Wizard_A             #
    #                      #
    ########################
    

  
    
    
import MasklinAnm_def
MasklinAnm_def.InitMasklin()    
 
    
wiz=Bladex.GetCharType("Wizard_A","Wiz")
wiz.IntName="Wiz" 

wiz.TurnSpeed=3.4
wiz.Jcost=27000
wiz.MaxFall=5000
wiz.DieFall=16000
wiz.MaxStair=335
wiz.Fov=math.pi
wiz.MaxGrab=3500.0
wiz.MedGrab=2500.0
wiz.Min2Grab=1500.0    
wiz.MinTake=-500.0	# Min height above floor barbarian will take
wiz.MaxTake1=450.0	# Max height above floor for Take1 Anim
wiz.MaxTake2=550.0	# Max height above floor for Take2 Anim
wiz.MaxTake3=1300.0	# Max height above floor for Take3 Anim
wiz.MaxTake4=1900.0	# Max height above floor for Take4 Anim
wiz.MaxTake5=3000.0	# Max height above floor for Take5 Anim
wiz.Reach=2000.0	# Max distance from bar centre to obj centre to take
wiz.MovFrwdSpeedInStrafe=1300  #Forwards speed when in strafe(combat mode only)
wiz.MovBkwdSpeedInStrafe=1300  #Idem backwards
wiz.MaxCombatDist=20000
wiz.MaxSeeDist=50000




wiz.NaturalWeapons=1
wiz.SetNCDSpheres(2)
wiz.SetCDSphere(0,90.0,500.0)  #(numero de la espera, altura mm, radio mm)
wiz.SetCDSphere(1,-240.0,500.0)  #(numero de la espera, altura mm, radio mm)


#wiz.SetCDSphere(0,200.0,450.0)  #(numero de la espera, altura mm, radio mm)
#wiz.SetCDSphere(1,-200.0,450.0)  #(numero de la espera, altura mm, radio mm)

###############################################################################
#

def MasklinWhenFirst():
	Bladex.CreateBipedData("Wiz","Wizard_A")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Wiz.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Wiz.dat")

	import MasklinAnimationSet
	MasklinAnimationSet.LoadMasklinAnimationSet("Wiz")
	
	import MasklinBAct
	import LinkTables
	LinkTables.LinkMe("Wiz")
	import MasklinCombos
	import AnmFactMasklin
	AnmFactMasklin.InitAnmFactMasklin()
	import MasklinStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Wiz.dat","Wiz")
	
	print"New Masklin Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Wizard_A","Wiz")
race.OnFirst=MasklinWhenFirst
