import Bladex
import Enm_Def





def LoadSkeletonDRTPAnimationSet(ct_name):

	print "Loading the SkeletonDRTPDRTP animation sets..."
	
	
	anm_name="Stp_g_flame1"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_1tw_h_f.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmLStep(anm_name,0) 
	Bladex.AddAnmRStep(anm_name,0.00)
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_insult.BMV","Stp_insult",0,"SkeletonDRTP")
	Bladex.AddAnmRStep("Stp_insult",0.0)
	Bladex.AddAnmLStep("Stp_insult",0.0)	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_appears1.BMV","Stp_appears1",0,"SkeletonDRTP")
	Bladex.AddAnmRStep("Stp_appears1",0)
	Bladex.AddAnmLStep("Stp_appears1",0)

	#### Relax ####
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_rlx_1h.BMV","Rlx_1h_Stp",1,"SkeletonDRTP")
	Bladex.AddAnmRStep("Rlx_1h_Stp",0.0)
	Bladex.AddAnmLStep("Rlx_1h_Stp",0.0)
		

	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_jog_1h.BMV","Jog_1h_Stp",1,"SkeletonDRTP")	
	Bladex.AddAnmLStep("Jog_1h_Stp",0.0)
	Bladex.AddAnmLRelease("Jog_1h_Stp",0.21)	
	Bladex.AddAnmLStep("Jog_1h_Stp",0.516)
	Bladex.AddAnmLRelease("Jog_1h_Stp",0.724)	
	Bladex.AddAnmLStep("Jog_1h_Stp",1.0)
	Bladex.AddAnmRStep("Jog_1h_Stp",0.266)
	Bladex.AddAnmRRelease("Jog_1h_Stp",0.455)
	Bladex.AddAnmRStep("Jog_1h_Stp",0.783)
	Bladex.AddAnmRRelease("Jog_1h_Stp",0.947)
	Bladex.AddAnmEvent("Jog_1h_Stp","StopTest",0.20)
	Bladex.AddAnmEvent("Jog_1h_Stp","StopTest",0.7)


	### SNEAK   ####	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_snk_no.BMV","Snk_no_Stp",1,"SkeletonDRTP")	
	Bladex.AddAnmRStep("Snk_no_Stp",0.0)
	Bladex.AddAnmLStep("Snk_no_Stp",0.485)
	Bladex.AddAnmRStep("Snk_no_Stp",1.0)
	Bladex.AddAnmRRelease("Snk_no_Stp",0.543)
	Bladex.AddAnmLRelease("Snk_no_Stp",0.627)
	Bladex.AddAnmEvent("Snk_no_Stp","StopTest",0.20)
	Bladex.AddAnmEvent("Snk_no_Stp","StopTest",0.7)
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_snk_1h.BMV","Snk_1h_Stp",1,"SkeletonDRTP")	
	Bladex.AddAnmRStep("Snk_1h_Stp",0.000)
	Bladex.AddAnmLRelease("Snk_1h_Stp",0.005)
	Bladex.AddAnmRStep("Snk_1h_Stp",1.000)
	Bladex.AddAnmLStep("Snk_1h_Stp",0.500)
	Bladex.AddAnmRRelease("Snk_1h_Stp",0.500)
	Bladex.AddAnmEvent("Snk_1h_Stp","StopTest",0.20)
	Bladex.AddAnmEvent("Snk_1h_Stp","StopTest",0.7)
		
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_snk_b.BMV","Snk_b_Stp",1,"SkeletonDRTP")	
	Bladex.AddAnmRStep("Snk_b_Stp",0.0)
	Bladex.AddAnmLStep("Snk_b_Stp",0.509)
	Bladex.AddAnmRStep("Snk_b_Stp",1.0)
	Bladex.AddAnmRRelease("Snk_b_Stp",0.608)
	Bladex.AddAnmLRelease("Snk_b_Stp",0.052)
	Bladex.AddAnmEvent("Snk_b_Stp","StopTest",0.20)
	Bladex.AddAnmEvent("Snk_b_Stp","StopTest",0.7)
	
	#
	#### Caminar ####
	#


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_wlk_1h.BMV","Wlk_1h_Stp",1,"SkeletonDRTP")
	Bladex.AddAnmRStep("Wlk_1h_Stp",0.0)
	Bladex.AddAnmRRelease("Wlk_1h_Stp",0.362)
	Bladex.AddAnmRStep("Wlk_1h_Stp",0.510)
	Bladex.AddAnmRRelease("Wlk_1h_Stp",0.843)
	Bladex.AddAnmRStep("Wlk_1h_Stp",1.0)
	Bladex.AddAnmLStep("Wlk_1h_Stp",0.0)
	Bladex.AddAnmLRelease("Wlk_1h_Stp",0.073)
	Bladex.AddAnmLStep("Wlk_1h_Stp",0.263)
	Bladex.AddAnmLRelease("Wlk_1h_Stp",0.616)
	Bladex.AddAnmLStep("Wlk_1h_Stp",0.768)    
	Bladex.AddStopTests("Wlk_1h_Stp")



	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_wlk_b.BMV","Wlk_b_Stp",1,"SkeletonDRTP")
	Bladex.AddAnmRStep("Wlk_b_Stp",0.0)
	Bladex.AddAnmRRelease("Wlk_b_Stp",0.380)
	Bladex.AddAnmRStep("Wlk_b_Stp",0.541)
	Bladex.AddAnmRRelease("Wlk_b_Stp",0.863)
	Bladex.AddAnmRStep("Wlk_b_Stp",1.0)
	Bladex.AddAnmLStep("Wlk_b_Stp",0.0)
	Bladex.AddAnmLRelease("Wlk_b_Stp",0.137)
	Bladex.AddAnmLStep("Wlk_b_Stp",0.273)
	Bladex.AddAnmLRelease("Wlk_b_Stp",0.628)
	Bladex.AddAnmLStep("Wlk_b_Stp",0.774)     
	Bladex.AddStopTests("Wlk_b_Stp")


	

	#### Caidas ####
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_fll_med.BMV","FallMed_Stp",0,"SkeletonDRTP")
	Bladex.AddAnmRStep("FallMed_Stp",0.0)
	Bladex.AddAnmLStep("FallMed_Stp",0.0)


	#Caida enorme
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_fll.BMV","Dth_Fll_Stp",0,"SkeletonDRTP")
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_fll2.BMV","Dth_Fll2_Stp",0,"SkeletonDRTP")
	Bladex.AddAnmRStep("Dth_Fll2_Stp",0.0)
	Bladex.AddAnmLStep("Dth_Fll2_Stp",0.0)

	#
	# Ataques	
	#


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_g_01.BMV","Stp_g_01",0,"SkeletonDRTP")       
	Bladex.AddAnmRStep("Stp_g_01",0)     
	Bladex.AddAnmLStep("Stp_g_01",0)     
	Bladex.AddAnmRRelease("Stp_g_01",0.087) 
	Bladex.AddAnmRStep("Stp_g_01",0.265)    
	Bladex.AddAnmRRelease("Stp_g_01",0.552) 
	Bladex.AddAnmRStep("Stp_g_01",0.817)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_g_02.BMV","Stp_g_02",0,"SkeletonDRTP")       
	Bladex.AddAnmRStep("Stp_g_02",0)     
	Bladex.AddAnmLStep("Stp_g_02",0)     
	Bladex.AddAnmRRelease("Stp_g_02",0.034) 
	Bladex.AddAnmRStep("Stp_g_02",0.130)    
	Bladex.AddAnmRRelease("Stp_g_02",0.246) 
	Bladex.AddAnmRStep("Stp_g_02",0.350)     
	Bladex.AddAnmRRelease("Stp_g_02",0.591) 
	Bladex.AddAnmRStep("Stp_g_02",0.806)   
	



	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_g_07.BMV","Stp_g_07",0,"SkeletonDRTP")       
	Bladex.AddAnmRStep("Stp_g_07",0)     
	Bladex.AddAnmLStep("Stp_g_07",0)     
	Bladex.AddAnmRRelease("Stp_g_07",0.073) 
	Bladex.AddAnmRStep("Stp_g_07",0.215)    
	Bladex.AddAnmRRelease("Stp_g_07",0.836) 
	Bladex.AddAnmRStep("Stp_g_07",0.987)    
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_g_09.BMV","Stp_g_09",0,"SkeletonDRTP")        
	Bladex.AddAnmRStep("Stp_g_09",0)     
	Bladex.AddAnmLStep("Stp_g_09",0)     
	Bladex.AddAnmRRelease("Stp_g_09",0.105) 
	Bladex.AddAnmRStep("Stp_g_09",0.265)    
	Bladex.AddAnmRRelease("Stp_g_09",0.625) 
	Bladex.AddAnmRStep("Stp_g_09",0.832)    
	


	Bladex.LoadSampledAnimation("..\\..\\Anm\\kgt_g_18.BMV","Stp_g_18",0,"SkeletonDRTP")        
	Bladex.AddAnmRStep("Stp_g_18",0)     
	Bladex.AddAnmRRelease("Stp_g_18",0.211) 
	Bladex.AddAnmRStep("Stp_g_18",0.503)       
	Bladex.AddAnmRRelease("Stp_g_18",0.730) 
	Bladex.AddAnmRStep("Stp_g_18",0.894)       
	Bladex.AddAnmLStep("Stp_g_18",0)   
	Bladex.AddAnmLRelease("Stp_g_18",0.091) 
	Bladex.AddAnmLStep("Stp_g_18",0.207)  
	Bladex.AddAnmLRelease("Stp_g_18",0.308) 
	Bladex.AddAnmLStep("Stp_g_18",0.48)     
	Bladex.AddAnmLRelease("Stp_g_18",0.793) 
	Bladex.AddAnmLStep("Stp_g_18",0.841)       
		


	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_g_16.BMV","Stp_g_16",0,"SkeletonDRTP")        
	Bladex.AddAnmRStep("Stp_g_16",0)     
	Bladex.AddAnmLStep("Stp_g_16",0)     
	Bladex.AddAnmRRelease("Stp_g_16",0.066) 
	Bladex.AddAnmRStep("Stp_g_16",0.230)    
	Bladex.AddAnmLRelease("Stp_g_16",0.257) 
	Bladex.AddAnmLStep("Stp_g_16",0.445)    
	


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_g_22.BMV","Stp_g_22",0,"SkeletonDRTP")        
	Bladex.AddAnmRStep("Stp_g_22",0)     
	Bladex.AddAnmLStep("Stp_g_22",0)     
	Bladex.AddAnmRRelease("Stp_g_22",0.075) 
	Bladex.AddAnmRStep("Stp_g_22",0.143)    
	Bladex.AddAnmRRelease("Stp_g_22",0.412) 
	Bladex.AddAnmRStep("Stp_g_22",0.494)
	Bladex.AddAnmRRelease("Stp_g_22",0.856) 
	Bladex.AddAnmRStep("Stp_g_22",0.959)
	Bladex.AddAnmLRelease("Stp_g_22",0.259) 
	Bladex.AddAnmLStep("Stp_g_22",0.317) 

      

	#
	# Movimientos en combate
	#
	anm_name="Stp_attack_l"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_attack_l.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.072) 
	Bladex.AddAnmRStep(anm_name,0.268)    
	Bladex.AddAnmRRelease(anm_name,0.568) 
	Bladex.AddAnmRStep(anm_name,0.723) 
	Bladex.AddAnmLStep(anm_name,0.0)    
	Bladex.AddAnmLRelease(anm_name,0.346) 
	Bladex.AddAnmLStep(anm_name,0.467)     
	Bladex.AddAnmLRelease(anm_name,0.858)             
	Bladex.AddAnmLStep(anm_name,1)
	Bladex.AddStopTests(anm_name)

	anm_name="Stp_attack_r"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_attack_r.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.392) 
	Bladex.AddAnmRStep(anm_name,0.521)    
	Bladex.AddAnmRRelease(anm_name,0.889) 
	Bladex.AddAnmRStep(anm_name,1.0) 
	Bladex.AddAnmLStep(anm_name,0.0)    
	Bladex.AddAnmLRelease(anm_name,0.183) 
	Bladex.AddAnmLStep(anm_name,0.323)     
	Bladex.AddAnmLRelease(anm_name,0.638) 
	Bladex.AddAnmLStep(anm_name,0.753)
	Bladex.AddStopTests(anm_name)

	anm_name="Stp_attack_f"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_attack_f.BMV",anm_name,0,"SkeletonDRTP")     
	Bladex.AddAnmRStep(anm_name,0.0)    
	Bladex.AddAnmRRelease(anm_name,0.329)     
	Bladex.AddAnmRStep(anm_name,0.506)     
	Bladex.AddAnmRRelease(anm_name,0.856)     
	Bladex.AddAnmRStep(anm_name,1)     
	Bladex.AddAnmLStep(anm_name,0.00)
	Bladex.AddAnmLRelease(anm_name,0.105)
	Bladex.AddAnmLStep(anm_name,0.253)
	Bladex.AddAnmLRelease(anm_name,0.487)
	Bladex.AddAnmLStep(anm_name,0.765)
	Bladex.AddStopTests(anm_name)
	
	anm_name="Stp_attack_b"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_attack_b.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.163)     
	Bladex.AddAnmRStep(anm_name,0.282)     
	Bladex.AddAnmRRelease(anm_name,0.635)     
	Bladex.AddAnmRStep(anm_name,0.760)     
	Bladex.AddAnmLStep(anm_name,0)     
	Bladex.AddAnmLRelease(anm_name,0.388)     
	Bladex.AddAnmLStep(anm_name,0.551)     
	Bladex.AddAnmLRelease(anm_name,0.876)     
	Bladex.AddAnmLStep(anm_name,1.0)     
	Bladex.AddStopTests(anm_name)



	anm_name="Stp_attack_l_s"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_attack_l_s.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.072) 
	Bladex.AddAnmRStep(anm_name,0.268)    
	Bladex.AddAnmRRelease(anm_name,0.568) 
	Bladex.AddAnmRStep(anm_name,0.723) 
	Bladex.AddAnmLStep(anm_name,0.0)    
	Bladex.AddAnmLRelease(anm_name,0.346) 
	Bladex.AddAnmLStep(anm_name,0.467)     
	Bladex.AddAnmLRelease(anm_name,0.858)             
	Bladex.AddAnmLStep(anm_name,1)
	Bladex.AddStopTests(anm_name)

	anm_name="Stp_attack_r_s"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_attack_r_s.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.392) 
	Bladex.AddAnmRStep(anm_name,0.521)    
	Bladex.AddAnmRRelease(anm_name,0.889) 
	Bladex.AddAnmRStep(anm_name,1.0) 
	Bladex.AddAnmLStep(anm_name,0.0)    
	Bladex.AddAnmLRelease(anm_name,0.183) 
	Bladex.AddAnmLStep(anm_name,0.323)     
	Bladex.AddAnmLRelease(anm_name,0.591) 
	Bladex.AddAnmLStep(anm_name,0.753)
	Bladex.AddStopTests(anm_name)

	anm_name="Stp_attack_f_s"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_attack_f_s.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)    
	Bladex.AddAnmRRelease(anm_name,0.329)     
	Bladex.AddAnmRStep(anm_name,0.506)     
	Bladex.AddAnmRRelease(anm_name,0.856)     
	Bladex.AddAnmRStep(anm_name,1)     
	Bladex.AddAnmLStep(anm_name,0.00)
	Bladex.AddAnmLRelease(anm_name,0.105)
	Bladex.AddAnmLStep(anm_name,0.253)
	Bladex.AddAnmLRelease(anm_name,0.487)
	Bladex.AddAnmLStep(anm_name,0.765)
	Bladex.AddStopTests(anm_name)

	anm_name="Stp_attack_b_s"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_attack_b_s.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.163)     
	Bladex.AddAnmRStep(anm_name,0.282)     
	Bladex.AddAnmRRelease(anm_name,0.635)     
	Bladex.AddAnmRStep(anm_name,0.760)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmLRelease(anm_name,0.388)     
	Bladex.AddAnmLStep(anm_name,0.551)     
	Bladex.AddAnmLRelease(anm_name,0.876)     
	Bladex.AddAnmLStep(anm_name,1.0)     
	Bladex.AddStopTests(anm_name)





	anm_name="Stp_slip"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_slip.BMV",anm_name,1,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0)     
	Bladex.AddAnmLStep(anm_name,0)     

	anm_name="Stp_slip_b"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_slip_b.BMV",anm_name,1,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0)     
	Bladex.AddAnmLStep(anm_name,0)     

	anm_name="Stp_derrape"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_derrape.BMV",anm_name,1,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0)     
	Bladex.AddAnmLStep(anm_name,0)     

	
	

	####GIRAR#####
	##############

                          

	anm_name="Stp_jmp_1h"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_jmp_1h.BMV","Stp_jmp_1h",0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.340)     
	Bladex.AddAnmLStep(anm_name,0.340) 
	Bladex.AddAnmRRelease(anm_name,0.360) 
	Bladex.AddAnmLRelease(anm_name,0.461) 
	Bladex.AddAnmRStep(anm_name,0.499)        
	Bladex.AddAnmRRelease(anm_name,0.597)	
	Bladex.AddAnmRStep(anm_name,0.696)     
	Bladex.AddAnmLStep(anm_name,0.696) 



	anm_name="Stp_b1"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_b1.BMV","Stp_b1",0,"SkeletonDRTP")
	Bladex.AddAnmLStep("Stp_b1",0)     
	Bladex.AddAnmRStep("Stp_b1",0.0) 	

	anm_name="Stp_b2"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_b2.BMV","Stp_b2",0,"SkeletonDRTP")
	Bladex.AddAnmLStep("Stp_b2",0)     
	Bladex.AddAnmRStep("Stp_b2",0.0) 	

	anm_name="Stp_b3"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_b3.BMV","Stp_b3",0,"SkeletonDRTP")
	Bladex.AddAnmLStep("Stp_b3",0)     
	Bladex.AddAnmRStep("Stp_b3",0.0) 	



	anm_name="Stp_clmb_low"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_clmb_low.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.35) 
	Bladex.AddAnmRStep(anm_name,0.55)
	Bladex.AddAnmLStep(anm_name,0.0)    
	Bladex.AddAnmLRelease(anm_name,0.4) 
	Bladex.AddAnmLStep(anm_name,0.63)



	anm_name="Stp_patrol1"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_patrol1.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmLStep(anm_name,0.0) 



	anm_name="Stp_sword_reaction"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_sword_broken.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmLStep(anm_name,0)
	Bladex.AddAnmRStep(anm_name,0)   
	Bladex.AddAnmRRelease(anm_name,0.238)   
	Bladex.AddAnmRStep(anm_name,0.332)
	Bladex.AddAnmRRelease(anm_name,0.529)
	Bladex.AddAnmRStep(anm_name,0.667)
	Bladex.AddAnmLRelease(anm_name,0.333) 
	Bladex.AddAnmLStep(anm_name,0.497)
	Bladex.AddAnmLRelease(anm_name,0.537) 
	Bladex.AddAnmLStep(anm_name,0.697)   	
	
	
	
	
	
###########################
#                         #
#     Aadidos Luismi     #
#                         #
###########################




	anm_name="Stp_attack_chg_r_l"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_attack_chg_r_l.BMV",anm_name,1,"SkeletonDRTP")
	Bladex.AddAnmLStep(anm_name,0) 
	Bladex.AddAnmRStep(anm_name,0.00)
	#Bladex.SetAnimationFactor("Kgt_attack_chg_r",1.5)
	
	
	
	
	anm_name="Stp_alarm01"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_alarm01.BMV",anm_name,1,"SkeletonDRTP")
	Bladex.AddAnmLStep(anm_name,0) 
	Bladex.AddAnmRStep(anm_name,0.00)
	#Bladex.SetAnimationFactor("Kgt_attack_chg_r",1.5)
	
	
	anm_name="Stp_df_s_broken"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_df_s_broken.BMV",anm_name,1,"SkeletonDRTP")
	Bladex.AddAnmLStep(anm_name,0) 
	Bladex.AddAnmRStep(anm_name,0.00)
	#Bladex.SetAnimationFactor("Kgt_attack_chg_r",1.5)
	
	



	anm_name="Stp_dth0"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth0.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmLStep(anm_name,0) 
	Bladex.AddAnmRStep(anm_name,0.00)
	
	

	anm_name="Stp_dth_c1"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c1.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmLStep(anm_name,0.00) 
	Bladex.AddAnmRStep(anm_name,0.00)
	Bladex.AddAnmLRelease(anm_name,0.040) 	
	Bladex.AddAnmLStep(anm_name,0.081) 

	anm_name="Stp_dth_c2"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c2.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.037)
	Bladex.AddAnmRStep(anm_name,0.083)
	Bladex.AddAnmRRelease(anm_name,0.166)
	Bladex.AddAnmRStep(anm_name,0.306)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.083)
	Bladex.AddAnmLStep(anm_name,0.126)
	
	anm_name="Stp_dth_c3"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c3.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.583)
	Bladex.AddAnmRStep(anm_name,0.758)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.597)
	Bladex.AddAnmLStep(anm_name,0.886)

	anm_name="Stp_dth_c4"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c4.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.277)
	Bladex.AddAnmRStep(anm_name,0.407)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.079)
	Bladex.AddAnmLStep(anm_name,0.242)
	Bladex.AddAnmLRelease(anm_name,0.418)
	Bladex.AddAnmLStep(anm_name,0.524)
	Bladex.AddAnmLRelease(anm_name,0.645)
	Bladex.AddAnmLStep(anm_name,0.796)

	anm_name="Stp_dth_c5"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c5.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.507)
	Bladex.AddAnmRStep(anm_name,0.591)
	Bladex.AddAnmRRelease(anm_name,0.667)
	Bladex.AddAnmRStep(anm_name,0.898)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.521)
	Bladex.AddAnmLStep(anm_name,0.593)
	Bladex.AddAnmLRelease(anm_name,0.659)
	Bladex.AddAnmLStep(anm_name,0.917)

	anm_name="Stp_dth_c6"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_c6.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.086)
	Bladex.AddAnmRStep(anm_name,0.134)
	Bladex.AddAnmRRelease(anm_name,0.249)
	Bladex.AddAnmRStep(anm_name,0.343)
	Bladex.AddAnmRRelease(anm_name,0.484)
	Bladex.AddAnmRStep(anm_name,0.536)
	Bladex.AddAnmRRelease(anm_name,0.729)
	Bladex.AddAnmRStep(anm_name,0.838)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.151)
	Bladex.AddAnmLStep(anm_name,0.234)
	Bladex.AddAnmLRelease(anm_name,0.357)
	Bladex.AddAnmLStep(anm_name,0.441)
	Bladex.AddAnmLRelease(anm_name,0.558)
	Bladex.AddAnmLStep(anm_name,0.607)
	Bladex.AddAnmLRelease(anm_name,0.746)
	Bladex.AddAnmLStep(anm_name,0.845)

	anm_name="Stp_dth_c7"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Ork_dth_c1.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.282)
	Bladex.AddAnmRStep(anm_name,0.384)
	Bladex.AddAnmRRelease(anm_name,0.659)
	Bladex.AddAnmRStep(anm_name,0.887)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.579)
	Bladex.AddAnmLStep(anm_name,0.890)
	
	

	anm_name="Stp_dth_n00"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n00.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.641)
	Bladex.AddAnmRStep(anm_name,0.878)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.192)
	Bladex.AddAnmLStep(anm_name,0.411)
	Bladex.AddAnmLRelease(anm_name,0.626)
	Bladex.AddAnmLStep(anm_name,0.873)

	anm_name="Stp_dth_n01"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n01.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.500)
	Bladex.AddAnmRStep(anm_name,0.761)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.081)
	Bladex.AddAnmLStep(anm_name,0.356)
	Bladex.AddAnmLRelease(anm_name,0.428)
	Bladex.AddAnmLStep(anm_name,0.515)
	Bladex.AddAnmLRelease(anm_name,0.617)
	Bladex.AddAnmLStep(anm_name,0.772)

	anm_name="Stp_dth_n02"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n02.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.681)
	Bladex.AddAnmRStep(anm_name,0.859)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.315)
	Bladex.AddAnmLStep(anm_name,0.611)
	Bladex.AddAnmLRelease(anm_name,0.703)
	Bladex.AddAnmLStep(anm_name,0.921)

	anm_name="Stp_dth_n03"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n03.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.101)
	Bladex.AddAnmRStep(anm_name,0.271)
	Bladex.AddAnmRRelease(anm_name,0.478)
	Bladex.AddAnmRStep(anm_name,1.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.530)
	Bladex.AddAnmLStep(anm_name,0.692)

	anm_name="Stp_dth_n04"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n04.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.154)
	Bladex.AddAnmRStep(anm_name,0.198)
	Bladex.AddAnmRRelease(anm_name,0.290)
	Bladex.AddAnmRStep(anm_name,0.347)
	Bladex.AddAnmRRelease(anm_name,0.557)
	Bladex.AddAnmRStep(anm_name,0.595)
	Bladex.AddAnmRRelease(anm_name,0.743)
	Bladex.AddAnmRStep(anm_name,0.838)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.046)
	Bladex.AddAnmLStep(anm_name,0.069)
	Bladex.AddAnmLRelease(anm_name,0.223)
	Bladex.AddAnmLStep(anm_name,0.295)
	Bladex.AddAnmLRelease(anm_name,0.417)
	Bladex.AddAnmLStep(anm_name,0.479)
	Bladex.AddAnmLRelease(anm_name,0.592)
	Bladex.AddAnmLStep(anm_name,0.728)
	Bladex.AddAnmLRelease(anm_name,0.747)
	Bladex.AddAnmLStep(anm_name,0.886)

	anm_name="Stp_dth_n05"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n05.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.825)
	Bladex.AddAnmRStep(anm_name,0.979)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.050)
	Bladex.AddAnmLStep(anm_name,0.138)
	Bladex.AddAnmLRelease(anm_name,0.816)
	Bladex.AddAnmLStep(anm_name,0.950)

	anm_name="Stp_dth_n06"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_n06.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.303)
	Bladex.AddAnmRStep(anm_name,0.469)
	Bladex.AddAnmRRelease(anm_name,0.497)
	Bladex.AddAnmRStep(anm_name,0.627)
	Bladex.AddAnmRRelease(anm_name,0.709)
	Bladex.AddAnmRStep(anm_name,0.832)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.100)
	Bladex.AddAnmLStep(anm_name,0.305)
	Bladex.AddAnmLRelease(anm_name,0.347)
	Bladex.AddAnmLStep(anm_name,0.417)
	Bladex.AddAnmLRelease(anm_name,0.474)
	Bladex.AddAnmLStep(anm_name,0.690)

	anm_name="Stp_dth_rock"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_rock.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmLStep(anm_name,0) 
	Bladex.AddAnmRStep(anm_name,0.00)

	anm_name="Stp_dth_rockfront"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_rockfront.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.348)
	Bladex.AddAnmRStep(anm_name,0.796)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.335)
	Bladex.AddAnmLStep(anm_name,0.792)

	anm_name="Stp_dth_burn"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_dth_burn.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.089)
	Bladex.AddAnmRStep(anm_name,0.119)
	Bladex.AddAnmRRelease(anm_name,0.203)
	Bladex.AddAnmRStep(anm_name,0.242)
	Bladex.AddAnmRRelease(anm_name,0.284)
	Bladex.AddAnmRStep(anm_name,0.330)
	Bladex.AddAnmRRelease(anm_name,0.378)
	Bladex.AddAnmRStep(anm_name,0.414)
	Bladex.AddAnmRRelease(anm_name,0.467)
	Bladex.AddAnmRStep(anm_name,0.486)
	Bladex.AddAnmRRelease(anm_name,0.539)
	Bladex.AddAnmRStep(anm_name,0.570)
	Bladex.AddAnmRRelease(anm_name,0.671)
	Bladex.AddAnmRStep(anm_name,0.715)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.046)
	Bladex.AddAnmLStep(anm_name,0.075)
	Bladex.AddAnmLRelease(anm_name,0.145)
	Bladex.AddAnmLStep(anm_name,0.185)
	Bladex.AddAnmLRelease(anm_name,0.256)
	Bladex.AddAnmLStep(anm_name,0.278)
	Bladex.AddAnmLRelease(anm_name,0.411)
	Bladex.AddAnmLStep(anm_name,0.463)
	Bladex.AddAnmLRelease(anm_name,0.563)
	Bladex.AddAnmLStep(anm_name,0.599)
	Bladex.AddAnmLRelease(anm_name,0.627)
	Bladex.AddAnmLStep(anm_name,0.667)
	Bladex.AddAnmLRelease(anm_name,0.678)
	Bladex.AddAnmLStep(anm_name,0.713)
	
	
	
###### Heridas
	

	anm_name="Stp_hurt_f_l_arm"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_hurt_f_l_arm.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Stp_hurt_f_breast"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_hurt_f_breast.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Stp_hurt_f_head"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_hurt_f_head.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Stp_hurt_f_l_leg"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_hurt_f_l_leg.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Stp_hurt_f_r_arm"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_hurt_f_r_arm.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Stp_hurt_f_r_leg"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_hurt_f_r_leg.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Stp_hurt_back"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_hurt_back.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)

	anm_name="Stp_hurt_f_big"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_hurt_f_big.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.4)
	Bladex.AddAnmRStep(anm_name,0.6)
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmLRelease(anm_name,0.27)
	Bladex.AddAnmLStep(anm_name,0.43)		

	anm_name="Stp_hurt_f_lite"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_hurt_f_lite.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.0)     
	Bladex.AddAnmRRelease(anm_name,0.35)     
	Bladex.AddAnmRStep(anm_name,0.59)     
	Bladex.AddAnmLStep(anm_name,0.0)     
	Bladex.AddAnmLRelease(anm_name,0.55)     
	Bladex.AddAnmLStep(anm_name,1.0)
	
	
	anm_name="Stp_df_01"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_df_01.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	
	anm_name="Stp_df_02"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_df_02.BMV",anm_name,0,"SkeletonDRTP")
	Bladex.AddAnmLStep(anm_name,0)
	Bladex.AddAnmRStep(anm_name,0)   
	Bladex.AddAnmRRelease(anm_name,0.310)   
	Bladex.AddAnmLRelease(anm_name,0.310)
	Bladex.AddAnmRStep(anm_name,0.569) 
	Bladex.AddAnmLStep(anm_name,0.832)