from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy

import Reference


CharMaxLifeValue['SkeletonDRTP']=    [    30,    50,    80,    120,    160,    250,   400,   600,   850,   1150,   1400,   1780,   2200,   2800,   3400,   4000,   5800,   7000,   8500,   9900]
CharDamageData['SkeletonDRTP']=      [     1,      5,     10,     15,     20,     25,     40,     45,     50,     55,     60,     65,     70,     75,     80,     85,     90,     95,    100,    110]
CharDefenseData['SkeletonDRTP']=     [     0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0]
CharExperienceCost['SkeletonDRTP']=  [     0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0,      0]
CharExperienceReward['SkeletonDRTP']=[    10,     15,     20,     30,     40,     60,    120,    240,    480,    960,   1920,   3840,   7680,  15360,  30720,  50000,  60000,  70000,  80000,  90000]
CharResistances['SkeletonDRTP']=     {'Impale': 0.60, 'Venom': 1.00, 'Slash': 0.50, 'Crush': -0.30, 'Ice': -0.30, 'Fire': 0.30, 'Light': -1.00, 'Drain': 1.00}

Reference.DefaultObjectData['SkeletonDRTP']=[Reference.OBJ_WEAPON,  50,  0, 1.0,  Reference.THR_SPINNING,[]]


Reference.DefaultObjectData['ProSklScythe1']= [Reference.OBJ_WEAPON, 4, 0, 2.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]

import Damage

Damage.AnimationData['Stp_g_01']=    1.0
Damage.AnimationData['Stp_g_02']=    1.2
Damage.AnimationData['Stp_g_07']=    1.3
Damage.AnimationData['Stp_g_09']=    1.5
Damage.AnimationData['Stp_g_16']=    2.1
Damage.AnimationData['Stp_g_18']=    1.8
