######################################################
#
# Create sets of attacks
#
#        - Scl -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Scl","g_01","ATTACKING")
Bladex.SetActionEventTable("Scl","g_02","ATTACKING")
Bladex.SetActionEventTable("Scl","g_07","ATTACKING")
Bladex.SetActionEventTable("Scl","g_09","ATTACKING")
Bladex.SetActionEventTable("Scl","g_16","ATTACKING")
Bladex.SetActionEventTable("Scl","g_18","ATTACKING")
Bladex.SetActionEventTable("Scl","g_22","ATTACKING")
Bladex.SetActionEventTable("Scl","g_flame1","ATTACKING")


scl=Bladex.GetCharType("Skelette_A","Scl")

###############################
# GRUPOS DE GOLPES ALEATORIOS #
###############################
#GA group

scl.AddAttack("GA","Scl_g_01")
scl.AddAttack("GA","Scl_g_02")
scl.AddAttack("GA","Scl_g_07")
scl.AddAttack("GA","Scl_g_09")

scl.AttackTypeFlag("GA",ATK_RANDOM)

###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#GM1 group
scl.AddAttack("GM1","Scl_g_16")

scl.AttackTypeFlag("GM1",ATK_SEQUENTIAL)

#GM2 group
scl.AddAttack("GM2","Scl_g_16")
scl.AddAttack("GM2","Scl_g_18")

scl.AttackTypeFlag("GM2",ATK_SEQUENTIAL)

#G22 group
scl.AddAttack("G22","Scl_g_22")

scl.AttackTypeFlag("G22",ATK_UNIQUE)



scl.AddAttack("G30","Scl_g_flame1")

###############################
# GRUPO PARA ESCALERAS        #
###############################
scl.AddAttack("STAIRS","Ork_g_16")
scl.AddAttack("STAIRS","Ork_g_18")

scl.AttackTypeFlag("STAIRS",ATK_RANDOM)

