import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # Zomby                #
    #                      #
    ########################
    

  
    
    
import ZombyAnm_def
ZombyAnm_def.InitZomby()    
 
    
zmb=Bladex.GetCharType("Zomby","Zmb")
zmb.IntName="Zmb" 

zmb.TurnSpeed=4.5
zmb.Jcost=2700
zmb.MaxFall=4000
zmb.MaxStair=335
zmb.DieFall=4000

zmb.Fov=math.pi/1.2
zmb.MaxGrab=3500.0
zmb.MedGrab=2500.0
zmb.Min2Grab=1500.0    
zmb.MinTake=-500.0	# Min height above floor barbarian will take
zmb.MaxTake1=450.0	# Max height above floor for Take1 Anim
zmb.MaxTake2=550.0	# Max height above floor for Take2 Anim
zmb.MaxTake3=1300.0	# Max height above floor for Take3 Anim
zmb.MaxTake4=1900.0	# Max height above floor for Take4 Anim
zmb.MaxTake5=3000.0	# Max height above floor for Take5 Anim
zmb.Reach=2000.0	# Max distance from bar centre to obj centre to take
zmb.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
zmb.MovBkwdSpeedInStrafe=1000  #Idem backwards
zmb.MaxCombatDist=10000
zmb.MaxSeeDist=15000

#zmb.NaturalWeapons=1
zmb.SetNCDSpheres(2)
zmb.SetCDSphere(0,200.0,450.0)  #(numero de la espera, altura mm, radio mm)
zmb.SetCDSphere(1,-200.0,450.0)  #(numero de la espera, altura mm, radio mm)


def ZombyWhenFirst():
	Bladex.CreateBipedData("Zmb","Zomby")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Zmb.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Zmb.dat")

	import ZombyAnimationSet
	ZombyAnimationSet.LoadZombyAnimationSet("Zmb")
	
	import ZombyBAct
	import LinkTables
	LinkTables.LinkMe("Zmb")
	import ZombyCombos
	import AnmFactZomby
	AnmFactZomby.AnmFactZomby()
	import ZombyStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Zmb.dat","Zmb")
	
	print"New Zomby Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Zomby","Zmb")
race.OnFirst=ZombyWhenFirst
