
"""
#To debug
import BODLoader
import AscensionMenu
reload (AscensionMenu)
BODLoader.BLModInfo['Ascension']['Menu']=AscensionMenu.ModMenu
BODLoader.ReBuildInstalledModsMenu()
"""


######################################################################################	
#WizardsDomain Menu 
######################################################################################	

import Bladex
import Menu
import MenuText
import BUIx
import Raster
import MenuWidget
import ScorerWidgets
import BBLib
import math
import sys
import Language



######################################################################################	
# Set current Language files
######################################################################################	

if Language.Current == 'Spanish':
	Lang = Language.Current
else:
	Lang = ""



######################################################################################	
# Configuration
######################################################################################	

Personajes = {	 "SkinA":  {"Index":0,"Skin":"Skin1"},
		 "SkinB":  {"Index":1,"Skin":"Skin2"},
		 "SkinC":  {"Index":2,"Skin":"Skin3"},
		 "SkinD":  {"Index":3,"Skin":"Skin4"},
		 "SkinE":  {"Index":4,"Skin":"Skin5"},
		 "SkinF":  {"Index":5,"Skin":"Skin6"},
		 "SkinG":  {"Index":6,"Skin":"Skin7"},
		 "SkinH":  {"Index":7,"Skin":"Skin8"},
		 "SkinI":  {"Index":8,"Skin":"Skin9"},
		 "SkinJ":  {"Index":9,"Skin":"Skin10"},
		 "SkinK":  {"Index":10,"Skin":"Skin11"},
		 "SkinL":  {"Index":11,"Skin":"Skin12"},
		 "SkinM":  {"Index":12,"Skin":"Skin13"},
		 "SkinN":  {"Index":13,"Skin":"Skin14"},
		 "SkinO":  {"Index":14,"Skin":"Skin15"},
		 "SkinP":  {"Index":15,"Skin":"Skin16"},
		 "SkinQ":  {"Index":16,"Skin":"Skin17"},
		 "SkinR":  {"Index":17,"Skin":"Skin18"},
		 "SkinS":  {"Index":18,"Skin":"Skin19"},
		 "SkinT":  {"Index":19,"Skin":"Skin20"},
		 "SkinU":  {"Index":20,"Skin":"Skin21"},
		 "SkinV":  {"Index":21,"Skin":"Skin22"},
		 "SkinW":  {"Index":22,"Skin":"Skin23"},
		 "SkinX":  {"Index":23,"Skin":"Skin24"},
		 "SkinY":  {"Index":24,"Skin":"Skin25"},
		 "SkinZ":  {"Index":25,"Skin":"Skin26"}
	     }

Characters=Personajes.keys()
Characters.sort()

CharBitmaps =  (
   ("Skin1"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin01.bmp" ),
   ("Skin2"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin02.bmp" ),
   ("Skin3"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin03.bmp" ),
   ("Skin4"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin04.bmp" ),
   ("Skin5"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin05.bmp" ),
   ("Skin6"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin06.bmp" ),
   ("Skin7"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin07.bmp" ),
   ("Skin8"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin08.bmp" ),
   ("Skin9"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin09.bmp" ),
   ("Skin10"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin10.bmp" ),
   ("Skin11"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin11.bmp" ),
   ("Skin12"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin12.bmp" ),
   ("Skin13"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin13.bmp" ),
   ("Skin14"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin14.bmp" ),
   ("Skin15"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin15.bmp" ),
   ("Skin16"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin16.bmp" ),
   ("Skin17"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin17.bmp" ),
   ("Skin18"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin18.bmp" ),
   ("Skin19"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin19.bmp" ),
   ("Skin20"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin20.bmp" ),
   ("Skin21"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin21.bmp" ),
   ("Skin22"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin22.bmp" ),
   ("Skin23"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin23.bmp" ),
   ("Skin24"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin24.bmp" ),
   ("Skin25"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin25.bmp" ),
   ("Skin26"   , "../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/Skin26.bmp" )
  )



#######################################################################################


SkinName = "SkinA"




MenuLabel={}
MenuLabel['WizardsDomainBanner'] = "Version  1.2 "
MenuLogoFile = "../WizardsDomain/"+Lang+"/WizardsDomainMenu.bmp"
ClsSkinImgList = None


try:
	execfile("../../Config/WizardsDomain.cfg") 
	print"Config file exed"      
except:
	pass

def SaveConfiguration():
	cfgfile = open("../../Config/WizardsDomain.cfg", "w")
	cfgfile.write('SkinName = "' + str(SkinName) + '"\n')
	cfgfile.close()
	


######################################################################################	
# Custom Widgets
######################################################################################	


class M_B_DescriptorLabel(MenuWidget.B_MenuItemTextNoFX):
	def __init__(self,Parent,MenuDescr,StackMenu):
		
		global MenuLabel
		
		MenuWidget.B_MenuItemTextNoFX.__init__(self,Parent,MenuDescr,StackMenu)
		self.SetDrawFunc(self.Draw)
		self.LastLabel = ""
		self.Parent = Parent
		self.VarName = MenuDescr["Name"]
		self.SetText(MenuLabel[self.VarName])
		self.Parent.RecalcLayout()

	def Draw(self,x,y,time):
		global MenuLabel

		if self.GetVisible()==0:
			return

		if self.LastLabel != MenuLabel[self.VarName]:
			self.SetText(MenuLabel[self.VarName])
			self.Parent.RecalcLayout()
			self.LastLabel = MenuLabel[self.VarName]
			self.Parent.RecalcLayout()

		foc=self.GetHasFocus()
		if foc:
			self.SetColor(252,247,167)
		else:
			self.SetColor(207,144,49)
		self.SetAlpha(1.0)
		self.DefDraw(x,y,time)

	def AcceptsFocus(self):
		return 0

class M_B_MenuItemOption(MenuWidget.B_MenuItemTextNoFX):
  def __init__(self,Parent,MenuDescr,StackMenu,
               font_server=ScorerWidgets.font_server):

    self.Options=["No option defined",]
    self.SelOption=0
    self.OptionText="<            >"                #MenuDescr["Name"]

    try:
      self.Options=MenuDescr["Options"]
    except KeyError:
      pass

    try:

      GetSelFunc=MenuDescr["SelOptionFunc"]
      OptionSel=GetSelFunc()
      #print "DM OptionSel",self.OptionText,OptionSel,self.Options
      self.SelOption=OptionSel
      print self.SelOption
    except KeyError:
      pass

    MenuWidget.B_MenuItemTextNoFX.__init__(self,Parent,MenuDescr,StackMenu)
    #self.SetDrawFunc(self.Draw)
    self.Parent=Parent

    #OptionText=self.OptionText+" < "+str(self.Options[self.SelOption])+" >"
    OptionText=self.OptionText
    self.SetText(OptionText)

  def __del__(self):
    pass
    #print "B_MenuItemOption.__del__()",self.Name()

  def ActivateItem(self,activate):
    if (activate==1):
    	
      self.SelOption=self.SelOption+1
      self.SelOption=self.SelOption% len(self.Options)

      #OptionText=self.OptionText+" < "+self.Options[self.SelOption]+" >"
      OptionText=self.OptionText    
      self.SetText(OptionText)

      try: # Puede que Parent no herede de Frame
        self.Parent.RecalcLayout()
      except:
        pass

      try:
        command=self.MenuDescr["Command"]
        command(MenuText.GetInverseMenuText(self.Options[self.SelOption]))
      except KeyError:
        pass

      try: # Puede que Parent no herede de Frame
        self.Parent.RecalcLayout()
      except:
        pass

    elif activate==0:
      self.StackMenu.Pop()

  def FinalRelease(self):
    print "B_MenuItemOption.FinalRelease()"
    self.Parent=None
    #self.SetDrawFunc(None)

  def IncMenuItem(self):
    self.ActivateItem(1)


  def DecMenuItem(self):

      self.SelOption=self.SelOption+len(self.Options)-1
      self.SelOption=self.SelOption% len(self.Options)
      OptionText=self.OptionText         
      self.SetText(OptionText)

      try: # Puede que Parent no herede de Frame
        self.Parent.RecalcLayout()
      except:
        pass

      try:
        command=self.MenuDescr["Command"]
        command(MenuText.GetInverseMenuText(self.Options[self.SelOption]))
      except KeyError:
        pass

      try: # Puede que Parent no herede de Frame
        self.Parent.RecalcLayout()
      except:
        pass


class M_B_ImageListWidget(BUIx.B_RectWidget):

	def __init__(self,Parent,MenuDescr,StackMenu):
		global ClsSkinImgList

		imagelist=MenuDescr["ImageList"]
		self.Bitmap={}
		self.IDX = imagelist[0][0]

		for i in imagelist:
			bitm = BBLib.B_BitMap24()
			bitm.ReadFromBMP(i[1])
			self.Bitmap[i[0]] = bitm

		self.vidw,self.vidh=self.Bitmap[self.IDX].GetDimension()
		BUIx.B_RectWidget.__init__(self,Parent,MenuDescr["Name"],self.vidw,self.vidh)
		self.Selected=0
		self.Solid=0
		self.Border=0
		self.SetDrawFunc(self.Draw)
		ClsSkinImgList = self
		self.IDX         = MenuDescr["GetCharType"]()


	def ChangeImage(self,name):
		self.IDX = name

	def Draw(self,x,y,time):
		Raster.SetPosition(x,y)
		Raster.DrawImage(self.vidw,self.vidh,"BGR","Normal",self.Bitmap[self.IDX].GetData())
		self.DefDraw(x,y,time)

	def FinalRelease(self):
		global ClsSkinImgList
		ClsSkinImgList = None
		BUIx.B_RectWidget.FinalRelease(self)

	def AcceptsFocus(self):
		return 0


class M_B_LogoWidget(BUIx.B_RectWidget):

	def __init__(self,Parent,MenuDescr,StackMenu):

		LogoFile=MenuDescr["LogoFile"]
		self.Bitmap={}

		self.Logobmp = BBLib.B_BitMap24()
		self.Logobmp.ReadFromBMP(LogoFile)

		self.vidw,self.vidh=self.Logobmp.GetDimension()
		BUIx.B_RectWidget.__init__(self,Parent,MenuDescr["Name"],self.vidw,self.vidh)
		self.Selected=0
		self.Solid=0
		self.Border=0
		self.SetDrawFunc(self.Draw)

	def Draw(self,x,y,time):
		Raster.SetPosition(x,y)
		Raster.DrawImage(self.vidw,self.vidh,"BGR","Normal",self.Logobmp.GetData())
		self.DefDraw(x,y,time)

	def FinalRelease(self):
		BUIx.B_RectWidget.FinalRelease(self)

	def AcceptsFocus(self):
		return 0






######################################################################################	
# Menu methods
######################################################################################	


def GetSkinName():
	global SkinName
	return Personajes[SkinName]['Index']
	


def NextSkinName(option):
	global SkinName, ClsSkinImgList
	SkinName = option
	ClsSkinImgList.ChangeImage (Personajes[SkinName]['Skin'])
	SaveConfiguration();

def GetPlayerSkin():
	global SkinName
	return Personajes[SkinName]['Skin']


def StartWizardsDomain (option):
	SaveConfiguration();
	import Bladex
	Bladex.LoadLevel("WizardsDomain")
	

########################################################################################
		  
ModMenu = [        {"Name"              :"",
                         "Font"         :Menu.MenuFontMed,
                         "Kind"         :M_B_LogoWidget,
                         "VSep"         :5,
                         "LogoFile"     :MenuLogoFile
                   },
                   {"Name"              :'WizardsDomainBanner',
                         "VSep"         :10,
                         "Font"         :Menu.MenuFontSmall,
                         "Kind"         :M_B_DescriptorLabel
                   },
	           {"Name"              :"",
                         "Font"         :Menu.MenuFontBig,
                         "Kind"         :M_B_MenuItemOption,
                         "VSep"         :20,
                         "Options"      :Characters,
                         "SelOptionFunc":GetSkinName,
                         "Command"      :NextSkinName
                   },
		   {"Name"              :"Lista de jugadores",
			"Kind"          :M_B_ImageListWidget,
			"ImageList"     :CharBitmaps,
			"GetCharType"   :GetPlayerSkin,
			"VSep"		:15
                   },
	           {"Name"              :MenuText.GetMenuText("START"),
			"VSep"          :10,
			"Command"       :StartWizardsDomain,
		   },
		   {"Name"              :MenuText.GetMenuText("BACK"),
			"VSep"          :10,
			"Command"       :Menu.BackMenu,
		   },
		   {"Name"              :"Back",
			"Kind"          :MenuWidget.B_BackBlank
		   }
		  ]


