import Bladex


Bladex.AddParticleGType("AguaC2","WaterParticle",B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	r=150
	g=170
	b=170
	a=40
	size=500.0
	Bladex.SetParticleGVal("AguaC2",i,r,g,b,a,size)


Bladex.AddParticleGType("AguaC","WaterParticle",B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	r=100
	g=100
	b=100
	a=60
	size=120.0
	Bladex.SetParticleGVal("AguaC",i,r,g,b,a,size)
	
	
Bladex.AddParticleGType("AguaC3","WaterParticle",B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	r=130
	g=170
	b=170
	a=60
	size=120.0
	Bladex.SetParticleGVal("AguaC3",i,r,g,b,a,size)


Bladex.AddParticleGType("Espuma","SmokeParticle",B_PARTICLE_GTYPE_BLEND,10)

for i in range(10):
	aux=(10.0-i)/10.0
	r=70
	g=70
	b=70
	#a=255*math.sqrt(1.0-aux)
	a=255
	size=600.0*math.sqrt(1.0-aux)
	Bladex.SetParticleGVal("Espuma",i,r,g,b,a,size)
	
	
Bladex.AddParticleGType("Salpique","GenericParticle",B_PARTICLE_GTYPE_BLEND,30)

for i in range(30):
	aux=(30.0-i)/30.0
	r=130
	g=160
	b=180
	a=100*math.sqrt(1.0-aux)
	size=30.0*math.sqrt(1.0-aux)
	Bladex.SetParticleGVal("Salpique",i,r,g,b,a,size)


pool1=Bladex.CreateEntity("Pool1","Entity Water",31750,6100,3000)
pool1.Reflection=0
pool1.Color=2,5,5


pool2=Bladex.CreateEntity("Pool2","Entity Water",33750,7101,5000)
pool2.Reflection=0
pool2.Color=2,5,5


CreateCascada("Cascada1",(31758,4773,6442),(30.0, 0.0, 0.0),(0.0, -500.0, -2000.0))


flow1=Bladex.CreateSound("..\\..\\Sounds\\agua-canal.wav","cascadapro1")
flow1.MaxDistance=15000
flow1.MinDistance=600
flow1.Volume=1.0
flow1.BaseVolume=1.0
flow1.SendNotify=0

flow1.Play(31758,4773,6442,-1)



pool3=Bladex.CreateEntity("Pool3","Entity Water",15000,12100,-10000)
pool3.Reflection=0
pool3.Color=2,5,5

CreateCascada("Cascada2",(15478,11238,-15800),(30.0, 0.0, 0.0),(0.0, -300.0, 1500.0))

flow2=Bladex.CreateSound("..\\..\\Sounds\\agua-canal.wav","cascadapro2")
flow2.MaxDistance=15000
flow2.MinDistance=600
flow2.Volume=1.0
flow2.BaseVolume=1.0
flow2.SendNotify=0

flow2.Play(15478,11238,-15800,-1)


pool4=Bladex.CreateEntity("Pool4","Entity Water",66000,7101,-12000)
pool4.Reflection=0
pool4.Color=22,25,22


pool5=Bladex.CreateEntity("Pool5","Entity Water",62250,7101,-12000)
pool5.Reflection=0
pool5.Color=22,25,22


pool6=Bladex.CreateEntity("Pool6","Entity Water",66000,7001,6000)
pool6.Reflection=0
pool6.Color=22,25,22


pool7=Bladex.CreateEntity("Pool7","Entity Water",6000,-690,6000)
pool7.Reflection=0
pool7.Color=22,25,22

pool8=Bladex.CreateEntity("Pool8","Entity Water",161000,4800,-70000)
pool8.Reflection=0.7
pool8.Color=200,200,222

pool9=Bladex.CreateEntity("Pool9","Entity Water",166000,8202,23000)
pool9.Reflection=0.0
pool9.Color=0,0,0

pool10=Bladex.CreateEntity("Pool10","Entity Water",182000,10100,60000)
pool10.Reflection=0.0
pool10.Color=0,0,0

pool11=Bladex.CreateEntity("Pool11","Entity Water",88000,17100,-30000)
pool11.Reflection=0.0
pool11.Color=12,12,20


CreateCascada2("Cascada3",(168500,8000,22000),(0.0, 0.0, 2000.0),(5000.0, 0.0, 0.0),35)


flow3=Bladex.CreateSound("..\\..\\Sounds\\small-waterfall.wav","cascadapro3")
flow3.MaxDistance=30000
flow3.MinDistance=600
flow3.Volume=1.0
flow3.BaseVolume=1.0
flow3.SendNotify=0

flow3.Play(172500,8000,21250,-1)


CreateCascada("Cascada4",(84650,12000,-24000),(0.0, 0.0, 1500.0),(-1000.0, 6000.0, 0.0),50)

flow4=Bladex.CreateSound("..\\..\\Sounds\\small-waterfall.wav","cascadapro4")
flow4.MaxDistance=12000
flow4.MinDistance=600
flow4.Volume=0.5
flow4.BaseVolume=1.0
flow4.SendNotify=0

flow4.Play(82650,12000,-24000,-1)



CreateCascada2("Cascada5",(89100,11600,-29700),(200.0, 0.0, 200.0),(0.0, 3000.0, 0.0),30)

flow5=Bladex.CreateSound("..\\..\\Sounds\\water-gush-loop.wav","cascadapro5")
flow5.MaxDistance=10000
flow5.MinDistance=600
flow5.Volume=1.0
flow5.BaseVolume=1.0
flow5.SendNotify=0

flow5.Play(89250,15400,-31000,-1)



CreateCascada2("Cascada6",(187750,8400,53000),(900.0, 0.0, 3000.0),(-3000.0, -1000.0, 1000.0),25)

flow6=Bladex.CreateSound("..\\..\\Sounds\\small-waterfall.wav","cascadapro6")
flow6.MaxDistance=25000
flow6.MinDistance=600
flow6.Volume=1.0
flow6.BaseVolume=1.0
flow6.SendNotify=0

flow6.Play(187750,8400,53000,-1)





# magic well


CreateCascada3("MagicWell",(138601,12928,28537),(10.0, 0.0, 0.0),(0.0, -500.0, -2000.0))


gp3=Bladex.CreateEntity("MagicWellPointer","GhostPointer", 138601,12928,28337)
gp3.Static=1
gp3.UseFunc= GiveWeaponBlessing
darfuncs.SetHint(gp3,"Sacred Well")


flow7=Bladex.CreateSound("..\\..\\Sounds\\water-gush-loop.wav","cascadapro7")
flow7.MaxDistance=15000
flow7.MinDistance=600
flow7.Volume=0.8
flow7.BaseVolume=1.0
flow7.SendNotify=0

flow7.Play(138601,12928,28337,-1)


CreateSalpique("Sprinkle1",(138599,14649,27605),(0.0, -2000.0, -1000.0,))	


luz1=Bladex.CreateEntity("Luz1","Entity Spot",138599,14449,27805)
luz1.Color=51,78,98
luz1.Intensity=3
luz1.Precission=0.06
luz1.Visible=0
luz1.CastShadows=0
luz1.Flick=0