import Bladex
import Sounds



Bladex.LoadSampledAnimation("../../Anm/Crw_act11.BMV","Crw_act11",1,"Crw")
Bladex.LoadSampledAnimation("..\\..\\Anm\\crw_pic.BMV","Crw_pic",1,"Crw")




import WizardAllyTypes


# To make guard crow, pick a good perch position and create a spidersmall in that position
# facing the area you want it to watch. Use:

# WizardAllyTypes.MakeGuardCrow(name,position of crow,angle of spider, soundnumber-default0)

# The spider will be invisible but his 'See' function is used to trigger alarm call. A crow
# is created at same position. He has two alarm calls at the moment. (Peacock and Hawk)


WizardAllyTypes.MakeGuardCrow("GuardCrow1",(40356,5200,-4938),3.0, 1)
WizardAllyTypes.MakeGuardCrow("GuardCrow2",(-5378,7100,-16392),3.0, 2)


ori  = 0.555685,0.555685,-0.437281,0.437281
Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.0,CreateCrow,((78000,-13000,-3000),25.0,ori))
Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.0,CreateCrow,((82000,-10000,-5000),25.0,ori))
Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.0,CreateCrow,((80000,-15000,-6000),25.0,ori))
Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.0,CreateCrow,((-38000,0,-5000),25.0,ori))
Bladex.AddScheduledFunc(Bladex.GetTime()+ 1.0,CreateCrow,((-35000,-3000,-6000),25.0,ori))


sndcrows=Bladex.CreateSound("..\\..\\Sounds\\crow-calls1.wav","SndCrows")
sndcrows.MaxDistance=40000

sndcrows.Play(78000,-23000,-3000,-1)





crow2=Sounds.CreatePeriodicSound("..\\..\\Sounds\\pajaro1.wav", "CrowSound3",30,12,(170000,-7000,134000))
crow2.sound.Volume=1
crow2.sound.MinDistance=1000
crow2.sound.MaxDistance=50000
crow2.sound.Volume=1
crow2.sound.BaseVolume=1.0
crow2.sound.SendNotify=0
crow2.PlayPeriodic()




crow1=Sounds.CreatePeriodicSound("..\\..\\Sounds\\raven-call.wav", "CrowSound1",30,8,(140000,0,24000))
crow1.sound.Volume=1
crow1.sound.MinDistance=1000
crow1.sound.MaxDistance=50000
crow1.sound.Volume=1
crow1.sound.BaseVolume=1.0
crow1.sound.SendNotify=0
crow1.PlayPeriodic()


