import Bladex
import ItemTypes
import EnemyTypes
import Sparks
import Enm_Def
import darfuncs
import os
import def_class
import copy
import Actions
import CharStats


import WizardAllyTypes
import EnemyCharTypes
import WizQuiverTypes
import DorcasTypes
import BadgerTypes
import CatTypes
import DorcasWeaponTypes
import AllyDorcasTypes
import SkeletonDRTPTypes
import ZombyTypes

# create dummies to preload data
o=Bladex.CreateEntity("Dummy1","Spidersmall",0,50000,0, "Person")
o.Freeze()
o.RemoveFromWorld()
o.Alpha=0
o=Bladex.CreateEntity("Dummy2","Cos",0,50000,0, "Person")
o.Freeze()
o.RemoveFromWorld()
o.Alpha=0
o=Bladex.CreateEntity("Dummy3","Little_Demon",0,50000,0, "Person")
o.Freeze()
o.RemoveFromWorld()
o.Alpha=0
o=Bladex.CreateEntity("Dummy4","Skeleton",0,50000,0, "Person")
o.Freeze()
o.RemoveFromWorld()
o.Alpha=0
o=Bladex.CreateEntity("Dummy5","Skelette_A",0,50000,0)
o=Bladex.CreateEntity("Dummy6","Skelette_B",0,50000,0)
o=Bladex.CreateEntity("Dummy7","Skelette_C",0,50000,0)
o=Bladex.CreateEntity("Dummy8","Skelette_D",0,50000,0)
o=Bladex.CreateEntity("Dummy9","Skelette_E",0,50000,0)
o=Bladex.CreateEntity("Dummy10","Skelette_F",0,50000,0)
o=Bladex.CreateEntity("Dummy11","Skelette_G",0,50000,0)
o=Bladex.CreateEntity("Dummy12","Skelette_H",0,50000,0)
o=Bladex.CreateEntity("Dummy13","Skelette_I",0,50000,0)
o=Bladex.CreateEntity("Dummy14","Zomby_B",0,50000,0)
o=Bladex.CreateEntity("Dummy15","Zomby_C",0,50000,0)
o=Bladex.CreateEntity("Dummy16","Zomby_D",0,50000,0)
o=Bladex.CreateEntity("Dummy17","Zomby_E",0,50000,0)
o=Bladex.CreateEntity("Dummy18","Zomby_F",0,50000,0)
o=Bladex.CreateEntity("Dummy19","Zomby_A",0,50000,0)
o=Bladex.CreateEntity("Dummy20","Zomby",0,50000,0)
o=Bladex.CreateEntity("Dummy21","Momie",0,50000,0)
o=Bladex.CreateEntity("Dummy22","Werewolf",0,50000,0)


# Backup Allies


tuk=Bladex.CreateEntity("Tukaram","Barbarian_N",0,50000,0,"Person")
tukwep=Bladex.CreateEntity("TukaramWP","BigSword",0,50000,0,"Weapon")
Actions.TakeObject("Tukaram","TukaramWP")
tuk.Data=WizardAllyTypes.AllyBarbarian(tuk)
tuk.Data.LevelupFunc=WizardAllyTypes.AllyBarbarianLevelUpFunc
tuk.Data.LevelupArgs=(tuk.Name,)
tuk.Data.DeathFunc=CallMyReplacement
tuk.Data.DeathArgs=(tuk.Kind,)
darfuncs.HideBadGuy("Tukaram")



zo=Bladex.CreateEntity("Zoe","Amazon_N",0,50000,0,"Person")
zowep=Bladex.CreateEntity("ZoeWP","Arpon",0,50000,0,"Weapon")
Actions.TakeObject("Zoe","ZoeWP")
potion=Bladex.CreateEntity ("ZoePOT", "Pocima100", 0,0,0, "Physic")
potion.Scale=1.220190
pocimac.CreatePotion(potion.Name)
Actions.TakeObject("Zoe",potion.Name)
zo.Data=WizardAllyTypes.AllyAmazon(zo)
zo.Data.LevelupFunc=WizardAllyTypes.AllyAmazonLevelUpFunc
zo.Data.LevelupArgs=(zo.Name,)
zo.Data.DeathFunc=CallMyReplacement
zo.Data.DeathArgs=(zo.Kind,)
darfuncs.HideBadGuy("Zoe")


sarg=Bladex.CreateEntity("Sargon","Knight_N",0,50000,0,"Person")
sarg.Data=WizardAllyTypes.AllyKnight(sarg)
sarg.Data.LevelupFunc=WizardAllyTypes.AllyKnightLevelUpFunc
sarg.Data.LevelupArgs=(sarg.Name,)
sarg.Data.DeathFunc=CallMyReplacement
sarg.Data.DeathArgs=(sarg.Kind,)
darfuncs.HideBadGuy("Sargon")



dwf2=Bladex.CreateEntity("Naglfar","Dwarf_N",0,5000,0,"Person")
dwf2.Scale=1
potion=Bladex.CreateEntity ("Naglfar", "Pocima50", 0,0,0, "Physic")
potion.Scale=1.220190
pocimac.CreatePotion(potion.Name)
Actions.TakeObject("Naglfar",potion.Name)
rwp=Bladex.CreateEntity("NaglfarWP","Hacha",0,0,0,"Weapon")
Actions.TakeObject("Naglfar",rwp.Name)
lwp=Bladex.CreateEntity("NaglfarSH","Escudo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Naglfar",lwp.Name)
dwf2.Data=WizardAllyTypes.AllyDwarf(dwf2)
dwf2.Data.LevelupFunc=WizardAllyTypes.AllyDwarfLevelUpFunc
dwf2.Data.LevelupArgs=(dwf2.Name,)
dwf2.Data.DeathFunc=CallMyReplacement
dwf2.Data.DeathArgs=(dwf2.Kind,)
darfuncs.HideBadGuy("Naglfar")



EneWeaponList=[]





sectkillen=Bladex.GetSector(62000,-10000,6000)
sectkillen.OnEnter=KillEnemy


crab1=EnemyCharTypes.CreateSpiderCrab("StartIceCrab1",(68750,-300,-63000),1.0,1,3)
crab2=EnemyCharTypes.CreateSpiderCrab("StartIceCrab2",(76666, 315, -56295),1.0,1,2)
crab3=EnemyCharTypes.CreateSpiderCrab("StarIceCrab3",(69728, 6115, -38990),1.0,1,3)
crab4=EnemyCharTypes.CreateSpiderCrab("StartIceCrab4",(130603, 929, -76832),1.0,1,8)
crab1.Data.Deathfunc=CrabDED
crab2.Data.Deathfunc=CrabDED
crab3.Data.Deathfunc=CrabDED
crab4.Data.Deathfunc=CrabDED



broc1=Bladex.CreateEntity("Broc","Badger",46258,6586,-10166,"Person")
broc1.Angle=5.3
broc1.Data=BadgerTypes.BadgerAlly(broc1)
broc1.Data.Ownername="Player1"
broc1.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("Broc")
	


ct1=Bladex.CreateEntity("Emuishere","Cat",21913.2353791,-1274.9579964,429.539891321,"Person")
ct1.Angle=5
ct1.Data=CatTypes.CatAlly(ct1)
ct1.Data.Ownername="Player1"
ct1.Data.GetClaw()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("Emuishere")
	
	
	

dag=Bladex.CreateEntity("Dagmar","Fem1Wiz",37000,6000,0,"Person","Fem1Wiz_Evil")
dag.Angle=3
rwp=Bladex.CreateEntity("DagmarWP","ProRHWep3",0,0,0,"Weapon")
lwp=Bladex.CreateEntity("DagmarSH","ProLHWep3",0,0,0,"Weapon")
rwp.Data=DorcasWeaponTypes.RightHandSword(rwp)
lwp.Data=DorcasWeaponTypes.ShieldSword(lwp)
Actions.TakeObject("Dagmar","DagmarWP")
Actions.TakeObject("Dagmar","DagmarSH")
dag.Data=EnemyCharTypes.DorcasEvil(dag)

dag.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+dag.Kind))
dag.SetOnFloor()
	


dor=Bladex.CreateEntity("Dorcas","Fem1Wiz",49362,-1043,-1529,"Person")
dor.Angle=4.1
rwp=Bladex.CreateEntity("DorcasWP","ProRHWep2",0,0,0,"Weapon")
lwp=Bladex.CreateEntity("DorcasSH","ProLHWep2",0,0,0,"Weapon")
rwp.Data=DorcasWeaponTypes.RightHandSword(rwp)
lwp.Data=DorcasWeaponTypes.ShieldSword(lwp)
Actions.TakeObject("Dorcas","DorcasWP")
Actions.TakeObject("Dorcas","DorcasSH")
dor.Data=AllyDorcasTypes.NPCDorcas(dor)
dor.Data.DeathFunc=DorcasDead
dor.SetOnFloor()
dor.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+dor.Kind))
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("Dorcas")



dwf1=Bladex.CreateEntity("Ernie","Enano1",46823,5990,-11543,"Person")
dwf1.Scale=1
dwf1.Angle=5
potion=Bladex.CreateEntity ("ErniePOT", "Pocima50", 0,0,0, "Physic")
potion.Scale=1.220190
pocimac.CreatePotion(potion.Name)
Actions.TakeObject("Ernie",potion.Name)
rwp=Bladex.CreateEntity("ErnieWP","Garrote",0,0,0,"Weapon")
Actions.TakeObject("Ernie",rwp.Name)
lwp=Bladex.CreateEntity("ErnieSH","Escudo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Ernie",lwp.Name)
dwf1.Data=WizardAllyTypes.Enano(dwf1)
dwf1.Data.LevelupFunc=WizardAllyTypes.AllyDwarfLevelUpFunc
dwf1.Data.LevelupArgs=(dwf1.Name,)
dwf1.Data.DeathFunc=CallMyReplacement
dwf1.Data.DeathArgs=(dwf1.Kind,)
dwf1.Data.OnGuard=1
dwf1.Data.SetGuardPoint(76823,0)
dwf1.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("Ernie")



skltp1=Bladex.CreateEntity("StartSkelDRTP1","SkeletonDRTP",84000,6300,-6000,"Person")
skltp1.Angle=3
rwp=Bladex.CreateEntity("StartSkelDRTP1WP","ProSklScythe1",0,0,0,"Weapon")
global EneWeaponList
EneWeaponList.append(rwp.Name)
Actions.TakeObject("StartSkelDRTP1","StartSkelDRTP1WP")
skltp1.Data=SkeletonDRTPTypes.SkeletonDRTP(skltp1)
skltp1.SetOnFloor()
darfuncs.HideBadGuy("StartSkelDRTP1")
	
	

	

skltp2=Bladex.CreateEntity("StartSkelette","Skelette_A",89000,6300,-9000,"Person")
skltp2.Angle=2
skltp2.SetMesh("Skelette_B")
rwp=Bladex.CreateEntity("StartSkeletteWP","Maza",0,0,0,"Weapon")
Actions.TakeObject("StartSkelette","StartSkeletteWP")
skltp2.Data=SkeletonDRTPTypes.SkeletonDRTP(skltp2)
skltp2.SetOnFloor()
darfuncs.HideBadGuy("StartSkelette")


# (name, pos, visible=1, dustfx=1, EntityKind="Skeleton", scale=1.2):


hole1=def_class.CreateSkelHole("Hole1",(81892, 6613, -11609),1,1,"SkeletonDRTP")
hole2=def_class.CreateSkelHole("Hole2",(86086, 6849, -12814),1,1,"SkeletonDRTP")
hole3=def_class.CreateSkelHole("Hole3",(88387, 7072, -9064),1,1,"SkeletonDRTP")
hole4=def_class.CreateSkelHole("Hole4",(83807, 6735, -6476),1,1,"SkeletonDRTP")
hole5=def_class.CreateSkelHole("Hole5",(80328, 6491, 1063),1,1,"SkeletonDRTP")
hole6=def_class.CreateSkelHole("Hole6",(97690, 7061, 5628),1,1,"SkeletonDRTP")
hole7=def_class.CreateSkelHole("Hole7",(96766, 7059, -2663),1,1,"SkeletonDRTP")
hole8=def_class.CreateSkelHole("Hole8",(95753, 7059, -19507),0,1,"Zomby")
hole9=def_class.CreateSkelHole("Hole9",(37500, 6100, 7125),0,0,"Skelette_A")
hole10=def_class.CreateSkelHole("Hole10",(46000, 6100, -3700),0,0,"Zomby")
hole11=def_class.CreateSkelHole("Hole11",(62250, 6100, -12000),0,0,"Zomby")
hole12=def_class.CreateSkelHole("Hole12",(33550, 6100, -19000),0,0,"Zomby")
hole13=def_class.CreateSkelHole("Hole13",(66000,6000,6000),0,0,"Zomby")
hole14=def_class.CreateSkelHole("Hole14",(6500,-1700,6000),0,0,"Zomby")
hole15=def_class.CreateSkelHole("Hole15",(73500, 6100, 3250),0,0,"Zomby")
hole16=def_class.CreateSkelHole("Hole16",(25493, 11414, -5708),0,0,"Zomby")
hole17=def_class.CreateSkelHole("Hole17",(22814, 11912, 17210),0,0,"Zomby")
hole18=def_class.CreateSkelHole("Hole18",(25864, 11931, 14847),0,0,"Zomby")
hole19=def_class.CreateSkelHole("Hole19",(38073, 11412, 4858),0,0,"Zomby")
hole20=def_class.CreateSkelHole("Hole20",(48621, 11432, 7337),0,0,"Zomby")
hole21=def_class.CreateSkelHole("Hole21",(60555, 11411, -112),0,0,"Zomby")
hole22=def_class.CreateSkelHole("Hole22",(60196, 11415, -5352),0,0)
hole23=def_class.CreateSkelHole("Hole23",(15157, 11429, -1999),0,0,"Zomby")
hole24=def_class.CreateSkelHole("Hole24",(46238, 11414, -15957),0,0,"Zomby")
hole25=def_class.CreateSkelHole("Hole25",(63722, 11430, -20355),0,0,"Zomby")
hole26=def_class.CreateSkelHole("Hole26",(59754, 11431, -17817),0,0,"Zomby")
hole27=def_class.CreateSkelHole("Hole27",(69618, 11431, -3709),0,0,"Zomby")
hole28=def_class.CreateSkelHole("Hole28",(71124, 11429, 13265),0,0)
hole29=def_class.CreateSkelHole("Hole29",(83506, 6749, 21450),1,1,"Skelette_A")
hole30=def_class.CreateSkelHole("Hole30",(67950,6162,-11688),0,0,"Zomby")









zmb1=Bladex.CreateEntity("StartZomby1","Zomby",88000,6300,-6000,"Person")
zmb1.Angle=3
rwp=Bladex.CreateEntity("StartZomby1WP","Garrote",0,0,0,"Weapon")
global EneWeaponList
EneWeaponList.append(rwp.Name)
Actions.TakeObject("StartZomby1","StartZomby1WP")
zmb1.Data=ZombyTypes.Zomby(zmb1)
zmb1.SetOnFloor()


zmb2=Bladex.CreateEntity("StartZomby2","Zomby",91000,6300,-6000,"Person")
zmb2.Angle=3
rwp=Bladex.CreateEntity("StartZomby2WP","Garrote",0,0,0,"Weapon")
global EneWeaponList
EneWeaponList.append(rwp.Name)
Actions.TakeObject("StartZomby2","StartZomby2WP")
zmb2.Data=ZombyTypes.Zomby(zmb2)
zmb2.SetOnFloor()
zmb2.SetMesh("Momie")




sknt1=Bladex.CreateEntity("StartKnight1","Knight_Traitor",0,5000,0, "Person")
rwp=Bladex.CreateEntity("StartKnight1WP","Gladius",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(rwp)
EneWeaponList.append(rwp.Name)
Actions.TakeObject("StartKnight1","StartKnight1WP")
AssignData(sknt1.Name) 
SetEnemyFuncs(sknt1.Name)
darfuncs.HideBadGuy("StartKnight1")


sknt2=Bladex.CreateEntity("StartKnight2","Knight_Traitor",0,7000,0, "Person")
rwp=Bladex.CreateEntity("StartKnight2WP","Hacha",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(rwp)
Actions.TakeObject("StartKnight2","StartKnight2WP")
EneWeaponList.append(rwp.Name)
AssignData(sknt2.Name) 
SetEnemyFuncs(sknt2.Name)
darfuncs.HideBadGuy("StartKnight2")


sectmin=Bladex.GetSector(30000,4000,-7500)
sectmin.OnEnter=StartMinoAttack


sknt3=Bladex.CreateEntity("StartKnight3","Knight_Traitor",0,6000,0, "Person")
rwp=Bladex.CreateEntity("StartKnight3WP","Garrote",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(rwp)
Actions.TakeObject("StartKnight3","StartKnight3WP")
EneWeaponList.append(rwp.Name)
AssignData(sknt3.Name) 
SetEnemyFuncs(sknt3.Name)
darfuncs.HideBadGuy("StartKnight3")



sectragnar=Bladex.GetSector(27000,-2000,-14000)
sectragnar.OnEnter=StartRagnarAttack

srgn1=Bladex.CreateEntity("StartRagnar1","Ragnar",0,6000,0, "Person")
rwp=Bladex.CreateEntity("StartRagnar1WP","ProWolfSword",0,0,0,"Weapon")
EneWeaponList.append(rwp.Name)
ItemTypes.ItemDefaultFuncs(rwp)
Actions.TakeObject("StartRagnar1","StartRagnar1WP")
AssignData(srgn1.Name) 
SetEnemyFuncs(srgn1.Name)
darfuncs.HideBadGuy("StartRagnar1")




smin=Bladex.CreateEntity("StartMino","Minotaur",0,7000,0, "Person")
rwp=Bladex.CreateEntity("StartMinoWP","Garrote",0,0,0,"Weapon")
rwp.Scale=1.5
ItemTypes.ItemDefaultFuncs(rwp)
Actions.TakeObject("StartMino","StartMinoWP")
EneWeaponList.append(rwp.Name)
AssignData(smin.Name) 
SetEnemyFuncs(smin.Name)
darfuncs.HideBadGuy("StartMino")

########

sectork=Bladex.GetSector(-29500,18000,34500)
sectork.OnEnter=StartOrkAttack


sork1=Bladex.CreateEntity("StartOrk1","Ork",-71614, 16982, 79517, "Person")
rwp=Bladex.CreateEntity("StartOrk1WP","Garrote",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(rwp)
Actions.TakeObject("StartOrk1","StartOrk1WP")
EneWeaponList.append(rwp.Name)
AssignData(sork1.Name) 
SetEnemyFuncs(sork1.Name)
darfuncs.HideBadGuy("StartOrk1")

sork2=Bladex.CreateEntity("StartOrk2","Ork",-71614, 16982, 79517, "Person")
rwp=Bladex.CreateEntity("StartOrk2WP","Garrote",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(rwp)
EneWeaponList.append(rwp.Name)
Actions.TakeObject("StartOrk2","StartOrk2WP")
AssignData(sork2.Name) 
SetEnemyFuncs(sork2.Name)
darfuncs.HideBadGuy("StartOrk2")

sork3=Bladex.CreateEntity("StartOrk3","Ork",-71614, 16982, 79517, "Person")
rwp=Bladex.CreateEntity("StartOrk3WP","Hacha",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(rwp)
EneWeaponList.append(rwp.Name)
Actions.TakeObject("StartOrk3","StartOrk3WP")
AssignData(sork3.Name) 
SetEnemyFuncs(sork3.Name)
darfuncs.HideBadGuy("StartOrk3")

sork4=Bladex.CreateEntity("StartOrk4","Great_Ork",-71614, 16982, 79517, "Person")
rwp=Bladex.CreateEntity("StartOrk4WP","Hacha",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(rwp)
EneWeaponList.append(rwp.Name)
Actions.TakeObject("StartOrk4","StartOrk4WP")
AssignData(sork4.Name) 
SetEnemyFuncs(sork4.Name)
darfuncs.HideBadGuy("StartOrk4")



skl1=Bladex.CreateEntity("StartSkeleton","Skeleton",11186, -1726, 9517,"Person")
skl1.Angle=3
skl1wp=Bladex.CreateEntity("StartSkeletonWP","Garrote",0, 0, 0,"Weapon")
EneWeaponList.append(skl1wp.Name)
Actions.TakeObject("StartSkeleton","StartSkeletonWP")
AssignData(skl1.Name) 
SetEnemyFuncs(skl1.Name)
darfuncs.HideBadGuy("StartSkeleton")


# Tomb Guard

ck1=Bladex.CreateEntity("ChaosKnight_1","ChaosKnight",78123,17529,73468, "Person")
ck1.Scale=1.0
ck1.Angle=3.27987302325
ck1.Data=EnemyCharTypes.Chaos_Knight(ck1)
ck1.Data.PrepareWeapons("Espadon", "Escudon")
ck1.SetOnFloor()
ck1.ImDeadFunc = MuereCaos
darfuncs.HideBadGuy(ck1.Name)




gol1=Bladex.CreateEntity("Golem_stone_1673","Golem_stone",73931.0239177,6405.31264929,86071.6981169, "Person")
gol1.Scale=1.0
gol1.Angle=4.8
gol1.Data=EnemyCharTypes.Golem(gol1)
gol1.Freeze()





#sectsklarc=Bladex.GetSector(10000,-2000,5000)
#sectsklarc.OnEnter=CheckUnhideSkelArchers

# bugs with hiding ens with bows (!?!)


"""
sklarc1=Bladex.CreateEntity("SkeletonArcher1","Skeleton",22250, -14800, 31000,"Person")
sklarc1.Angle=3
inv=sklarc1.GetInventory()
sklarc1wp=Bladex.CreateEntity("SkeletonArcher1WP","Garrote",0, 0, 0,"Weapon")
Actions.TakeObject("SkeletonArcher1","SkeletonArcher1WP")
sklarc1bw=Bladex.CreateEntity("SkeletonArcher1BW","Arco",0, 0, 0,"Weapon")
inv.AddBow("SkeletonArcher1BW")
ItemTypes.ItemDefaultFuncs(sklarc1bw)
sklarc1qv=Bladex.CreateEntity("SkeletonArcher1QV","Carcaj",0, 0, 0,"Weapon")
WizQuiverTypes.QuiverTypeFuncs(sklarc1qv)
inv.AddQuiver("SkeletonArcher1QV")
sklarc1qv.Data.ArrowsLeft=10
AssignData(sklarc1.Name)
sklarc1.Data.AAsec=7
sklarc1.Data.AAprim=6
sklarc1.Data.GuardPosition=(22250, -14800, 31000)
sklarc1.Data.GuardAngle=3
sklarc1.Data.SetActionArea()
sklarc1.Data.DeathFunc=ReplaceMe
sklarc1.Data.DeathArgs=(sklarc1.Name,)
HideMe("SkeletonArcher1")



sklarc2=Bladex.CreateEntity("SkeletonArcher2","Skeleton",36250, -13000, 21500,"Person")
sklarc2.Angle=3
inv=sklarc2.GetInventory()
sklarc2wp=Bladex.CreateEntity("SkeletonArcher2WP","Garrote",0, 0, 0,"Weapon")
Actions.TakeObject("SkeletonArcher2","SkeletonArcher2WP")
sklarc2bw=Bladex.CreateEntity("SkeletonArcher2BW","Arco",0, 0, 0,"Weapon")
inv.AddBow("SkeletonArcher2BW")
ItemTypes.ItemDefaultFuncs(sklarc2bw)
sklarc2qv=Bladex.CreateEntity("SkeletonArcher2QV","Carcaj",0, 0, 0,"Weapon")
WizQuiverTypes.QuiverTypeFuncs(sklarc2qv)
inv.AddQuiver("SkeletonArcher2QV")
sklarc2qv.Data.ArrowsLeft=10
AssignData(sklarc2.Name)
sklarc2.Data.AAsec=5
sklarc2.Data.AAprim=4
sklarc2.Data.GuardPosition=(36250, -13000, 21500)
sklarc2.Data.GuardAngle=3
sklarc2.Data.SetActionArea()
sklarc2.Data.DeathFunc=ReplaceMe
sklarc2.Data.DeathArgs=(sklarc2.Name,)
HideMe("SkeletonArcher2")
"""

orcarcher1=Bladex.CreateEntity("OrkArcher1","Ork",-31604.6398247,5015.08846339,82629.265784, "Person")
orcarcher1.Scale=1.0
orcarcher1.Angle=2.78
orcarcher1.Level=5
inv=orcarcher1.GetInventory()
orcarcher1wp=Bladex.CreateEntity("OrkArcher1WP","Espadaelfica",0, 0, 0,"Weapon")
Actions.TakeObject("OrkArcher1","OrkArcher1WP")
orcarcher1bw=Bladex.CreateEntity("OrkArcher1BW","Arco",0, 0, 0,"Weapon")
inv.AddBow("OrkArcher1BW")
ItemTypes.ItemDefaultFuncs(orcarcher1bw)
orcarcher1qv=Bladex.CreateEntity("OrkArcher1QV","Carcaj",0, 0, 0,"Weapon")
WizQuiverTypes.QuiverTypeFuncs(orcarcher1qv)
inv.AddQuiver("OrkArcher1QV")
orcarcher1qv.Data.ArrowsLeft=10
EnemyTypes.EnemyDefaultFuncs(orcarcher1)
orcarcher1.ActionAreaMin=pow( 2,8 ) 
orcarcher1.ActionAreaMax=pow( 2,9 ) 


orcarcher2=Bladex.CreateEntity("OrkArcher2","Ork",-32604.6398247,5015.08846339,85629.265784, "Person")
orcarcher2.Scale=1.0
orcarcher2.Angle=2.78
orcarcher2.Level=5
inv=orcarcher2.GetInventory()
orcarcher2wp=Bladex.CreateEntity("OrkArcher2WP","Espadaelfica",0, 0, 0,"Weapon")
Actions.TakeObject("OrkArcher2","OrkArcher2WP")
orcarcher2bw=Bladex.CreateEntity("OrkArcher2BW","Arco",0, 0, 0,"Weapon")
inv.AddBow("OrkArcher2BW")
ItemTypes.ItemDefaultFuncs(orcarcher2bw)
orcarcher2qv=Bladex.CreateEntity("OrkArcher2QV","Carcaj",0, 0, 0,"Weapon")
WizQuiverTypes.QuiverTypeFuncs(orcarcher2qv)
inv.AddQuiver("OrkArcher2QV")
orcarcher2qv.Data.ArrowsLeft=10
EnemyTypes.EnemyDefaultFuncs(orcarcher2)
orcarcher2.ActionAreaMin=pow( 2,8 ) 
orcarcher2.ActionAreaMax=pow( 2,9 ) 



secttroll=Bladex.GetSector(128000,0,26000)
secttroll.OnEnter=UnhideTroll1


trll1=Bladex.CreateEntity("Troll_Dark_1","Troll_Dark",129540.570247,14516.3172554,35341.6908557, "Person")
trll1.Scale=1.0
trll1.Angle=3.4
trll1wp=Bladex.CreateEntity("Troll_Dark_1WP","Garropin",0, 0, 0,"Weapon")
trll1wp.Scale=1.1
Actions.TakeObject("Troll_Dark_1","Troll_Dark_1WP")
EnemyTypes.EnemyDefaultFuncs(trll1)
darfuncs.HideBadGuy(trll1.Name)
trll1.SendTriggerSectorMsgs=1

secticegol=Bladex.GetSector(105000,8000,-28500)
secticegol.OnEnter=ActIceGolem


icegol=Bladex.CreateEntity("IceGolem","Golem_stone",91122.531079,8405.31264942,-30162.8221309, "Person")
icegol.Scale=1.0
icegol.Angle=5.7
icegol.Data=EnemyCharTypes.Golem(icegol)
icegol.Freeze()
icegol.MeshName="Golem_ice"
icegol.Data.Resistances= copy.copy(CharStats.GetCharResistances("Golem_ice"))
icegol.Data.StoneType="Piedra_Glm_ic"
icegol.Data.StoneAlpha=0.6
icegol.Data.StoneSelfIlum=0.8
icegol.Alpha=0.6
icegol.SelfIlum=0.8


ag=Bladex.CreateEntity("AuraGolem", "Entity Aura", 0, 0, 0)
ag.SetAuraParams(50, 1, 1, 0, 0, 1)
ag.SetAuraGradient(2, 0.9, 1.0, 1.0, 0.2, 0.1, 0.4, 0.8, 1.0, 0.0, 0.8)
icegol.Link(ag)
ag.SetAuraActive(1)



	
o=Bladex.CreateEntity("EstacaFernando_1855","EstacaFernando",46719.9397499,3663.80897731,-3922.25552887, Reference.ObjType("EstacaFernando"))
o.Scale=0.6
o.Orientation=(0.130526185036,0.991444885731,0.0,0.0)


o=Bladex.CreateEntity("Piedra_10_1857","Piedra_10",46824.1652363,3509.44683441,-3943.72731785, Reference.ObjType("Piedra_10"))
o.Scale=1.0
o.Orientation=(0.482962936163,-0.629409492016,0.482962906361,-0.370590507984)
o.Alpha=0
o.CastShadows=0
ps=Bladex.CreateEntity("BloodDrips", "Entity Particle System Dobj", 0, 0, 0)
ps.ObjectName="Piedra_10_1857"
ps.ParticleType="GotasSangre"
ps.PPS=20
ps.Velocity=0.0, 0.0, 0.0
ps.NormalVelocity=0.0
ps.RandomVelocity=0.0
ps.YGravity=2000
ps.Friction=0.01
ps.FollowFactor=0.0
ps.Time2Live=24


o=Bladex.CreateEntity("Bloodbol_1858","Bloodbol",46837.6592564,6823.6446237,-3984.65612716, "Weapon")
o.Scale=1.0
o.Orientation=(0.667375504971,0.717045605183,-0.0170777887106,0.200409337878)


savedlimbs=[]

def MoveHed():
	bits = Bladex.GetEntitiesAt(93000,6000,-9000,5000)
	for i in bits:
		obj=Bladex.GetEntity(i)
		if obj.Kind[:4] == "Limb":
			obj.Position= 46719.9397499,3663.80897731,-4122.25552887
			obj.Orientation=(0.429215818644,-0.593527793884,-0.65081667,0.199840456247)
			global savedlimbs
			savedlimbs.append(obj.Name)
			dmin=Bladex.GetEntity("DeadMino")
			dmin.Position=93000,26000,-9000

dmin=Bladex.CreateEntity("DeadMino","Minotaur",93000,6000,-9000, "Person")
dmin.Life=0
dmin.SeverLimb(1)
Bladex.AddScheduledFunc(Bladex.GetTime() + 10.0, MoveHed,())




