######################################################
#
# Create sets of attacks
#
#        - PussyCat -
#
######################################################


import Bladex
import Actions

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2



# Predeclare & link all my combos into ATTACKING action event tables

Bladex.SetEventTableFunc("ATTACKING","HitFinalItp",Actions.LinkNextAttack)
Bladex.SetEventTableFuncC("ATTACKING","HitFinalItpC","LinkNextAttack")
Bladex.SetEventTableFunc("ATTACKING","ActionEnd",Actions.EndOfAttack)
Bladex.SetEventTableFuncC("ATTACKING","ActionEndC","EndOfAttack")

Bladex.SetActionEventTable("Cat","g_01","ATTACKING")
Bladex.SetActionEventTable("Cat","g_02","ATTACKING")
Bladex.SetActionEventTable("Cat","g_spit","ATTACKING")

# Predeclare & link all my dodges into DODGES action event tables
Bladex.SetActionEventTable("Cat","D_r", "DODGING")
Bladex.SetActionEventTable("Cat","D_l", "DODGING")
Bladex.SetActionEventTable("Cat","D_b", "DODGING")


cat=Bladex.GetCharType("Cat","Cat")

###############################
# GRUPOS DE GOLPES ALEATORIOS #
###############################

#
#Dodge groups
#

#Dodges themselves
cat.AddAttack("DR","D_r")
cat.AttackTypeFlag("DR",ATK_UNIQUE) 

cat.AddAttack("DL","D_l")
cat.AttackTypeFlag("DL",ATK_UNIQUE) 

cat.AddAttack("DB","D_b")
cat.AttackTypeFlag("DB",ATK_UNIQUE) 







cat.AddAttack("GA","Cat_g_01")
cat.AttackWindow("Cat_g_01",5,15,"GA_Window")
cat.AttackTypeFlag("GA",ATK_UNIQUE)
cat.AddEnergyLevel("Cat_g_01", 0)

cat.AddAttack("GB","Cat_g_02")
cat.AttackWindow("Cat_g_02",5,15,"GB_Window")
cat.AttackTypeFlag("GB",ATK_UNIQUE)
cat.AddEnergyLevel("Cat_g_02", 0)

#SP group
cat.AddAttack("SP","Cat_g_spit")
cat.AddEnergyLevel("Cat_g_spit", 0)



