
import Bladex
import math
##########################
# Create New Biped Data  #
##########################


####################
#                  #
#    PussyCat      #
#                  #
####################




import CatAnm_def
CatAnm_def.InitCat()




cat=Bladex.GetCharType("Cat","Cat")



cat.TurnSpeed=3.4
cat.Jcost=27000
cat.MaxFall=5000
cat.DieFall=50000  # Cats aways land on there feet (lol)
cat.MaxStair=335
cat.Fov=math.pi
cat.MaxGrab=3500.0
cat.MedGrab=2500.0
cat.Min2Grab=1500.0    
cat.MinTake=-500.0	# Min height above floor TigerwiteE will take
cat.MaxTake1=450.0	# Max height above floor for Take1 Anim
cat.MaxTake2=550.0	# Max height above floor for Take2 Anim
cat.MaxTake3=1300.0	# Max height above floor for Take3 Anim
cat.MaxTake4=1900.0	# Max height above floor for Take4 Anim
cat.MaxTake5=3000.0	# Max height above floor for Take5 Anim
cat.Reach=2000.0	# Max distance from cat centre to obj centre to take
cat.MovFrwdSpeedInStrafe=1500  #Forwards speed when in catafe(combat mode only)
cat.MovBkwdSpeedInStrafe=1500  #Idem backwards
cat.MaxCombatDist=4000
cat.MaxSeeDist=50000
cat.DistStop=2500.0
cat.DistStop2=6000.0

cat.SetNCDSpheres(1)  #Numero de esferas en el modelo de colisiones
cat.SetCDSphere(0,-300,300.0)  #(numero de la espera, altura mm, radio mm)

cat.HeadControlled=0
cat.NaturalWeapons=1



############################### 

###############################################################################
    	
    	
    	
def CatWhenFirst():
	Bladex.CreateBipedData("Cat","Cat")

	######################################################
	# Comment the next section when changes are complete #
	######################################################
	import os

	try:
		os.remove("..\\..\\AnmPak\\Cat.dat")
	except:
		pass
	######################################################
	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Cat.dat")
	

	import CatAnimationSet
	CatAnimationSet.LoadCatAnimationSet("Cat")
	import CatBAct
	import LinkTables
	LinkTables.LinkMe("Cat")
	import CatCombos

	import CatAnmFact
	CatAnmFact.AnmFactCat()
        import CatStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Cat.dat","Cat")
	Bladex.AddFloorCTolerance("slip",10)
	
	print"Cat Data Set"
	
	
	
race=Bladex.GetCharType("Cat","Cat")
race.OnFirst=CatWhenFirst
	


