import Bladex
import NetSounds
import netgame


# ***********************************
# *      Asignacion de sonidos      *
# ***********************************


def AsignarSonidosDorcas(Personaje):
	from AniSoundDorcasX import *

	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos
	if netgame.GetNetState() !=2:
		per.AddEventSound('shield_block', GolpeArmaEscudoDor)
		per.AddEventSound('weapon_block', GolpeArmaArmaDor)
		per.AddEventSound('impale', TajoEmpalanteDor)
		per.AddEventSound('slash', TajoCortanteDor)
		per.AddEventSound('mutilate', TajoMutilacionDor)
		per.AddEventSound('crush', GolpeContundenteDor)


	# Sonidos de animaciones

	NetSounds.AddAnimSound(per,'Dor_chg_r', EnfundarDor, 0.3599)
	NetSounds.AddAnimSound(per,'Dor_chg_r', EnfundarDor, 0.3599)
	NetSounds.AddAnimSound(per,'Dor_chg_r_l', EnfundarDor, 0.3599)
	NetSounds.AddAnimSound(per,'Dor_g_spears1', SesgadoLargoAgudo, 0.2610)
	NetSounds.AddAnimSound(per,'Dor_g_spears1', SesgadoCortoAgudo, 0.6010)
	#NetSounds.AddAnimSound(per,'Dor_g_spears1', EsfuerzoDorMediano, 0.1620)
	NetSounds.AddAnimSound(per,'Dor_g_spears1', AndarDor1, 0.1100)
	NetSounds.AddAnimSound(per,'Dor_g_spears6', SesgadoLargoAgudo, 0.1470)
	#NetSounds.AddAnimSound(per,'Dor_g_spears6', EsfuerzoCortoDor, 0.1400)
	NetSounds.AddAnimSound(per,'Dor_g_spears6', AndarDor2, 0.1000)
	#NetSounds.AddAnimSound(per,'Dor_g_spear2katab2', EsfuerzoDorMediano 0.5060)

	
	NetSounds.AddAnimSound(per,"Dor_dth0", MuerteDor1, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth0", CaidaDor3, 0.5710)
	NetSounds.AddAnimSound(per,"Dor_dth0", CaidaDor4, 0.7700)
	NetSounds.AddAnimSound(per,"Dor_dth0", AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth0", AndarDor2, 0.4500)
	NetSounds.AddAnimSound(per,"Dor_dth0", AndarDor1, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", MuerteDor1, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor1, 0.2000)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor1, 0.4000)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor2, 0.5000)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor2, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", CaidaDor3, 0.7000)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", MuerteDor5, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor1, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor2, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor1, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor1, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", CaidaDor4, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", MuerteDor3, 0.1200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor1, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor1, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor2, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor1, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor1, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor2, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", CaidaDor3, 0.7000)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", MuerteDor4, 0.1200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor1, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor1, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor2, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor2, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor1, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor2, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", CaidaDor4, 0.6550)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", MuerteDor2, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor1, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor1, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor2, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor2, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor1, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor2, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", CaidaDor3, 0.7600)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", MuerteDor6, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor1, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor1, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor1, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor2, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor1, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor2, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", CaidaDor4, 0.7700)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", MuerteDor7, 0.1200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor2, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor2, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor2, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor1, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", CaidaDor3, 0.6900)
	
	NetSounds.AddAnimSound(per,"Dor_dth_burn", MuerteQuemandoDor1, 0.1100)
	
	NetSounds.AddAnimSound(per,"Dor_dth_rockfront", MuerteAplastamientoDor1, 0.1000)
	NetSounds.AddAnimSound(per,"Dor_dth_rockfront", HeridaDor2, 0.1000)
	
	NetSounds.AddAnimSound(per,"Dor_dth_rock", MuerteAplastamientoDor1, 0.1000)
	NetSounds.AddAnimSound(per,"Dor_dth_rock", HeridaDor2, 0.1000)
	
	NetSounds.AddAnimSound(per,"Dor_pour",SonidoVaciarBotella, 0.1234)

	NetSounds.AddAnimSound(per,'Dor_tke_r_key00',CogerLlave, 0.2069)
	NetSounds.AddAnimSound(per,'Dor_tke_r_key01',CogerLlave, 0.3103)
	NetSounds.AddAnimSound(per,'Dor_tke_r_key02',CogerLlave, 0.2759)
	NetSounds.AddAnimSound(per,'Dor_tke_r_key03',CogerLlave, 0.2754)
	NetSounds.AddAnimSound(per,'Dor_tke_r_key04',CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Dor_tke_r_key05',CogerLlave, 0.2654)
	
	NetSounds.AddAnimSound(per,'Dor_the_r_Key00', CogerEspada, 0.7652)
	NetSounds.AddAnimSound(per,'Dor_tke_r_00', CogerEspada, 0.2069)
	NetSounds.AddAnimSound(per,'Dor_tke_r_01', CogerEspada, 0.3103) 
	NetSounds.AddAnimSound(per,'Dor_tke_r_02', CogerEspada, 0.2759) 
	NetSounds.AddAnimSound(per,'Dor_tke_r_03', CogerEspada, 0.2754)
	NetSounds.AddAnimSound(per,'Dor_tke_r_04', CogerEspada, 0.2727) 
	NetSounds.AddAnimSound(per,'Dor_tke_r_05', CogerEspada, 0.2654)    
	
	NetSounds.AddAnimSound(per,'Dor_chg_l', CambiarEscudo, 0.3652)
	

	
	
	
	##################################################################################################
	##################################################################################################
	##################################################################################################
	##################################################################################################
	
	
	#NetSounds.AddAnimSound(per,'Dor_clmb_low_1h', EsfuerzoSubir1, 0.5450)
	NetSounds.AddAnimSound(per,'Dor_clmb_low_1h', AndarDor2, 0.8680)
	#NetSounds.AddAnimSound(per,'Dor_clmb_medlow_1h', EsfuerzoSubir1, 0.4330)
	NetSounds.AddAnimSound(per,'Dor_clmb_medlow_1h', AndarDor2, 0.3000)
	#NetSounds.AddAnimSound(per,'Dor_clmb_medium_1h', EsfuerzoSubir2, 0.2080)
	NetSounds.AddAnimSound(per,'Dor_clmb_medium_1h', AndarDor1, 0.3000)
	#NetSounds.AddAnimSound(per,'Dor_clmb_medium_1h', EsfuerzoSubir3, 0.7800)
	NetSounds.AddAnimSound(per,'Dor_clmb_medium_1h', AndarDor1, 0.6560)
	#NetSounds.AddAnimSound(per,'Dor_clmb_high_1h', EsfuerzoCortoDor, 0.1100)
	#NetSounds.AddAnimSound(per,'Dor_clmb_high_1h', EsfuerzoSubir3, 0.9000)
	#NetSounds.AddAnimSound(per,'Dor_clmb_high_1h', EsfuerzoSubir4, 0.5190)
	NetSounds.AddAnimSound(per,'Dor_clmb_high_1h', AndarDor1, 0.8600)
	NetSounds.AddAnimSound(per,'Dor_clmb_high_1h', AndarDor2, 0.2740)
	#NetSounds.AddAnimSound(per,'Dor_clmb_low', EsfuerzoSubir1, 0.4600)
	NetSounds.AddAnimSound(per,'Dor_clmb_low', AndarDor2, 0.4600)
	#NetSounds.AddAnimSound(per,'Dor_clmb_high', EsfuerzoCortoDor, 0.1100)
	#NetSounds.AddAnimSound(per,'Dor_clmb_high', EsfuerzoSubir3, 0.9000)
	#NetSounds.AddAnimSound(per,'Dor_clmb_high', EsfuerzoSubir4, 0.5190)
	NetSounds.AddAnimSound(per,'Dor_clmb_high', AndarDor1, 0.8600)
	NetSounds.AddAnimSound(per,'Dor_clmb_high', AndarDor2, 0.2740)
	
	
	#NetSounds.AddAnimSound(per,'Dor_jmph0_no', SaltoCortoDor, 0.4120)
	NetSounds.AddAnimSound(per,'Dor_jmph0_no', AndarDor1, 0.2800)
	#NetSounds.AddAnimSound(per,'Dor_jmp_no', SaltoCortoDor, 0.1240)
	NetSounds.AddAnimSound(per,'Dor_jmp_no', AndarDor2, 0.2800)
	#NetSounds.AddAnimSound(per,'Dor_jmp_1h', SaltoCortoDor, 0.1000)
	NetSounds.AddAnimSound(per,'Dor_jmp_1h', AndarDor1, 0.2800)
	
	NetSounds.AddAnimSound(per,'Dor_slip', AndarDor2, 0.1500)
	NetSounds.AddAnimSound(per,'Dor_slip', AndarDor1, 0.3500)
	NetSounds.AddAnimSound(per,'Dor_slip', AndarDor2, 0.5500)
	NetSounds.AddAnimSound(per,'Dor_slip', AndarDor1, 0.7500)
	NetSounds.AddAnimSound(per,'Dor_slip', AndarDor2, 0.9000)
	NetSounds.AddAnimSound(per,'Dor_slip_b', AndarDor2, 0.1500)
	NetSounds.AddAnimSound(per,'Dor_slip_b', AndarDor1, 0.3500)
	NetSounds.AddAnimSound(per,'Dor_slip_b', AndarDor2, 0.5500)
	NetSounds.AddAnimSound(per,'Dor_slip_b', AndarDor1, 0.7500)
	NetSounds.AddAnimSound(per,'Dor_slip_b', AndarDor2, 0.9000)
	NetSounds.AddAnimSound(per,'Dor_derrape', CaidaDerrapeDor1, 0.2500)
	NetSounds.AddAnimSound(per,'Dor_derrape', AndarDor2, 0.3000)
	
	NetSounds.AddAnimSound(per,'Dor_jog_turn', SaltoCortoDor, 0.4810)
	NetSounds.AddAnimSound(per,'Dor_jog_turn', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_wlk_turn', SaltoCortoDor, 0.4550)
	NetSounds.AddAnimSound(per,'Dor_snk_turn', SaltoCortoDor, 0.4550)
	NetSounds.AddAnimSound(per,'Dor_wlk_turn', SaltoCortoDor, 0.4550)
	
	NetSounds.AddAnimSound(per,'Dor_rlx_vt', CansancioDor, 0.1000)
	
	NetSounds.AddAnimSound(per,'Wbk_b_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_b_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_b_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_b_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_no_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_no_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_no_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_no_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_1h_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_1h_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_2h_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2h_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_2w_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2w_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_axe_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_axe_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_axe_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_axe_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_spear_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_spear_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Dor_wbk_spear', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_wbk_spear', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_wbk_spear', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Dor_wbk_spear', AndarDor2, 0.9200)
	
	
	NetSounds.AddAnimSound(per,'Wlk_no_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_no_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_no_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_no_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_s_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_s_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_s_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_s_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_b_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_b_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_b_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_b_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_1h_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_1h_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_2h_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2h_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2h_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2h_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_2w_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2w_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_axe_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_axe_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_axe_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_axe_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_spear_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_spear_Dor', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Dor', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Dor', AndarDor2, 0.9200)
	NetSounds.AddAnimSound(per,'Dor_wlk_spear', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_wlk_spear', AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_wlk_spear', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Dor_wlk_spear', AndarDor2, 0.9200)

	NetSounds.AddAnimSound(per,'Jog_2h_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2h_Dor', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2h_Dor', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2h_Dor', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2h_Dor', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_spear_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_spear_Dor', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_spear_Dor', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_spear_Dor', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_spear_Dor', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_jog_spear', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_jog_spear', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_jog_spear', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_jog_spear', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_jog_spear', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_b_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_b_Dor', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_b_Dor', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_b_Dor', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_b_Dor', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_no_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_no_Dor', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_no_Dor', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_no_Dor', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_no_Dor', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_s_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_s_Dor', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_s_Dor', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_s_Dor', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_s_Dor', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_axe_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_axe_Dor', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_axe_Dor', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_axe_Dor', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_axe_Dor', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_2w_Dor', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2w_Dor', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2w_Dor', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2w_Dor', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2w_Dor', AndarDor2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Dor_jogb_no', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_jogb_no', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_jogb_no', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_jogb_no', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_jogb_no', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_jogb_b', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_jogb_b', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_jogb_b', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_jogb_b', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_jogb_b', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_jogb_spear', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_jogb_spear', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_jogb_spear', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_jogb_spear', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_jogb_spear', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_jogb_2w', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_jogb_2w', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_jogb_2w', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_jogb_2w', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_jogb_2w', AndarDor2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Snk_no_Dor', AndarDor1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_no_Dor', AndarDor2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_b_Dor', AndarDor1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_b_Dor', AndarDor2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_1h_Dor', AndarDor1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_1h_Dor', AndarDor2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_2h_Dor', AndarDor1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_2h_Dor', AndarDor2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_2w_Dor', AndarDor1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_2w_Dor', AndarDor2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_spear_Dor', AndarDor1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_spear_Dor', AndarDor2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_axe_Dor', AndarDor1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_axe_Dor', AndarDor2, 0.5900)
	
	NetSounds.AddAnimSound(per,"FallLow_Dor",CaidaDor3, 0.2750)
	NetSounds.AddAnimSound(per,"FallLow_Dor",CaidaDor4, 0.2850)
	#NetSounds.AddAnimSound(per,"FallLow_Dor",EsfuerzoCaida1Dor, 0.2560)
	NetSounds.AddAnimSound(per,"FallLow_Dor",AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,"FallMed_Dor",CaidaDor1, 0.1440)
	NetSounds.AddAnimSound(per,"FallMed_Dor",CaidaDor2, 0.1600)
	NetSounds.AddAnimSound(per,"FallMed_Dor",EsfuerzoCaida1Dor, 0.1800)
	NetSounds.AddAnimSound(per,"FallMed_Dor",AndarDor1, 0.1850)
	NetSounds.AddAnimSound(per,"FallHigh_Dor",EsfuerzoCaida1Dor, 0.1000)
	NetSounds.AddAnimSound(per,"FallHigh_Dor",CaidaDor4, 0.1700)
	NetSounds.AddAnimSound(per,"FallHigh_Dor",EsfuerzoCaida1Dor, 0.2000)
	NetSounds.AddAnimSound(per,"FallHigh_Dor",AndarDor1, 0.1800)
	
	NetSounds.AddAnimSound(per,"Dth_Fll2_Dor", CaidaDor3, 0.1750)
	NetSounds.AddAnimSound(per,"Dth_Fll2_Dor", MuerteSaltoVacioDor1, 0.6000)
	NetSounds.AddAnimSound(per,"Dth_Fll_Dor", MuerteSaltoVacioDor2, 0.1000)
	NetSounds.AddAnimSound(per,'Dor_attack_f', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_f', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_f', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_f', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_f', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_r', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_r', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_r', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_r', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_r', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_l', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_l', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_l', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_l', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_l', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_l_2w', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_l_2w', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_l_2w', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_l_2w', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_l_2w', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_b_2w', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_b_2w', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_b_2w', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_b_2w', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_b_2w', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_r_2w', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_r_2w', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_r_2w', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_r_2w', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_r_2w', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_f_2w', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_f_2w', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_f_2w', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_f_2w', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_f_2w', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_f_spear', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_f_spear', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_f_spear', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_f_spear', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_f_spear', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_b_spear', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_b_spear', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_b_spear', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_b_spear', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_b_spear', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_l_spear', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_l_spear', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_l_spear', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_l_spear', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_l_spear', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_r_spear', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_r_spear', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_r_spear', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_r_spear', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_r_spear', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_f_no', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_f_no', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_f_no', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_f_no', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_f_no', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_b_no', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_b_no', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_b_no', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_b_no', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_b_no', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_r_no', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_r_no', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_r_no', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_r_no', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_r_no', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_l_no', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_l_no', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_l_no', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_l_no', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_l_no', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_r_s', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_r_s', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_r_s', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_r_s', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_r_s', AndarDor2, 0.8500)
	NetSounds.AddAnimSound(per,'Dor_attack_l_s', AndarDor1, 0.0534)
	NetSounds.AddAnimSound(per,'Dor_attack_l_s', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_attack_l_s', AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,'Dor_attack_l_s', AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,'Dor_attack_l_s', AndarDor2, 0.8500)
	
	#NetSounds.AddAnimSound(per,'Dor_d_l', EsfuerzoCorto2Dor, 0.3770)
	#NetSounds.AddAnimSound(per,'Dor_d_r', EsfuerzoCorto1Dor, 0.2100)
	#NetSounds.AddAnimSound(per,'Dor_d_b', EsfuerzoCorto2Dor, 0.2990)
	
	#NetSounds.AddAnimSound(per,'Dor_parry_spear', EsfuerzoSubir1, 0.3280)
	
	#NetSounds.AddAnimSound(per,'Dor_parry_spear', EsfuerzoSubir1, 0.3280)
	
	#NetSounds.AddAnimSound(per,'Dor_df_01', EsfuerzoSubir1, 0.2680)
	#NetSounds.AddAnimSound(per,'Dor_df_02', EsfuerzoSubir1, 0.2680)
	#NetSounds.AddAnimSound(per,'Dor_df_s_broken', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_df_s_broken', AndarDor1, 0.5000)
	#NetSounds.AddAnimSound(per,'Dor_df_01_spear', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_df_01_spear', AndarDor1, 0.5000)
	#NetSounds.AddAnimSound(per,'Dor_df_02_spear', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_df_02_spear', AndarDor1, 0.5000)
	#NetSounds.AddAnimSound(per,'Dor_df_01_2w', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_df_01_2w', AndarDor1, 0.5000)
	#NetSounds.AddAnimSound(per,'Dor_df_02_2w', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_df_02_2w', AndarDor1, 0.5000)
	
	
	NetSounds.AddAnimSound(per,'Dor_hurt_f_big', HeridaDor1, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_hurt_f_lite', HeridaDor1, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_hurt_f_head', HeridaDor4, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_hurt_f_breast', HeridaDor2,0.3889)
	NetSounds.AddAnimSound(per,'Dor_hurt_f_back', HeridaDor3, 0.4211)
	NetSounds.AddAnimSound(per,'Dor_hurt_f_r_arm', HeridaDor4, 0.2100)
	NetSounds.AddAnimSound(per,'Dor_hurt_f_l_arm', HeridaDor1, 0.1786)
	NetSounds.AddAnimSound(per,'Dor_hurt_f_r_leg', HeridaDor2, 0.4076)
	NetSounds.AddAnimSound(per,'Dor_hurt_f_l_leg', HeridaDor3, 0.4375)
	NetSounds.AddAnimSound(per,'Dor_hurt_jog', HeridaDor1, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_hurt_head', HeridaDor2, 0.6000)
	NetSounds.AddAnimSound(per,'Dor_hurt_breast', HeridaDor3, 0.3889)
	NetSounds.AddAnimSound(per,'Dor_hurt_back', HeridaDor2, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_hurt_r_arm', HeridaDor4, 0.4076)
	NetSounds.AddAnimSound(per,'Dor_hurt_l_arm', HeridaDor1, 0.5333)
	NetSounds.AddAnimSound(per,'Dor_hurt_r_leg', HeridaDor2, 0.4076)
	NetSounds.AddAnimSound(per,'Dor_hurt_l_leg', HeridaDor3, 0.4375)
	
	
	
	NetSounds.AddAnimSound(per,'Dor_g_09_07_s6low_new',SesgadoCorto, 0.223)
	NetSounds.AddAnimSound(per,'Dor_g_09_07_s6low_new',SesgadoCortoGrave, 0.646)
	NetSounds.AddAnimSound(per,'Dor_g_09_07_s6low_new',SesgadoLargoAgudo, 0.700)
	
	
	
	
	NetSounds.AddAnimSound(per,'Dor_g_sb25_new',SesgadoCortoGrave, 0.472)

	NetSounds.AddAnimSound(per,'Dor_g_27kata_new',SesgadoCortoAgudo, 0.110)
	NetSounds.AddAnimSound(per,'Dor_g_27kata_new',SesgadoCorto, 0.245)
	NetSounds.AddAnimSound(per,'Dor_g_27kata_new',SesgadoLargoAgudo, 0.427)
	
	NetSounds.AddAnimSound(per,'Dor_g_s22low_new',SesgadoCortoGrave, 0.340)
	
	
	
	#NetSounds.AddAnimSound(per,'Dor_g_01', EsfuerzoCortoDor, 0.3117)
	NetSounds.AddAnimSound(per,'Dor_g_01', AndarDor1, 0.2900)
	NetSounds.AddAnimSound(per,'Dor_g_01', SesgadoCorto, 0.3117)
	#NetSounds.AddAnimSound(per,'Dor_g_02', EsfuerzoCorto1Dor, 0.3026)
	NetSounds.AddAnimSound(per,'Dor_g_02', AndarDor2, 0.2700)
	NetSounds.AddAnimSound(per,'Dor_g_02', SesgadoCortoAgudo, 0.3026)
	#NetSounds.AddAnimSound(per,'Dor_g_05', EsfuerzoCorto2Dor, 0.5000)
	NetSounds.AddAnimSound(per,'Dor_g_05', AndarDor1, 0.4500)
	NetSounds.AddAnimSound(per,'Dor_g_05', SesgadoCortoGrave, 0.5000)
	#NetSounds.AddAnimSound(per,'Dor_g_06', EsfuerzoCorto3Dor, 0.4342)
	NetSounds.AddAnimSound(per,'Dor_g_06', AndarDor2, 0.3900)
	NetSounds.AddAnimSound(per,'Dor_g_06', SesgadoCorto, 0.4342)
	#NetSounds.AddAnimSound(per,'Dor_g_08', EsfuerzoCorto5Dor, 0.4030)
	NetSounds.AddAnimSound(per,'Dor_g_08', AndarDor1, 0.3500)
	NetSounds.AddAnimSound(per,'Dor_g_08', SesgadoCortoGrave, 0.4030)
	#NetSounds.AddAnimSound(per,'Dor_g_07', EsfuerzoCorto4Dor, 0.3291)
	NetSounds.AddAnimSound(per,'Dor_g_07', AndarDor2, 0.2800)
	NetSounds.AddAnimSound(per,'Dor_g_07', SesgadoCortoAgudo, 0.3291)
	#NetSounds.AddAnimSound(per,'Dor_g_09', EsfuerzoCorto6Dor, 0.3291)
	NetSounds.AddAnimSound(per,'Dor_g_09', AndarDor2, 0.3291)
	NetSounds.AddAnimSound(per,'Dor_g_09', SesgadoCorto, 0.3291)
	#NetSounds.AddAnimSound(per,'Dor_g_13', EsfuerzoGolpeFrontalDor, 0.3053)
	NetSounds.AddAnimSound(per,'Dor_g_13', AndarDor2, 0.2500)
	NetSounds.AddAnimSound(per,'Dor_g_13', SesgadoLargoAgudo, 0.3053)
	#NetSounds.AddAnimSound(per,'Dor_g_18', EsfuerzoGolpeArribaDor, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_g_18', AndarDor1, 0.3600)
	NetSounds.AddAnimSound(per,'Dor_g_18', SesgadoLargoGrave, 0.4224)
	#NetSounds.AddAnimSound(per,'Dor_g_11', EsfuerzoGolpeFrontalDor, 0.4600)
	NetSounds.AddAnimSound(per,'Dor_g_11', AndarDor2, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_g_11', SesgadoLargo, 0.4685)
	#NetSounds.AddAnimSound(per,'Dor_g_14', EsfuerzoGolpeLateralDor, 0.1200)
	NetSounds.AddAnimSound(per,'Dor_g_14', AndarDor1, 0.2500)
	NetSounds.AddAnimSound(per,'Dor_g_14', SesgadoLargoGrave, 0.3969)
	#NetSounds.AddAnimSound(per,'Dor_g_16', EsfuerzoCorto4Dor, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_g_16', AndarDor2, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_g_16', SesgadoLargoAgudo, 0.4681)
	#NetSounds.AddAnimSound(per,'Dor_g_12', EsfuerzoGolpeFrontalDor, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_g_12', AndarDor1, 0.5500)
	NetSounds.AddAnimSound(per,'Dor_g_12', SesgadoLargo, 0.5400)
	#NetSounds.AddAnimSound(per,'Dor_g_17', EsfuerzoCorto1Dor, 0.3500)
	NetSounds.AddAnimSound(per,'Dor_g_17', AndarDor2, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_g_17', SesgadoLargoAgudo, 0.4427)
	#NetSounds.AddAnimSound(per,'Dor_g_15', EsfuerzoGolpeLateralDor, 0.1300)  #no se si se usa
	NetSounds.AddAnimSound(per,'Dor_g_15', AndarDor2, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_g_15', SesgadoLargo, 0.4628)
	#NetSounds.AddAnimSound(per,'Dor_g_21', EsfuerzoGolpeArribaDor, 0.2500)
	NetSounds.AddAnimSound(per,'Dor_g_21', AndarDor1, 0.4600)
	NetSounds.AddAnimSound(per,'Dor_g_21', SesgadoLargoGrave, 0.5410)
	#NetSounds.AddAnimSound(per,'Dor_g_22', EsfuerzoDorMediano, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_g_22', AndarDor2, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_g_22', SesgadoLargo, 0.4698)
	#NetSounds.AddAnimSound(per,'Dor_g_23', EsfuerzoGolpeArribaDor, 0.1750)
	NetSounds.AddAnimSound(per,'Dor_g_23', AndarDor2, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_g_23', SesgadoLargo, 0.5350)
	#NetSounds.AddAnimSound(per,'Dor_g_26', EsfuerzoGolpeCabezaDor, 0.1800)
	NetSounds.AddAnimSound(per,'Dor_g_26', AndarDor1, 0.6800)
	NetSounds.AddAnimSound(per,'Dor_g_26', SesgadoLargoAgudo, 0.5000)
	#NetSounds.AddAnimSound(per,'Dor_g_31', EsfuerzoDorMediano, 0.1800)
	NetSounds.AddAnimSound(per,'Dor_g_31', AndarDor1, 0.2500)
	NetSounds.AddAnimSound(per,'Dor_g_31', SesgadoLargo, 0.2950)
	NetSounds.AddAnimSound(per,'Dor_g_31', SesgadoLargoAgudo, 0.2950)
	
	NetSounds.AddAnimSound(per,'Dor_g_28new', SesgadoLargoAgudo, 0.3590)
	NetSounds.AddAnimSound(per,'Dor_g_28new', SesgadoLargo, 0.2950)
	#NetSounds.AddAnimSound(per,'Dor_g_28new', EsfuerzoCorto2Dor, 0.4950)
	
	#NetSounds.AddAnimSound(per,'Dor_g_3s9_6new', EsfuerzoCorto1Dor, 0.2200)
	NetSounds.AddAnimSound(per,'Dor_g_3s9_6new', AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,'Dor_g_3s9_6new', SesgadoCorto, 0.2200)
	NetSounds.AddAnimSound(per,'Dor_g_3s9_6new', SesgadoCortoAgudo, 0.4490)
	#NetSounds.AddAnimSound(per,'Dor_g_12_7_s1new', EsfuerzoCorto1Dor, 0.1000)
	#NetSounds.AddAnimSound(per,'Dor_g_12_7_s1new', EsfuerzoCorto2Dor, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_g_12_7_s1new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Dor_g_12_7_s1new', SesgadoCortoAgudo, 0.2000)
	#NetSounds.AddAnimSound(per,'Dor_g_12_7_s1new', EsfuerzoGolpeLateralDor, 0.3300)
	NetSounds.AddAnimSound(per,'Dor_g_12_7_s1new', AndarDor2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Dor_g_06lowkata_new', SesgadoCorto, 0.2270)
	NetSounds.AddAnimSound(per,'Dor_g_06lowkata_new', SesgadoCortoAgudo, 0.4750)
	NetSounds.AddAnimSound(per,'Dor_g_06lowkata_new', SesgadoCorto, 0.1000)
	#NetSounds.AddAnimSound(per,'Dor_g_06lowkata_new', EsfuerzoCorto2Dor, 0.1000)
	#NetSounds.AddAnimSound(per,'Dor_g_06lowkata_new', EsfuerzoCorto2Dor, 0.2000)
	#NetSounds.AddAnimSound(per,'Dor_g_06lowkata_new', EsfuerzoCorto3Dor, 0.4750)
	NetSounds.AddAnimSound(per,'Dor_g_06lowkata_new', AndarDor2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Dor_g_06dwf', SesgadoCorto, 0.4342)
	#NetSounds.AddAnimSound(per,'Dor_g_06dwf', EsfuerzoCorto3Dor, 0.4342)
	NetSounds.AddAnimSound(per,'Dor_g_06dwf', AndarDor2, 0.4342)
	
	NetSounds.AddAnimSound(per,'Dor_g_s3_new', SesgadoLargoAgudo, 0.2860)
	#NetSounds.AddAnimSound(per,'Dor_g_s3_new', EsfuerzoGolpeArribaDor, 0.2225)
	NetSounds.AddAnimSound(per,'Dor_g_s3_new', AndarDor1, 0.3200)
	
	##############
	
	#NetSounds.AddAnimSound(per,'Dor_g_katar02', SesgadoLargoAgudo, 0.2660)
	NetSounds.AddAnimSound(per,'Dor_g_katar02', EsfuerzoCorto1Dor, 0.2100)
	NetSounds.AddAnimSound(per,'Dor_g_katar02', SesgadoCorto, 0.3790)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar06', SesgadoLargoAgudo, 0.1560)
	NetSounds.AddAnimSound(per,'Dor_g_katar06', SesgadoCorto, 0.2390)
	NetSounds.AddAnimSound(per,'Dor_g_katar06', SesgadoCorto, 0.2890)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar08', SesgadoLargoAgudo, 0.1860)
	NetSounds.AddAnimSound(per,'Dor_g_katar08', SesgadoCorto, 0.2390)
	NetSounds.AddAnimSound(per,'Dor_g_katar08', SesgadoCorto, 0.2790)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar011', SesgadoLargoAgudo, 0.1360)
	NetSounds.AddAnimSound(per,'Dor_g_katar011', SesgadoCorto, 0.1790)
	NetSounds.AddAnimSound(per,'Dor_g_katar011', SesgadoCorto, 0.2290)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar17', SesgadoLargoAgudo, 0.1360)
	NetSounds.AddAnimSound(per,'Dor_g_katar17', SesgadoCorto, 0.1790)
	NetSounds.AddAnimSound(per,'Dor_g_katar17', SesgadoCorto, 0.3590)
	NetSounds.AddAnimSound(per,'Dor_g_katar17', SesgadoLargo, 0.8790)
	
	
	
	
	NetSounds.AddAnimSound(per,'Dor_g_katar31', SesgadoLargoAgudo, 0.1660)
	NetSounds.AddAnimSound(per,'Dor_g_katar31', SesgadoCorto, 0.3790)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar16', SesgadoLargoAgudo, 0.1660)
	NetSounds.AddAnimSound(per,'Dor_g_katar16', SesgadoCorto, 0.3790)
	
	
	NetSounds.AddAnimSound(per,'Dor_g_katar23', SesgadoLargoAgudo, 0.1360)
	NetSounds.AddAnimSound(per,'Dor_g_katar23', SesgadoCorto, 0.1790)
	NetSounds.AddAnimSound(per,'Dor_g_katar23', SesgadoCorto, 0.2290)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar28', SesgadoLargoAgudo, 0.1360)
	NetSounds.AddAnimSound(per,'Dor_g_katar28', SesgadoCorto, 0.1790)
	NetSounds.AddAnimSound(per,'Dor_g_katar28', SesgadoCorto, 0.2290)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar32', SesgadoLargoAgudo, 0.1360)
	NetSounds.AddAnimSound(per,'Dor_g_katar32', SesgadoCorto, 0.1790)
	NetSounds.AddAnimSound(per,'Dor_g_katar32', SesgadoCorto, 0.2290)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar33', SesgadoLargoAgudo, 0.1360)
	NetSounds.AddAnimSound(per,'Dor_g_katar33', SesgadoCorto, 0.1790)
	NetSounds.AddAnimSound(per,'Dor_g_katar33', SesgadoCorto, 0.2290)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar11', SesgadoLargoAgudo, 0.1360)
	NetSounds.AddAnimSound(per,'Dor_g_katar11', SesgadoCorto, 0.1790)
	NetSounds.AddAnimSound(per,'Dor_g_katar11', SesgadoCorto, 0.2290)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar111', SesgadoLargoAgudo, 0.1360)
	NetSounds.AddAnimSound(per,'Dor_g_katar111', SesgadoCorto, 0.1790)
	NetSounds.AddAnimSound(per,'Dor_g_katar111', SesgadoCorto, 0.2290)
	
	NetSounds.AddAnimSound(per,'Dor_g_katar211', SesgadoLargoAgudo, 0.1360)
	NetSounds.AddAnimSound(per,'Dor_g_katar211', SesgadoCorto, 0.1790)
	NetSounds.AddAnimSound(per,'Dor_g_katar211', SesgadoCorto, 0.2290)
	
	################
	#NetSounds.AddAnimSound(per,'Dor_g_punch1', EsfuerzoCorto1Dor, 0.3150)
	#NetSounds.AddAnimSound(per,'Dor_g_punch2', EsfuerzoCorto2Dor, 0.3150)
	#NetSounds.AddAnimSound(per,'Dor_g_kick1', EsfuerzoCorto3Dor, 0.2100)
	#NetSounds.AddAnimSound(per,'Dor_g_kick2', EsfuerzoCorto5Dor, 0.2100)
	#NetSounds.AddAnimSound(per,'Dor_g_kick4', EsfuerzoCorto4Dor, 0.2100)
	#NetSounds.AddAnimSound(per,'Dor_g_kick5', EsfuerzoCorto3Dor, 0.2100)
	NetSounds.AddAnimSound(per,'Dor_g_spears1', SesgadoLargoAgudo, 0.2610)
	NetSounds.AddAnimSound(per,'Dor_g_spears1', SesgadoCortoAgudo, 0.6010)
	#NetSounds.AddAnimSound(per,'Dor_g_spears1', EsfuerzoDorMediano, 0.1620)
	NetSounds.AddAnimSound(per,'Dor_g_spears1', AndarDor1, 0.1100)
	NetSounds.AddAnimSound(per,'Dor_g_spear26kata', SesgadoCorto, 0.1320)
	NetSounds.AddAnimSound(per,'Dor_g_spear26kata', SesgadoLargoAgudo, 0.2260)
	NetSounds.AddAnimSound(per,'Dor_g_spear26kata', SesgadoCortoAgudo, 0.3260)
	NetSounds.AddAnimSound(per,'Dor_g_spear26kata', SesgadoLargo, 0.4680)
	NetSounds.AddAnimSound(per,'Dor_g_spear26kata', AndarDor2, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_g_spear26kata', SesgadoCortoAgudo, 0.5460)
	NetSounds.AddAnimSound(per,'Dor_g_spear26kata', SesgadoLargoAgudo, 0.6070)
	#NetSounds.AddAnimSound(per,'Dor_g_spear26kata', EsfuerzoCorto1Dor, 0.2000)
	#NetSounds.AddAnimSound(per,'Dor_g_spear26kata', EsfuerzoCorto3Dor, 0.5300)
	NetSounds.AddAnimSound(per,'Dor_g_spear26kata', AndarDor2, 0.1000)
	NetSounds.AddAnimSound(per,'Dor_g_spear08', SesgadoCortoAgudo, 0.2800)
	NetSounds.AddAnimSound(per,'Dor_g_spear08', SesgadoCorto, 0.5790)
	#NetSounds.AddAnimSound(per,'Dor_g_spear08', EsfuerzoCorto2Dor, 0.2800)
	NetSounds.AddAnimSound(per,'Dor_g_spear08', AndarDor1, 0.2800)
	NetSounds.AddAnimSound(per,'Dor_g_spears8', AtaquesEspecialesDor2, 0.265)
	#NetSounds.AddAnimSound(per,'Dor_g_spears8', EsfuerzoGolpeFrontalDor, 0.150)
	NetSounds.AddAnimSound(per,'Dor_g_spears8', AndarDor1, 0.110)
	NetSounds.AddAnimSound(per,'Dor_g_spear12', SesgadoCortoAgudo, 0.2550)
	#NetSounds.AddAnimSound(per,'Dor_g_spear12', EsfuerzoCorto5Dor, 0.2550)
	NetSounds.AddAnimSound(per,'Dor_g_spear12', SesgadoCorto, 0.5500)
	NetSounds.AddAnimSound(per,'Dor_g_spear12', AndarDor2, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_g_spear02', SesgadoCortoAgudo, 0.2600)
	NetSounds.AddAnimSound(per,'Dor_g_spear02', SesgadoCortoGrave, 0.4990)
	#NetSounds.AddAnimSound(per,'Dor_g_spear02', EsfuerzoCorto2Dor, 0.2600)
	NetSounds.AddAnimSound(per,'Dor_g_spear02', AndarDor1, 0.2100)
	NetSounds.AddAnimSound(per,'Dor_g_spears6', SesgadoLargoAgudo, 0.1470)
	#NetSounds.AddAnimSound(per,'Dor_g_spears6', EsfuerzoCortoDor, 0.1400)
	NetSounds.AddAnimSound(per,'Dor_g_spears6', AndarDor2, 0.1000)
	NetSounds.AddAnimSound(per,'Dor_g_spear32kata_b2', SesgadoCorto, 0.110)
	NetSounds.AddAnimSound(per,'Dor_g_spear32kata_b2', AndarDor2, 0.220)
	NetSounds.AddAnimSound(per,'Dor_g_spear32kata_b2', AtaquesEspecialesDor3, 0.256)
	NetSounds.AddAnimSound(per,'Dor_g_spear32kata_b2', AtaquesEspecialesDor1, 0.553)
	#NetSounds.AddAnimSound(per,'Dor_g_spear32kata_b2', EsfuerzoCorto3Dor, 0.246)
	#NetSounds.AddAnimSound(per,'Dor_g_spear32kata_b2', EsfuerzoGolpeFrontalDor, 0.506)
	NetSounds.AddAnimSound(per,'Dor_g_spear16low', SesgadoCorto, 0.1170)
	NetSounds.AddAnimSound(per,'Dor_g_spear16low', SesgadoLargoAgudo, 0.3560)
	#NetSounds.AddAnimSound(per,'Dor_g_spear16low', EsfuerzoGolpeCabezaDor, 0.1000)
	NetSounds.AddAnimSound(per,'Dor_g_spear16low', AndarDor2, 0.1270)
	NetSounds.AddAnimSound(per,'Dor_g_spear02low', SesgadoLargo, 0.2300)
	NetSounds.AddAnimSound(per,'Dor_g_spear02low', SesgadoCortoAgudo, 0.5320)
	#NetSounds.AddAnimSound(per,'Dor_g_spear02low', EsfuerzoCorto1Dor, 0.2300)
	NetSounds.AddAnimSound(per,'Dor_g_spear02low', AndarDor2, 0.1800)
	NetSounds.AddAnimSound(per,'Dor_g_spear_2katab6low', SesgadoCortoAgudo, 0.129)
	NetSounds.AddAnimSound(per,'Dor_g_spear_2katab6low', AtaquesEspecialesDor3, 0.357)
	NetSounds.AddAnimSound(per,'Dor_g_spear_2katab6low', AtaquesEspecialesDor2, 0.424)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_2katab6low', EsfuerzoGolpeFrontalDor, 0.404)
	NetSounds.AddAnimSound(per,'Dor_g_spear_2katab6low', AndarDor1, 0.300)
	NetSounds.AddAnimSound(per,'Dor_g_spear_sb11', SesgadoCortoAgudo, 0.160)
	NetSounds.AddAnimSound(per,'Dor_g_spear_sb11', AtaquesEspecialesDor2, 0.331)
	NetSounds.AddAnimSound(per,'Dor_g_spear_sb11', AtaquesEspecialesDor1, 0.564)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_sb11', EsfuerzoCorto3Dor, 0.160)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_sb11', EsfuerzoCorto2Dor, 0.320)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_sb11', EsfuerzoGolpeFrontalDor, 0.550)
	NetSounds.AddAnimSound(per,'Dor_g_spear_sb11', AndarDor1, 0.300)
	#NetSounds.AddAnimSound(per,'Dor_g_spear17', EsfuerzoGolpeCabezaDor, 0.1100)
	NetSounds.AddAnimSound(per,'Dor_g_spear17', SesgadoLargoAgudo, 0.4700)
	NetSounds.AddAnimSound(per,'Dor_g_spear17', AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_g_spear17', AndarDor2, 0.7000)
	#NetSounds.AddAnimSound(per,'Dor_g_spear16', EsfuerzoGolpeArribaDor, 0.1100)
	NetSounds.AddAnimSound(per,'Dor_g_spear16', SesgadoLargoAgudo, 0.4590)
	NetSounds.AddAnimSound(per,'Dor_g_spear16', AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_g_spear16', AndarDor2, 0.7000)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_b6_26', EsfuerzoGolpeArribaDor, 0.2500)
	NetSounds.AddAnimSound(per,'Dor_g_spear_b6_26', SesgadoLargoAgudo, 0.4770)
	NetSounds.AddAnimSound(per,'Dor_g_spear_b6_26', AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_g_spear_b6_26', AndarDor2, 0.7000)
	#NetSounds.AddAnimSound(per,'Dor_g_spear19_13', EsfuerzoCorto2Dor, 0.471)
	NetSounds.AddAnimSound(per,'Dor_g_spear19_13', SesgadoCortoAgudo, 0.265)
	NetSounds.AddAnimSound(per,'Dor_g_spear19_13', SesgadoCorto, 0.470)
	NetSounds.AddAnimSound(per,'Dor_g_spear19_13', AndarDor1, 0.300)
	NetSounds.AddAnimSound(per,'Dor_g_spear19_13', AndarDor2, 0.700)
	NetSounds.AddAnimSound(per,'Dor_g_spear_b06', SesgadoCorto, 0.4170)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_b06', EsfuerzoCortoDor, 0.2500)
	NetSounds.AddAnimSound(per,'Dor_g_spear_b06', AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_g_spear_b06', AndarDor2, 0.7000)
	NetSounds.AddAnimSound(per,'Dor_g_spear_bs21', SesgadoCorto, 0.4900)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_bs21', EsfuerzoGolpeArribaDor, 0.1500)
	NetSounds.AddAnimSound(per,'Dor_g_spear_bs21', AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_g_spear_bs21', AndarDor2, 0.7000)
	NetSounds.AddAnimSound(per,'Dor_g_spear111', SesgadoLargo, 0.2200)
	#NetSounds.AddAnimSound(per,'Dor_g_spear111', EsfuerzoCorto2Dor, 0.2150)
	NetSounds.AddAnimSound(per,'Dor_g_spear111', AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_g_spear111', AndarDor2, 0.7000)
	NetSounds.AddAnimSound(per,'Dor_g_spear13', AtaquesEspecialesDor2, 0.284)
	#NetSounds.AddAnimSound(per,'Dor_g_spear13', EsfuerzoGolpeFrontalDor, 0.215)
	NetSounds.AddAnimSound(per,'Dor_g_spear13', AndarDor1, 0.300)
	NetSounds.AddAnimSound(per,'Dor_g_spear13', AndarDor2, 0.700)
	NetSounds.AddAnimSound(per,'Dor_g_spear_kata23', SesgadoCorto, 0.100)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_kata23', EsfuerzoCorto3Dor, 0.100)
	NetSounds.AddAnimSound(per,'Dor_g_spear_kata23', AtaquesEspecialesDor3, 0.248)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_kata23', EsfuerzoCorto7Dor, 0.238)
	NetSounds.AddAnimSound(per,'Dor_g_spear_kata23', AtaquesEspecialesDor1, 0.416)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_kata23', EsfuerzoGolpeFrontalDor, 0.400)
	NetSounds.AddAnimSound(per,'Dor_g_spear_kata23', AndarDor1, 0.300)
	NetSounds.AddAnimSound(per,'Dor_g_spear_kata23', AndarDor2, 0.700)
	NetSounds.AddAnimSound(per,'Dor_g_spear33', AtaquesEspecialesDor1, 0.190)
	#NetSounds.AddAnimSound(per,'Dor_g_spear33', EsfuerzoCorto5Dor, 0.170)
	NetSounds.AddAnimSound(per,'Dor_g_spear33', AtaquesEspecialesDor2, 0.404)
	#NetSounds.AddAnimSound(per,'Dor_g_spear33', EsfuerzoGolpeFrontalDor, 0.390)
	NetSounds.AddAnimSound(per,'Dor_g_spear33', AndarDor1, 0.300)
	NetSounds.AddAnimSound(per,'Dor_g_spear33', AndarDor2, 0.700)
	NetSounds.AddAnimSound(per,'Dor_g_spear19_bs1', SesgadoLargo, 0.5000)
	#NetSounds.AddAnimSound(per,'Dor_g_spear19_bs1', EsfuerzoGolpeLateralDor, 0.2000)
	NetSounds.AddAnimSound(per,'Dor_g_spear19_bs1', AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_g_spear19_bs1', AndarDor2, 0.7000)
	NetSounds.AddAnimSound(per,'Dor_g_spear19', AtaquesEspecialesDor2, 0.162)
	#NetSounds.AddAnimSound(per,'Dor_g_spear19', EsfuerzoGolpeFrontalDor, 0.150)
	NetSounds.AddAnimSound(per,'Dor_g_spear19', AndarDor1, 0.300)
	NetSounds.AddAnimSound(per,'Dor_g_spear19', AndarDor2, 0.700)
	NetSounds.AddAnimSound(per,'Dor_g_spear_b29', AtaquesEspecialesDor1, 0.375)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_b29', EsfuerzoGolpeFrontalDor, 0.355)
	NetSounds.AddAnimSound(per,'Dor_g_spear_b29', AndarDor1, 0.300)
	NetSounds.AddAnimSound(per,'Dor_g_spear_b29', AndarDor2, 0.700)
	NetSounds.AddAnimSound(per,'Dor_g_spear09', AtaquesEspecialesDor2, 0.418)
	#NetSounds.AddAnimSound(per,'Dor_g_spear09', EsfuerzoGolpeFrontalDor, 0.408)
	NetSounds.AddAnimSound(per,'Dor_g_spear09', AndarDor1, 0.500)
	NetSounds.AddAnimSound(per,'Dor_g_spear22', AtaquesEspecialesDor2, 0.343)
	#NetSounds.AddAnimSound(per,'Dor_g_spear22', EsfuerzoGolpeFrontalDor, 0.320)
	NetSounds.AddAnimSound(per,'Dor_g_spear22', AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,'Dor_g_spear2katab2', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Dor_g_spear2katab2', SesgadoLargo, 0.1980)
	NetSounds.AddAnimSound(per,'Dor_g_spear2katab2', SesgadoLargoAgudo, 0.5470)
	#NetSounds.AddAnimSound(per,'Dor_g_spear2katab2', EsfuerzoCorto4Dor, 0.4800)
	NetSounds.AddAnimSound(per,'Dor_g_spear2katab2', AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,'Dor_g_spear2katab2', SesgadoCortoAgudo, 0.9100)
	#NetSounds.AddAnimSound(per,'Dor_g_spear2katab2', EsfuerzoCortoDor, 0.1900)
	NetSounds.AddAnimSound(per,'Dor_g_spear2katab2', AndarDor2, 0.6000)
	NetSounds.AddAnimSound(per,'Dor_g_spear3s2', AtaquesEspecialesDor2, 0.560)
	#NetSounds.AddAnimSound(per,'Dor_g_spear3s2', EsfuerzoGolpeFrontalDor, 0.550)
	NetSounds.AddAnimSound(per,'Dor_g_spear3s2', AndarDor1, 0.500)
	NetSounds.AddAnimSound(per,'Dor_g_spear3s2', AndarDor2, 0.600)
	NetSounds.AddAnimSound(per,'Dor_g_spearb2kata', SesgadoLargo, 0.1000)
	NetSounds.AddAnimSound(per,'Dor_g_spearb2kata', SesgadoLargoAgudo, 0.5570)
	#NetSounds.AddAnimSound(per,'Dor_g_spearb2kata', EsfuerzoGolpeLateralDor, 0.1500)
	NetSounds.AddAnimSound(per,'Dor_g_spearb2kata', AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,'Dor_g_spearb2kata', AndarDor2, 0.6000)
	NetSounds.AddAnimSound(per,'Dor_g_spear_21', AtaquesEspecialesDor1, 0.242)
	#NetSounds.AddAnimSound(per,'Dor_g_spear_21', EsfuerzoGolpeFrontalDor, 0.222)
	
	
	#NetSounds.AddAnimSound(per,'Dor_g_spear_back', EsfuerzoCaida1Dor, 0.2800)
	NetSounds.AddAnimSound(per,'Dor_g_spear_back', SesgadoLargoAgudo, 0.2800)
	NetSounds.AddAnimSound(per,'Dor_g_spear_back', AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,'Dor_g_spear_back', AndarDor2, 0.6000)
	
	NetSounds.AddAnimSound(per,'Dor_g_magic', ConcBladeSword1, 0.1300)
	#NetSounds.AddAnimSound(per,'Dor_g_magic', EsfuerzoGolpeCabezaDor, 0.3500)
	NetSounds.AddAnimSound(per,'Dor_g_magic', SesgadoLargoGrave, 0.5530)
	
	NetSounds.AddAnimSound(per,'Dor_g_magic2', ConcBladeSword2, 0.1000)
	#NetSounds.AddAnimSound(per,'Dor_g_magic2', EsfuerzoDorMediano, 0.1300)
	NetSounds.AddAnimSound(per,'Dor_g_magic2', SesgadoLargoGrave, 0.5530)

	##### 2W
	NetSounds.AddAnimSound(per,'Dor_g2h_21_7', SesgadoLargoGrave, 0.143)
	NetSounds.AddAnimSound(per,'Dor_g2h_21_7', SesgadoLargo, 0.316)
	NetSounds.AddAnimSound(per,'Dor_g2h_21_7', SesgadoLargoAgudo, 0.716)
	NetSounds.AddAnimSound(per,'Dor_g2h_21_2', SesgadoLargo, 0.1950)
	NetSounds.AddAnimSound(per,'Dor_g2h_21_2', SesgadoCorto, 0.3150)
	

	NetSounds.AddAnimSound(per,'Dor_g_axe34', SesgadoLargo, 0.242)
	NetSounds.AddAnimSound(per,'Dor_g_axe34', SesgadoLargoAgudo, 0.413)
	NetSounds.AddAnimSound(per,'Dor_g_axe34', SesgadoCorto, 0.090)

	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_02kata', SesgadoLargoGrave, 0.3300)
	
	NetSounds.AddAnimSound(per,'Dor_g2h_08', SesgadoLargo, 0.3000)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_28', SesgadoCortoAgudo, 0.437)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_s8kata', SesgadoCortoAgudo, 0.3020)
	
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_s8', SesgadoCortoAgudo, 0.328)
	
	NetSounds.AddAnimSound(per,'Dor_g2h_12', SesgadoLargoAgudo, 0.2370)
	NetSounds.AddAnimSound(per,'Dor_g2h_12', SesgadoCorto, 0.5100)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_02', SesgadoLargo, 0.2720)
	
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_b6', SesgadoLargo, 0.363)
	
	NetSounds.AddAnimSound(per,'Dor_g2h_11', SesgadoLargoGrave, 0.2960)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_01', SesgadoLargoGrave, 0.2720)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_13', SesgadoLargo, 0.302)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_b6kata', SesgadoCortoAgudo, 0.1970)
	NetSounds.AddAnimSound(per,'Dor_g2h_b6kata', SesgadoLargo, 0.4900)
	
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_s7', SesgadoLargoGrave, 0.4970)
	
	NetSounds.AddAnimSound(per,'Dor_g2h_12low', SesgadoLargoGrave, 0.4300)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_02low', SesgadoLargoGrave, 0.1750)
	NetSounds.AddAnimSound(per,'Dor_g2h_02low', SesgadoLargoGrave, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_g2h_02low', SesgadoLargo, 0.5500)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_b6low', SesgadoLargoGrave, 0.340)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_b29', SesgadoLargoGrave, 0.304)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_17', SesgadoLargoGrave, 0.3160)
	
	NetSounds.AddAnimSound(per,'Dor_g2h_26_b6', SesgadoLargoGrave, 0.2600)
	NetSounds.AddAnimSound(per,'Dor_g2h_26_b6', SesgadoLargo, 0.6300)
	
	
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_earthpow', SesgadoLargoAgudo, 0.313)
	NetSounds.AddAnimSound(per,'Dor_g2h_earthpow', SesgadoLargoGrave, 0.713)
	
	NetSounds.AddAnimSound(per,'Dor_g2h_back', SesgadoLargoGrave, 0.2650)
	
	
	NetSounds.AddAnimSound(per,'Dor_g_back', SesgadoCortoAgudo, 0.1200)
	NetSounds.AddAnimSound(per,'Dor_g_back', AndarDor2, 0.1500)
	
	NetSounds.AddAnimSound(per,'Dor_g_back', SesgadoLargoAgudo, 0.3800)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_19', SesgadoCorto, 0.2700)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_26', SesgadoCorto, 0.3760)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_31_2', SesgadoCorto, 0.1900)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_b6lowkata', SesgadoCorto, 0.1300)
	NetSounds.AddAnimSound(per,'Dor_g2h_b6lowkata', SesgadoLargoGrave, 0.4500)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_07', SesgadoLargoGrave, 0.3700)
	
	NetSounds.AddAnimSound(per,'Dor_g2h_22kata_6', SesgadoCorto, 0.1180)
	NetSounds.AddAnimSound(per,'Dor_g2h_22kata_6', SesgadoCortoAgudo, 0.3700)
	NetSounds.AddAnimSound(per,'Dor_g2h_22kata_6', SesgadoCortoGrave, 0.6200)
	
	NetSounds.AddAnimSound(per,'Dor_g2h_26low_b6', SesgadoCorto, 0.1180)
	NetSounds.AddAnimSound(per,'Dor_g2h_26low_b6', SesgadoLargoAgudo, 0.3750)
	NetSounds.AddAnimSound(per,'Dor_g2h_26low_b6', SesgadoCortoGrave, 0.6170)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_26low', SesgadoLargoGrave, 0.3300)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_s1', SesgadoLargoGrave, 0.3910)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_b7', SesgadoLargoGrave, 0.3200)
	
	
	NetSounds.AddAnimSound(per,'Dor_g2h_21_6kata', SesgadoLargoAgudo, 0.6700)
	NetSounds.AddAnimSound(per,'Dor_g2h_21_6kata', SesgadoLargoGrave, 0.3900)
	NetSounds.AddAnimSound(per,'Dor_g2h_21_6kata', SesgadoCortoGrave, 0.1340)

	######
	
	
	#NetSounds.AddAnimSound(per,'Dor_g_bad_axe', EsfuerzoGrandeDor1, 0.2800)
	NetSounds.AddAnimSound(per,'Dor_g_bad_axe', SesgadoLento2, 0.4180)
	NetSounds.AddAnimSound(per,'Dor_g_bad_sword', SesgadoLento, 0.2200)
	#NetSounds.AddAnimSound(per,'Dor_g_bad_sword', EsfuerzoGrandeDor1, 0.2200)
	NetSounds.AddAnimSound(per,'Dor_g_bad_sword2', SesgadoLento, 0.4370)
	#NetSounds.AddAnimSound(per,'Dor_g_bad_sword2', EsfuerzoGrandeDor2, 0.4000)
	NetSounds.AddAnimSound(per,'Dor_g_bad_sword2', AndarDor1, 0.3800)
	NetSounds.AddAnimSound(per,'Dor_g_bad_sword3', SesgadoLento2, 0.3150)
	#NetSounds.AddAnimSound(per,'Dor_g_bad_sword3', EsfuerzoGrandeDor1, 0.2650)
	NetSounds.AddAnimSound(per,'Dor_g_bad_sword3', AndarDor2, 0.2200)
	
	NetSounds.AddAnimSound(per,'Dor_g_bad_1h', SesgadoLento, 0.3060)
	#NetSounds.AddAnimSound(per,'Dor_g_bad_1h', EsfuerzoGrandeDor2, 0.1050)
	NetSounds.AddAnimSound(per,'Dor_g_bad_1h', AndarDor2, 0.4300)
	NetSounds.AddAnimSound(per,'Dor_g_bad_1h', AndarDor1, 0.7000)
	
	NetSounds.AddAnimSound(per,'Dor_g_bad_no', SesgadoCorto, 0.3060)
	#NetSounds.AddAnimSound(per,'Dor_g_bad_no', EsfuerzoGrandeDor1, 0.1100)
	NetSounds.AddAnimSound(per,'Dor_g_bad_no', AndarDor2, 0.4300)
	NetSounds.AddAnimSound(per,'Dor_g_bad_no', AndarDor1, 0.7000)
	
	NetSounds.AddAnimSound(per,'Dor_g_back', SesgadoLargo, 0.3750)
	#NetSounds.AddAnimSound(per,'Dor_g_back', EsfuerzoGolpeLateralDor, 0.1100)
	NetSounds.AddAnimSound(per,'Dor_g_back', AndarDor2, 0.4300)
	NetSounds.AddAnimSound(per,'Dor_g_back', AndarDor1, 0.7000)
	
	NetSounds.AddAnimSound(per,'Dor_g_draw_run', EnfundarDor, 0.1100)
	#NetSounds.AddAnimSound(per,'Dor_g_draw_run', EsfuerzoCorto5Dor, 0.1300)
	NetSounds.AddAnimSound(per,'Dor_g_draw_run', SesgadoLargoAgudo, 0.3470)
	NetSounds.AddAnimSound(per,'Dor_g_draw_rlx', EnfundarDor, 0.1100)
	#NetSounds.AddAnimSound(per,'Dor_g_draw_rlx', EsfuerzoCorto6Dor, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_g_draw_rlx', SesgadoLargoGrave, 0.3280)
	
	NetSounds.AddAnimSound(per,'Dor_tke_r_key00',CogerLlave, 0.2069)
	NetSounds.AddAnimSound(per,'Dor_tke_r_key01',CogerLlave, 0.3103)
	NetSounds.AddAnimSound(per,'Dor_tke_r_key02',CogerLlave, 0.2759)
	NetSounds.AddAnimSound(per,'Dor_tke_r_key03',CogerLlave, 0.2754)
	NetSounds.AddAnimSound(per,'Dor_tke_r_key04',CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Dor_tke_r_key05',CogerLlave, 0.2654)
	
	NetSounds.AddAnimSound(per,'Dor_the_r_Key00', CogerEspada, 0.7652)
	NetSounds.AddAnimSound(per,'Dor_tke_r_00', CogerEspada, 0.2069)
	NetSounds.AddAnimSound(per,'Dor_tke_r_01', CogerEspada, 0.3103)
	NetSounds.AddAnimSound(per,'Dor_tke_r_02', CogerEspada, 0.2759)
	NetSounds.AddAnimSound(per,'Dor_tke_r_03', CogerEspada, 0.2754)
	NetSounds.AddAnimSound(per,'Dor_tke_r_04', CogerEspada, 0.2727)
	NetSounds.AddAnimSound(per,'Dor_tke_r_05', CogerEspada, 0.2654)
	
	NetSounds.AddAnimSound(per,'Dor_1tw_h_f',AndarDor2, 0.4000)
	#NetSounds.AddAnimSound(per,'Dor_1tw_h_f',EsfuerzoDorMediano, 0.3000)
	NetSounds.AddAnimSound(per,'Dor_1tw_l_f',AndarDor2, 0.4000)
	#NetSounds.AddAnimSound(per,'Dor_1tw_l_f',EsfuerzoCorto2Dor, 0.3000)
	
	NetSounds.AddAnimSound(per,'Dor_attack_chg_r_l', EnfundarDor, 0.3599)
	NetSounds.AddAnimSound(per,'Dor_attack_chg_r', EnfundarDor, 0.3559)
	NetSounds.AddAnimSound(per,'Dor_attack_chg_l', CambiarEscudo, 0.3599)
	
	NetSounds.AddAnimSound(per,'Dor_key',RuidoLlaveCerradura, 0.4100)
	NetSounds.AddAnimSound(per,'Dor_key',RuidoLlave, 0.1300)
	NetSounds.AddAnimSound(per,'Dor_key',Ruidook, 0.2000)
	
	NetSounds.AddAnimSound(per,"Dor_lvr_u",SonidoPalanca, 0.3889)
	NetSounds.AddAnimSound(per,"Dor_lvr_d",SonidoPalanca, 0.3548)
	
	NetSounds.AddAnimSound(per,"Dor_dth_c1", DesangreDor2, 0.1250)
	NetSounds.AddAnimSound(per,"Dor_dth_c1", AndarDor1, 0.2250)
	NetSounds.AddAnimSound(per,"Dor_dth_c1", AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth_c1", AndarDor2, 0.3800)
	NetSounds.AddAnimSound(per,"Dor_dth_c1", AndarDor1, 0.4500)
	NetSounds.AddAnimSound(per,"Dor_dth_c1", AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,"Dor_dth_c1", AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,"Dor_dth_c1", AndarDor2, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_c1", AndarDor1, 0.7200)
	NetSounds.AddAnimSound(per,"Dor_dth_c1", CaidaDor4, 0.7800)
	NetSounds.AddAnimSound(per,"Dor_dth_c1", DesangreDor1, 0.2500)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", DesangreDor2, 0.1250)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", DesangreDor1, 0.2500)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", AndarDor1, 0.2250)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", AndarDor2, 0.3800)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", AndarDor2, 0.4500)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", AndarDor2, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", AndarDor1, 0.7200)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", CaidaDor3, 0.7720)
	NetSounds.AddAnimSound(per,"Dor_dth_c2", CaidaDor4, 0.8720)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", DesangreDor1, 0.1250)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", DesangreDor2, 0.2500)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", AndarDor1, 0.2250)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", AndarDor2, 0.3800)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", AndarDor2, 0.4500)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", AndarDor2, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", AndarDor1, 0.7200)
	NetSounds.AddAnimSound(per,"Dor_dth_c3", CaidaDor3, 0.7220)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", DesangreDor1, 0.1250)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", DesangreDor2, 0.2500)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", AndarDor1, 0.2250)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", CaidaDor3, 0.8720)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", AndarDor2, 0.3800)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", AndarDor2, 0.4500)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", AndarDor2, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_c4", CaidaDor4, 0.7000)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", DesangreDor1, 0.1250)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", DesangreDor2, 0.2500)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", AndarDor1, 0.2250)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", AndarDor2, 0.3800)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", AndarDor2, 0.4500)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", AndarDor2, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", AndarDor1, 0.7200)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", CaidaDor3, 0.7720)
	NetSounds.AddAnimSound(per,"Dor_dth_c5", CaidaDor4, 0.5500)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", DesangreDor1, 0.1250)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", DesangreDor2, 0.2500)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", AndarDor1, 0.2250)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", AndarDor2, 0.3800)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", AndarDor2, 0.4500)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", AndarDor2, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", AndarDor1, 0.7200)
	NetSounds.AddAnimSound(per,"Dor_dth_c6", CaidaDor3, 0.7700)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", DesangreDor1, 0.1250)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", DesangreDor2, 0.2500)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", AndarDor1, 0.2250)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", AndarDor2, 0.3800)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", AndarDor2, 0.4500)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", AndarDor1, 0.5000)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", AndarDor2, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", AndarDor1, 0.6300)
	NetSounds.AddAnimSound(per,"Dor_dth_c7", CaidaDor3, 0.6950)
	NetSounds.AddAnimSound(per,"Dor_dth0", MuerteDor1, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth0", CaidaDor3, 0.5710)
	NetSounds.AddAnimSound(per,"Dor_dth0", CaidaDor4, 0.7700)
	NetSounds.AddAnimSound(per,"Dor_dth0", AndarDor1, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth0", AndarDor2, 0.4500)
	NetSounds.AddAnimSound(per,"Dor_dth0", AndarDor1, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", MuerteDor1, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor1, 0.2000)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor2, 0.3000)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor1, 0.4000)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor2, 0.5000)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor1, 0.6000)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", AndarDor2, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n00", CaidaDor3, 0.7000)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", MuerteDor5, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor1, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor2, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor1, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", AndarDor1, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n01", CaidaDor4, 0.6800)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", MuerteDor3, 0.1200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor1, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor1, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor2, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor1, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor1, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", AndarDor2, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n02", CaidaDor3, 0.7000)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", MuerteDor4, 0.1200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor1, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor1, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor2, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor2, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor1, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", AndarDor2, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n03", CaidaDor4, 0.6550)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", MuerteDor2, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor1, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor1, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor2, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor2, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor1, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", AndarDor2, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n04", CaidaDor3, 0.7600)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", MuerteDor6, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor1, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor1, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor1, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor2, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor1, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", AndarDor2, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n05", CaidaDor4, 0.7700)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", MuerteDor7, 0.1200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor2, 0.2200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor2, 0.3200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor2, 0.5200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor1, 0.4200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor2, 0.6200)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", AndarDor1, 0.7500)
	NetSounds.AddAnimSound(per,"Dor_dth_n06", CaidaDor3, 0.6900)
	NetSounds.AddAnimSound(per,"Dor_dth_burn", MuerteQuemandoDor1, 0.1100)
	NetSounds.AddAnimSound(per,"Dor_dth_rockfront", MuerteAplastamientoDor1, 0.1000)
	NetSounds.AddAnimSound(per,"Dor_dth_rockfront", HeridaDor2, 0.1000)
	NetSounds.AddAnimSound(per,"Dor_dth_rock", MuerteAplastamientoDor1, 0.1000)
	NetSounds.AddAnimSound(per,"Dor_dth_rock", HeridaDor2, 0.1000)
	
	
	
	
	
	
	
	
	
	
	

	
	
	

	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
