
import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ####################
    #                  #
    # Doras            #
    #                  #
    ####################
   
    
import Dorcas_anm_def
Dorcas_anm_def.InitDorcas()    
 
    
dor=Bladex.GetCharType("Fem1Wiz","Dor")
dor.IntName="Dor" 

dor.TurnSpeed=3.4
dor.Jcost=27000
dor.MaxFall=5000
dor.DieFall=14000
dor.MaxStair=335
dor.Fov=math.pi
dor.MaxGrab=3500.0
dor.MedGrab=2500.0
dor.Min2Grab=1500.0    
dor.MinTake=-500.0	# Min height above floor barbarian will take
dor.MaxTake1=450.0	# Max height above floor for Take1 Anim
dor.MaxTake2=550.0	# Max height above floor for Take2 Anim
dor.MaxTake3=1300.0	# Max height above floor for Take3 Anim
dor.MaxTake4=1900.0	# Max height above floor for Take4 Anim
dor.MaxTake5=3000.0	# Max height above floor for Take5 Anim
dor.Reach=2000.0	# Max distance from bar centre to obj centre to take
dor.MovFrwdSpeedInStrafe=1300  #Forwards speed when in strafe(combat mode only)
dor.MovBkwdSpeedInStrafe=1300  #Idem backwards
dor.MaxCombatDist=20000
dor.MaxSeeDist=50000

dor.NaturalWeapons=1
dor.SetNCDSpheres(2)
dor.SetCDSphere(0,250.0,450.0)  #(numero de la espera, altura mm, radio mm)
dor.SetCDSphere(1,-240.0,450.0)  #(numero de la espera, altura mm, radio mm)

###############################################################################
#

def DorcasWhenFirst():
	Bladex.CreateBipedData("Dor","Fem1Wiz")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Dor.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Dor.dat")

	import DorcasAnimationSet
	DorcasAnimationSet.LoadDorcasAnimationSet("Dor")
	
	import DorcasBAct
	import LinkTables
	LinkTables.LinkMe("Dor")
	import DorcasCombos
	import AnmFactDorcas
	AnmFactDorcas.InitAnmFactDorcas()
	import DorcasStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Dor.dat","Dor")
	
	print"New Dorcas Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Fem1Wiz","Dor")
race.OnFirst=DorcasWhenFirst
