from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy
import Reference

CharMaxLifeValue['Fem1Wiz']=[    60,    160,    260,    360,    560,    760,    960,   1360,   1760,   2160,   2560,   2960,   3360,   3760,   4160,   4560,   4960,   5360,   5760,   6160]
CharDamageData['Fem1Wiz']=  [     1,      2,      4,      6,      8,     10,     12,     14,     16,     18,     20,     22,     24,     26,     28,     30,     32,     34,     36,     38]
CharDefenseData['Fem1Wiz']= [     1,      2,      4,      6,      8,     10,     12,     14,     16,     18,     20,     22,     24,     26,     28,     30,     32,     34,     36,     38]
CharExperienceCost['Fem1Wiz']=[    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['Fem1Wiz']= [    40,     50,     60,    120,    240,    480,    960,   1920,   3840,   7680,  15360,  30720,  61440, 122880, 135000, 150000, 170000, 190000, 210000, 240000]
CharAccuracy['Fem1Wiz']= [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]
CharResistances['Fem1Wiz']= {'Impale': 0.0, 'Slash': 0.0, 'Crush': 0.0, 'Fire': 0.00, 'Ice': 0.00, 'Venom': 0.0, 'Light': 0.00, 'Electric': 0.00, 'Acid': 0.00, 'Drain': 0.00}


Reference.DefaultObjectData['Fem1Wiz']= [Reference.OBJ_WEAPON,   2,  0, 1.0,  Reference.THR_SPINNING, []]



Reference.DefaultObjectData['ProRHWep2']= [Reference.OBJ_WEAPON, 2, 0, 2.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
Reference.DefaultSelectionData['ProRHWep2']=(8.0,4000.0, "Right Sword")

Reference.DefaultObjectData['ProRHWep3']= [Reference.OBJ_WEAPON, 2, 0, 2.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,],["Ice",+1.0]]
Reference.DefaultSelectionData['ProRHWep3']=(8.0,4000.0, "Right Ice Sword")

Reference.DefaultObjectData['ProRHWep4']= [Reference.OBJ_WEAPON, 2, 0, 2.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,],["Fire",+1.0]]
Reference.DefaultSelectionData['ProRHWep4']=(8.0,4000.0, "Right Fire Sword")


Reference.DefaultObjectData['ProLHWep2Edge']= [Reference.OBJ_WEAPON, 2, 0, 2.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,], []]


Reference.DefaultObjectData['ProLHWep2']=[Reference.OBJ_SHIELD,0,5000, Reference.GolpeArmaEscudoMetal, 180.0*Reference.DEG2RADS,   2000,  750,  0]
Reference.DefaultSelectionData['ProLHWep2']=(8.0,4000.0, "Left Sword")

Reference.DefaultObjectData['ProLHWep3']=[Reference.OBJ_SHIELD,0,5000, Reference.GolpeArmaEscudoMetal, 180.0*Reference.DEG2RADS,   2000,  750,  0]
Reference.DefaultSelectionData['ProLHWep3']=(8.0,4000.0, "Left Ice Sword")

Reference.DefaultObjectData['ProLHWep4']=[Reference.OBJ_SHIELD,0,5000, Reference.GolpeArmaEscudoMetal, 180.0*Reference.DEG2RADS,   2000,  750,  0]
Reference.DefaultSelectionData['ProLHWep4']=(8.0,4000.0, "Left Fire Sword")





CharResistances['NPCFem1Wiz']=      {'Impale': 0.70, 'Slash': 0.85, 'Crush': 0.85, 'Fire': 0.00, 'Ice': 0.00, 'Venom': 0.40, 'Light': 0.00, 'Electric': 1.00, 'Acid': 0.00, 'Drain': 0.00}


Reference.DefaultObjectData['ProKatana1']=[Reference.OBJ_WEAPON, 5, 0.0, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_2W,Reference.PI,2000,750,16000,0,Reference.GolpeArmaEscudoMetal]]
Reference.DefaultSelectionData['ProKatana1']=(8.0,4000.0, "Katana")

Reference.DefaultObjectData['ProBlade5']= [Reference.OBJ_WEAPON, 5, 0, 2.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
Reference.DefaultSelectionData['ProBlade5']=(8.0,4000.0, "Throwing Katar")

Reference.DefaultSelectionData['Fem1WizArmour']=(8.0,4000.0, "Dorcas Light Armour")


import Damage



Damage.AnimationData['Dor_g_katar16']=    1.2
Damage.AnimationData['Dor_g_katar02']=    1.2
Damage.AnimationData['Dor_g_katar31']=    1.2
Damage.AnimationData['Dor_g_katar28']=    1.2
Damage.AnimationData['Dor_g_katar23']=    1.2
Damage.AnimationData['Dor_g_katar211']=    1.2
Damage.AnimationData['Dor_g_katar111']=    1.2
Damage.AnimationData['Dor_g_katar011']=    1.2
Damage.AnimationData['Dor_g_katar11']=    1.2
Damage.AnimationData['Dor_g_katar32']=    1.2
Damage.AnimationData['Dor_g_katar33']=    1.2
Damage.AnimationData['Dor_g_katar17']=    1.2


Damage.AnimationData['Dor_g_s22low_new']=    1.3
Damage.AnimationData['Dor_g_28new']=    1.3
Damage.AnimationData['Dor_g_sb25_new']=   1.3
Damage.AnimationData['Dor_g_27kata_new']=   1.3


Damage.AnimationData['Dor_g_katar17']=   1.3
Damage.AnimationData['Dor_g_katar011']=  1.3
Damage.AnimationData['Dor_g_katar08']=  1.3

Damage.AnimationData['Dor_g_d_r']=  1.4
Damage.AnimationData['Dor_g_d_l']=  1.4

Damage.AnimationData['Dor_g_s19_new']=  1.6
Damage.AnimationData['Dor_g_12_7_s1new']=  1.2

Damage.AnimationData['Dor_g_09_07_s6low_new']=  2.0

Damage.AnimationData['Dor_g_01_7_new']=  1.5

Damage.AnimationData['Dor_g_26']=  1.3

Damage.AnimationData['Dor_g_21_6_s8new']=  9.0

Damage.AnimationData['Dor_g_axe34']=  1.2

###

Damage.AnimationData['Dor_g_18_11_22_new']=  10.0

Damage.AnimationData['Dor_g_32_5_3new']=   8.5

Damage.AnimationData['Dor_g2h_b29']=  7.0

Damage.AnimationData['Dor_g2h_b7']=  4.8
Damage.AnimationData['Dor_g2h_02kata']=    4.0   #1.2  
Damage.AnimationData['Dor_g2h_01']=   4.0        #1.8
Damage.AnimationData['Dor_g2h_02low']=   4.0

Damage.AnimationData['Dor_g2h_13']=    7.0

Damage.AnimationData['Dor_g2h_28']=   12.0  # 10.0




### spears

#BO
Damage.AnimationData['Dor_g_spears8']=  5.0
#BICHERO
Damage.AnimationData['Dor_g_spear_2katab6low']= 13.0
#LANZA
Damage.AnimationData['Dor_g_spear19']= 10.0
#NAGINATA
Damage.AnimationData['Dor_g_spear22']=  8.6
#TRIDENTE
Damage.AnimationData['Dor_g_spear09']=  8.0
#AXPEAR
Damage.AnimationData['Dor_g_spear32kata_b2']= 9.0
#DEATHBO
Damage.AnimationData['Dor_g_spear_kata23']=   9.0
#CROSSPEAR
Damage.AnimationData['Dor_g_spear13']=  11.0
#HACHACUCHILLA
Damage.AnimationData['Dor_g_spear3s2']= 11.0
#CRUSHBO
Damage.AnimationData['Dor_g_spear_21']=   10.0
#ARPON
Damage.AnimationData['Dor_g_spear_b29']= 9.0
#NAGINATA2
Damage.AnimationData['Dor_g_spear33']=  7.8
#LANZAHANCHA
Damage.AnimationData['Dor_g_spear_sb11']=   9.0
#FIREBO
Damage.AnimationData['Dor_g_spear_b6_26']= 45.0
#STEELFEATHER
Damage.AnimationData['Dor_g_spear19_bs1']=  65.0


