import Bladex
import math
import Reference
import AuxTran
import BCopy
import B3DLib
import GameStateAux
import AllyCombat
import Ally_Def
import Sparks
import Actions
import Basic_Funcs
import CharStats
import netgame
import ItemTypes
import MenuText
import Actions
import Damage
import Enm_Def
import GenFX
import InitDataField
import Change
import AuxFuncs
import ObjStore
import BUIx

import AniSoundDorcas


TRUE = 1==1
FALSE = not TRUE

PI = math.pi
TWOPI = PI*2


W_FLAG_1H=0     #One handed _whatever_ weapon
W_FLAG_2W=1	#Two handed sword
W_FLAG_AXE=2	#Two handed axw
W_FLAG_SP=3     #Two handed spear


CHOOSE_FIRST  = -1
CHOOSE_SECOND =  1
CHOOSE_EITHER =  0


def InitDorcas():
	import acts
	import DefaultSelectionData
	SetWeaponsDamage("Player1")
	
	Bladex.AddBoundFunc("Select Enemy",acts.DefArgWrapper ("Player1",CallHelp))
	
	MySelectEnemyFunc=MySelectEnemy
	Bladex.AddBoundFunc("Select Enemy",MySelectEnemyFunc)
	Bladex.RemoveBoundFunc("Select Enemy",DefaultSelectionData.SelectEnemy)
	
	Bladex.AddBoundFunc("Throw Left",acts.DefArgWrapper ("Player1", CheckDropBow))
	Bladex.AddBoundFunc("Block",acts.DefArgWrapper ("Player1", CheckDropBow))
	Bladex.RemoveBoundFunc("Throw Left",Actions.TestThrowLeft)
	Bladex.RemoveBoundFunc("Block",Actions.TestThrowLeft)	
	
	Bladex.AddBoundFunc("LaunchTravel",ExecTravelBook)
	Bladex.RemoveBoundFunc("LaunchTravel",acts.ExecTravelBookNP)

	print "KEYS remapped"
		
			
			
			
class GladiatorTravelBook(BUIx.B_RectWidget):
	def __init__(self,Parent,Menudesc,StackMenu,VertPos=0):
		import Language
		import Raster
		self.index = 1
		self.images = []
		self.vidw = 1
		self.vidh = 1
		char = Bladex.GetEntity("Player1")
		Raster.UnifyRenderBuffers()
		
		
				
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\NUDorcasStuff\sc2h.jpg")
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\NUDorcasStuff\sc1h.jpg")
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\NUDorcasStuff\scnotes2.jpg")
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\NUDorcasStuff\scnotes1.jpg")
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\NUDorcasStuff\scitems.jpg")
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\NUDorcasStuff\scspec.jpg")
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\NUDorcasStuff\scab.jpg")
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\NUDorcasStuff\scsp.jpg")
			
		
			
		BUIx.B_RectWidget.__init__(self,Parent,Menudesc["Name"],self.vidw,self.vidh)
		self.Selected=0
		self.Solid=0
		self.Border=0
		self.SetDrawFunc(self.Draw)
		self.SndCorreGema=Bladex.CreateSound("..\\..\\Sounds\\golpe-2.wav","Chanje")
		self.SndCorreGema.Volume=0.5
		self.SndCorreGema.MinDistance=1000000.0
		self.SndCorreGema.MaxDistance=2000000


	def AddImage(self, file):
		import BBLib
		image = BBLib.B_BitMap24()
		image.ReadFromFile(file)
		self.images.append(image)


	def Draw(self,x,y,time):
		import Menu
		import Raster
		char = Bladex.GetEntity("Player1")
		x,y = Raster.GetSize()
		Raster.SetPosition((x - 640)/2, (y - 480)/2)
		if self.index < 0:
			self.index = len(self.images) - 1
		if self.index > len(self.images) - 1:
			self.index = 0
		Raster.DrawImage(640,480,"BGR","Normal",self.images[self.index].GetData())
		self.DefDraw(x,y,time)

	def FinalRelease(self):
		BUIx.B_RectWidget.FinalRelease(self)

	def AcceptsFocus(self):
		return 1

	def IncMenuItem(self):
		self.SndCorreGema.PlayStereo()
		self.index = self.index + 1

	def DecMenuItem(self):
		self.SndCorreGema.PlayStereo()
		self.index = self.index - 1

	def GetFocus(self):
	    return self

	def ActivateItem(self,activate):
		import Menu
		Menu.ActivateMenu()


def ExecTravelBook():
	print("travel book activated")
	import Menu
	import GameText
	import Scorer
	import acts
	GameText.AbortText()
	if not Menu.MENU_PREACTIVATED:
		try:
			Menu.TB_ACTIVATED=1
		except:
			pass
		Menu.MENU_PREACTIVATED = 1
		pepote = Menu.Desc1
		Menu.Desc1={"Name":"TopMenu","FrameKind":GladiatorTravelBook,"ListDescr":[{"Name":"Back","Kind":GladiatorTravelBook}]}
		Menu.ActivateMenu()
		Menu.Desc1 = pepote
		Scorer.HideTBS()
		for kn in acts.GetKeyList("Turn Left"):
			if kn!="Left":
				Bladex.AssocKey("Menu Dec","Keyboard",kn)
		for kn in acts.GetKeyList("Turn Right"):
			if kn!="Right":
				Bladex.AssocKey("Menu Inc","Keyboard",kn)
			
			
			
			
						

KatanaWepHit=[5, 9, 16, 28, 40, 50, 70, 90, 120, 145, 175, 210, 250, 300, 380, 440, 530, 600, 670, 750]
WepHit=[3, 5, 9, 16, 24, 32, 40, 50, 75, 85, 110, 140, 180, 220, 270, 330, 400, 480, 540, 700]
WepDef=[0, -3, -5, -10, -15, -20, -25, -30, -35, -40, -45, -50, -55, -60, -65, -70, -75, -80, -85,-90]


TwinWeapons=["ProRHWep2","ProRHWep3","ProRHWep4","ProBlade5"]
Weapons2H=["ProKatana1"]



# This func will work as NPC, but Name must be passed as arg
# Only dedicated Dorcas weapons will be upgraded

def SetWeaponsDamage(entity="Player1"):
	global KatanaWepHit
	global WepHit
	global WepDef
	global TwinWeapons
	global Weapons2H
	per=Bladex.GetEntity(entity)
	if per.Kind != "Fem1Wiz":
		return
	
	lvl=per.Level
	inv=per.GetInventory()
	if lvl >=19:
		icedamR=3000
		firedamR=3000
	else:
		icedamR=per.Data.IceDamage[lvl]
		firedamR=per.Data.FireDamage[lvl]
	
	ldwp=Bladex.GetEntity(per.Data.DummyLHEdgeName)
	if ldwp:
		if lvl>19:
			WEPOW=WepHit[19]
			WEPDEF=WepDef[19]
			
		else:
			WEPOW=WepHit[lvl]
			WEPDEF=WepDef[lvl]
			
		Reference.EntitiesObjectData[ldwp.Name]=[Reference.OBJ_WEAPON, WEPOW, 0, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,],["Electric",+1.0]]
		per.Data.SetLHDamage(per.Name) ## To set correct special damage
	
	
	for x in range(inv.nWeapons):
		weapon_name = inv.GetWeapon(x)
		wp=Bladex.GetEntity(weapon_name)
		wptype=wp.Kind
		if wp and wp.Kind in TwinWeapons:
			if lvl>19:
				WEPOW=WepHit[19]
				WEPDEF=WepDef[19]
			else:
				WEPOW=WepHit[lvl]
				WEPDEF=WepDef[lvl]
			Reference.EntitiesObjectData[wp.Name]=[Reference.OBJ_WEAPON, WEPOW, WEPDEF, 4.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,],["Nothing",+1.0]]
			if wptype=="ProRHWep3":
				Reference.EntitiesObjectData[wp.Name][6]=["Ice",+icedamR]
				print "Setting Ice damage on RH Ice sword"
			elif wptype=="ProRHWep4":
				Reference.EntitiesObjectData[wp.Name][6]=["Fire",+firedamR]
				print "Setting Ice damage on LH Ice sword"
					
			print wp.Name," Upgraded"
			
			
		elif wp.Kind in Weapons2H:
			if lvl>19:
				WEPOW=KatanaWepHit[19]
				WEPDEF=WepDef[19]
			else:
				WEPOW=KatanaWepHit[lvl]
				WEPDEF=WepDef[lvl]
			Reference.EntitiesObjectData[wp.Name]=[Reference.OBJ_WEAPON, WEPOW, WEPDEF, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_2W,Reference.PI,2000,750,16000,0,Reference.GolpeArmaEscudoMetal]]
	
	
	
# Dropping Bows 8/)
	
def TryDropLeftBow (EntityName):
	me = Bladex.GetEntity(EntityName)
	statL=Actions.StatL(me.Name)
	statR=Actions.StatR(me.Name)
	if statL == Actions.LA_BOW:
		print "Bow in left hand - try drop"
		inv=me.GetInventory()
		if me.InvRight and Reference.GiveObjectFlag(me.InvRight)==Reference.OBJ_ARROW:
			Actions.SheatheArrow(inv, me.InvRight)
		object = Bladex.GetEntity(me.InvLeft)
		object.ExcludeHitFor(me)
		me.AddAnmEventFunc("DropLeftEvent",Actions.DropReleaseEventHandler)
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.0,me.LaunchAnmType,("drp_l",))
		return TRUE
		print"I have dropped a bow"
	elif statL <> Actions.LA_NO_WEAPON:
		object = Bladex.GetEntity(me.InvLeft)
		if Actions.IsValidForDropping (object.Name):
			object.ExcludeHitFor(me)
			me.AddAnmEventFunc("DropLeftEvent",Actions.DropReleaseEventHandler)
			me.LaunchAnmType("drp_l")
			return TRUE
			print"dropping Shield?"
		else:
			ReportMsg ("Cannot be dropped")
	else:
		return FALSE


	
def CheckDropBow(EntityName):
	me = Bladex.GetEntity(EntityName)
	throw_pressed = Bladex.GetTimeActionHeld ("Throw")
	if not throw_pressed:
		return
	TryDropLeftBow (EntityName)




def AmIArmed(entity):
	per=Bladex.GetEntity(entity)
	wp=Bladex.GetEntity(per.InvRight)
	if wp:
		return TRUE
	return FALSE



	
	
def CallHelp(EntityName):	
	print"I am calling for help"
	char=Bladex.GetEntity("Player1")
	char.Data.CallHelp("Player1")
	

def CheckIfAlly (EntityName):
	me=Bladex.GetEntity(EntityName)
	if me:				
		try:
	           enemyName=me.Data.EnemyName
	           return FALSE                  # returns TRUE for enemies of Player
	        except AttributeError:  
	 	   return TRUE
	
	
	
	
	
def GetMySelectedEnemy(entity):
	per=Bladex.GetEntity(entity)
	if per.Data.selected_enemy:
		ene=Bladex.GetEntity(per.Data.selected_enemy[0])
		if ene and ene.Person:
			return ene
		return None	
	return None	
	
	
	

	
	
	
stime3=-2

def IntermediateSelect(EntityName):
	MySelectEnemy()


def MySelectEnemy():
	global stime3
	time=Bladex.GetTime()
	if(time-stime3>0.1):
		import Select
		pj=Bladex.GetEntity("Player1")
		if pj.InvRight=="" and pj.InvRightBack<>"" and Reference.GiveObjectFlag(pj.InvRightBack)<>Reference.OBJ_QUIVER:
			if pj.AnmEndedFunc==IntermediateSelect:
				pj.AnmEndedFunc= None
			Actions.StdToggleWeapons("Player1")
			
			pj.AnmEndedFunc=IntermediateSelect
			return
		if(pj.Data.enemy_locked):
			Select.SelectNextEnemy(pj)#####
		else:
			Select.GetVisibleEnemies(pj)
			if(pj.Data.selected_enemy):
				pj.Data.enemy_locked=1
		stime3=time
		if pj.Data.selected_enemy:
			ene=Bladex.GetEntity(pj.Data.selected_enemy[0])
			if ene and ene.Person:
				if not CheckIfAlly(ene.Name):
					print "This guy is an ally"
					return
				pj.SetActiveEnemy(ene)
				
				
def AmIRelaxing(entity):
	per=Bladex.GetEntity(entity)
	if per.AnimName[:3] == "rlx" or per.AnimName[:3] == "Rlx":
		return 1
	return 0
	
	
new_combo_sound = Bladex.CreateSound('..\\..\\Sounds\\sesgado-lava.wav', 'NewComboSound')
new_combo_sound.Volume=1.0
new_combo_sound.MinDistance=5000
new_combo_sound.MaxDistance=20000	

##########################################################################################################################################################


ComboNames = {
              "Fem1Wiz"   : {},
              "Default"    : {},
             }
             
             
ComboNames["Fem1Wiz"]["GM23_NO"] = "KICK"
ComboNames["Fem1Wiz"]["GM22_NO"] = "HIGH KICK"
ComboNames["Fem1Wiz"]["GM21_NO"] = "LOW KICK" 
             
             
ComboNames["Fem1Wiz"]["GI_SP"]    = "SMASH"
ComboNames["Fem1Wiz"]["GM8_SP"]   = "DOWN SMASH"
ComboNames["Fem1Wiz"]["GM3_SP"]   = "RIGHT SMASH"
ComboNames["Fem1Wiz"]["GM6_SP"]   = "LEFT SMASH"
ComboNames["Fem1Wiz"]["GM1_SP"]   = "HIGH SMASH"
             
# Golpes extra
ComboNames["Fem1Wiz"]["GM15_SP"]   = "WHIRLWIND"

# ATAQUE ATRAS
ComboNames["Fem1Wiz"]["GM71_SP"] = "BACK SMASH"
             
ComboNames["Fem1Wiz"]["GM73_2H"] = "BACK SMASH"

ComboNames["Fem1Wiz"]["GM73_1H"] = "BACK SMASH"
# Spears

# BO
ComboNames["Fem1Wiz"]["GM2_SP"] = "OVERHEAD SMASH"
# BICHERO
ComboNames["Fem1Wiz"]["GM10_SP"] = "BLINDING SLICE"
# LANZA
ComboNames["Fem1Wiz"]["GM32_SP"] = "LIGHTNING CUT"
# NAGINATA
ComboNames["Fem1Wiz"]["GM27_SP"] = "KILLER STRIKE"
# TRIDENTE
ComboNames["Fem1Wiz"]["GM4_SP"] = "SEA SMASH"
# AXPEAR
ComboNames["Fem1Wiz"]["GM31_SP"] = "SPIN SLASH"
# DEATHBO
ComboNames["Fem1Wiz"]["GM25_SP"] = "NIGHTMARE"
# CROSSPEAR
ComboNames["Fem1Wiz"]["GM7_SP"] = "DARK STAR"
# HACHACUCHILLA
ComboNames["Fem1Wiz"]["GM5_SP"] = "TUMBLEKILL"
# CRUSHBO
ComboNames["Fem1Wiz"]["GM26_SP"] = "DEADLY MIST"
# ARPON
ComboNames["Fem1Wiz"]["GM33_SP"] = "GUT WRENCHER"
# NAGINATA2
ComboNames["Fem1Wiz"]["GM24_SP"] = "SPIRAL OF DEATH"
# LANZAANCHA
ComboNames["Fem1Wiz"]["GM28_SP"] = "WAY OF THE GODDESS"
# STEELFEATHER
ComboNames["Fem1Wiz"]["GM34_SP"] = "DEATH BREATH"
# ICEWAND
ComboNames["Fem1Wiz"]["GM36_SP"] = "ICE STRIKE"
# FIREBO
ComboNames["Fem1Wiz"]["GM30_SP"] = "DRAGON CIRCLE"
# QUEENSWORD
ComboNames["Fem1Wiz"]["GM37_1H"] = "VAMPIRE ATTACK"
# BLADESWORD1
#ComboNames["Fem1Wiz"]["GM80_1H"] = "IANNA'S LIGHT"
# BLADESWORD2
#ComboNames["Fem1Wiz"]["GM81_1H"] = "RAGE OF THE GODDESS"
             
             
ComboNames["Fem1Wiz"]["GM56_1H"] = "BEAST CRASH"
ComboNames["Fem1Wiz"]["GM58_1H"] = "DOUBLE SMASH"
ComboNames["Fem1Wiz"]["GM53_1H"] = "EARTHQUAKE"
ComboNames["Fem1Wiz"]["GM54_1H"] = "FLAMING HELL"
ComboNames["Fem1Wiz"]["GM52_1H"] = "DEMOLITION"

ComboNames["Fem1Wiz"]["GM66_1H"] = "DARK DESTROYER"

ComboNames["Fem1Wiz"]["GM10_1H"] = "KNEE TREMBLER"

ComboNames["Fem1Wiz"]["GM11_1H"] = "EAGLES EYE"
             
ComboNames["Fem1Wiz"]["GM41_1H"] = "AXE SMASH"
ComboNames["Fem1Wiz"]["GM42_1H"] = "RIGHT AXE SMASH"
ComboNames["Fem1Wiz"]["GM46_1H"] = "LEFT AXE SMASH"
ComboNames["Fem1Wiz"]["GM48_1H"] = "HIGH AXE SMASH"
ComboNames["Fem1Wiz"]["GM49_1H"] = "LOW AXE SMASH"


ComboNames["Fem1Wiz"]["GI_1H"] =  "STAB"
ComboNames["Fem1Wiz"]["GM2_1H"] = "RIGHT SLASH"
ComboNames["Fem1Wiz"]["GM3_1H"] = "LEFT SLASH"
ComboNames["Fem1Wiz"]["GM1_1H"] = "DOWN SLASH"
ComboNames["Fem1Wiz"]["GM4_1H"] = "UP SLASH"
             
ComboNames["Fem1Wiz"]["GM39_1H"] = "SNAKE BITE"
ComboNames["Fem1Wiz"]["GM38_1H"] = "SKULL SPLITTER"
ComboNames["Fem1Wiz"]["GM5_1H"] =  "DEATH SPIN"
ComboNames["Fem1Wiz"]["GM35_1H"] = "SWORD FLICK"
             
ComboNames["Fem1Wiz"]["GM23_1H"] = "NORTH CROSS"

ComboNames["Fem1Wiz"]["GM43_1H"] = "CYCLONE"

ComboNames["Fem1Wiz"]["GM34_1H"] = "THE DREAM"

ComboNames["Fem1Wiz"]["GM18_1H"] = "TRIPLE ATTACK"

ComboNames["Fem1Wiz"]["GM25_1H"] = "TUMBLESTAB"

ComboNames["Fem1Wiz"]["GM16_1H"] = "SWORD OF JUSTICE"

ComboNames["Fem1Wiz"]["GM80_1H"] = "DEATH WHIRL"

ComboNames["Fem1Wiz"]["GI_2H"] =  "TWO-HANDED SLICE"
ComboNames["Fem1Wiz"]["GM4_2H"] = "TWO-HANDED LOW SLICE"
ComboNames["Fem1Wiz"]["GM1_2H"] = "TWO-HANDED HIGH SLICE"
ComboNames["Fem1Wiz"]["GM2_2H"] = "TWO-HANDED RIGHT SLICE"
ComboNames["Fem1Wiz"]["GM3_2H"] = "TWO-HANDED LEFT SLICE"

ComboNames["Fem1Wiz"]["GM23_2H"] = "SERIOUSLY PISSED OFF"

ComboNames["Fem1Wiz"]["GM9_2H"] =  "EVISCERATOR"
ComboNames["Fem1Wiz"]["GM11_2H"] = "LEG SHORTENER"
ComboNames["Fem1Wiz"]["GM10_2H"] = "HEAD REMOVER"
ComboNames["Fem1Wiz"]["GM8_2H"] =  "RIB RATTLER"

ComboNames["Fem1Wiz"]["GM41_2H"] = "COLD STEEL"
ComboNames["Fem1Wiz"]["GM42_2H"] = "HANGOVER CURE"
ComboNames["Fem1Wiz"]["GM12_2H"] = "BIG GIRLY SWISH"
             
ComboNames["Fem1Wiz"]["GM50_1H"] = "VAMPIRE ATTACK"

ComboNames["Fem1Wiz"]["GM29_2H"] = "HELL THRUST"

ComboNames["Fem1Wiz"]["GM44_2H"] = "FIRESTORM"

ComboNames["Fem1Wiz"]["GM45_2H"] = "VOLCANO"

ComboNames["Fem1Wiz"]["GM37_1H"] = "NORTHERN LIGHTS"

ComboNames["Fem1Wiz"]["GM36_1H"] = "FIRE SPIRAL"

ComboNames["Fem1Wiz"]["GM22_1H"] = "ICE STORM"

ComboNames["Fem1Wiz"]["GM15_2H"] = "DRAGONS KISS"

ComboNames["Fem1Wiz"]["GM47_AXE"] = "THIS THING IS TOO BIG FOR LITTLE ME"



ComboNames["Fem1Wiz"]["GM86_1H"] = "KATAR111"

ComboNames["Fem1Wiz"]["GM87_1H"] = "KATAR31"

ComboNames["Fem1Wiz"]["GM88_1H"] = "KATAR17"

ComboNames["Fem1Wiz"]["GM89_1H"] = "KATAR11"

ComboNames["Fem1Wiz"]["GM90_1H"] = "KATAR011"

ComboNames["Fem1Wiz"]["GM91_1H"] = "KATAR16"

ComboNames["Fem1Wiz"]["GM92_1H"] = "KATAR28"

ComboNames["Fem1Wiz"]["GM93_1H"] = "KATAR23"

ComboNames["Fem1Wiz"]["GM94_1H"] = "KATAR211"

ComboNames["Fem1Wiz"]["GM95_1H"] = "KATAR33"

ComboNames["Fem1Wiz"]["GM96_1H"] = "KATAR32"

ComboNames["Fem1Wiz"]["GM97_1H"] = "KATAR02"

ComboNames["Fem1Wiz"]["GM98_1H"] = "KATAR06"

ComboNames["Fem1Wiz"]["GM99_1H"] = "KATAR08"



def GetComboName(EntityName,ComboId):
	kindName = Bladex.GetEntity(EntityName).Kind
	try:
		return ComboNames[kindName][ComboId]
	except:
		try:
			return ComboNames["Default"][ComboId]
		except:
			return None
		
	
	
## Dorcas only

def PlaceArmour(name,pos,ori):
	arm=Bladex.CreateEntity(name,"Fem1WizArmour",pos[0],pos[1],pos[2])
	arm.Orientation= ori[0],ori[1],ori[2],ori[3]
	arm.UseFunc=PutOnArmour
	
	

def PutOnArmour(ObjectName,use_from):
	obj=Bladex.GetEntity(ObjectName)
	me=Bladex.GetEntity("Player1")
	Data=me.Data
	if not Data:
		return
	if not me.Kind=="Fem1Wiz":
		Actions.ReportMsg("I cannot wear this helmet")
		return
	if me.MeshName=="Fem1Wiz":
		if not obj.Kind == "Fem1WizArmour":
			Actions.ReportMsg("This Armour will not fit me")
			return
	
 	if Data.armour_prot_factor<=20:
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.5, AuxFuncs.FadeTo, (0.5, 0.5))
		Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, TakeArmour1, (ObjectName,))
	else:
		Actions.ReportMsg("I already have Armour")
	
	
	
def TakeArmour1(ObjectName):
	me=Bladex.GetEntity("Player1")
	Data=me.Data
	obj=Bladex.GetEntity(ObjectName)
	sound=Bladex.CreateSound("..\\..\\Sounds\\cambio-armadura2.wav",ObjectName+"SoundNewHelmet1")
	sound.Volume=0.6
	sound.MinDistance=10000
	sound.MaxDistance=20000
	sound.PlayStereo()

	right= me.InvRight
	left= me.InvLeft
	rightback= me.InvRightBack
	leftback= me.InvLeftBack
	dedge=Bladex.GetEntity(Data.DummyLHEdgeName)
	
	
	inv= me.GetInventory()
	inv.LinkRightHand ("")
	inv.LinkLeftHand ("")
	inv.LinkBack("")
	Data.UnlinkAll ("Player1", "")  # Dettatch arrows
	me.ResetWounds()
	if obj.Kind=="Fem1WizArmour":
		me.SetMesh("Fem1Wiz_B")
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,me.Data.SetArmourProtection,())
		
		
	
	if rightback:
		inv.LinkRightHand (rightback)
		inv.LinkRightBack(rightback)
	if leftback:
		inv.LinkLeftHand (leftback)
		inv.LinkLeftBack(leftback)
	if right:
		inv.LinkRightHand (right)
	if left:
		inv.LinkLeftHand (left)
	if dedge:
		print "Relinking edge after taking armour"
		me.LinkAnchors("21",dedge,"1H_R")
		
	obj.SubscribeToList("Pin")
	# to fix bug with taking objects later.....
	me=Bladex.GetEntity("Player1")
	try:
		if me: 
			me.AnmEndedFunc("Player1")
		else: 
			pass
	except:
		pass
	return
		
		

		
		

##########################################################################################################################################################

def PlayerDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	pj = Bladex.GetEntity(VictimName)
	
	if DamageZone==Reference.BODY_HEAD:
		if pj.Data.ProtectionLevel>1:
			print "Hahaha. I have got my helmet on"
			return
	if AttackerName:
		attacker=Bladex.GetEntity(AttackerName)
		if attacker and attacker.Person: 
			if not CheckIfAlly(AttackerName):
				return
	Damage.CalculateDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded)
		
		
##########################################################################################################################################################
##########################################################################################################################################################
########### Player Data

class Dorcas (Basic_Funcs.PlayerPerson):

	AllyList=[]
	Helpcalled=0
	LevelupFunc=None
	ShieldWeapons=[]
	DummyLHEdgeName=""
	ProtectionLevel=1
	RespawnActive=0
	DeathFunc=None
	DeathArgs=("Player1",)
	IceDamage=[3,5,10,20,30,40,50,60,80,110,150,200,260,380,500,600,750,900,1500,2000]
	FireDamage=[3,5,10,20,30,40,50,60,80,110,150,200,260,380,500,600,750,900,1500,2000]
	
	
	def __init__(self, me):
		Basic_Funcs.PlayerPerson.__init__(self, me)
		
		self.AllyList=[]
		self.Helpcalled=0
		self.LevelupFunc=None
		self.ShieldWeapons=["ProLHWep2","ProLHWep3","ProLHWep4"] # Venom/Ice/Fire
		self.DummyLHEdgeName=""
		self.ProtectionLevel=1
		self.RespawnActive=0
		self.DeathFunc=None
		self.DeathArgs=("Player1",)
		self.IceDamage=[3,5,10,20,30,40,50,60,80,110,150,200,260,380,500,600,750,900,1500,2000]
		self.FireDamage=[3,5,10,20,30,40,50,60,80,110,150,200,260,380,500,600,750,900,1500,2000]
		me.AddAnmEventFunc("CheckLH",self.TestHoldShield)	
		me.AddAnmEventFunc("StartL_Weapon",self.StartLWepDamage)
		me.AddAnmEventFunc("StopL_Weapon",self.StopLWepDamage)	
		me.AddAnmEventFunc("CheckLEvent",self.CheckLWP)
		me.AddAnmEventFunc("CheckPickupEvent",self.CheckWeaponInv)
		
		self.DamageFactorNone  = 0.15
		self.DamageFactorLight = 0.25	
		
		self.AttachLHEdge()
		
		
		
		me.NewComboFunc=self.NewNewCombo  
		me.DamageFunc=PlayerDamage
		me.ImDeadFunc=self.NewImDeadFunc
		
		
		
	def CheckWeaponInv(self, EntityName, EventName):
		print "Picked up new weapon"
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.8,SetWeaponsDamage,())
		
		
		
	def CheckLWP(self, EntityName, EventName):
		print "Changing LH"
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.3,self.SetLHDamage,(EntityName,))
		
	
	# Set special damage on LH dummy according to the Real LH weapon.....
	
	def SetLHDamage(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		extravenomdam=me.Level+1
		lvl=me.Level
		if lvl >=19:
			icedam=3000
			firedam=3000
		else:
			icedam=self.IceDamage[lvl]
			firedam=self.FireDamage[lvl]
		lwp=Bladex.GetEntity(me.InvLeft)
		if lwp:
			Lkind=lwp.Kind
			if self.DummyLHEdgeName:
				if Lkind=="ProLHWep2":
					Reference.EntitiesObjectData[self.DummyLHEdgeName][6]=["Venom",+extravenomdam]
					#print "Setting Venom damage on dummy edge"
				elif Lkind=="ProLHWep3":
					Reference.EntitiesObjectData[self.DummyLHEdgeName][6]=["Ice",+icedam]
					#print "Setting Ice damage on dummy edge"
				elif Lkind=="ProLHWep4":
					Reference.EntitiesObjectData[self.DummyLHEdgeName][6]=["Fire",+firedam]
					#print "Setting Fire damage on dummy edge"
	
	
	
	def SetArmourProtection(self):
		me = Bladex.GetEntity(self.Name)
		lvl=me.Level+1
		if me.MeshName=="Fem1Wiz_B":
			if lvl>20:
				self.armour_prot_factor=40
			else:
				self.armour_prot_factor=lvl*2
			print "Setting armour prot fact to ",self.armour_prot_factor
	
	
	
	
	
	
	
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		AniSoundDorcas.AsignarSonidosDorcas(EntityName)


	def NewNewCombo(self,EntityName,ComboName):
		import GameText
		me = Bladex.GetEntity(EntityName)
		if EntityName<>"Player1":
			return
		ComboTXT = GetComboName(EntityName,ComboName)
		if ComboTXT:
			GameText.WriteTextAux(MenuText.GetMenuText("New Attack")+": "+ ComboTXT,2.0,150,180,180,[],None,1)
			new_combo_sound.Stop()
			new_combo_sound.PlayStereo()

	
		
		
	def NewImDeadFunc(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		
		Basic_Funcs.PlayerPerson.PCImDead(self,EntityName)
		if self.RespawnActive:
			print "Respawning Player"
			me.AnmEndedFunc= self.DorcasReSpawn
			me.CastShadows=1
		if self.DeathFunc:
			apply(self.DeathFunc,self.DeathArgs)
		
			
			
	def DorcasReSpawn (self, EntityName):		
		me = Bladex.GetEntity(EntityName)
		right= me.InvRight
		left= me.InvLeft
		rightback= me.InvRightBack
		leftback= me.InvLeftBack
		#self.UnlinkAll (EntityName, "")  # This looses her dummy blade		
		inv= me.GetInventory()
		if rightback:
			inv.LinkRightHand (rightback)
			inv.LinkBack(rightback)		
		if leftback:
			inv.LinkLeftHand (leftback)
			inv.LinkBack(leftback)		
		if right:
			inv.LinkRightHand (right)
		if left:
			inv.LinkLeftHand (left)
		me.Life= CharStats.GetCharMaxLife(me.Kind, me.Level)

		if netgame.GetNetState()!=0:
			me.Energy= NetWeapon.GetEnergy(me)
		else:
			me.Energy= CharStats.GetCharMaxEnergy(me.Kind, me.Level)
		me.ResetWounds()
		if self.Poisoned:
			self.UnVenom ()
		
		if(netgame.GetNetState()==0):
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.2, self.RelinkCamera,(),"RelinkCamera")
		angle= me.Angle
		me.Orientation= (0.0, 3.62407746479e-007, 0.707107365131, -0.707106947899)
		me.Angle= angle
	
	
	
	def AttachLHEdge(self):
		me = Bladex.GetEntity(self.Name)
		dedge=Bladex.CreateEntity(self.Name+"DummyEdge","ProLHWep2Edge",58700.0,-960.0,380.0, "Weapon")
		dedge.Alpha=0.0
		dedge.RasterMode="Read"
		dedge.RasterMode="AdditiveAlpha"
		dedge.CastShadows=0
		Reference.EntitiesObjectData[dedge.Name]=Reference.DefaultObjectData["ProLHWep2Edge"]
		# Fem1Wiz -Dorcas - has extra Anchor in mesh -Blade_Anchor_21
		me.LinkAnchors("21",dedge,"1H_R")
		self.DummyLHEdgeName=dedge.Name
		

	def StartLWepDamage(self, EntityName, EventName):
		print "Damage ON"
		me = Bladex.GetEntity(EntityName)
		lwp=Bladex.GetEntity(me.InvLeft)
		if lwp and lwp.Kind in self.ShieldWeapons:
			ledge=Bladex.GetEntity(self.DummyLHEdgeName)
			if ledge:
				ledge.MessageEvent(Reference.MESSAGE_START_TRAIL,0,0)
				ledge.MessageEvent(Reference.MESSAGE_START_WEAPON,0,0)
				# Bug here. If the animation is interupted, the LH trail/damage remains on.
				Bladex.AddScheduledFunc(Bladex.GetTime()+3.0, self.StopLAfterInterupt,())
		
		
	def StopLWepDamage(self, EntityName, EventName):
		print "Damage OFF"
		me = Bladex.GetEntity(EntityName)
		lwp=Bladex.GetEntity(me.InvLeft)
		if lwp and lwp.Kind in self.ShieldWeapons:
			ledge=Bladex.GetEntity(self.DummyLHEdgeName)
			if ledge:
				ledge.MessageEvent(Reference.MESSAGE_STOP_TRAIL,0,0)
				ledge.MessageEvent(Reference.MESSAGE_STOP_WEAPON,0,0)
				
				
				
	def StopLAfterInterupt(self):
		print "Damage OFF again"
		ledge=Bladex.GetEntity(self.DummyLHEdgeName)
		if ledge:
			ledge.MessageEvent(Reference.MESSAGE_STOP_TRAIL,0,0)
			ledge.MessageEvent(Reference.MESSAGE_STOP_WEAPON,0,0)



	def TestHoldShield(self,EntityName,EventName):
		print "checking LH"
		me= Bladex.GetEntity(EntityName)
		rwp= Bladex.GetEntity(me.InvRight)
		if rwp:
			if rwp.Kind=="ProRHWep2":
				if me.InvLeft and Reference.GiveObjectFlag(me.InvLeft)==Reference.OBJ_SHIELD:
					lwp= Bladex.GetEntity(me.InvLeft)
					if lwp.Kind in self.ShieldWeapons:
						#print"Got corect LH wep......returning"
						return
					#print "NOT got proper LH blade........interupting"
					me.Wuea=Reference.WUEA_ENDED
					if me.InCombat:
						me.InterruptCombat()
					me.LaunchAnmType("df_01")
					Actions.ReportMsg("I Cannot do Attack Move with this Shield")
					
					
					

	#############################################
	########### Call Allies Funcs ###############
		
	
	def AddAlly(self, AllyName):
		self.AllyList.append(AllyName)
		print AllyName+" signing on for duty"
		
		
	def RemoveAlly(self, AllyName):
		if AllyName in self.AllyList:
			self.AllyList.remove(AllyName)
			print AllyName+" signing off"
		
		
	def GetMySelectedEnemy(self,EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.selected_enemy:
			ene=Bladex.GetEntity(me.selected_enemy[0])
			if ene and ene.Person:
				return ene
			return None	
		return None	
	
	
	def ResetHelpcalled(self):
		self.Helpcalled=0
		
		
	def CallHelp(self,EntityName):
		if self.Helpcalled==1:
			return
		self.Helpcalled=1
		me = Bladex.GetEntity(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3,self.CallHelp2,(EntityName,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.0, self.ResetHelpcalled,())
		
		
		
	def CallHelp2(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.0, self.ResetHelpcalled,())
		if len(self.AllyList)==0:
			return
		for id in self.AllyList:
			buddy=Bladex.GetEntity(id)
			if buddy.Life>0 and AmIRelaxing(buddy.Name):
				if buddy.Data.Asleep:
					buddy.Data.WakeMeUp(buddy.Name)
				buddy.SetOnFloor() 
				myname=buddy.Name
				dist=B3DLib.GetXZDistance('Player1', buddy.Name)
				if buddy.Data.OnGuard:
					if not self.CheckForNearbyEnemy(buddy.Name, EntityName):
						if not buddy.InCombat:
							print buddy.Name," regroup"
							try:
								buddy.Data.GoBackToPost(buddy.Name)
							except AttributeError:
								pass
				else:
					if dist>30000 and dist <80000 and not buddy.CanISee(me) and not buddy.InCombat and buddy.Data.Combatant:
						if me.ActiveEnemy:
							buddy.GoToJogging=1
						else:
							buddy.GoToJogging=0
						x,y,z=me.Rel2AbsPoint(0,-1000,0)# 1 metres in front
						if buddy.AstarState<>Enm_Def.ASTAR_SOLVED and not buddy.Data.Combatant:
							buddy.GoTo(x,y,z)
		   					print "Going to help: ",myname
						else:
							Actions.TurnToFaceEntity(buddy.Name,me.Name)
		   					print "Turning to far away Player1 ",myname
		   			
		   			else:
		   				if not self.CheckForNearbyEnemy(buddy.Name, EntityName):
		   					if me.ActiveEnemy:
		   						ene=GetMySelectedEnemy(EntityName)
								if ene and ene.Person:
		   							Actions.TurnToFaceEntity(buddy.Name,ene.Name)
		   							print "Turning to Player opponent ",ene.Name,myname	
		   					else:
		   						Actions.TurnToFaceEntity(buddy.Name,me.Name)
		   						print "Turning to Player1 ",myname					
						
						
						
	def CheckForNearbyEnemy(self,AllyName, EntityName):
		#print "Checking for nearby enemies"
		buddy= Bladex.GetEntity(AllyName)
		me = Bladex.GetEntity(EntityName)
		pjp=buddy.Position	
		enes=Bladex.GetEntitiesAt(pjp[0],pjp[1],pjp[2],20000)
		for i in enes:
			possene= Bladex.GetEntity(i)
			if possene.Person:			
				if possene.Life>0 and possene.Name!=buddy.Name and possene.Name!="Player1" and CheckIfAlly(possene.Name) and me.CanISee(possene):
					Actions.TurnToFaceEntity(buddy.Name, possene.Name)
					#print "Enemy found near: ",buddy.Name,possene.Name
					return 1	
		return 0
							
			
				
				

	###############################################
	######## Level Up Funcs #######################
	
	def OnKilledEnemy(self,KilledEntityName):
		Reference.debugprint("OnKilledEnemy")
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			print "OnKilledEnemy(): Error: None Entity"
			return
		if not CheckIfAlly(KilledEntityName):
			print "No Killing Allies to get the XP!!!"
			return
		me=Bladex.GetEntity(self.Name)
		#import CharStats # Necesario para la recarga de partida. Paron?
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)

		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)

		if self.Name=="Player1":  
			import Scorer
			# Ahora compruebo si sube de nivel
			if me.PartialLevel>=LevelLimit:
				while me.PartialLevel>=LevelLimit:
					me.PartialLevel=me.PartialLevel-LevelLimit
					me.Level=me.Level+1
					LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
				Scorer.LevelUp()
				Scorer.SetLevelLimits(0,CharStats.GetCharExperienceCost(me.CharType,me.Level))
				maxlevel=CharStats.GetMaxLevel()
				maxsize=50+(140/maxlevel)*me.Level # 50->190
				maxPPS=120+(600/maxlevel)*me.Level # 120->720
				maxint=0.5+(4.5/maxlevel)*me.Level # 0.5->5.0
				AuraParams=(5, 0, 1, 0, 0, 1)
				AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
				AuraVar1Args=(5, maxsize, 0, 1, 0.5)
				AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
				PSParams=(self.LevelUpParticleData, "LevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
				GenFX.LevelUpFX("Player1", 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15, "..\\..\\Sounds\\aparicion-escudo.wav")
				
				# Restore state of the player.
				if me.Life >0: # If an enemy death by poison or trowed weapons and.. You are death!
					me.ResetWounds()
					me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
				Scorer.SlideTBS(0)
				Scorer.LevelUpFlash()
			if netgame.GetNetState() == 0:
				Scorer.SetLevelBarValue(me.PartialLevel)
			SetWeaponsDamage(self.Name)
			self.SetArmourProtection()
			if self.LevelupFunc:
				apply(self.LevelupFunc)
				
				
				
				
	# Functions for loading and saving state
	
	def __getstate__(self):	
		PlayerPerson_state=Basic_Funcs.PlayerPerson.__getstate__(self)
		if(PlayerPerson_state[0]!=1):
			return PlayerPerson_state
		PlayerPerson_state[1]["Dorcas"]=((self.AllyList, 
		                                 self.Helpcalled,
		                                 self.ProtectionLevel,
					         self.RespawnActive),   
		                                 GameStateAux.SaveFunctionAux(self.LevelupFunc),
		                                 GameStateAux.SaveFunctionAux(self.DeathFunc),
						 self.DeathArgs)
		return PlayerPerson_state
		
	
	
	def __setstate__(self,parm):
		Basic_Funcs.PlayerPerson.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Dorcas"]
			self.AllyList= parms[0]
			self.Helpcalled= parms[1]
			self.ProtectionLevel= parms[2]
			self.RespawnActive= parms[3]   
			GameStateAux.LoadFunctionAux(parms[5],self,"LevelupFunc")
			GameStateAux.LoadFunctionAux(parms[6],self,"DeathFunc")
			self.DeathArgs= parms[7]   
			me=Bladex.GetEntity(self.Name)
			me.AddAnmEventFunc("CheckLH",self.TestHoldShield)
			me.AddAnmEventFunc("StartL_Weapon",self.StartLWepDamage)
			me.AddAnmEventFunc("StopL_Weapon",self.StopLWepDamage)		
			me.AddAnmEventFunc("CheckLEvent",self.CheckLWP)
			me.AddAnmEventFunc("CheckRLEvent",self.CheckLWP)
			me.AddAnmEventFunc("CheckPickupEvent",self.CheckWeaponInv)
			
			
##########################################################################################################################################################


			












