import Bladex
import Enm_Def
import Reference
import AuxTran
import AniSound
import pdb
import BCopy
import math
import whrandom
import Actions
import Interpolator
import CharStats
import ItemTypes
import AuxFuncs
import Sparks
import Objects
import InitDataField
import Blood
import dust
import B3DLib
import Damage
import darfuncs
import GenFX
import ObjStore
import GameText
import ScorerActions
import Basic_Funcs
import Enm_Def
import Ally_Def
import Combat
import EnemyTypes
import Auras
import Sounds
import GameStateAux
import dust
import pocimac
import MenuText
import copy
import AniSoundSklDRTP



import os

TRUE = 1==1
FALSE = not TRUE



CHOOSE_FIRST  = -1
CHOOSE_SECOND =  1
CHOOSE_EITHER =  0





def CheckIfEnemy (EntityName):
	me=Bladex.GetEntity(EntityName)
	if me:		
		if me.Name=="Player1":
			return TRUE   
		else:
			try:
	           		enemyName=me.Data.EnemyName
	           		return TRUE                       
	        	except AttributeError:  
	 	   		return FALSE   

	 	   
def IsHoldingBow(EntityName):
	me=Bladex.GetEntity(EntityName)
	ObjectName=me.InvLeft
	object_flag=Reference.GiveObjectFlag(ObjectName)
	if object_flag==Reference.OBJ_BOW:
		return TRUE
	else:
		return FALSE
		
		
		
def DumpMe(entity):
	per=Bladex.GetEntity(entity)		
	per.Position=0,30000,0
		
		
		
		
		
		
def RemoveMyCorpse(PersonName, dx, dz):
	wps=Bladex.CreateEntity(PersonName+"WPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
	wps.PersonName=PersonName
	wps.ParticleType="EnPolvo"
	wps.Time2Live=64
	wps.RandomVelocity=0
	wps.Velocity=dx,300,dz
	wps.NormalVelocity=2.0
	wps.YGravity=-300
	wps.DeathTime=Bladex.GetTime()+1.5
	wps.PPS=300
	me = Bladex.GetEntity(PersonName)
	me.Alpha=1.00
	me.RasterMode="Read"
	me.CastShadows=0
	AuxFuncs.FadeObject(PersonName, 1.00, 0.0, 4.0)
	Bladex.AddScheduledFunc(Bladex.GetTime()+4.1, DumpMe,(me.Name,))
	

def RemoveMyShell(ObjectName):
	me = Bladex.GetEntity(ObjectName)
	me.Alpha=0.8
	me.RasterMode="Read"
	me.CastShadows=0
	AuxFuncs.FadeObject(ObjectName, 0.8, 0.0, 4.0)
	Bladex.AddScheduledFunc(Bladex.GetTime()+4.1, DumpMe,(me.Name,))
	
	

def GoAway(entity):
	thing=Bladex.GetEntity(entity)
	thing.Position=(0,50000,0)
	
	
def LaunchSpecialAttack (EntityName):
	me= Bladex.GetEntity(EntityName)
	if me and me.Life>0:
		return me.Data.StartSpecialAttack (EntityName)
	return 0
	
	

	
###########################################################################################################################################################
#### Base Enemy Class


class EnemyChar (Enm_Def.NPCPerson):

	DeathFunc=None
	DeathArgs=()
	LevelupFunc=None
	LevelupArgs=()
	NPCLevelUpParticleData=[]
	NameOfEnemy=None
	StuckSpearList=[]
	AAsec=1
	AAprim=0
	GuardPosition=(0,0,0)
	GuardAngle=0
	Dusted=1

	def __init__(self, me):
		Enm_Def.NPCPerson.__init__(self, me)
		
		me.ImDeadFunc=self.NewImDeadFunc
		
		self.NPCLevelUpParticleData=[]
		
		for i in range(30):
			if i>25:
				traux=(30.0-i)/5.0 
				aux=traux**0.5
			else:
				traux=i/25.0 
				aux=traux**2.0
			r=255
			g=255
			b=255
			a=255.0*traux
			size=200.0*aux
			self.NPCLevelUpParticleData.append(a)
			self.NPCLevelUpParticleData.append(size)
			Bladex.SetParticleGVal("NPCLevelUpParticle",i,r,g,b,a,size)
			
		self.lupsnd1=Bladex.CreateSound("..\\..\\Sounds\\aparicion-escudo.wav", "LUPSnd1")
		self.lupsnd1.Volume=1.0
		self.lupsnd1.MinDistance=10000
		self.lupsnd1.MaxDistance=30000	
		
		self.AAsec=1
		self.AAmin=0
		self.GuardPosition=(0,30000,0)
		self.GuardAngle=0
		
		
	def SetActionArea(self):
		me = Bladex.GetEntity(self.Name)
		me.ActionAreaMin=pow( 2,self.AAprim) 
		me.ActionAreaMax=pow( 2,self.AAsec) 
		print "Action Area Set for ",self.Name


	def NewImDeadFunc (self,EntityName):
		print EntityName+": NEW ImDeadFunc"
		Enm_Def.NPCPerson.StdImDead(self,EntityName)
		me = Bladex.GetEntity(EntityName)
		if self.Dusted:
			Bladex.AddScheduledFunc(Bladex.GetTime()+12,RemoveMyCorpse,(EntityName,100,0,))
		if self.DeathFunc:
			apply(self.DeathFunc,self.DeathArgs)
		Bladex.AddScheduledFunc(Bladex.GetTime()+5, self.RemoveStuckSpears,(EntityName,))
			
			
			
	def RemoveStuckSpears(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		if len (self.StuckSpearList) == 0: 
			return
		for i in self.StuckSpearList:
			sp=Bladex.GetEntity(i)
			if sp:
				me.Unlink(sp)
				sp.Impulse(0,0,0)
				Bladex.AddScheduledFunc(Bladex.GetTime()+4.5, sp.Impulse,(0,0,0,))
		self.StuckSpearList=[]
				
				
	
	def OnKilledEnemy(self,KilledEntityName):
		print "Enemy Leveling up"
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			return
		if KilledEntityName=="Player1":
			Reference.debugprint ("Ally Char: I have killed the Player")
			return
		me=Bladex.GetEntity(self.Name)
		
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)
		
		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
		
		if me.PartialLevel>=LevelLimit and me.Life>0:
			
			while me.PartialLevel>=LevelLimit:
				me.PartialLevel=me.PartialLevel-LevelLimit
				me.Level=me.Level+1
				LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
			maxlevel=CharStats.GetMaxLevel()
			maxsize=50+(140/maxlevel)*me.Level 
			maxPPS=120+(600/maxlevel)*me.Level 
			maxint=0.5+(4.5/maxlevel)*me.Level 
			AuraParams=(5, 0, 1, 0, 0, 1)
			AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
			AuraVar1Args=(5, maxsize, 0, 1, 0.5)
			AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
			print "Levelup PS params set"
			PSParams=(self.NPCLevelUpParticleData, "NPCLevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
			
			GenFX.LevelUpFX(me.Name, 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15)
			
			if me.Life >0: # If an enemy death by poison or trowed weapons and.. You are death!
				me.ResetWounds()
				me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
			self.lupsnd1.Play(me.Position[0],me.Position[1],me.Position[2],0)
			if self.LevelupFunc:
				apply(self.LevelupFunc,self.LevelupArgs)
			Bladex.AddScheduledFunc(Bladex.GetTime()+2, self.RemoveStuckSpears,(me.Name,))
	

			
				
	def MyGetEnemyName (self):
		me=Bladex.GetEntity(self.Name)
	        if not self.NameOfEnemy or Bladex.GetEntity(self.NameOfEnemy).Life <=0:
                   	pjp = me.Position
		   	enemyList=[]
		   	pj_dir=me.Rel2AbsVector(0.0,-1.0,0.0)
			pjp=me.Position
			for ename in Bladex.GetEnemiesVisibleFrom(pjp,50000,pj_dir,0.0):
                       		ene=Bladex.GetEntity(ename)
                       		if self.IsValidEnemy(ene):
                         		enemyList.append(ene.Name)
                        char=Bladex.GetEntity("Player1")
                        if me.CanISee(char):
	        		enemyList.append("Player1")
                   	if len (enemyList) == 0: 
                   		return None
                   	enemyList.sort(self.ChooseCanISeeNearest)
                   	self.NameOfEnemy=enemyList[0]
		enemy=Bladex.GetEntity(self.NameOfEnemy)
                me.SetEnemy(enemy)
		return self.NameOfEnemy			
				
				
		
	def IsValidEnemy (self, entity):
		me=Bladex.GetEntity(self.Name)
		if not entity.Person: 
			return FALSE
		if not entity.Life > 0:
			return FALSE
		if entity.Alpha<0.9:
			return FALSE
		if entity.Name == self.Name:
			return FALSE
		if entity.Kind==me.Kind:
			return FALSE
		if IsHoldingBow(entity.Name):
			return FALSE
		if  entity=="Player1" and me.CanISee(entity):
			return TRUE
		if  CheckIfEnemy(entity.Name): 
			return TRUE
		else:
			return FALSE
			
			
			
	def ChooseCanISeeNearest (self, entity1name, entity2name):
		p1 = Bladex.GetEntity(entity1name)
		p2 = Bladex.GetEntity(entity2name)
		if not p1 and not p2:
			return CHOOSE_EITHER
		elif not p1:
			return CHOOSE_SECOND
		elif not p2:
			return CHOOSE_FIRST
		if p1.Life <= 0 and p2.Life <= 0:
			return CHOOSE_EITHER
		elif p1.Life <= 0:
			return CHOOSE_SECOND
		elif p2.Life <= 0:
			return CHOOSE_FIRST
		me=Bladex.GetEntity(self.Name)
		if not me.CanISee(p1) and not me.CanISee(p2) <= 0:
			return CHOOSE_EITHER
		elif not me.CanISee(p1):
			return CHOOSE_SECOND
		elif not me.CanISee(p2):
			return CHOOSE_FIRST
		val = me.SQDistance2(p1) - me.SQDistance2(p2)
		if val < 0:
			return CHOOSE_FIRST
		elif val > 0:
			return CHOOSE_SECOND
		else:
			return CHOOSE_EITHER
		

		
	def StdSeeTheEnemy(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		life = me.Life
		if life > 0.0:		
			if not self.MyGetEnemyName(): 
				return
			Reference.debugprint (EntityName + ": I spy a GOOD guy")
			ene=Bladex.GetEntity(self.MyGetEnemyName())
			if ene:
				if self.IsValidEnemy(ene):
					Reference.debugprint (EntityName + ": Your Name is "+ene.Name+ " I will do you over")
					if self.Asleep:
						self.WakeMeUp(EntityName)
				me.LookAtEntity(ene.Name)
			
				#Just in case we were doing a wait animation
				if me.GetActionMode() == Ally_Def.ROUTE_BAY:	
					me.Wuea=Reference.WUEA_ENDED

				self.CheckToJoin(EntityName)
				if me.GetActionMode()!=Ally_Def.ROUTE_CHASE:
					self.StdStartChase(EntityName)
				
				if me.GetActionMode()==Ally_Def.ROUTE_BOWING: 
					if self.AimPressed:
						angle= Reference.TARGET_ANGLE_MAX- me.Accuracy*(Reference.TARGET_ANGLE_MAX-Reference.TARGET_ANGLE_MIN)
						if me.AimOffTarget<angle:
							print "Releasing Arrow"
							Actions.TestReleaseArrow(EntityName)
					else: 
						if me.Wuea!=Reference.WUEA_WAIT:
							#print "Drawing Bow"
							Actions.TestDrawBow (EntityName)
				elif me.Aim or Actions.CurrentlyBowing(EntityName):
					me.Wuea=Reference.WUEA_ENDED
					Actions.EndBowMode(EntityName)
					me.SetOnFloor()




					
	def RespondToHit(self, EntityName, AttackerName, DamagePoints, DamageType, DamageZone, Shielded):
		# launch appropriate hurt anim
		if self.Asleep:
			self.WakeMeUp(EntityName)
		
		Basic_Funcs.PlayerPerson.RespondToHit(self, EntityName, AttackerName, DamagePoints, DamageType, DamageZone, Shielded)
		
		if AttackerName and AttackerName != 'BWorld' and AttackerName != EntityName:
			me = Bladex.GetEntity(EntityName)
			if me and me.Life > 0:
				#####################################################################
				# consider getting furious
				#chartype = Bladex.GetCharType(me.CharType,me.CharTypeExt)
				#if me.Life <= CharStats.GetCharMaxLife(me.Kind, me.Level)*0.25 and whrandom.random() < self.ChanceOfFuryOnHurt:
				#	self.GetFurious (EntityName)
				# consider attacking attacker back
				#damage_factor = DamagePoints / (me.Life+DamagePoints)
				#if damage_factor > me.Data.DamageFactorNone:
				#	# Only if I'm still alive... Death events handled apart
				####################################################################
				#Reference.debugprint(EntityName+": Im being attacked by "+AttackerName)
					
				if self.NameOfEnemy and self.NameOfEnemy != AttackerName:
					#Reference.debugprint(AttackerName+": Is NOT my current enemy")
					attacker = Bladex.GetEntity(AttackerName)
					if attacker and (self.AttacksOwnKind or attacker.Kind != me.Kind):
						
						Reference.debugprint(EntityName+": I will respond")
						# Only attack NPCs if not already, otherwise we get multiple scheduled funcs
						if (not attacker.Data.NPC) or (not self.AttackingNPC):
							#Reference.debugprint("attacker.Data.NPC: "+ `attacker.Data.NPC`+ ", self.AttackingNPC: " + `self.AttackingNPC`)
								
							Damage.DropInvalidObjectsOnImpact (EntityName)
							me.Wuea=Reference.WUEA_ENDED
							me.InterruptCombat()
							me.SetEnemy(attacker)
							me.SetActiveEnemy(attacker)
							me.Chase(attacker, me.ActionAreaMax)
							if me.GetActionMode()==Enm_Def.ROUTE_CHASE and self.IsArcher():
								self.Switch2MeleeWeapons(EntityName)		
	
				
	def StdDelayNoSeen(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life > 0:
			if (not self.Asleep) and (not me.Blind):
				if me.Aim or Actions.CurrentlyBowing(EntityName):
					me.Wuea=Reference.WUEA_ENDED
					Actions.EndBowMode(EntityName)
					me.SetOnFloor()
				me.StopLooking()
				self.PutMeToSleep(EntityName)
				if not self.NameOfEnemy:
					self.LookForAnotherOpponent(EntityName)
				Reference.debugprint(EntityName+": I have got bored and dropped to sleep")
				
							
				
				
	def LookForAnotherOpponent(self,EntityName):
		Reference.debugprint(EntityName+": I am looking for another opponent")
		me = Bladex.GetEntity(EntityName)
		self.LaunchMyWatch (EntityName)
		mep=me.Position
		for ename in Bladex.GetEntitiesAt(mep[0],mep[1],mep[2], 30000):
			en=Bladex.GetEntity(ename)
			if en.Person:
				if self.Asleep:
					self.WakeMeUp(EntityName)
				if self.IsValidEnemy(en) and en.Name != me.Name:
					self.NameOfEnemy= en.Name
					me.GoTo(en.Position[0],en.Position[1],en.Position[2])
					print EntityName+" I have found a new enemy and I am going to sort the bugger out "
					break
                    				
		       			
	def RecordStuckSpears(self, EntityName, SpearName):
		me = Bladex.GetEntity(EntityName)
		spear = Bladex.GetEntity(SpearName)
		if spear:
			self.StuckSpearList.append(spear.Name)
	
	

	
	def ResetCombat (self,EntityName):		
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttackNPCTime = 100
	
	
	
	
	def PutMeToSleep(self,EntityName):
		if not self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=1  
			me.Deaf=1
			self.Asleep = TRUE


	def WakeMeUp(self,EntityName):
		if self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=0  
			me.Deaf=0
			self.Asleep = FALSE
			
		
				
	
	# Functions for loading and saving state
	def __getstate__(self):	
		NPCPerson_state=Enm_Def.NPCPerson.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["EnemyChar"]=(GameStateAux.SaveFunctionAux(self.DeathFunc),
		                                 self.DeathArgs,
		                                 GameStateAux.SaveFunctionAux(self.LevelupFunc),
		                                 self.LevelupArgs,
		                                 self.NameOfEnemy,
		                                 self.StuckSpearList,
		                                 self.AAsec,
						 self.AAmin,
						 self.GuardPosition,
						 self.GuardAngle,
						 self.Dusted)
		return NPCPerson_state
	
	
	def __setstate__(self,parm):
		Enm_Def.NPCPerson.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["EnemyChar"]
			GameStateAux.LoadFunctionAux(parms[0],self,"DeathFunc")
			self.DeathArgs=parms[1]
			GameStateAux.LoadFunctionAux(parms[2],self,"LevelupFunc")
			self.LevelupArgs=parms[3]
			self.NameOfEnemy=parms[4]
			self.StuckSpearList=parms[5]
			self.AAsec=parms[6]
			self.AAmin=parms[7]
			self.GuardPosition=parms[8]
			self.GuardAngle=parms[9]
			self.Dusted=parms[10]
			
		self.NPCLevelUpParticleData=[]
		for i in range(30):
			if i>25:
				traux=(30.0-i)/5.0 
				aux=traux**0.5
			else:
				traux=i/25.0 
				aux=traux**2.0
			r=255
			g=255
			b=255
			a=255.0*traux
			size=200.0*aux
			self.NPCLevelUpParticleData.append(a)
			self.NPCLevelUpParticleData.append(size)
		Bladex.SetParticleGVal("NPCLevelUpParticle",i,r,g,b,a,size)
		me=Bladex.GetEntity(self.Name)
		
				
		self.lupsnd1=Bladex.CreateSound("..\\..\\Sounds\\aparicion-escudo.wav", "LUPSnd1")
		self.lupsnd1.Volume=1.0
		self.lupsnd1.MinDistance=10000
		self.lupsnd1.MaxDistance=30000	
		me.ImDeadFunc=self.NewImDeadFunc
		
		
##########################################################################################################################################################


class EnemyOrk (EnemyChar):
	def __init__(self, me):
		# base class init
		EnemyChar.__init__(self, me)

		# anims
		me.AnmTranFunc=AuxTran.AuxTranOrc

		# Set up orc specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.Kind=="Ork":
			AniSound.AsignarSonidosOrco(EntityName)
		elif me.Kind=="Great_Ork":
			AniSound.AsignarSonidosOrcoGrande(EntityName)
		elif me.Kind=="Dark_Ork":
			AniSound.AsignarSonidosOrcoOscuro(EntityName)


	def ResetCombat (self,EntityName):
		EnemyChar.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			me.BlockingPropensity = 0.7
			me.AttackList = BCopy.deepcopy(Combat.OrkAttackData)
			self.ChanceOfFuryOnHurt = 0.45	
			
		
###########################################################################################################################################################

class EnemyMinotaur (EnemyChar):
	def __init__(self, me):
		
		EnemyChar.__init__(self, me)

		# Set up traitor knight specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		self.DamageFactorNone  = 0.25
		self.DamageFactorLight = 0.33
		self.DamageFactorHeavy = 0.5
		
		
	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosMinotaur(EntityName)

	def ResetCombat (self,EntityName):
		EnemyChar.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=TRUE
			me.BlockingPropensity = 0.6
			me.AttackList = BCopy.deepcopy(Combat.MinotaurAttackData)
			self.ChanceOfFuryOnHurt = 0.0
			self.ChanceOfFuryOnLeaderDeath = 0.0
			
			
			
			
class EnemyTraitorKnight (EnemyChar):
	def __init__(self, me):
		
		EnemyChar.__init__(self, me)
		
		# Set up traitor knight specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
	
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.Kind=="Knight_Traitor":
			AniSound.AsignarSonidosCaballeroTraidor(EntityName)
		elif me.Kind=="Dark_Knight":
			AniSound.AsignarSonidosCaballeroOscuro(EntityName)




	# Functions for loading and saving state
	def __getstate__(self):	
		NPCPerson_state=EnemyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["EnemyTraitorKnight"]=()
		return NPCPerson_state
	
	def __setstate__(self,parm):
		EnemyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["EnemyTraitorKnight"]
			

	def ResetCombat (self,EntityName):		
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=TRUE
			self.AttackNPCTime = 1.5
			me.BlockingPropensity = 0.7
			me.AttackList = BCopy.deepcopy(Combat.TraitorKnightAttackData)
			self.ChanceOfFuryOnHurt = 0.25
			self.ChanceOfFuryOnLeaderDeath = 1.00
			
			
			
			
			
class EnemyRagnar(EnemyChar):

	risaragnar=None
	ChanceOfFury=0.0

	def __init__(self, person):
		# base class init
		EnemyChar.__init__(self, person)
		
		# Set up orc specific sound priorities		
		self.SoundPriorities[Reference.SND_ARROW] = 10.0
		self.SoundPriorities[Reference.SND_HIT] = 50.0
		self.SoundPriorities[Reference.SND_NPC] = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC] = 80.0
		
		self.risaragnar=Bladex.CreateSound("..\\..\\Sounds\\risa-ragnar.wav", "RisaRagnar")
		self.risaragnar.Volume=1
		self.risaragnar.Scale=1.0
		self.risaragnar.MinDistance=5000
		self.risaragnar.MaxDistance=20000
		
		
		

	# Functions for loading and saving state
	def __getstate__(self):	
		NPCPerson_state=EnemyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state

		me=Bladex.GetEntity(self.Name)
		NPCPerson_state[1]["EnemyRagnar"]=(self.risaragnar.Name, 
										None, # used to be SeeFunc, now just empty placeholder to maintain savegame compatibility
										self.ChanceOfFury)
		return NPCPerson_state
	
	def __setstate__(self,parm):
		EnemyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["EnemyRagnar"]
			risaragnar_Name=parms[0]
			self.risaragnar=Bladex.GetSound(risaragnar_Name)
			me=Bladex.GetEntity(self.Name)
			self.ChanceOfFury=parms[2]


	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosRagnar(EntityName)

	
	def Laugh(self, entity_name):
		me=Bladex.GetEntity(self.Name)
		rgpos=me.Position
		self.risaragnar.Play(rgpos[0], rgpos[1], rgpos[2], 0)


	def Escaping(self, risa=0):
		person=Bladex.GetEntity(self.Name)
		person.LaunchAnimation("Rgn_escape")
		if risa:
			person.AnmEndedFunc=self.Laugh


	def CommandingAndEscaping(self, risa=0):
		person=Bladex.GetEntity(self.Name)
		person.LaunchAnimation("Rgn_escape2")
		if risa:
			person.AnmEndedFunc=self.Laugh

	def ResetCombat (self,EntityName):
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=0
			self.ChanceOfFury = 0.00
			inv= me.GetInventory()
			if inv.HoldingShield: 
				me.BlockingPropensity = 1.0
				me.RangeDefenceCapable = TRUE
			else: 
				me.BlockingPropensity = 0.2
				me.RangeDefenceCapable = FALSE
			
				
			me.AttackList = BCopy.deepcopy(Combat.RagnarAttackData)
	
	
	
			
class EnemySkeleton (EnemyChar):

	def __init__(self, me):
		EnemyChar.__init__(self, me)

		# Set up skeleton specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   =  1.0
		self.SoundPriorities[Reference.SND_HIT]     =  1.0
		self.SoundPriorities[Reference.SND_NPC]     = -1.0
		self.SoundPriorities[Reference.SND_NOISYPC] =  3.0
		self.SoundPriorities[Reference.SND_PC]      =  2.0
		

	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosEsqueleto(EntityName)



	# Functions for loading and saving state
	def __getstate__(self):
		NPCPerson_state=EnemyChar.__getstate__(self)		
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["EnemySkeleton"]=()
		return NPCPerson_state
		

	def __setstate__(self,parm):
		EnemyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["EnemySkeleton"]
			
	def ResetCombat (self,EntityName):
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			me.BlockingPropensity = 0.6
			me.AttackList = BCopy.deepcopy(Combat.SkeletonAttackData)
			
			
			
		
		
##########################################################################################################################################################
##### Dorcas only.....

def AmIArmed(entity):
	per=Bladex.GetEntity(entity)
	wp=Bladex.GetEntity(per.InvRight)
	if wp:
		print entity+": I am holding weapon - returning true"
		return TRUE
	print entity+": I am NOT holding weapon - returning false"
	return FALSE
		
		
def SetWeaponsDamage(entityname):
	global KatanaWepHit
	global WepHit
	global WepDef
	global TwinWeapons
	global Weapons2H
	per=Bladex.GetEntity(entityname)
	if per.Kind != "Fem1Wiz":
		return
	
	lvl=per.Level
	inv=per.GetInventory()
	if lvl >=19:
		icedamR=3000
		firedamR=3000
	else:
		icedamR=per.Data.IceDamage[lvl]
		firedamR=per.Data.FireDamage[lvl]
		
	if not Reference.EntitiesObjectData.has_key(entityname):
		 Reference.EntitiesObjectData[entityname]=Reference.DefaultObjectData[per.Kind]
	if lvl>19:
		HITPOW=WepHit[19]
	else:
		HITPOW=WepHit[lvl]
	Reference.EntitiesObjectData[entityname][1]=HITPOW
	
	ldwp=Bladex.GetEntity(per.Data.DummyLHEdgeName)
	if ldwp:
		if lvl>19:
			WEPOW=WepHit[19]
			WEPDEF=WepDef[19]
			
		else:
			WEPOW=WepHit[lvl]
			WEPDEF=WepDef[lvl]
			
		Reference.EntitiesObjectData[ldwp.Name]=[Reference.OBJ_WEAPON, WEPOW, 0, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,],["Electric",+1.0]]
		per.Data.SetLHDamage(per.Name) ## To set correct special damage
	
	
	for x in range(inv.nWeapons):
		weapon_name = inv.GetWeapon(x)
		wp=Bladex.GetEntity(weapon_name)
		wptype=wp.Kind
		if wp and wp.Kind in TwinWeapons:
			if lvl>19:
				WEPOW=WepHit[19]
				WEPDEF=WepDef[19]
			else:
				WEPOW=WepHit[lvl]
				WEPDEF=WepDef[lvl]
			Reference.EntitiesObjectData[wp.Name]=[Reference.OBJ_WEAPON, WEPOW, WEPDEF, 4.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,],["Nothing",+1.0]]
			if wptype=="ProRHWep3":
				Reference.EntitiesObjectData[wp.Name][6]=["Ice",+icedamR]
				print "Setting Ice damage on RH Ice sword"
			elif wptype=="ProRHWep4":
				Reference.EntitiesObjectData[wp.Name][6]=["Fire",+firedamR]
				print "Setting Ice damage on LH Ice sword"
					
			print wp.Name," Upgraded"
			
			
		elif wp.Kind in Weapons2H:
			if lvl>19:
				WEPOW=KatanaWepHit[19]
				WEPDEF=WepDef[19]
			else:
				WEPOW=KatanaWepHit[lvl]
				WEPDEF=WepDef[lvl]
			Reference.EntitiesObjectData[wp.Name]=[Reference.OBJ_WEAPON, WEPOW, WEPDEF, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_2W,Reference.PI,2000,750,16000,0,Reference.GolpeArmaEscudoMetal]]
	

			
			
			
			
class DorcasEvil (EnemyChar):

	
	IceDamage=[3,5,10,20,30,40,50,60,80,110,150,200,260,380,500,600,750,900,1500,2000]
	FireDamage=[3,5,10,20,30,40,50,60,80,110,150,200,260,380,500,600,750,900,1500,2000]
	DummyLHEdgeName=""

	def __init__(self, me):
		EnemyChar.__init__(self, me)
		
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		
		
		me.AddAnmEventFunc("StartL_Weapon",self.StartLWepDamage)
		me.AddAnmEventFunc("StopL_Weapon",self.StopLWepDamage)		
		
		self.IceDamage=[3,5,10,20,30,40,50,60,80,110,150,200,260,380,500,600,750,900,1500,2000]
		self.FireDamage=[3,5,10,20,30,40,50,60,80,110,150,200,260,380,500,600,750,900,1500,2000]
		
		self.DummyLHEdgeName=""
		
		self.AttachLHEdge()
		
		
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		import AniSoundDorcas
		AniSoundDorcas.AsignarSonidosDorcas(EntityName)
		Bladex.ReadBitMap("../../Maps/WizardsDomain/NUFiles/NUDorcasStuff/DorcasEvilIcon.bmp","DorcasEvilIcon")
		Reference.EnemiesScorerData[self.Name]=("DorcasEvilIcon","Dor")	
		
	
	
	def SetLHDamage(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		extravenomdam=me.Level+1
		lvl=me.Level
		if lvl >=19:
			icedam=3000
			firedam=3000
		else:
			icedam=self.IceDamage[lvl]
			firedam=self.FireDamage[lvl]
		lwp=Bladex.GetEntity(me.InvLeft)
		if lwp:
			Lkind=lwp.Kind
			if self.DummyLHEdgeName:
				if Lkind=="ProLHWep2":
					Reference.EntitiesObjectData[self.DummyLHEdgeName][6]=["Venom",+extravenomdam]
					print "Setting Venom damage on dummy edge"
				elif Lkind=="ProLHWep3":
					Reference.EntitiesObjectData[self.DummyLHEdgeName][6]=["Ice",+icedam]
					print "Setting Ice damage on dummy edge"
				elif Lkind=="ProLHWep4":
					Reference.EntitiesObjectData[self.DummyLHEdgeName][6]=["Fire",+firedam]
					print "Setting Fire damage on dummy edge"
	
	
	
	
	def OnKilledEnemy(self,KilledEntityName):
		#Reference.debugprint ("Ally Char: I have killed something!")
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			return
		me=Bladex.GetEntity(self.Name)
		
		
		
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)
		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
		import Scorer
		if me.PartialLevel>=LevelLimit and me.Life>0:
			while me.PartialLevel>=LevelLimit:
				me.PartialLevel=me.PartialLevel-LevelLimit
				me.Level=me.Level+1
				LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
			maxlevel=CharStats.GetMaxLevel()
			maxsize=50+(140/maxlevel)*me.Level 
			maxPPS=120+(600/maxlevel)*me.Level 
			maxint=0.5+(4.5/maxlevel)*me.Level 
			AuraParams=(5, 0, 1, 0, 0, 1)
			AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
			AuraVar1Args=(5, maxsize, 0, 1, 0.5)
			AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
			PSParams=(self.NPCLevelUpParticleData, "NPCLevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
			GenFX.LevelUpFX(me.Name, 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15)
			if me.Life >0: # If an enemy death by poison or trowed weapons and.. You are death!
				me.ResetWounds()
				me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
			self.lupsnd1.Play(me.Position[0],me.Position[1],me.Position[2],0)
			
			SetWeaponsDamage(self.Name)
			self.SetLHDamage(self.Name)
			
			if self.LevelupFunc:
				apply(self.LevelupFunc,self.LevelupArgs)
				me=Bladex.GetEntity(self.Name)
				print "Applying Level Up Func -> ", me.Name
				
					

	def ResetCombat (self,EntityName):		
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttacksOwnKind=TRUE
			self.AttackNPCTime = 100
			self.ChanceOfFuryOnHurt = 0.25
			self.ChanceOfFuryOnLeaderDeath = 1.00
			rwp=me.InvRight
			if rwp:
				print EntityName+"_Holding_"+rwp
				
				inv= me.GetInventory()
				if inv.HoldingShield: 
					me.BlockingPropensity = 1.0
					me.RangeDefenceCapable = TRUE
					print"I have a shield"
				else: 
					me.BlockingPropensity = 0.0
					me.RangeDefenceCapable = FALSE
					
				if Bladex.GetEntity(rwp).Kind in ("ProRHWep2","ProRHWep3","ProRHWep4"):
					me.AttackList = BCopy.deepcopy(DagmarTwinHandedAttackData)
					print"Dagmar Twin Sword Moves enabled"
					return

				flag=Reference.GiveWeaponFlag(rwp)
				if flag==Reference.W_FLAG_1H:
					me.AttackList = BCopy.deepcopy(DagmarOneHandedAttackData)
					print"Dagmar Sword Moves enabled"
					
				if flag==Reference.W_FLAG_2W:
					me.AttackList = BCopy.deepcopy(DagmarTwoHandedAttackData)
					print"Dagmar 2H Sword Moves enabled"
			
				if flag==Reference.W_FLAG_SP:
					me.AttackList = BCopy.deepcopy(DagmarSpearAttackData)
					print"Dagmar Spear Moves enabled"
			else:
				if not AmIArmed(EntityName):
					me.AttackList = BCopy.deepcopy(DagmarUnarmedAttackData)
					print"Dagmar Unarmed Moves enabled"
					
					
			
			
			
			
	def StdEnterClose(self,EntityName):
		Enm_Def.NPCPerson.StdEnterClose(self,EntityName)
		self.DrawWeapons(EntityName)
			
					
		
	def StowWeapons(self, EntityName):
		if AmIArmed(EntityName):
			me = Bladex.GetEntity(EntityName)
			inv=me.GetInventory()
			Actions.StdToggleWeapons(EntityName)
			Bladex.AddScheduledFunc(Bladex.GetTime()+1.0,self.ResetCombat,(EntityName,))
			print "Dagmar stowing weapons"
			
		
	def DrawWeapons(self, EntityName):
		if not AmIArmed(EntityName):
			me = Bladex.GetEntity(EntityName)
			inv=me.GetInventory()
			Actions.StdToggleWeapons(EntityName)
			Bladex.AddScheduledFunc(Bladex.GetTime()+1.0,self.ResetCombat,(EntityName,))
			print "Dagmar drawing weapons"
		
		
	def WakeMeUp(self,EntityName):
		Reference.debugprint(EntityName+": I am waking up")
		if self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=0  
			self.Asleep = FALSE	
			if not AmIArmed(EntityName):
				self.DrawWeapons(EntityName)
				
				
	def PutMeToSleep(self,EntityName):
		Reference.debugprint(EntityName+": I am going to sleep")
		if not self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=1  
			self.Asleep = TRUE
			if not me.InCombat and AmIArmed(EntityName):
				self.StowWeapons(EntityName)
				Reference.debugprint(EntityName+": I am not busy so I will sheathe my weapon")
		
		

	def AttachLHEdge(self):
		me = Bladex.GetEntity(self.Name)
		dedge=Bladex.CreateEntity(self.Name+"DummyEdge","ProLHWep2Edge",58700.0,-960.0,380.0, "Weapon")
		dedge.Alpha=0.0
		dedge.RasterMode="Read"
		dedge.RasterMode="AdditiveAlpha"
		dedge.CastShadows=0
		# Fem1Wiz -Dorcas - has extra Anchor in mesh -Blade_Anchor_21
		me.LinkAnchors("21",dedge,"1H_R")
		self.DummyLHEdgeName=dedge.Name
		


	def StartLWepDamage(self, EntityName, EventName):
		ledge=Bladex.GetEntity(self.DummyLHEdgeName)
		if ledge:
			ledge.MessageEvent(Reference.MESSAGE_START_TRAIL,0,0)
			ledge.MessageEvent(Reference.MESSAGE_START_WEAPON,0,0)
		
		
	def StopLWepDamage(self, EntityName, EventName):
		ledge=Bladex.GetEntity(self.DummyLHEdgeName)
		if ledge:
			ledge.MessageEvent(Reference.MESSAGE_STOP_TRAIL,0,0)
			ledge.MessageEvent(Reference.MESSAGE_STOP_WEAPON,0,0)
			Bladex.AddScheduledFunc(Bladex.GetTime()+3.0, self.StopLAfterInterupt,())



	def StopLAfterInterupt(self):
		print "Damage OFF again"
		ledge=Bladex.GetEntity(self.DummyLHEdgeName)
		if ledge:
			ledge.MessageEvent(Reference.MESSAGE_STOP_TRAIL,0,0)
			ledge.MessageEvent(Reference.MESSAGE_STOP_WEAPON,0,0)






	# Functions for loading and saving state
	def __getstate__(self):	
		NPCPerson_state=EnemyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["DorcasEvil"]=(self.DummyLHEdgeName)
		return NPCPerson_state
	
	
	def __setstate__(self,parm):
		EnemyChar.__setstate__(self,parm)
		me=Bladex.GetEntity(self.Name)
		version=parm[0]
		if version==1:
			parms=parm[1]["DorcasEvil"]
			DummyLHEdgeName=parms[0]
			me.AddAnmEventFunc("StartL_Weapon",self.StartLWepDamage)
			me.AddAnmEventFunc("StopL_Weapon",self.StopLWepDamage)		
			self.IceDamage=[3,5,10,20,30,40,50,60,80,110,150,200,260,380,500,600,750,900,1500,2000]
			self.FireDamage=[3,5,10,20,30,40,50,60,80,110,150,200,260,380,500,600,750,900,1500,2000]


			
DagmarTwinHandedAttackData = [
           # inner zone blocks:
            [Combat.BLOCK,  0.08, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [Combat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],
            
            [Combat.ATTACKDOWN, 0.90, ("STAIRS",),         1200.0, 1400.0, 2500.0, 0.35],
            
             # outer zone moves:
            [Combat.MOVE,   0.06, "tr",                5001.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.06, "tl",                5002.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.15, "tb",                5003.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.05, "tf",                5004.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.25, Combat.TempMoveInProc,      3000.0, 7000.0, 9000.0, 0.35],
            
            # inner zone moves:
            [Combat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.35],
            
           # dodges:
            [Combat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.00, "d_b",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.ATTACK, 0.60, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],
            
            					
	    [Combat.ATTACK, 0.20,("GM1_1H",),500.0, 1800.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.20,("GM2_1H",),500.0, 1800.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.15,("GM3_1H",),500.0, 1800.0, 2500.0, 0.35],            
	    [Combat.ATTACK, 0.20,("GM4_1H",),500.0, 1800.0, 2500.0, 0.35],             
	    [Combat.ATTACK, 0.05,("GI_1H",), 500.0, 1800.0, 2500.0, 0.35],
					
	    [Combat.ATTACK, 0.05,("GM91_1H",),0.0, 1000.0, 2200.0, 0.35],	
	    [Combat.ATTACK, 0.05,("GM92_1H",),200.0, 1000.0, 2200.0, 0.35],	
	    [Combat.ATTACK, 0.05,("GM93_1H",),200.0, 1000.0, 2200.0, 0.35],	
	    [Combat.ATTACK, 0.05,("GM94_1H",),200.0, 1000.0, 2200.0, 0.35],
	    [Combat.ATTACK, 0.05,("GM95_1H",),800.0, 1200.0, 2500.0, 0.35],	
	    [Combat.ATTACK, 0.05,("GM96_1H",),800.0, 1200.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.02,("GM91_1H","GM37_1H"),800.0, 1200.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.15,("GM3_1H",) ,500.0, 1200.0, 2500.0, 0.35],            
	    [Combat.ATTACK, 0.02,("GM4_1H",),500.0, 1200.0, 2500.0, 0.35],              
]		
		
			
			
DagmarOneHandedAttackData = [
           # inner zone blocks:
            [Combat.BLOCK,  0.08, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [Combat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],
            
            [Combat.ATTACKDOWN, 0.90, ("STAIRS",),         1200.0, 1400.0, 2500.0, 0.35],
            
             # outer zone moves:
            [Combat.MOVE,   0.06, "tr",                5001.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.06, "tl",                5002.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.15, "tb",                5003.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.05, "tf",                5004.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.25, Combat.TempMoveInProc,      3000.0, 7000.0, 9000.0, 0.35],
            
            [Combat.ATTACK, 0.30,("GM1_1H",),500.0, 1800.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.20,("GM2_1H",),500.0, 1800.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.15,("GM3_1H",),500.0, 1800.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.20,("GM4_1H",),500.0, 1800.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.05,("GI_1H",), 500.0, 1800.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.15,("GM23_1H",),500.0, 1200.0, 2200.0, 0.35],
	
            # inner zone moves:
            [Combat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.35],
            
           # dodges:
            [Combat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.00, "d_b",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.ATTACK, 0.60, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],
]		
		
			
			
DagmarTwoHandedAttackData = [
           # inner zone blocks:
            [Combat.BLOCK,  0.08, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [Combat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],
            
            #[Combat.ATTACKDOWN, 0.90, ("STAIRS",),         1200.0, 1400.0, 2500.0, 0.35],
            
             # outer zone moves:
            [Combat.MOVE,   0.06, "tr",                5001.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.06, "tl",                5002.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.15, "tb",                5003.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.05, "tf",                5004.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.25, Combat.TempMoveInProc,      3000.0, 7000.0, 9000.0, 0.35],
            
            [Combat.ATTACK, 0.15,("GI_2H",),500.0, 1000.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.15,("GM4_2H",),500.0, 1000.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.15,("GM2_2H",),500.0, 1000.0, 2500.0, 0.35],      
	    [Combat.ATTACK, 0.10,("GM3_2H",),500.0, 1000.0, 2500.0, 0.35],      
	    [Combat.ATTACK, 0.15,("GM1_2H",),500.0, 1000.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.15,("GM23_2H",),500.0, 1000.0, 2800.0, 0.35],    
	    [Combat.ATTACK, 0.12,("GM1_2H","GM9_2H",),500.0, 1000.0, 2800.0, 0.35],    
	    [Combat.ATTACK, 0.12,("GM2_2H","GM10_2H",),500.0, 1000.0, 2800.0, 0.35],    
	    [Combat.ATTACK, 0.05,("GM3_2H","GM8_2H",),500.0, 1000.0, 2800.0, 0.35],   
	    [Combat.ATTACK, 0.12,("GM4_2H","GM11_2H",),500.0, 1000.0, 2800.0, 0.35], 
	    [Combat.ATTACK, 0.05,("GI_2H","GM12_2H",),500.0, 1000.0, 2800.0, 0.35], 
	    
            
            # inner zone moves:
            [Combat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.35],
            
           # dodges:
            [Combat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.00, "d_b",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.ATTACK, 0.60, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],
]		
		
			
			
DagmarSpearAttackData = [
           # inner zone blocks:
            [Combat.BLOCK,  0.08, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [Combat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],
            
            [Combat.ATTACKDOWN, 0.90, ("STAIRS",),         1200.0, 1400.0, 2500.0, 0.35],
            
             # outer zone moves:
            [Combat.MOVE,   0.06, "tr",                5001.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.06, "tl",                5002.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.15, "tb",                5003.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.05, "tf",                5004.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.06, Combat.TempMoveInProc,      3000.0, 7000.0, 9000.0, 0.35],
            
            [Combat.ATTACK, 0.8, ("GM15_SP",),1200.0, 1600.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.8, ("GM10_SP",),1200.0, 1600.0, 2500.0, 0.35],
	    [Combat.ATTACK, 0.05, ("GI_SP",) ,1200.0, 1800.0, 2500.0, 0.35], 
	    [Combat.ATTACK, 0.05, ("GMI_SP",),1200.0, 1800.0, 2500.0, 0.35], 
	    [Combat.ATTACK, 0.05, ("GM8_SP",),1200.0, 1800.0, 2500.0, 0.35], 
	    [Combat.ATTACK, 0.05, ("GM6_SP",),1200.0, 1800.0, 2500.0, 0.35], 
	    [Combat.ATTACK, 0.05, ("GM3_SP",),1200.0, 1800.0, 2500.0, 0.35], 
            
            # inner zone moves:
            [Combat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.35],
            
           # dodges:
            [Combat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.00, "d_b",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.ATTACK, 0.60, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],
]		
		
		
DagmarUnarmedAttackData = [
           # inner zone blocks:
            [Combat.BLOCK,  0.08, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [Combat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],
            
            [Combat.ATTACKDOWN, 0.90, ("STAIRS",),         1200.0, 1400.0, 2500.0, 0.35],
            
             # outer zone moves:
            [Combat.MOVE,   0.06, "tr",                5001.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.06, "tl",                5002.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.15, "tb",                5003.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.05, "tf",                5004.0, 7000.0, 9000.0, 0.50, 1],
            [Combat.MOVE,   0.06, Combat.TempMoveInProc,      3000.0, 7000.0, 9000.0, 0.35],
            
            [Combat.ATTACK, 0.8, ("GM21_NO",),500.0, 1000.0, 1500.0, 0.35],
	    [Combat.ATTACK, 0.8, ("GM22_NO",),500.0, 1000.0, 1500.0, 0.35],
	    [Combat.ATTACK, 0.8, ("GM23_NO",),500.0, 1000.0, 1500.0, 0.35],
            
            # inner zone moves:
            [Combat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.35],
            [Combat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.35],
            
           # dodges:
            [Combat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.00, "d_b",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.ATTACK, 0.60, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],
]		
			
					
		
			
			
			
#########################################################################################################################################################
############ These are spiders that are made invisible and have crab shell attached to them. This method allows multiple sizes.

def AsignarSonidosCrabe(Personaje):
	from AniSoundSklX import *
	per=Bladex.GetEntity(Personaje)
	# Crunchy sounds......
	per.AddEventSound('impale', TajoEmpalanteSkl)
	per.AddEventSound('slash', TajoCortanteSkl)
	per.AddEventSound('mutilate', TajoMutilacionSkl)
	per.AddEventSound('crush', GolpeContundenteSkl)


class SpiderCrab (EnemyTypes.Spidersmall):
	
	AGE_Number=0
	ShellName=""
	ShellSize=3
	Deathfunc=None
	Deathargs=()
	NameOfEnemy=None
	CheckTime=20.0
	Active=0
	
	def __init__(self, me):
		EnemyTypes.Spidersmall.__init__(self, me)

	
		self.DamageFactorNone  = 0.15
		self.DamageFactorLight = 0.25
		
		

		me.AddAnmEventFunc("Spit", self.StartSpit)
		me.ImDeadFunc=self.ImDeadFunc
		me.SendTriggerSectorMsgs=1
		Bladex.AddScheduledFunc(Bladex.GetTime()+ self.CheckTime, self.PeriodicCheck,())
	
	
	def __getstate__(self):	
		NPCPerson_state=EnemyTypes.Spidersmall.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			
			return NPCPerson_state
		NPCPerson_state[1]["SpiderCrab"]=(self.AGE_Number,
						  self.ShellName,
						  self.ShellSize,
						  GameStateAux.SaveFunctionAux(self.Deathfunc),
						  self.Deathargs,
						  self.NameOfEnemy,
						  self.CheckTime,
						  self.Active
						  )
		return NPCPerson_state
	
	def __setstate__(self,parm):
		EnemyTypes.Spidersmall.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["SpiderCrab"]
			self.AGE_Number=parms[0]
			self.ShellName=parms[1]
			self.ShellSize=parms[2]
			GameStateAux.LoadFunctionAux(parms[3],self,"Deathfunc")
			self.Deathargs=parms[4]
			self.NameOfEnemy=parms[5]
			self.CheckTime=parms[6]
			self.Active=parms[7]
		me=Bladex.GetEntity(self.Name)
		me.AddAnmEventFunc("Spit", self.StartSpit)


	def ResetSounds(self, EntityName):
		AsignarSonidosCrabe(EntityName)
		Bladex.ReadBitMap("../../Maps/WizardsDomain/CrabeEIcon.bmp","SpiderCrabIcon")
		Reference.EnemiesScorerData[self.Name]=("SpiderCrabIcon","Spcb")	
		



	def ResetCombat (self,EntityName):
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=FALSE
			self.AttackNPCTime = 60.0
			me.BlockingPropensity = 0.0
			me.AttackList = BCopy.deepcopy(SpiderCrabAttackData)
			self.ChanceOfFuryOnHurt = 0.0
			self.ChanceOfFuryOnLeaderDeath = 0.0
			print"SpiderCrab Reset Combat"
			
			
	def Activate(self):
		if not self.Active:
			me = Bladex.GetEntity(self.Name)
			me.Blind=0
			me.Deaf=0
			self.Active=1
			Reference.debugprint  ("Crab: I am activated")
			
			
	def Deactivate(self):
		if self.Active:
			me = Bladex.GetEntity(self.Name)
			me.Blind=1
			me.Deaf=1
			self.Active=0
			Reference.debugprint ("Crab: I am deactivated")
			
			
			
			
	# Create False Shell
			
	def PutOnShell(self,EntityName,size=3):
		me = Bladex.GetEntity(EntityName)
		pos=me.Position
		ang=me.Angle
		me.Position=-223460,-158,508535
		me.Angle=3.2
		shellsize=1.0
		shellpos=-223439.0,-203.0,508591.0
		if size==1:
			shellsize=1.0
		elif size==2:
			shellsize=1.2
		elif size==3:
			shellsize=1.4
		elif size==4:
			shellsize=1.6
		elif size==5:
			shellsize=1.8
		elif size==6:
			shellsize=2.0
		elif size==7:
			shellsize=2.2
		elif size==8:
			shellsize=2.4
		else:
			shellsize=1.0
		
		shell=Bladex.CreateEntity(EntityName+"Shell","CrabShell",shellpos[0],shellpos[1],shellpos[2])
		shell.Scale=shellsize
		shell.Orientation=(0.707,0.707,0.0,0.0)
		shell.SelfIlum=0.8
		shell.Alpha=0.6
		au=Bladex.CreateEntity(EntityName+"Aura", "Entity Aura", 0, 0, 0)
		au.SetAuraParams(50, 1, 1, 0, 0, 1)
		au.SetAuraGradient(2, 0.9, 1.0, 1.0, 0.2, 0.1, 0.4, 0.8, 1.0, 0.0, 0.8)
		au.Link(shell)
		au.SetAuraActive(1)		
		self.ShellName=shell.Name
		self.ShellSize=size
		me.LinkToNode(shell, me.GetNodeIndex("Center"))
		me.Position=pos[0],pos[1],pos[2]
		me.Angle=ang
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,me.UnFreeze,())
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.3,me.SetOnFloor,())
		print"Shell attached"
			
			
	def ImDeadFunc (self,EntityName):
		me = Bladex.GetEntity(EntityName)
		Reference.debugprint(EntityName+": (SpiderCrab) I died!")
		me.Wuea=Reference.WUEA_ENDED	
		me.InterruptCombat()	
		me.LaunchAnmType("dth0")
		me.AnmEndedFunc=self.PutMeDown
		Enm_Def.NPCPerson.StdImDead(self,EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+2.0,self.ConvertToFood,(EntityName,))
		
			
	def PutMeDown(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		me.SetOnFloor()
		
		
	def ConvertToFood(self,EntityName):	
		me = Bladex.GetEntity(EntityName)
		shell=Bladex.GetEntity(self.ShellName)
		me.Unlink(shell)
		au=Bladex.GetEntity(EntityName+"Aura")
		if au:
			au.SetAuraActive(0)
		me.Position=0,0,0
		shell.Impulse(0,0,0)
		if self.ShellSize==1 or self.ShellSize==2:
			pocimac.CreateFood(shell.Name)
			Reference.EntitiesSelectionData[shell.Name]=(8,3000,MenuText.GetMenuText('Edible Crab'))
			print "crab converted to food"
		else:
			Bladex.AddScheduledFunc(Bladex.GetTime()+7,RemoveMyCorpse,(EntityName,100,0,))
			Bladex.AddScheduledFunc(Bladex.GetTime()+8,RemoveMyShell,(self.ShellName,))
		
		if self.Deathfunc:
			apply(self.Deathfunc)	
		
		
	
	# attack Logic
	
	def ChooseCanISeeNearest (self, entity1name, entity2name):
		p1 = Bladex.GetEntity(entity1name)
		p2 = Bladex.GetEntity(entity2name)
		if not p1 and not p2:
			return CHOOSE_EITHER
		elif not p1:
			return CHOOSE_SECOND
		elif not p2:
			return CHOOSE_FIRST

		if p1.Life <= 0 and p2.Life <= 0:
			return CHOOSE_EITHER
		elif p1.Life <= 0:
			return CHOOSE_SECOND
		elif p2.Life <= 0:
			return CHOOSE_FIRST
		me=Bladex.GetEntity(self.Name)
		if not me.CanISee(p1) and not me.CanISee(p2) <= 0:
			return CHOOSE_EITHER
		elif not me.CanISee(p1):
			return CHOOSE_SECOND
		elif not me.CanISee(p2):
			return CHOOSE_FIRST
		val = me.SQDistance2(p1) - me.SQDistance2(p2)
		if val < 0:
			return CHOOSE_FIRST
		elif val > 0:
			return CHOOSE_SECOND
		else:
			return CHOOSE_EITHER
		
	
	def IsValidEnemy(self,enemy):
		me=Bladex.GetEntity(self.Name)
		if not enemy.Person:
			return FALSE
		if enemy.Life<=0: 
			return FALSE
		if enemy.Alpha<0.99:
			return FALSE
		if enemy.Kind==me.Kind:
			return FALSE
		else:
			return TRUE
			
	
			
	def MyGetEnemyName (self):
		me=Bladex.GetEntity(self.Name)
		char = Bladex.GetEntity("Player1")
	        if not self.NameOfEnemy or Bladex.GetEntity(self.NameOfEnemy).Life <=0:
                   	pjp = me.Position
		   	enemyList=[]
		   	
		   	vtup=Bladex.GetEntitiesAt(pjp[0],pjp[1],pjp[2], 20000)
			for ename in vtup:
                       		ene=Bladex.GetEntity(ename)
                       		# sort out living entities that are not crabs and are not hidden
                       		# and check that they are in sight
                       		if self.IsValidEnemy(ene) and me.CanISee(ene):
                       			enemyList.append(ene.Name)      			 
                       			if len (enemyList) == 0: 
                       				print "no valid enemies near. returning None"
                   				return None
                       			enemyList.sort(self.ChooseCanISeeNearest)
                   			self.NameOfEnemy=enemyList[0]               							
               				if self.NameOfEnemy:
               					enemy=Bladex.GetEntity(self.NameOfEnemy)
               					if enemy.Name!= "Player1":
               						me.SetEnemy(enemy)
               						print "enemy found. Returning enemyname"
							return self.NameOfEnemy	
						else:
							print "Player on the menu"
							try:
								if char.Data.CrabRepellant==0:
									print "I see Player. I will attack"
									self.NameOfEnemy="Player1"
									enemy=Bladex.GetEntity(self.NameOfEnemy)
               								me.SetEnemy(enemy)
									return self.NameOfEnemy	
								else:
									print"I cannot attack Player."
							except AttributeError:  
								print "ERROR: Player does not have Crab Repellant attribute"
								self.NameOfEnemy="Player1"
								enemy=Bladex.GetEntity(self.NameOfEnemy)
                						me.SetEnemy(enemy)
								return self.NameOfEnemy						
		else:
			# this clause should not be necessary....
			enemy=Bladex.GetEntity(self.NameOfEnemy)
                	me.SetEnemy(enemy)
			return self.NameOfEnemy			
			print "I already have NameOfEnemy. returning same....."
                       		
 
	
		
	def StdSeeTheEnemy(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		Reference.debugprint (EntityName + ": I see a person")
		if me.Life > 0.0:
			
			if not self.MyGetEnemyName(): 
				print "no enemy present.....apparently"
				return
			Reference.debugprint (EntityName + ": I am not busy. Shall I attack?")
			ene=Bladex.GetEntity(self.MyGetEnemyName())
			if ene:
				Reference.debugprint (EntityName + ": Your Name is "+ene.Name+ " -I will do you over")
				if self.Asleep:
					self.WakeMeUp(EntityName)
				me.LookAtEntity(ene.Name)
			
				#Just in case we were doing a wait animation
				if me.GetActionMode() == Enm_Def.ROUTE_BAY:	
					me.Wuea=Reference.WUEA_ENDED

				self.CheckToJoin(EntityName)
				if me.GetActionMode()!=Enm_Def.ROUTE_CHASE:
					self.StdStartChase(EntityName)
			else:
				print "No ene"


	def StdDelayNoSeen(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life > 0:
			if (not self.Asleep) and (not me.Blind):
				Reference.debugprint(EntityName+": Im in NEW StdDelayNoSeen")
				me.StopLooking()
				self.PutMeToSleep(EntityName)
				Reference.debugprint(EntityName+": I have got bored and dropped to sleep")
				
							
		
       	def CheckForBetterEnemy(self):
       		me=Bladex.GetEntity(self.Name)
       		if not self.Active or me.Life<=0:
       			return
       		if me.InCombat:
       			print "checking for better enemy"
       			mep=me.Position
       			nuenemyList=[]
			for newename in Bladex.GetEntitiesAt(mep[0],mep[1],mep[2], 10000):
				newene=Bladex.GetEntity(newename)
				if self.IsValidEnemy(newene):
					nuenemyList.append(newene.Name)
				if len (nuenemyList) == 0: 
                   			return 
                       		nuenemyList.sort(self.ChooseCanISeeNearest)
                       		self.NameOfEnemy=nuenemyList[0]               							
               			if self.NameOfEnemy:
               				nuenemy=Bladex.GetEntity(self.NameOfEnemy)
               				if nuenemy.Name=="Player1":
               					return
               				me.Wuea=Reference.WUEA_ENDED
					me.InterruptCombat()
					me.ResetChase()
               				Actions.TurnToFaceEntity(me.Name, nuenemy.Name)
           				me.SetEnemy(nuenemy)
					me.SetActiveEnemy(nuenemy)
					me.Chase(nuenemy, me.ActionAreaMax)
					print "I have found a better enemy"
					
				
       	def PeriodicCheck(self):
       		self.CheckForBetterEnemy()
		Bladex.AddScheduledFunc(Bladex.GetTime()+ self.CheckTime, self.PeriodicCheck,())
       
       
                   					
                    					
	def PutMeToSleep(self,EntityName):	
		if not self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=1  
			me.Deaf=1
			self.Asleep = TRUE	
			
	
	
	def WakeMeUp(self,EntityName):
		if self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=0 
			me.Deaf=0	
			
			
			
	def RespondToHit(self, EntityName, AttackerName, DamagePoints, DamageType, DamageZone, Shielded):
		me = Bladex.GetEntity(EntityName)
		if me.Life>0:
			if self.Asleep:
				self.WakeMeUp(EntityName)
		
			
			
SpiderCrabAttackData = [
           
            [Combat.ATTACK, 0.20, ("GA",),             0.0, 800.0, 1400.0, 0.35],
            [Combat.ATTACK, 0.12, ("SP",),             1200.0, 1500.0, 3000.0, 0.20],

            [Combat.MOVE,   0.25, Combat.FearFire,     0.0, 1700.0, 2500.0, 0.05],
]


def CreateSpiderCrab(name,pos,ang,lvl,size=3.0,deactivated=0):
	spcrb=Bladex.CreateEntity(name,"Spidersmall",pos[0],pos[1],pos[2],"Person")
	spcrb.Scale=1.0
	spcrb.Angle=ang
	spcrb.Level=lvl
	spcrb.Freeze()
	spcrb.Alpha=0
	spcrb.CastShadows=0
	spcrb.RasterMode  ="AdditiveAlpha"
	spcrb.RasterMode  ="Read"
	
	spcrb.Data=SpiderCrab(spcrb)
	
	spcrb.Data.PutOnShell(name,size)
	
	if deactivated:
		spcrb.Data.Deactivate()
	spcrb.Data.Resistances= copy.copy(CharStats.GetCharResistances("SpiderCrab"))
	
	reallevel=lvl+1
	if reallevel<=20:
		damage=reallevel*5
		damagefactor=damage*size
	else:
		damage=100
		damagefactor=damage*size
	Reference.EntitiesObjectData[name]=[Reference.OBJ_WEAPON,   damagefactor,  0, 1.0,  Reference.THR_SPINNING, [],["Ice",+3]]
	return spcrb
	
#########################################################################################################################################################



class Golem (EnemyTypes.Golem_stone):
	def __init__(self, me):
		EnemyTypes.Golem_stone.__init__(self, me)

		me.OnStepFunc = None

	
	def __getstate__(self):
		NPCPerson_state=EnemyTypes.Golem_stone.__getstate__(self)
		me=Bladex.GetEntity(self.Name)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["Golem"]=()
		return NPCPerson_state
		

	def __setstate__(self,parm):
		
		EnemyTypes.Golem_stone.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Golem"]
		me=Bladex.GetEntity(self.Name)
		me.OnStepFunc = None
		
		
class Golem_clay (Golem):
	def __init__(self, me):
		
		Golem.__init__(self, me)
		self.StoneType="Piedra_Glm_cl"
		self.ClaySmoke(me.Name)
		me.ImDeadFunc=self.ImDeadFunc

	def ImDeadFunc (self,EntityName):
		self.StopSmoke(EntityName)
		Enm_Def.NPCPerson.StdImDead(self,EntityName)
	
	def ClaySmoke(self,EntityName):
		pslup=Bladex.CreateEntity(EntityName+" hedorshit", "Entity Particle System Dperson", 0, 0, 0)
		pslup.PersonName=EntityName
		pslup.ParticleType="ShitSmoke"
		pslup.PPS=48
		pslup.YGravity=0
		pslup.Friction=0.0
		pslup.RandomVelocity=1
		pslup.NormalVelocity=2
		pslup.FollowFactor=0
		pslup.Time2Live=64
		pslup.Velocity=0.0, -100.0, 0.0
		#self.pslup.DeathTime=Bladex.GetTime()+5.0		
	
	def StopSmoke(self,EntityName):
		self.pslup=Bladex.GetEntity(EntityName+" hedorshit")
		self.pslup.DeathTime=Bladex.GetTime()
		
		
		
class Golem_lava (Golem):
	def __init__(self, me):
		Golem.__init__(self, me)
		self.StoneType="Piedra_Glm_lv"
		self.StoneSelfIlum=1.0


class Golem_metal (Golem):
	def __init__(self, me):
		Golem.__init__(self, me)
		self.StoneType="Piedra_Glm_mt"
		
		
		
		
		
		
class Chaos_Knight (EnemyTypes.ChaosKnight):

	def __init__(self, me):
		EnemyTypes.ChaosKnight.__init__(self, me)

		me.OnStepFunc = None
		
		
	def __getstate__(self):
		
		NPCPerson_state=EnemyTypes.ChaosKnight.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["Chaos_Knight"]=()
		return NPCPerson_state		

	def __setstate__(self,parm):
		EnemyTypes.ChaosKnight.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Chaos_Knight"]
		me=Bladex.GetEntity(self.Name)
		me.OnStepFunc = None
		