import Bladex
import Basic_Funcs
import dust
import Enm_Def
import ItemTypes
import GameStateAux
import Combat
import AniSound
import BCopy
import Reference
import InitDataField
import AuxTran
import Sounds
import Actions
import MenuText
import EnemyTypes
import AuxFuncs
import GenFX
import darfuncs
import Auras
import AuxFuncs
import B3DLib
import math
import Damage
import CharStats
import Interpolator
import whrandom
import ObjStore
import netgame
import DMusic
import AniSoundWiz
import WizardAllyTypes
import AllyCombat
import OnOff
import MasklinComboFX
import MasklinComboNames
import MagicScorer
import MasklinMagic
import os
import BUIx
import Objects



TRUE = 1==1
FALSE = not TRUE



		
###########################################################################################################################################################
		

class WizardTravelBook(BUIx.B_RectWidget):
	def __init__(self,Parent,Menudesc,StackMenu,VertPos=0):
		import Language
		import Raster
		self.index = 1
		self.images = []
		self.vidw = 1
		self.vidh = 1
		char = Bladex.GetEntity("Player1")
		Raster.UnifyRenderBuffers()
		
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\page7_8.jpg")
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\page1_2.jpg")
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\page3_4.jpg")
		self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\page5_6.jpg")
		
		
		if GotSpell(1) and not GotSpell(2):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage1.jpg")
		if not GotSpell(1) and GotSpell(2):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage2.jpg")
		if GotSpell(1) and GotSpell(2):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage1_2.jpg")
		if GotSpell(3) and not GotSpell(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage3.jpg")
		if not GotSpell(3) and GotSpell(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage4.jpg")
		if GotSpell(3) and GotSpell(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage3_4.jpg")
		if GotSpell(5) and not GotSpell(6):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage5.jpg")
		if not GotSpell(5) and GotSpell(6):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage6.jpg")
		if GotSpell(5) and GotSpell(6):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage5_6.jpg")
		if GotSpell(7) and not GotSpell(8):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage7.jpg")
		if not GotSpell(7) and GotSpell(8):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage8.jpg")
		if GotSpell(7) and GotSpell(8):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage7_8.jpg")
		if GotSpell(9):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\spellpage9.jpg")
			
			
		if not GotSwordPower(1) and not GotSwordPower(2) and not GotSwordPower(3) and not GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage0.jpg")
		if GotSwordPower(1) and not GotSwordPower(2) and not GotSwordPower(3) and not GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage1.jpg")
		if GotSwordPower(1) and GotSwordPower(2) and not GotSwordPower(3) and not GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage1_2.jpg")
		if GotSwordPower(1) and GotSwordPower(2) and GotSwordPower(3) and not GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage1_2_3.jpg")
		if GotSwordPower(1) and GotSwordPower(2) and GotSwordPower(3) and GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage1_2_3_4.jpg")
		if GotSwordPower(1) and GotSwordPower(2) and not GotSwordPower(3) and GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage1_2_4.jpg")
		if not GotSwordPower(1) and GotSwordPower(2) and GotSwordPower(3) and GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage2_3_4.jpg")
		if not GotSwordPower(1) and not GotSwordPower(2) and GotSwordPower(3) and GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage3_4.jpg")
		if not GotSwordPower(1) and not GotSwordPower(2) and not GotSwordPower(3) and GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage4.jpg")
		if GotSwordPower(1) and not GotSwordPower(2) and GotSwordPower(3) and not GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage1_3.jpg")
		if GotSwordPower(1) and not GotSwordPower(2) and GotSwordPower(3) and GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage1_3_4.jpg")
		if GotSwordPower(1) and not GotSwordPower(2) and not GotSwordPower(3) and GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage1_4.jpg")
		if not GotSwordPower(1) and GotSwordPower(2) and not GotSwordPower(3) and not GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage2.jpg")
		if not GotSwordPower(1) and GotSwordPower(2) and GotSwordPower(3) and not GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage2_3.jpg")
		if not GotSwordPower(1) and GotSwordPower(2) and not GotSwordPower(3) and GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage2_4.jpg")
		if not GotSwordPower(1) and not GotSwordPower(2) and GotSwordPower(3) and not GotSwordPower(4):
			self.AddImage("..\\..\\Maps\\WizardsDomain\\NUFiles\\NUMasklinStuff\\swpage3.jpg")
			
		BUIx.B_RectWidget.__init__(self,Parent,Menudesc["Name"],self.vidw,self.vidh)
		self.Selected=0
		self.Solid=0
		self.Border=0
		self.SetDrawFunc(self.Draw)
		self.SndCorreGema=Bladex.CreateSound("..\\..\\Sounds\\Wingflap-R.wav","Chanje")
		self.SndCorreGema.Volume=1.2
		self.SndCorreGema.MinDistance=1000000.0
		self.SndCorreGema.MaxDistance=2000000


	def AddImage(self, file):
		import BBLib
		image = BBLib.B_BitMap24()
		image.ReadFromFile(file)
		self.images.append(image)


	def Draw(self,x,y,time):
		import Menu
		import Raster
		char = Bladex.GetEntity("Player1")
		x,y = Raster.GetSize()
		Raster.SetPosition((x - 640)/2, (y - 480)/2)
		if self.index < 0:
			self.index = len(self.images) - 1
		if self.index > len(self.images) - 1:
			self.index = 0
		Raster.DrawImage(640,480,"BGR","Normal",self.images[self.index].GetData())
		self.DefDraw(x,y,time)

	def FinalRelease(self):
		BUIx.B_RectWidget.FinalRelease(self)

	def AcceptsFocus(self):
		return 1

	def IncMenuItem(self):
		self.SndCorreGema.PlayStereo()
		self.index = self.index + 1

	def DecMenuItem(self):
		self.SndCorreGema.PlayStereo()
		self.index = self.index - 1

	def GetFocus(self):
	    return self

	def ActivateItem(self,activate):
		import Menu
		Menu.ActivateMenu()


def ExecTravelBook():
	import Menu
	import GameText
	import Scorer
	import acts
	GameText.AbortText()
	if not Menu.MENU_PREACTIVATED:
		try:
			Menu.TB_ACTIVATED=1
		except:
			pass
		Menu.MENU_PREACTIVATED = 1
		pepote = Menu.Desc1
		Menu.Desc1={"Name":"TopMenu","FrameKind":WizardTravelBook,"ListDescr":[{"Name":"Back","Kind":WizardTravelBook}]}
		Menu.ActivateMenu()
		Menu.Desc1 = pepote
		Scorer.HideTBS()
		for kn in acts.GetKeyList("Turn Left"):
			if kn!="Left":
				Bladex.AssocKey("Menu Dec","Keyboard",kn)
		for kn in acts.GetKeyList("Turn Right"):
			if kn!="Right":
				Bladex.AssocKey("Menu Inc","Keyboard",kn)
	

##########################################################################################################################################################
##### Sounds

new_combo_sound = Bladex.CreateSound('..\\..\\Sounds\\sesgado-lava.wav', 'NewComboSound')
new_combo_sound.Volume=1.0
new_combo_sound.MinDistance=5000
new_combo_sound.MaxDistance=20000


shattersound = Bladex.CreateSound('..\\..\\Sounds\\Rotura-varia-cristal.wav', 'ShatterSound')
shattersound.Volume=1.0
shattersound.Pitch=0.9
shattersound.MinDistance=5000
shattersound.MaxDistance=20000

##########################################################################################################################################################
############### Initialise Wizard Functionality


def InitMasklin():
	char=Bladex.GetEntity("Player1")
	char.Life= CharStats.GetCharMaxLife(char.Kind, char.Level)
	import Scorer
	Scorer.SetLevelLimits(0,CharStats.GetCharExperienceCost(char.CharType,char.Level))
	
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.5, InitMoreMasklin,())


	
	
def InitMoreMasklin():
	char=Bladex.GetEntity("Player1")
	
	InitNewBindings()
	char.Data.SetLiteOnPickup("Player1")
	char.Data.ResetWidgets()
	import acts
	import DefaultSelectionData
	Bladex.AddBoundFunc("Select Enemy",acts.DefArgWrapper ("Player1",CallHelp))
	
	MySelectEnemyFunc=MySelectEnemy
	Bladex.AddBoundFunc("Select Enemy",MySelectEnemyFunc)
	Bladex.RemoveBoundFunc("Select Enemy",DefaultSelectionData.SelectEnemy)
	
	Bladex.AddBoundFunc("Attack",acts.DefArgWrapper ("Player1", CheckMagic))
	
	Bladex.AddBoundFunc("LaunchTravel",ExecTravelBook)
	Bladex.RemoveBoundFunc("LaunchTravel",acts.ExecTravelBookNP)

	Bladex.AddBoundFunc("Block",acts.DefArgWrapper ("Player1", ShieldUp))
	Bladex.AddBoundFunc("Block Release",acts.DefArgWrapper ("Player1", ShieldDown))
	MagicScorer.SetMagicLimits(0,10000)
	try:
		Mlvl=char.Data.MagicLevel
		MagicScorer.SetMagicBarValue(Mlvl)
		print "Magic Level set"
	except AttributeError:
		MagicScorer.SetMagicBarValue(10)
		print "No MagicLevel saved"
		
	wiz=Bladex.GetCharType("Wizard_A","Wiz")
	if GotSwordPower(1):
		wiz.AllowAttack("GM91_1H","F+B","GI_1H","COMBOSWEXTRA","GM91_1H_Window","WizardSword")
	if GotSwordPower(2):
		wiz.AllowAttack("GM92_1H","B+R","GI_1H","COMBOSWEXTRA","GM92_1H_Window","WizardSword")
	if GotSwordPower(3):
		wiz.AllowAttack("GM93_1H","F+R","GM16_1H","COMBOSWEXTRA","GM93_1H_Window","WizardSword")
	if GotSwordPower(4):
		wiz.AllowAttack("GM94_1H","F+L","GM14_1H","COMBOSWEXTRA","GM94_1H_Window","WizardSword")
		
		
	print "Magic Functionality Added"

#######################################################################################################################################################
######### Sword Combos

def AddSwordFIREcombo():
	char=Bladex.GetEntity("Player1")
	char.Data.SwordPowers.append(1)
	wiz=Bladex.GetCharType("Wizard_A","Wiz")
	wiz.AllowAttack("GM91_1H","F+B","GI_1H","COMBOSWEXTRA","GM91_1H_Window","WizardSword")
	

def AddSwordICEcombo():
	char=Bladex.GetEntity("Player1")
	char.Data.SwordPowers.append(2)
	wiz=Bladex.GetCharType("Wizard_A","Wiz")
	wiz.AllowAttack("GM92_1H","B+R","GI_1H","COMBOSWEXTRA","GM92_1H_Window","WizardSword")
	


def AddSwordLIGHTcombo():
	char=Bladex.GetEntity("Player1")
	char.Data.SwordPowers.append(3)
	wiz=Bladex.GetCharType("Wizard_A","Wiz")
	wiz.AllowAttack("GM93_1H","F+R","GM16_1H","COMBOSWEXTRA","GM93_1H_Window","WizardSword")
	

def AddSwordLIGHTNINGcombo():
	char=Bladex.GetEntity("Player1")
	char.Data.SwordPowers.append(4)
	wiz=Bladex.GetCharType("Wizard_A","Wiz")
	wiz.AllowAttack("GM94_1H","F+L","GM14_1H","COMBOSWEXTRA","GM94_1H_Window","WizardSword")
	



##########################################################################################################################################################
###### Check Functions


def IsHoldingStaff():
	char=Bladex.GetEntity("Player1")
	rwp=Bladex.GetEntity(char.InvRight)
	if rwp:
		if rwp.Kind=="ProStaff1":
			return 1
	return 0
	
	
def IsHoldingSword():
	char=Bladex.GetEntity("Player1")
	rwp=Bladex.GetEntity(char.InvRight)
	if rwp:
		if rwp.Kind=="WizardSword":
			return 1
	return 0


def IsHoldingSwordButNotFighting():
	char=Bladex.GetEntity("Player1")
	rwp=Bladex.GetEntity(char.InvRight)
	if rwp:
		if rwp.Kind=="WizardSword":
			if char.InCombat:
				return 0
			else:
				return 1
	return 0


def AmIAFireBreather(entity):
	per=Bladex.GetEntity(entity)
	if per.Kind in ("Salamander","Little_Demon","Great_Demon"):
		return 1
	return 0


def HaveIGotAWeapon(entity):
	per=Bladex.GetEntity(entity)
	wp=Bladex.GetEntity(per.InvRight)
	if wp:
		return 1
	return 0
	
def AmIRelaxing(entity):
	per=Bladex.GetEntity(entity)
	if per.AnimName[:3] == "rlx" or per.AnimName[:3] == "Rlx":
		return 1
	return 0


def IsHoldingBow(EntityName):
	me=Bladex.GetEntity(EntityName)
	ObjectName=me.InvLeft
	object_flag=Reference.GiveObjectFlag(ObjectName)
	if object_flag==Reference.OBJ_BOW:
		return TRUE
	else:
		return FALSE
		
		
def CheckIfAlly (EntityName):
	me=Bladex.GetEntity(EntityName)
	if me:				
		try:
	           enemyName=me.Data.EnemyName
	           return FALSE                  # returns TRUE for enemies of Player
	        except AttributeError:  
	 	   return TRUE

def CheckIfEnemy (EntityName):
	me=Bladex.GetEntity(EntityName)
	if me:				
		try:
	           enemyName=me.Data.EnemyName
	           return TRUE                  # returns TRUE for allies of Player
	        except AttributeError:  
	 	   return FALSE	
	
	
	
def ChooseMostLife (entity1name, entity2name):
	p1 = Bladex.GetEntity(entity1name)
	p2 = Bladex.GetEntity(entity2name)
	if not p1 and not p2:
		return CHOOSE_EITHER
	elif not p1:
		return CHOOSE_SECOND
	elif not p2:
		return CHOOSE_FIRST
	if p1.Life <= 0 and p2.Life <= 0:
		return CHOOSE_EITHER                          
	elif p1.Life <= 0:
		return CHOOSE_SECOND
	elif p2.Life <= 0:
		return CHOOSE_FIRST
	l1 = p1.Life
	l2 = p2.Life
	val = l2 - l1
	if val < 0:
		return CHOOSE_FIRST
	elif val > 0:
		return CHOOSE_SECOND
	else:
		return CHOOSE_EITHER
		
		
			
def IsValidEnemyWhenPJinvisible (entity):
	if not entity.Person: 
		return FALSE
	if not entity.Life > 0:
		return FALSE
	if entity.Alpha<0.9:
		return FALSE
	if IsHoldingBow(entity.Name):
		return FALSE
	if  entity=="Player1":
		return FALSE
	if  not CheckIfAlly(entity.Name): 
		return TRUE
	else:
		return FALSE
		
	
def MyGetEnemyNameWhenPJInvisible (EnemyName):
	ene=Bladex.GetEntity(EnemyName)
	pjp = ene.Position
	myenemyList=[]
	pj_dir=ene.Rel2AbsVector(0.0,-1.0,0.0)
	pjp=ene.Position
	mynewenemy=None
	for ename in Bladex.GetEnemiesVisibleFrom(pjp,30000,pj_dir,0.0):
	       	per=Bladex.GetEntity(ename)
              	if per:
                  	if per.Name!=ene.Name and per.Kind != ene.Kind and IsValidEnemyWhenPJinvisible(per):
                         	myenemyList.append(per.Name)
                   	if len (myenemyList) == 0: 
                   		return None
                   	myenemyList.sort(ChooseMostLife)
                   	mynewenemy=myenemyList[0]
                try:
                	mycurrentene=ene.Data.NameOfEnemy
                	ene.Data.NameOfEnemy=mynewenemy
                except AttributeError:  
                	pass
    	if mynewenemy:
		enemyname=Bladex.GetEntity(mynewenemy)
                ene.SetEnemy(enemyname)
		return mynewenemy
	else:
		return None
			
			
def GotSpell(spellnum):
	char=Bladex.GetEntity("Player1")
	spelllist= char.Data.SpellBook
	if spellnum in spelllist:
		return TRUE
	return FALSE	
		
		
def GotSwordPower(swdpownum):
	char=Bladex.GetEntity("Player1")
	swdpowlist= char.Data.SwordPowers
	if swdpownum in swdpowlist:
		return TRUE
	return FALSE	
	

def IsItAConjouredDemon(KilledEntityName):
	per=Bladex.GetEntity(KilledEntityName)
	if per:				
		try:
	           	ltime=per.Data.Lifetime
	           	return TRUE                 #returns TRUE for conjoured demons only
	        except AttributeError:  
	 	   	return FALSE



def HaveIGotTheLot():
	char = Bladex.GetEntity("Player1")
	spelllist=char.Data.SpellBook
	if len(spelllist)>=9:
		return 1
	return 0
	


Block=0

def ShieldUp(EntityName):
	global Block
	char = Bladex.GetEntity("Player1")
	if Block==0:
		Block=1
		char.Data.Blocking=1
		
	
def ShieldDown(EntityName):
	global Block
	char = Bladex.GetEntity("Player1")
	Block=0
	char.Data.Blocking=0
	
	
	

MagicChecked=0

def ResetMagicCheck():
	global MagicChecked
	if MagicChecked==1:
		MagicChecked=0

def CheckMagic(EntityName):
	global MagicChecked
	if MagicChecked==1:
		Bladex.AddScheduledFunc(Bladex.GetTime()+3.1,ResetMagicCheck,())
		return
	#print "check magic"
	MagicChecked=1
	char = Bladex.GetEntity("Player1")
	throw_pressed = Bladex.GetTimeActionHeld ("Throw")
	if throw_pressed:
		return
	if char.Data.MagicPower==1:
		char.Data.LaunchMagic("Player1")
	else:
		pass
	
	
	
def ToggleMagic2():
	print "Toggle Magic2"
	
	


def ToggleMagic():
	char=Bladex.GetEntity("Player1")
	if char.AnimName == "powup":
		return
	if char.Data.MagicPower==0:
		char.Data.EnableMagicPower("Player1")
	else:
		char.Data.DisableMagicPower("Player1")

########################################################################################################################################################
########################  Init Key Bindings

def Magic0():
	char=Bladex.GetEntity("Player1")
	char.Data.SetMagicAttack ("Player1", 0)	
	print "Number0 Magic Attack Set"

def Magic1():
	char=Bladex.GetEntity("Player1")
	char.Data.SetMagicAttack ("Player1", 1)	
	print "Number1 Magic Attack Set"

def Magic2():
	char=Bladex.GetEntity("Player1")
	char.Data.SetMagicAttack ("Player1", 2)	
	print "Number2 Magic Attack Set"

def Magic3():
	char=Bladex.GetEntity("Player1")
	char.Data.SetMagicAttack ("Player1", 3)	
	print "Number3 Magic Attack Set"
	
def Magic4():
	char=Bladex.GetEntity("Player1")
	char.Data.SetMagicAttack ("Player1", 4)	
	print "Number4 Magic Attack Set"

def Magic5():
	char=Bladex.GetEntity("Player1")
	char.Data.SetMagicAttack ("Player1", 5)	
	print "Number5 Magic Attack Set"
	
def Magic6():
	char=Bladex.GetEntity("Player1")
	char.Data.SetMagicAttack ("Player1", 6)	
	print "Number6 Magic Attack Set"
	
def Magic7():
	char=Bladex.GetEntity("Player1")
	char.Data.SetMagicAttack ("Player1", 7)	
	print "Number7 Magic Attack Set"

def Magic8():
	char=Bladex.GetEntity("Player1")
	char.Data.SetMagicAttack ("Player1", 8)	
	print "Number8 Magic Attack Set"
	
def Magic9():
	char=Bladex.GetEntity("Player1")
	char.Data.SetMagicAttack ("Player1", 9)	
	print "Number9 Magic Attack Set"
	
	
def Teleport():
	char=Bladex.GetEntity("Player1")
	char.Data.Teleport ("Player1")	
	print "Init Teleport"
	
	
def TestReleaseHealSpell():
	char=Bladex.GetEntity("Player1")
	robj=Bladex.GetEntity(char.InvRight)
	if robj and robj.Kind=="ProHealSpell1":
		char.LaunchAnmType("heal")
	
	
def TurnOnLight():
	char=Bladex.GetEntity("Player1")
	char.Data.LightUp()	
	

def InitNewBindings():
	import BInput
	InputManager=BInput.GetInputManager()
	InputManager.SetInputActionsSet("Default")  
	
	Bladex.AddInputAction("TestReleaseHealSpell", 0)
	Bladex.AddBoundFunc("TestReleaseHealSpell", TestReleaseHealSpell)
	Bladex.AssocKey("TestReleaseHealSpell","Keyboard","H")
	
	Bladex.AddInputAction("TurnOnLight", 0)
	Bladex.AddBoundFunc("TurnOnLight", TurnOnLight)
	Bladex.AssocKey("TurnOnLight","Keyboard","Z")
	
	Bladex.AddInputAction("ToggleMagic", 0)
	Bladex.AddBoundFunc("ToggleMagic", ToggleMagic)
	Bladex.AssocKey("ToggleMagic","Keyboard","M")

	Bladex.AddInputAction("Teleport", 0)
	Bladex.AddBoundFunc("Teleport", Teleport)
	Bladex.AssocKey("Teleport","Keyboard","Backspace")

	Bladex.AddInputAction("Magic0", 0)
	Bladex.AddBoundFunc("Magic0", Magic0)
	Bladex.AssocKey("Magic0","Keyboard","0")

	Bladex.AddInputAction("Magic1", 0)
	Bladex.AddBoundFunc("Magic1", Magic1)
	Bladex.AssocKey("Magic1","Keyboard","1")

	Bladex.AddInputAction("Magic2", 0)
	Bladex.AddBoundFunc("Magic2", Magic2)
	Bladex.AssocKey("Magic2","Keyboard","2")

	Bladex.AddInputAction("Magic3", 0)
	Bladex.AddBoundFunc("Magic3", Magic3)
	Bladex.AssocKey("Magic3","Keyboard","3")

	Bladex.AddInputAction("Magic4", 0)
	Bladex.AddBoundFunc("Magic4", Magic4)
	Bladex.AssocKey("Magic4","Keyboard","4")

	Bladex.AddInputAction("Magic5", 0)
	Bladex.AddBoundFunc("Magic5", Magic5)
	Bladex.AssocKey("Magic5","Keyboard","5")

	Bladex.AddInputAction("Magic6", 0)
	Bladex.AddBoundFunc("Magic6", Magic6)
	Bladex.AssocKey("Magic6","Keyboard","6")

	Bladex.AddInputAction("Magic7", 0)
	Bladex.AddBoundFunc("Magic7", Magic7)
	Bladex.AssocKey("Magic7","Keyboard","7")

	Bladex.AddInputAction("Magic8", 0)
	Bladex.AddBoundFunc("Magic8", Magic8)
	Bladex.AssocKey("Magic8","Keyboard","8")

	Bladex.AddInputAction("Magic9", 0)
	Bladex.AddBoundFunc("Magic9", Magic9)
	Bladex.AssocKey("Magic9","Keyboard","9")
	print "New Bindings SET"


#########################################################################################################################################################
############### For use in invisibility

PersonList=[]

def GetAllPersons():
	global PersonList
	PersonList=[]
	nents = Bladex.nEntities()
	for i in range(nents):
		thing = Bladex.GetEntity(i)
		if thing == None:
			continue
		if thing.Person:
			if thing.Life>0 and thing.Name!="Player1" and CheckIfAlly(thing.Name) and thing.Alpha>0.9:
				if not thing.Name in PersonList:
					PersonList.append(thing.Name)
	return PersonList
	

def AddToPersonList(person):
	global PersonList
	PersonList.append(person)
	pers=Bladex.GetEntity(person)
	char=Bladex.GetEntity("Player1")
	if char.Data.Invisible:
		pers.SeeFunc=SeeAllExceptPlayer
	
def SeeAllExceptPlayer(EnemyName):
	ene = Bladex.GetEntity(EnemyName)
	Reference.debugprint (EnemyName + ": I sort of see the enemy");
	if ene.Life > 0.0:		
		if ene.Blind==1:
			pass
		else:
			myene=MyGetEnemyNameWhenPJInvisible(EnemyName)
							
			if ene.GetActionMode() == Enm_Def.ROUTE_BAY:	
				me.Wuea=Reference.WUEA_ENDED

			if ene.GetActionMode()==Enm_Def.ROUTE_BOWING: 
				if ene.Data.AimPressed:
					angle= Reference.TARGET_ANGLE_MAX- ene.Accuracy*(Reference.TARGET_ANGLE_MAX-Reference.TARGET_ANGLE_MIN)
					if ene.AimOffTarget<angle:
						print "Releasing Arrow"
						Actions.TestReleaseArrow(EnemyName)
				else: 
					if ene.Wuea!=Reference.WUEA_WAIT:
						print "Drawing Bow"
						Actions.TestDrawBow (EnemyName)
			elif ene.Aim or Actions.CurrentlyBowing(EnemyName):
				ene.Wuea=Reference.WUEA_ENDED
				Actions.EndBowMode(EnemyName)
				ene.SetOnFloor()
	else:
		print (EnemyName + ": Cannot get a handle on me")		
		
			
##########################################################################################################################################################
	
	
MagicReward={}
MagicReward["Default"]=200
MagicReward["Minotaur"]=1000
MagicReward["Knight_Traitor"]=350
MagicReward["Ork"]=250
MagicReward["Great_Ork"]=650
MagicReward["Skeleton"]=350
MagicReward["Skelette_A"]=350
MagicReward["SkeletonDRTP"]=380
MagicReward["Zomby"]=350
MagicReward["Ragnar"]=1200
MagicReward["ChaosKnight"]=5000
MagicReward["Golem_Stone"]=2500
MagicReward["Troll_Dark"]=1500


def GetMagicReward(KilledEnemy):
	global MagicReward
	en=Bladex.GetEntity(KilledEnemy)
	if MagicReward.has_key(en.Kind):
		rew=MagicReward[en.Kind]
	else:
		rew=MagicReward["Default"]
	return rew
	
	
def GetMySelectedEnemy(entity):
	per=Bladex.GetEntity(entity)
	if per.Data.selected_enemy:
		ene=Bladex.GetEntity(per.Data.selected_enemy[0])
		if ene and ene.Person:
			return ene
		return None	
	return None	
			


stime3=-2

def IntermediateSelect(EntityName):
	MySelectEnemy()


def MySelectEnemy():
	global stime3
	time=Bladex.GetTime()
	if(time-stime3>0.1):
		import Select
		pj=Bladex.GetEntity("Player1")
		if pj.InvRight=="" and pj.InvRightBack<>"" and Reference.GiveObjectFlag(pj.InvRightBack)<>Reference.OBJ_QUIVER:
			if pj.AnmEndedFunc==IntermediateSelect:
				pj.AnmEndedFunc= None
			Actions.StdToggleWeapons("Player1")
			
			pj.AnmEndedFunc=IntermediateSelect
			return
		if(pj.Data.enemy_locked):
			Select.SelectNextEnemy(pj)
		else:
			Select.GetVisibleEnemies(pj)
			if(pj.Data.selected_enemy):
				pj.Data.enemy_locked=1
		stime3=time
		if pj.Data.selected_enemy:
			ene=Bladex.GetEntity(pj.Data.selected_enemy[0])
			if ene and ene.Person:
				if not CheckIfAlly(ene.Name):
					#print "This guy is an ally"
					return
				pj.SetActiveEnemy(ene)


##########################################################################################################################################################		
#################### Auxillary functions for Wizard class  ###############################################################################################

def CallHelp(EntityName):	
	char=Bladex.GetEntity("Player1")
	char.Data.CallHelp("Player1")
	


"""
def GetMagicLevelFactor():
	char=Bladex.GetEntity("Player1")
	magiclvl=char.Data.MagicLevel/50
	lvl=char.Level+1
	lvlfactor=lvl/20.0
	factor=int(magiclvl*lvlfactor)
	return factor  
"""


def GetMagicLevelFactor():
	char=Bladex.GetEntity("Player1")
	magiclvl=char.Data.MagicLevel/50
	lvl=char.Level+1
	min=lvl*2
	lvlfactor=(lvl*lvl)
	factor=magiclvl*lvlfactor
	damage=(factor/100)+min
	return damage  






def GetLifePointFactor():
	char=Bladex.GetEntity("Player1")
	lifeleft=char.Life
	if lifeleft>=20:
		lifepointfactor=int(lifeleft/20)
	else:
		lifepointfactor=2
	return lifepointfactor
	


def RemoveFalseWeapon(entity):
	me=Bladex.GetEntity(entity)
	inv=me.GetInventory()
	rwp=Bladex.GetEntity(me.InvRight)
	if rwp:
		inv.RemoveWeapon(me.InvRight)
		inv.LinkRightHand("None")
		rwp.Position=0,20000,0
		#print "Removing False Weapon: ",entity
        if me.Data.OldImDeadFunc:
                Bladex.AddScheduledFunc(Bladex.GetTime()+0.1,me.Data.OldImDeadFunc,(entity,))
	
	
	

def ValidAppear(sposx,sposz,sposy,radius=2000):
	ents=Bladex.GetEntitiesAt(sposx,sposz,sposy,radius)
	for id in ents:
		per=Bladex.GetEntity(id)
		if per.Person:
			if per.Life>0 and per.Name!= "Player1":
				return 0
	return 1
	
	
def PlayerInvunerable(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):	
	print "No use hitting me"
	pass
	
	

	
def DumpMe(entity):
	per= Bladex.GetEntity(entity)
	per.Position=0,40000,0


def Dismember(VictimName):
	victim = Bladex.GetEntity(VictimName)
	DMusic.InformDead(VictimName)
	victim.RemoveFromList("Listeners")
	if victim:
		# exclude enemies with non-detachable parts
		brkents=("Ork",
		          "Great_Ork",
			  "Knight_Traitor",
			  "DarkKnight",
		          "Troll_Dark",
		          "Little_Demon",
		          "Skeleton",
		          "Knight_N",
		          "Amazon_N",
		          "Barbarian_N",
		          "Dwarf_N",
		          "Ragnar",
		          "Golem_stone",
		          "Golem_clay",
		          "Golem_metal",
		          "Golem_lava")
		Bladex.AddScheduledFunc(Bladex.GetTime()+7.0,AuxFuncs.FadeObject,(VictimName,1,0,2,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+9.1,DumpMe,(victim.Name,))
		if victim.Kind in (brkents):
			bit1=victim.SeverLimb(1)
			if bit1:
				Bladex.AddScheduledFunc(Bladex.GetTime()+2.0,AuxFuncs.FadeObject,(bit1.Name,1,0,2,))
				Bladex.AddScheduledFunc(Bladex.GetTime()+4.1,bit1.SubscribeToList,("Pin",))
			bit2=victim.SeverLimb(2)
			if bit2:
				Bladex.AddScheduledFunc(Bladex.GetTime()+3.0,AuxFuncs.FadeObject,(bit2.Name,1,0,2,))
				Bladex.AddScheduledFunc(Bladex.GetTime()+5.1,bit2.SubscribeToList,("Pin",))
			bit3=victim.SeverLimb(4)
			if bit3:
				Bladex.AddScheduledFunc(Bladex.GetTime()+4.0,AuxFuncs.FadeObject,(bit3.Name,1,0,2,))
				Bladex.AddScheduledFunc(Bladex.GetTime()+6.1,bit3.SubscribeToList,("Pin",))
			bit4=victim.SeverLimb(6)
			if bit4:
				Bladex.AddScheduledFunc(Bladex.GetTime()+5.0,AuxFuncs.FadeObject,(bit4.Name,1,0,2,))
				Bladex.AddScheduledFunc(Bladex.GetTime()+7.1,bit4.SubscribeToList,("Pin",))
			bit5=victim.SeverLimb(8)
			if bit5:
				Bladex.AddScheduledFunc(Bladex.GetTime()+6.0,AuxFuncs.FadeObject,(bit5.Name,1,0,2,))
				Bladex.AddScheduledFunc(Bladex.GetTime()+8.1,bit5.SubscribeToList,("Pin",))
		try:
			if victim.Data.DeathFunc:
				apply(victim.Data.DeathFunc,victim.Data.DeathArgs)
		except AttributeError: 
			pass
		
		
		
def KillMe(entity):
	per=Bladex.GetEntity(entity)
	if per.Life>0:
		per.Life=-1
		shattersound.Play(per.Position[0],per.Position[1],per.Position[2],0)
		char=Bladex.GetEntity("Player1")
		char.Data.OnKilledEnemy(entity)
	
		
	
	
def ShatterMe(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	if DamageType=="Crush" or DamageType=="Slash" or DamageType=="Impale":
		print "Shattering " + VictimName
		victim=Bladex.GetEntity(VictimName)
		inv=victim.GetInventory()
		if victim and victim.Life>0:
			x,y,z=victim.Position
			victim.UnFreeze()
			victim.ImDeadFunc=Dismember
			victim.MutilateFunc=""
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.2, KillMe,(victim.Name,))
			Aura=Bladex.GetEntity(VictimName+"Aura")
			if Aura:
				victim.Unlink(Aura)
				Aura.SetAuraActive(0)
				Aura.SubscribeToList("Pin")
			rwp=Bladex.GetEntity(victim.InvRight)
			if rwp:
				Aurarwp=Bladex.GetEntity(VictimName+"AuraRWP")
				if Aurarwp:
					rwp.Unlink(Aurarwp)
					Aurarwp.SetAuraActive(0)
					Aurarwp.SubscribeToList("Pin")
				try:
					victim.Unlink(rwp)
					inv.RemoveWeapon(rwp.Name)
					rwp.ExcludeHitFor(victim)
					try:
						if rwp.TestHit:
							rwp.RemoveFromWorld()
						else:
							rwp.Alpha=1.0
							rwp.Impulse(0.0, 0.0, 0.0) 
					except AttributeError:
						print "TestHit unsupported for object "+rwp.Name
				except:
					print "rwp not removed on shatter"
			lwp=Bladex.GetEntity(victim.InvLeft)
			if lwp:
				Auralwp=Bladex.GetEntity(VictimName+"AuraLWP")
				if Auralwp:
					rwp.Unlink(Auralwp)
					Auralwp.SetAuraActive(0)
					Auralwp.SubscribeToList("Pin")
				try:
					victim.Unlink(lwp)
					inv.RemoveShield(lwp.Name)
					lwp.ExcludeHitFor(victim)
					if lwp.TestHit:
						lwp.RemoveFromWorld()
					else:
						lwp.Alpha=1.0
						lwp.Impulse(0.0, 0.0, 0.0) 
				except:
					print "lwp not removed on shatter"
			Vapour=Bladex.GetEntity(VictimName+"Vapour")
			if Vapour:
				Vapour.DeathTime=Bladex.GetTime() +1.5
				
			polvillo=Bladex.CreateEntity("PolvoGolpeSnow", "Entity Particle System D1", x,y,z)
  			polvillo.ParticleType="SnowDust"
  			polvillo.YGravity=0.0
  			polvillo.Friction=0.2
  			polvillo.PPS=480
  			polvillo.DeathTime=Bladex.GetTime()+4.0/60.0


def QuitMagicFX():
	time=Bladex.GetTime()
	ps=Bladex.CreateEntity("Player1Magicdeact", "Entity Particle System Dperson", 0, 0, 0)
	ps.PersonName="Player1"				
	ps.Time2Live      = 20
	ps.ParticleType   = "LlamitaBlue"
	ps.YGravity       = 0.0
	ps.Friction       = 0
	ps.PPS            = 1024
	ps.Velocity       = 0,0,0
	ps.NormalVelocity = 5
	ps.FollowFactor   = 1
	ps.DeathTime      = time+1.5
	
	
	
EQImune=["ChaosKnight"]

FreezeImune=["ChaosKnight","Little_Demon","Great_Demon","DarkLord","DalGurak"]
	
def AmIEQProof(entity):
	print "Checking EQ imunity"
	ent=Bladex.GetEntity(entity)
	if ent.Kind[:5]=="Golem":
		return TRUE
	if ent.Kind in EQImune:
		return TRUE
	return FALSE
 
	
	
def AmIFreezeProof(entity):
	print "Checking Freeze imunity"
	ent=Bladex.GetEntity(entity)
	if ent.Kind[:5]=="Golem":
		return TRUE
	if ent.Kind in FreezeImune:
		return TRUE
	return FALSE
	
	
	
###########################################################################################################################################################
############ New Special Damage Functions


def InflictWizVenomDamage (special, special_resistance, effective_damage, VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	if not (Shielded and effective_damage<=0.0):
		victim= Bladex.GetEntity(VictimName)
		try:
			if not AttackerName and Bladex.GetEntity(WeaponName).Kind=="Entity Magic Missile":
				AttackerName="Player1"
		except:
			pass
		if victim and victim.Person and victim.Data:
			# Effects in Basic_Funcs.py
			venom_damage= special[1]
			victim.Data.EnVenom (VictimName, venom_damage, AttackerName)
			print VictimName+" I am poisoned by "+AttackerName+" using "+WeaponName
	return 0         # Does not inflict immediate damage
	
	
Undeads=("Zomby","Skeleton","SkeletonDRTP","Lich","Knight_Zombie")

def InflictStealDamage (special, special_resistance, effective_damage, VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):	
	attacker=Bladex.GetEntity(AttackerName)# Player
	victim=Bladex.GetEntity(VictimName)    # Enemy
	#print "Effective damage is: ",effective_damage
	LastDamage= int(effective_damage*(1.0-special_resistance))
	if attacker:
		maxlife=CharStats.GetCharMaxLife(attacker.Kind, attacker.Level)
		life=attacker.Life
		addedlife=LastDamage
		if VictimName:
			
			vict=Bladex.GetEntity(VictimName)
			
			if vict.Kind in Undeads or vict.Data.Poisoned:
				attacker.Life=attacker.Life-LastDamage
				print "Player1 hit undead -> loosing ",LastDamage
				# If you try to steal life from poisoned enemies you get a dose.
				if vict.Data.Poisoned:
					attacker.Data.EnVenom(attacker.Name,1.0,victim.Name)
			else:
				if  addedlife>maxlife:
					attacker.Life=maxlife
				else:
					if (attacker.Life+addedlife)>maxlife:
						attacker.Life=maxlife
					else:
						attacker.Life=attacker.Life+addedlife
					print "Player1 stealing ",addedlife
		time=Bladex.GetTime()
		aura= Auras.MakeAura (VictimName,1.5,    (55,1.0,1.0,1,0,0), (),(),(2, 0.6,0.0,0.0, 0.5, 0.0  , 0.6,0.0,0.0, 0.1, 0.1))	
		aura.Data.AddEvent(time+1.0,             (55,0.8,1.0,1,0,0), (),(),(2,  0.6,0.0,0.0, 0.5, 0.0  , 0.6,0.0,0.0, 0.1, 1.0))
		aura.Data.AddEvent(time+1.5,             (255,0.0,1.0,1,0,0), (),(),(2,  0.6,0.0,0.0, 0.5, 0.0  , 0.6,0.0,0.0, 0.1, 1.0))
	return 0




def InflictWizFireDamage (special, special_resistance, effective_damage, VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):	
	wizfire_activated=1
	if wizfire_activated:
		time=Bladex.GetTime()
		aura= Auras.MakeAura (VictimName, 1.8,(55,1.0,1.0,1,0,0), (),(),(2,  0.4,0.0,0.8, 0.5, 0.0  , 0.4,0.0,0.6, 0.1, 0.1))
		aura.Data.AddEvent(time+1.2,      (55,0.8,1.0,1,0,0), (),(),(2,  0.4,0.0,0.8, 0.5, 0.0  , 0.4,0.0,0.6, 0.1, 1.0))
		aura.Data.AddEvent(time+1.8,      (255,0.0,1.0,1,0,0), (),(),(2,  0.4,0.0,0.9, 0.5, 0.0  , 0.4,0.0,0.6, 0.1, 1.0))
		special_damage= special[1]*(1.0-special_resistance)
		if special_damage>0:
			victim= Bladex.GetEntity(VictimName)
			if victim and victim.Person and victim.Data:
				victim.Data.LastDamageType= special[0]
		return special_damage
	return 0.0


def InflictGoldDamage (special, special_resistance, effective_damage, VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	gold_activated=1
	if gold_activated:
		time=Bladex.GetTime()
		aura=Auras.MakeAura(VictimName,0.7,   (1  , 0.01, 1.0, 0, 0, 1), (), (), (2,  0.8, 0.9, 0.0, 0.6, 0.3  ,  0.2, 0.6, 0.0, 0.0, 1.0))
		aura.Data.AddEvent(time+0.1,          (120, 1.0 , 1.0, 0, 0, 1), (), (), (2,  0.8, 0.9, 0.0, 0.6, 0.3  ,  0.3, 0.5, 0.0, 0.0, 1.0))
		aura.Data.AddEvent(time+0.7,          (240, 0.01, 1.0, 0, 0, 1), (), (), (2,  0.6, 0.8, 0.0, 0.6, 0.4  ,  0.4, 0.3, 0.0, 0.0, 0.5))
		prtl=Bladex.CreateEntity(aura.Name+"Particles", "Entity Particle System Dperson", 0, 0, 0)
		prtl.PersonName=VictimName
		prtl.ParticleType="BrillosGold"
		prtl.PPS=200
		prtl.Velocity=0.0, 0.0, 0.0
		prtl.NormalVelocity=5.0
		prtl.RandomVelocity=0.0
		prtl.YGravity=0.0
		prtl.Friction=0.01
		prtl.FollowFactor=0.0
		prtl.Time2Live=8
		prtl.DeathTime=Bladex.GetTime()+0.4
	return 0.0


def InflictSilverDamage (special, special_resistance, effective_damage, VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	silver_activated=1
	if silver_activated:
		if VictimName:
			per=Bladex.GetEntity(VictimName)
			if per.MeshName=="Werewolf":
				maxlife=CharStats.GetCharMaxLife(per.Kind, per.Level)
				print "Arrrgh. I am vunerable to this weapon!!!!"
				if per.Life>0 and per.Life< int(maxlife/10):
					per.Life=0
				else:
					per.LaunchAnmType("hurt_f_big")
					per.Life = int(per.Life/2)
					time=Bladex.GetTime()
					aura=Auras.MakeAura(VictimName,0.7,   (1 , 0.01, 1.0, 0, 0, 1), (), (), (2,  0.9, 0.9, 0.9, 0.6, 0.3  ,  0.2, 0.6, 0.8, 0.4, 1.0))
					aura.Data.AddEvent(time+0.1,          (30, 1.0 , 1.0, 0, 0, 1), (), (), (2,  0.7, 0.8, 1.0, 0.6, 0.3  ,  0.2, 0.6, 0.8, 0.4, 1.0))
					aura.Data.AddEvent(time+0.7,          (60, 0.01, 1.0, 0, 0, 1), (), (), (2,  0.2, 0.4, 0.4, 0.6, 0.4  ,  0.0, 0.2, 0.8, 0.4, 0.5))			
		return 0.0
	
	
def InflictWizWhipDamage (special, special_resistance, effective_damage, VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	whip_activated=1
	if whip_activated:
		if VictimName:
			per=Bladex.GetEntity(VictimName)
			maxlife=CharStats.GetCharMaxLife(per.Kind, per.Level)
			if per.Life>0 and per.Life< int(maxlife/5):
				per.Life=0
				char=Bladex.GetEntity("Player1")
				if char.Kind=="Wizard_A":
					char.Data.OnKilledEnemy(per.Name)
			else:
				per.LaunchAnmType("hurt_f_big")
			time=Bladex.GetTime()
			aura=Auras.MakeAura(VictimName,0.7,   (1 , 0.01, 1.0, 0, 0, 1), (), (), (2,  0.1, 0.4, 0.9, 0.6, 0.3  ,  0.1, 0.5, 0.9, 0.4, 1.0))
			aura.Data.AddEvent(time+0.1,          (30, 1.0 , 1.0, 0, 0, 1), (), (), (2,  0.2, 0.4, 1.0, 0.6, 0.3  ,  0.4, 0.5, 0.9, 0.4, 1.0))
			aura.Data.AddEvent(time+0.7,          (60, 0.01, 1.0, 0, 0, 1), (), (), (2,  0.2, 0.0, 0.7, 0.6, 0.4  ,  0.1, 0.2, 0.9, 0.4, 0.5))			
		return 0.0
	
	
Incoruptables=("DalGurak","Great_Demon","Vamp","Lich","Knight_Zombie","Zomby","Spidersmall","DarkLord","Skeleton","SkeletonDRTP")
	
def InflictTurnDamage (special, special_resistance, effective_damage, VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	# remove Enemy and replace with Ally 
	if VictimName:
		per=Bladex.GetEntity(VictimName)
		if per.Life>0 and CheckIfAlly(per.Name) and per.Kind not in Incoruptables and per.Name!="Player1":
			MasklinMagic.TurnFromTheDarkSideFX(VictimName)
		return 0.0
	
	
	
def InflictWeakDamage (special, special_resistance, effective_damage, VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):	
	attacker=Bladex.GetEntity(AttackerName)# Player
	ene=Bladex.GetEntity(VictimName)    # Enemy
	if ene:
		if not CheckIfAlly(VictimName):
			return 0
		lwp=Bladex.GetEntity(ene.InvLeft)
		if lwp and Reference.IsParryingType(lwp.Kind):
			Reference.EntitiesObjectData[lwp.Name]=Reference.DefaultObjectData[lwp.Kind]
			Reference.EntitiesObjectData[lwp.Name][2]=1  # Weaken shield if enemy has one
			print "enemy shield weakened"
	return 0

	

Damage.SpecialDamageFuncs['WizFire'] = InflictWizFireDamage
Damage.SpecialDamageFuncs['Steal'] = InflictStealDamage
Damage.SpecialDamageFuncs['Gold'] = InflictGoldDamage
Damage.SpecialDamageFuncs['Silver'] = InflictSilverDamage
Damage.SpecialDamageFuncs['Venom'] = InflictWizVenomDamage
Damage.SpecialDamageFuncs['Whip'] = InflictWizWhipDamage
Damage.SpecialDamageFuncs['Turn'] = InflictTurnDamage
Damage.SpecialDamageFuncs['Weak'] = InflictWeakDamage

#########################################################################################################################################################
################# Wizard Damage Function

def WizDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	pj = Bladex.GetEntity(VictimName)
	if AttackerName:  
		# no accidental damge from buddies
		if AttackerName in pj.Data.AllyList:
			return
	ShieldName = pj.GetInventory().GetActiveShield()
	if ShieldName:
		print ShieldName
		if ShieldName=="DragonSheild":
			print "I have Dragon Shield"
			if pj.Data.Blocking:
				if WeaponName and WeaponName[:6]=="Entity":	
					weaponData=None
					print "I am being hit by ",WeaponName
					if Reference.EntitiesObjectData.has_key(WeaponName):
						weaponData = Reference.EntitiesObjectData[WeaponName]
					else:
						kind = Bladex.GetEntity(WeaponName).Kind
						if Reference.DefaultObjectData.has_key(kind):
							weaponData = Reference.DefaultObjectData[kind]
					print "weapon Data set"
					if weaponData and len (weaponData) > 6:	
						for special in weaponData[6:]:
						
							if str(special[0])=="Fire":
								print "heheheeeeeee I am cooool!!!"
								time=Bladex.GetTime()
								aura=Auras.MakeAura(ShieldName,0.8,   (1  , 0.01, 1.0, 0, 0, 1), (), (), (2,  0.8, 0.6, 0.0, 0.6, 0.2  ,  0.8, 0.1, 0.0, 0.0, 0.8))
								aura.Data.AddEvent(time+0.15,         (100, 1.0 , 1.0, 0, 0, 1), (), (), (2,  0.8, 0.6, 0.0, 0.6, 0.2  ,  0.8, 0.1, 0.0, 0.0, 0.8))
								aura.Data.AddEvent(time+0.8,          (160, 0.01, 1.0, 0, 0, 1), (), (), (2,  0.8, 0.1, 0.0, 0.6, 0.2  ,  0.8, 0.0, 0.0, 0.0, 0.8))
							
								return
	Damage.CalculateDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded)
	


########################################################################################################################################################
########################################################################################################################################################

class Wizard (Basic_Funcs.PlayerPerson):

	MagicPower=0
	MagicAttNum=0
	DoingMagic=0
	MagicPenaltyIncr=4
	AGE_Number=0
	StaffLiteParams=[(0.0, 0.55, (40, 40, 40))]
	StaffName=""
	magicaura=None
	ray1Name=""
	ray2Name=""
	ray3Name=""
	powsound1=None
	WIZParticleData=[]
	BallName=""
	ExHitFunc=None
	RingName=""
	MagicLevel=10
	RingInit=0
	Fader= None
	FadeOutTime= 0.45
	FadeInTime= 0.65
	TransitTime= 0.20
	Enemy=None
	EnemyAngle=0.0
	SpellBook=[]
	SwordPowers=[]
	AllyList=[]
	Helpcalled=0
	Invisible=0
	EnemyList=[]
	LightOn=0
	LightName=""
	FadeList=[]
	Fading=0
	LightIntensDim=0.3
	LightIntensLow=2.0
	RespawnActive=0
	RespawnPos=(0,-1000,0)
	OrigMeshName="Wizard_A"
	SavedInvItems=[]
	OrigResistances={}
	ClawName=""
	SwordLightDamage=[]
	SwordName=""
	Blocking=0
	HeadLightName=""
	DeathFunc=None
	LevelupFunc=None
	
	
	def __init__(self, me):
		Basic_Funcs.PlayerPerson.__init__(self, me)
		
		
		me.NewComboFunc=self.NewNewCombo
		MasklinComboFX.WizCombosFX(me.Name)
		
		self.WIZParticleData=[]
		
		for i in range(30):
			if i>25:
				traux=(30.0-i)/5.0 
				aux=traux**0.5
			else:
				traux=i/25.0 
				aux=traux**2.0
			r=255
			g=255
			b=255
			a=255.0*traux
			size=200.0*aux
			self.WIZParticleData.append(a)
			self.WIZParticleData.append(size)
			Bladex.SetParticleGVal("WIZParticle",i,r,g,b,a,size)
			
		me.AddAnmEventFunc("CheckAlphaEvent",self.CheckAlphaAfterDrop)	
		me.AddAnmEventFunc("CheckLiteEvent",self.CheckLiteState)	
		me.AddAnmEventFunc("Wizmagicstartball", self.PrepareBall)
		me.AddAnmEventFunc("Wizmagicfireball", self.ShootBall)
		me.AddAnmEventFunc("Wizmagicshootflame", self.ShootStuff)
		me.AddAnmEventFunc("StartWobbly", self.StartWobbly)
		me.AddAnmEventFunc("FireWobbly", self.FireWobbly)
		me.AddAnmEventFunc("InvokeDemon", self.ConjourDemon)
		me.AddAnmEventFunc("StartFireRing", self.StartFireRing)
		me.AddAnmEventFunc("LaunchFireRing", self.LaunchFireRing)
		me.AddAnmEventFunc("StartHomingSpell", self.LaunchHomingSpell)
		me.AddAnmEventFunc("LaunchMoonEvent", self.LaunchMoon)
		me.AddAnmEventFunc("Disappear", self.DisappearEvent)
		me.AddAnmEventFunc("HealingEvent", self.LaunchHealingSpell)
		me.AddAnmEventFunc("StartIceStorm", self.StartIceStorm)
		me.AddAnmEventFunc("Earthquake",self.BeginEarthquake)
		me.AddAnmEventFunc("StartLightEvent", self.StartLightStrike)
		#me.AddAnmEventFunc("StopLightEvent",self.StopLightStrike)
		me.AddAnmEventFunc("LightningRopeEvent",self.StartLightningRope)
		
		
		self.FadeList=[me.Name]
		self.Fader= TeleportFader()
		pos= me.Position
		self.Name=me.Name
		
		me.ImDeadFunc = self.ImDeadFunc
		me.DamageFunc=WizDamage
		if me.MeshName=="Wizard_X":
			me.SelfIlum=0.3
		
		
		inv = me.GetInventory()
		inv.maxObjects = 30
		inv.maxQuivers = 5 
		
		self.magicaura= Bladex.CreateEntity(me.Name+"_MagicAura","Entity Aura",pos[0],pos[1],pos[2])
		self.magicaura.SetAuraParams(25,1.0,1.0,1,0,0)
		self.magicaura.SetAuraGradient(2,0.5,0.5,1.0, 0.8,0.6, 0.0,0.0,1.0, 0.0,1.0)
		self.magicaura.SetAuraActive(0)
		me.Link(self.magicaura)
		
		claw= Bladex.CreateEntity(me.Name+"_WolfClaw","ProWolfClaw",0,50000,0,"Weapon")
		claw.Alpha=0
		claw.CastShadows=0
		claw.Scale=1.2
		claw.Data=MasklinMagic.WolfClaw(claw)
		self.ClawName=claw.Name
		
		
		
		self.ballsound1=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO.wav", "BallSound1")
		self.ballsound1.Volume=0.6
		self.ballsound1.MinDistance=10000
		self.ballsound1.MaxDistance=20000
		
		self.ballsound2=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO2.wav", "BallSound2")
		self.ballsound2.Volume=0.6
		self.ballsound2.MinDistance=10000
		self.ballsound2.MaxDistance=20000
		
		self.ballconcsound=Bladex.CreateSound("..\\..\\Sounds\\aparicion-espada.wav", "BallConcSound")
		self.ballconcsound.Volume=0.6
		self.ballconcsound.MinDistance=10000
		self.ballconcsound.MaxDistance=20000
		
		self.firesound1=Bladex.CreateSound("..\\..\\Sounds\\lanzar-fuego3.wav", "FireSound1")
		self.firesound1.Volume=1.0
		self.firesound1.MinDistance=10000
		self.firesound1.MaxDistance=30000
		
		self.firesound2=Bladex.CreateSound("..\\..\\Sounds\\fireball-impact.wav", "FireSound2")
		self.firesound2.Volume=1.0
		self.firesound2.MinDistance=10000
		self.firesound2.MaxDistance=30000
		
		self.powsound2=Bladex.CreateSound("..\\..\\Sounds\\absorcion.wav", "PowSound2")
		self.powsound2.Volume=1.0
		self.powsound2.MinDistance=10000
		self.powsound2.MaxDistance=30000
		
		self.powsound1=Bladex.CreateSound("..\\..\\Sounds\\aparicion-escudo.wav", "PowSound1")
		self.powsound1.Volume=1.0
		self.powsound1.MinDistance=10000
		self.powsound1.MaxDistance=30000
		
		self.firesound3=Bladex.CreateSound("..\\..\\Sounds\\fuego-ascende.wav", "FireSound3")
		self.firesound3.Volume=1.0
		self.firesound3.MinDistance=10000
		self.firesound3.MaxDistance=30000
		
		self.firesound4=Bladex.CreateSound("..\\..\\Sounds\\M-impacto-barrera-44.wav", "FireSound4")
		self.firesound4.Volume=1.0
		self.firesound4.MinDistance=10000
		self.firesound4.MaxDistance=30000
		
		self.icesound1=Bladex.CreateSound("..\\..\\Sounds\\M-rafaga-viento.wav", "IceSound1")
		self.icesound1.Volume=1.0
		self.icesound1.MinDistance=10000
		self.icesound1.MaxDistance=30000
		
		self.icesound2=Bladex.CreateSound("..\\..\\Sounds\\aplastamiento.wav", "IceSound2")
		self.icesound2.Volume=1.0
		self.icesound2.MinDistance=10000
		self.icesound2.MaxDistance=30000
		
		self.disappsound=Bladex.CreateSound("..\\..\\Sounds\\desaparece-vamp1.wav", "DisappSound")
		self.disappsound.Volume=1.0
		self.disappsound.MinDistance=10000
		self.disappsound.MaxDistance=30000
		
		self.equakesound=Bladex.CreateSound("..\\..\\Sounds\\Rock-floor-collapse.wav", "EquakeSound")
		self.equakesound.Volume=1.0
		self.equakesound.MinDistance=10000
		self.equakesound.MaxDistance=30000
		
		self.rockhitsound=Bladex.CreateSound("..\\..\\Sounds\\rotura-piedra.wav", "RockHitSound")
		self.rockhitsound.Volume=1.0
		self.rockhitsound.MinDistance=10000
		self.rockhitsound.MaxDistance=30000
		
		self.dohsound=Bladex.CreateSound("..\\..\\Sounds\\doe.wav", "DohSound")
		self.dohsound.Volume=0.8
		self.dohsound.Pitch=0.8
		self.dohsound.MinDistance=10000
		self.dohsound.MaxDistance=30000
		
		self.shimmer1=Bladex.CreateSound("..\\..\\Sounds\\shimmer1.wav", "Shimmer1Sound")
		self.shimmer1.Volume=0.9
		self.shimmer1.MinDistance=10000
		self.shimmer1.MaxDistance=30000
		
		self.whoosh1=Bladex.CreateSound("..\\..\\Sounds\\whoosh1.wav", "Whoosh1Sound")
		self.whoosh1.Volume=1.0
		self.whoosh1.MinDistance=10000
		self.whoosh1.MaxDistance=30000
		
		self.argh1=Bladex.CreateSound("..\\..\\Sounds\\muerteTkn3.wav", "Argh1Sound")
		self.argh1.Volume=1.0
		self.argh1.MinDistance=10000
		self.argh1.MaxDistance=30000
		
		self.sndeat1=Bladex.CreateSound("..\\..\\Sounds\\masticar22.wav", "Eat1Sound")
		self.sndeat1.Volume=1.0
		self.sndeat1.MinDistance=10000
		self.sndeat1.MaxDistance=30000
		
		
		
	######################################################################################################
	############# Save Stuff #############################################################################
	
	def __getstate__(self):	
		PlayerPerson_state=Basic_Funcs.PlayerPerson.__getstate__(self)
		if(PlayerPerson_state[0]!=1):
			return PlayerPerson_state
		PlayerPerson_state[1]["Wizard"]=(self.MagicPower,
						   self.MagicAttNum,
						   self.magicaura,
						   self.DoingMagic,
						   self.MagicPenaltyIncr,
						   self.AGE_Number,
						   self.StaffLiteParams,
						   self.ray1Name,
						   self.ray2Name,
						   self.ray3Name,
						   self.BallName,
						   GameStateAux.SaveFunctionAux(self.ExHitFunc),
						   self.RingName,
						   self.MagicLevel,
						   self.RingInit,
						   self.Enemy, 
						   self.EnemyAngle,
						   self.SpellBook,
						   self.SwordPowers,
						   self.AllyList,
						   self.Helpcalled,
						   self.Invisible,
						   self.EnemyList,
						   self.LightOn,
						   self.LightName,
						   self.FadeList,
						   self.Fading,
						   self.RespawnActive,
						   self.RespawnPos,
						   self.OrigMeshName,
						   self.SavedInvItems,
						   self.OrigResistances,
						   self.ClawName,
						   self.SwordLightDamage,
						   self.SwordName,
						   self.Blocking,
						   self.HeadLightName,
						   GameStateAux.SaveFunctionAux(self.DeathFunc),
						   self.StaffName,
						   GameStateAux.SaveFunctionAux(self.LevelupFunc))
		return PlayerPerson_state
	
	def __setstate__(self,parm):
		Basic_Funcs.PlayerPerson.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Wizard"]
			self.MagicPower=parms[0]
			self.MagicAttNum=parms[1]
			self.magicaura=parms[2]
			self.DoingMagic=parms[3]
			self.MagicPenaltyIncr=parms[4]
			self.AGE_Number=parms[5]
			self.StaffLiteParams=parms[6]
			self.ray1Name=parms[7]
			self.ray2Name=parms[8]
			self.ray3Name=parms[9]
			self.BallName=parms[10]
			GameStateAux.LoadFunctionAux(parms[11],self,"ExHitFunc")
			self.RingName=parms[12]
			self.MagicLevel=parms[13]
			self.RingInit=parms[14]
			self.Enemy=parms[15]
			self.EnemyAngle=parms[16]
			self.SpellBook=parms[17]
			self.SwordPowers=parms[18]
			self.AllyList=parms[19]
			self.Helpcalled=parms[20]
			self.Invisible=parms[21]
			self.EnemyList=parms[22]
			self.LightOn=parms[23]
			self.LightName=parms[24]
			self.FadeList=parms[25]
			self.Fading=parms[26]
			self.RespawnActive=parms[27]
			self.RespawnPos=parms[28]
			self.OrigMeshName=parms[29]
			self.SavedInvItems=parms[30]
			self.OrigResistances=parms[31]
			self.ClawName=parms[32]
			self.SwordLightDamage=parms[33]
			self.SwordName=parms[34]
			self.Blocking=parms[35]
			self.HeadLightName=parms[36]
			GameStateAux.LoadFunctionAux(parms[37],self,"DeathFunc")
			self.StaffName=parms[38]
			GameStateAux.LoadFunctionAux(parms[39],self,"LevelupFunc")
		me=Bladex.GetEntity(self.Name)
		me.AddAnmEventFunc("CheckAlphaEvent",self.CheckAlphaAfterDrop)	
		me.AddAnmEventFunc("CheckLiteEvent",self.CheckLiteState)	
		me.AddAnmEventFunc("Wizmagicstartball", self.PrepareBall)
		me.AddAnmEventFunc("Wizmagicfireball", self.ShootBall)
		me.AddAnmEventFunc("Wizmagicshootflame", self.ShootStuff)
		me.AddAnmEventFunc("StartWobbly", self.StartWobbly)
		me.AddAnmEventFunc("FireWobbly", self.FireWobbly)
		me.AddAnmEventFunc("InvokeDemon", self.ConjourDemon)
		me.AddAnmEventFunc("StartFireRing", self.StartFireRing)
		me.AddAnmEventFunc("LaunchFireRing", self.LaunchFireRing)
		me.AddAnmEventFunc("StartHomingSpell", self.LaunchHomingSpell)
		me.AddAnmEventFunc("LaunchMoonEvent", self.LaunchMoon)
		me.AddAnmEventFunc("Disappear", self.DisappearEvent)
		me.AddAnmEventFunc("HealingEvent", self.LaunchHealingSpell)
		me.AddAnmEventFunc("StartIceStorm", self.StartIceStorm)
		me.AddAnmEventFunc("Earthquake",self.BeginEarthquake)
		me.AddAnmEventFunc("StartLightEvent", self.StartLightStrike)
		me.AddAnmEventFunc("LightningRopeEvent",self.StartLightningRope)
		
		self.Fader= TeleportFader()
		self.FadeOutTime= 0.45
		self.FadeInTime= 0.65
		self.TransitTime= 0.20
		
		me.ImDeadFunc = self.ImDeadFunc
		me.DamageFunc=WizDamage
		if me.MeshName=="Wizard_X":
			me.SelfIlum=0.3
		
		inv = me.GetInventory()
		inv.maxObjects = 30
		inv.maxQuivers = 5 
		MasklinComboFX.WizCombosFX(me.Name)
		self.WIZParticleData=[]
		for i in range(30):
			if i>25:
				traux=(30.0-i)/5.0 
				aux=traux**0.5
			else:
				traux=i/25.0 
				aux=traux**2.0
			r=255
			g=255
			b=255
			a=255.0*traux
			size=200.0*aux
			self.WIZParticleData.append(a)
			self.WIZParticleData.append(size)
			Bladex.SetParticleGVal("WIZParticle",i,r,g,b,a,size)
			
		self.ballsound1=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO.wav", "BallSound1")
		self.ballsound1.Volume=0.6
		self.ballsound1.MinDistance=10000
		self.ballsound1.MaxDistance=20000
		
		self.ballsound2=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO2.wav", "BallSound2")
		self.ballsound2.Volume=0.6
		self.ballsound2.MinDistance=10000
		self.ballsound2.MaxDistance=20000
		
		self.ballconcsound=Bladex.CreateSound("..\\..\\Sounds\\aparicion-espada.wav", "BallConcSound")
		self.ballconcsound.Volume=0.6
		self.ballconcsound.MinDistance=10000
		self.ballconcsound.MaxDistance=20000
		
		self.firesound1=Bladex.CreateSound("..\\..\\Sounds\\lanza-fuego3.wav", "FireSound1")
		self.firesound1.Volume=1.0
		self.firesound1.MinDistance=10000
		self.firesound1.MaxDistance=30000	
		
		self.firesound2=Bladex.CreateSound("..\\..\\Sounds\\fireball-impact.wav", "FireSound2")
		self.firesound2.Volume=1.0
		self.firesound2.MinDistance=10000
		self.firesound2.MaxDistance=30000
		
		self.powsound1=Bladex.CreateSound("..\\..\\Sounds\\aparicion-escudo.wav", "PowSound1")
		self.powsound1.Volume=1.0
		self.powsound1.MinDistance=10000
		self.powsound1.MaxDistance=30000
		
		self.powsound2=Bladex.CreateSound("..\\..\\Sounds\\absorcion.wav", "PowSound2")
		self.powsound2.Volume=1.0
		self.powsound2.MinDistance=10000
		self.powsound2.MaxDistance=30000
		
		self.firesound3=Bladex.CreateSound("..\\..\\Sounds\\fuego-ascende.wav", "FireSound3")
		self.firesound3.Volume=1.0
		self.firesound3.MinDistance=10000
		self.firesound3.MaxDistance=30000
		
		self.firesound4=Bladex.CreateSound("..\\..\\Sounds\\M-impacto-barrera-44.wav", "FireSound4")
		self.firesound4.Volume=1.0
		self.firesound4.MinDistance=10000
		self.firesound4.MaxDistance=30000
		
		self.icesound1=Bladex.CreateSound("..\\..\\Sounds\\M-rafaga-viento.wav", "IceSound1")
		self.icesound1.Volume=1.0
		self.icesound1.MinDistance=10000
		self.icesound1.MaxDistance=30000
		
		self.icesound2=Bladex.CreateSound("..\\..\\Sounds\\aplastamiento.wav", "IceSound2")
		self.icesound2.Volume=1.0
		self.icesound2.MinDistance=10000
		self.icesound2.MaxDistance=30000
		
		self.disappsound=Bladex.CreateSound("..\\..\\Sounds\\desaparece-vamp1.wav", "DisappSound")
		self.disappsound.Volume=1.0
		self.disappsound.MinDistance=10000
		self.disappsound.MaxDistance=30000
		
		self.equakesound=Bladex.CreateSound("..\\..\\Sounds\\Rock-floor-collapse.wav", "EquakeSound")
		self.equakesound.Volume=1.0
		self.equakesound.MinDistance=10000
		self.equakesound.MaxDistance=30000
		
		self.rockhitsound=Bladex.CreateSound("..\\..\\Sounds\\rotura-piedra.wav", "RockHitSound")
		self.rockhitsound.Volume=1.0
		self.rockhitsound.MinDistance=10000
		self.rockhitsound.MaxDistance=30000
		
		self.dohsound=Bladex.CreateSound("..\\..\\Sounds\\doe.wav", "DohSound")
		self.dohsound.Volume=0.8
		self.dohsound.Pitch=0.8
		self.dohsound.MinDistance=10000
		self.dohsound.MaxDistance=30000
		
		self.shimmer1=Bladex.CreateSound("..\\..\\Sounds\\shimmer1.wav", "Shimmer1Sound")
		self.shimmer1.Volume=0.9
		self.shimmer1.MinDistance=10000
		self.shimmer1.MaxDistance=30000
		
		self.whoosh1=Bladex.CreateSound("..\\..\\Sounds\\whoosh1.wav", "Whoosh1Sound")
		self.whoosh1.Volume=1.0
		self.whoosh1.MinDistance=10000
		self.whoosh1.MaxDistance=30000
		
		self.argh1=Bladex.CreateSound("..\\..\\Sounds\\muerteTkn3.wav", "Argh1Sound")
		self.argh1.Volume=1.0
		self.argh1.MinDistance=10000
		self.argh1.MaxDistance=30000
				
		self.sndeat1=Bladex.CreateSound("..\\..\\Sounds\\masticar22.wav", "Eat1Sound")
		self.sndeat1.Volume=1.0
		self.sndeat1.MinDistance=10000
		self.sndeat1.MaxDistance=30000
		
		
		
	######### End of Save Stuff  #######################################################################################
	####################################################################################################################
	
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		AniSoundWiz.AsignarSonidosWizard(EntityName)
		
		
	def NewNewCombo(self,EntityName,ComboName):
		import GameText
		me = Bladex.GetEntity(EntityName)
		if EntityName<>"Player1":
			return
		ComboTXT = MasklinComboNames.GetComboName(EntityName,ComboName)
		if ComboTXT:
			GameText.WriteTextAux(MenuText.GetMenuText("New Attack")+": "+ ComboTXT,2.0,150,180,180,[],None,1)
			new_combo_sound.Stop()
			new_combo_sound.PlayStereo()
		
		
	def SwitchMesh(self, NewMeshName):
		me = Bladex.GetEntity(self.Name)
		if me.MeshName=="Werewolf":
			print "No swapping mesh while in Werewolf mode"
			return 0
			
		if self.magicaura:
			me.Unlink(self.magicaura)
		if self.LightOn:
				self.KillLight()
			
		right= me.InvRight
		left= me.InvLeft
		rightback= me.InvRightBack
		leftback= me.InvLeftBack
		inv= me.GetInventory()
		inv.LinkRightHand ("")
		inv.LinkLeftHand ("")
		inv.LinkBack("")
		
	  	me.SetMesh(NewMeshName)
		self.OrigMeshName=NewMeshName
        		
		if rightback:
			inv.LinkRightHand (rightback)
			inv.LinkRightBack(rightback)
		if leftback:
			inv.LinkLeftHand (leftback)
			inv.LinkLeftBack(leftback)
		if right:
			inv.LinkRightHand (right)
		if left:
			inv.LinkLeftHand (left)
		if self.magicaura:
			me.Link(self.magicaura)
			if self.MagicPower:
				self.magicaura.SetAuraActive(1)	
		
		
		
	def OnKilledEnemy(self,KilledEntityName):
		Reference.debugprint("OnKilledEnemy")
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			print "OnKilledEnemy(): Error: None Entity"
			return
		if IsItAConjouredDemon(KilledEntityName):
			print "No making demons just to kill them for the XP"
			return
			
		me=Bladex.GetEntity(self.Name)
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)

		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)

		if self.Name=="Player1":  
			import Scorer
			if me.PartialLevel>=LevelLimit:
				while me.PartialLevel>=LevelLimit:
					me.PartialLevel=me.PartialLevel-LevelLimit
					me.Level=me.Level+1
					LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
				Scorer.LevelUp()
				Scorer.SetLevelLimits(0,CharStats.GetCharExperienceCost(me.CharType,me.Level))
				maxlevel=CharStats.GetMaxLevel()
				maxsize=50+(140/maxlevel)*me.Level # 50->190
				maxPPS=120+(600/maxlevel)*me.Level # 120->720
				maxint=0.5+(4.5/maxlevel)*me.Level # 0.5->5.0
				AuraParams=(5, 0, 1, 0, 0, 1)
				AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
				AuraVar1Args=(5, maxsize, 0, 1, 0.5)
				AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
				PSParams=(self.LevelUpParticleData, "LevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
				GenFX.LevelUpFX("Player1", 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15, "..\\..\\Sounds\\aparicion-escudo.wav")
				
				if me.Life >0: 
					me.ResetWounds()
					me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
				Scorer.SlideTBS(0)
				Scorer.LevelUpFlash()
				self.AddMagic(1200,0)
				if self.ClawName and me.MeshName=="Werewolf":
					claw=Bladex.GetEntity(self.ClawName)
					self.SetClawDamage()
				if self.LevelupFunc:
					apply(self.LevelupFunc)
				if me.Level<=19:
					self.MagicPenaltyIncr=self.MagicPenaltyIncr+1
			if netgame.GetNetState() == 0:
				Scorer.SetLevelBarValue(me.PartialLevel)
			rew=GetMagicReward(KilledEntityName)	
			self.AddMagic(rew)
			
				
				
				
	def ImDeadFunc(self, EntityName):
		me=Bladex.GetEntity(EntityName)	
		if self.RespawnActive:
			import Scorer
			me.Wuea = Reference.WUEA_ENDED
			Bladex.KillMusic()
			Bladex.AddScheduledFunc(Bladex.GetTime() + 0.8, Scorer.SetVisible,(0,))
			Bladex.AddScheduledFunc(Bladex.GetTime() + 0.8, MagicScorer.MscorerHide,())	
			Bladex.AddScheduledFunc(Bladex.GetTime() + 3.0, AuxFuncs.FadeTo, (7.0, 0.0,100,0,0,))
			Bladex.AddScheduledFunc(Bladex.GetTime() + 9.0, self.WizReSpawn,(EntityName,))		
			if self.LightOn:
				self.KillLight()
			if self.DeathFunc:
				apply(self.DeathFunc)
		else:
			Basic_Funcs.PlayerPerson.PCImDead(self,EntityName)
				
				
				
	def WizReSpawn (self, EntityName):	
		import Scorer	
		me = Bladex.GetEntity(EntityName)
		if self.magicaura:
			me.Unlink(self.magicaura)
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, Scorer.SetVisible,(1,))	
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.2, self.ResetWidgets,())
		me.PartialLevel = me.PartialLevel - (CharStats.GetCharExperienceCost(me.CharType,me.Level))
		if me.PartialLevel < 0:
			me.PartialLevel = 0
		Scorer.SetLevelBarValue(me.PartialLevel)
		Bladex.RemoveAfterFrameFunc("Fade")
		me.LaunchAnmType("Rlx")
		if me.MeshName=="Wizard_X":
			me.SelfIlum=0.3
		else:
			me.SelfIlum=0
		self.ReSpawn(EntityName)
		if self.RespawnPos:
			me.Position=self.RespawnPos[0],self.RespawnPos[1],self.RespawnPos[2]
		else:
			pass
		AuxFuncs.ResetScene()
		Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, AuxFuncs.FadeFrom, (3.5, 0.0,100,0,0,))
		if self.magicaura and not me.MeshName=="Werewolf":
			me.Link(self.magicaura)
			if self.MagicPower:
				self.magicaura.SetAuraActive(1)	
		
				
	#### Call Help funcs	#####################################################################################
	
	
	def AddAlly(self, AllyName):
		self.AllyList.append(AllyName)
		
		
	def RemoveAlly(self, AllyName):
		if AllyName in self.AllyList:
			self.AllyList.remove(AllyName)
			print AllyName+" signing off"
		
		
		
	def GetMySelectedEnemy(self,EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.selected_enemy:
			ene=Bladex.GetEntity(me.selected_enemy[0])
			if ene and ene.Person:
				return ene
			return None	
		return None	
	
	
	def ResetHelpcalled(self):
		self.Helpcalled=0
		
		
	def CallHelp(self,EntityName):
		#print "Calling For Help"
		if self.Helpcalled==1:
			return
		self.Helpcalled=1
		me = Bladex.GetEntity(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3,self.CallHelp2,(EntityName,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.0, self.ResetHelpcalled,())
		
		
	def CallHelp2(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.0, self.ResetHelpcalled,())
		if len(self.AllyList)==0:
			return
		for id in self.AllyList:
			buddy=Bladex.GetEntity(id)
			if buddy.Life>0 and AmIRelaxing(buddy.Name):
				if buddy.Data.Asleep:
					buddy.Data.WakeMeUp(buddy.Name)
				if buddy.Kind=="Fem1Wiz":
					buddy.Data.DrawWeapons(buddy.Name)	
					
					
				buddy.SetOnFloor() 
				myname=buddy.Name
				combatant=0
				try:
					if buddy.Data.Combatant:
						combatant=1
				except AttributeError:
						pass
				
				
				dist=B3DLib.GetXZDistance('Player1', buddy.Name)
				if buddy.Data.OnGuard:
					if not self.CheckForNearbyEnemy(buddy.Name, EntityName):
						if not buddy.InCombat:
							print buddy.Name," regroup"
							try:
								buddy.Data.GoBackToPost(buddy.Name)
							except AttributeError:
								pass
				else:
					if dist>30000 and dist <80000 and not buddy.CanISee(me) and not buddy.InCombat and combatant:
						if me.ActiveEnemy:
							buddy.GoToJogging=1
						else:
							buddy.GoToJogging=0
						x,y,z=me.Rel2AbsPoint(0,-1000,0)# 1 metres in front
						if buddy.AstarState<>Enm_Def.ASTAR_SOLVED and not combatant:
							buddy.GoTo(x,y,z)
		   					print "Going to help: ",myname
						else:
							Actions.TurnToFaceEntity(buddy.Name,me.Name)
		   					print "Turning to far away Player1 ",myname
		   			
		   			else:
		   				if not self.CheckForNearbyEnemy(buddy.Name, EntityName):
		   					if me.ActiveEnemy:
		   						ene=GetMySelectedEnemy(EntityName)
								if ene and ene.Person:
		   							Actions.TurnToFaceEntity(buddy.Name,ene.Name)
		   							print "Turning to Player opponent ",ene.Name,myname	
		   					else:
		   						Actions.TurnToFaceEntity(buddy.Name,me.Name)
		   						print "Turning to Player1 ",myname				
				
				
						
						
	def CheckForNearbyEnemy(self,AllyName, EntityName):
		#print "Checking for nearby enemies"
		buddy= Bladex.GetEntity(AllyName)
		me = Bladex.GetEntity(EntityName)
		pjp=buddy.Position	
		enes=Bladex.GetEntitiesAt(pjp[0],pjp[1],pjp[2],25000)
		for i in enes:
			possene= Bladex.GetEntity(i)
			if possene.Person:			
				if possene.Life>0 and possene.Name!=buddy.Name and possene.Name!="Player1" and CheckIfAlly(possene.Name) and me.CanISee(possene):
					Actions.TurnToFaceEntity(buddy.Name, possene.Name)
					#print "Enemy found near: ",buddy.Name,possene.Name
					return 1	
		return 0
						
						
						
	######################################################################################################
	### Lycanthropy 
	
	
	def WolfLifeReduction(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.MeshName!="Werewolf":
			return
		if me.Life<120:
			lifeinc=2
		else:
			lifeinc=int(me.Life/60)
		me.Life=me.Life-lifeinc
		self.SubtractMagic(100)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 30.0, self.WolfLifeReduction,(EntityName,))
		
	
	def FallOver(self, EntityName):
		print "Falling Over"
		if self.MagicLevel>10:
			Bladex.SetTimeSpeed(0.7)
			me = Bladex.GetEntity(EntityName)
			me.LaunchAnmType("transform")
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.8, self.Transmogrification,(EntityName,))
			x,y,z=me.Position
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.1,self.argh1.Play,(x, y, z, 0,))
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.7,self.powsound1.Play,(x, y, z, 0,))
			if self.LightOn:
				self.KillLight()
			robj=Bladex.GetEntity(me.InvRight)
			if robj:
				Actions.RemoveFromInventory (me, robj,"DropRightEvent")
				robj.Impulse(0.0, 0.0, 0.0)
				Reference.EntitiesSelectionData[robj.Name]=(0.0,0.0,"")
				Bladex.AddScheduledFunc(Bladex.GetTime()+1.0,AuxFuncs.FadeObject,(robj.Name,1.0,0.0,2.0,1,))
			me.AnmEndedFunc=None
		else:
			Actions.ReportMsg("Not Enough Magic for Transformation")
		
		
	
	def SetClawDamage(self):
		me = Bladex.GetEntity(self.Name)
		claw=Bladex.GetEntity(self.ClawName)
		clawdam=me.Level*8
		Reference.EntitiesObjectData[claw.Name]=[Reference.OBJ_STANDARD, clawdam, 0, 0.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
		
		
	
	def Transmogrification(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		Bladex.SetTimeSpeed(0.7)
		AuxFuncs.FadeFrom(1.0,0.0,255,128,128)
		self.OrigMeshName=me.MeshName
		me.SelfIlum=0
		inv=me.GetInventory()
		self.SavedInvItems=[]
		DropEntities=[]
		dx,dy,dz=0,50000,0
		if me.Life>0:
			if self.magicaura:
				me.Unlink(self.magicaura)
			if self.MagicPower:########### Magic disabled when going to Werewolf mode
				self.MagicPower=0
			if self.LightOn:
				self.KillLight()
				
			# rhwpweapon SHOULD be sheathed at this point.....
			rwp=Bladex.GetEntity(me.InvRight)
			lwp=Bladex.GetEntity(me.InvLeft)
			rbkwp=Bladex.GetEntity(me.InvRightBack)
			lbkwp=Bladex.GetEntity(me.InvLeftBack)
			if rbkwp:
				inv.LinkRightBack("None")
			if lbkwp:
				inv.LinkLeftBack("None")
			if rwp:
				inv.LinkRightHand("None")
			if lwp:
				inv.LinkLeftHand("None")
        		for id in range(inv.nWeapons):
				sd = inv.GetWeapon (id)
	  			if sd:
	    				ent = Bladex.GetEntity(sd)
	    				self.SavedInvItems.append(ent.Name)
        		for id in range(inv.nShields):
				sh = inv.GetShield (id)
	  			if sh:
	    				ent = Bladex.GetEntity(sh)
	    				self.SavedInvItems.append(ent.Name)
	    		for id in range(inv.nQuivers):
				qv = inv.GetQuiver (id)
	  			if qv:
	    				ent = Bladex.GetEntity(qv)
	    				self.SavedInvItems.append(ent.Name)
	    		for id in range(inv.nKeys):
				ky = inv.GetKey (id)
	  			if ky:
	    				ent = Bladex.GetEntity(ky)
	    				self.SavedInvItems.append(ent.Name)
	  			
        		for id in range(inv.nObjects):
	  			for ob in Actions.GetListOfObjectsAt(inv,id):
	    				if ob:
	          				ent = Bladex.GetEntity(ob)
	      					self.SavedInvItems.append(ent.Name)
	    				
	      		print "Saved Items are..",self.SavedInvItems
      			for i in self.SavedInvItems:
	  			obj=Bladex.GetEntity(i)
	  			if obj:
	  				Actions.RemoveFromInventory (me, obj, "")
	  				obj.Position=dx,dy,dz
	  				
			me.SetMesh("Werewolf")
			if self.Poisoned:
				self.UnVenom()
			self.OrigResistances=self.Resistances
			self.Resistances={'Impale': 0.70, 'Slash': 0.80, 'Crush': 0.85, 'Fire': -1.00, 'Ice': -1.00, 'Venom': 1.00, 'Light': -1.00, 'Electric': 0.00, 'Acid': 0.00, 'Drain': 1.00}
			self.FAttack = 4.0
			self.FDefense = 4.0
			self.DamageFactorNone  = 0.15
			self.DamageFactorLight = 0.25
			
			if self.ClawName:
				claw=Bladex.GetEntity(self.ClawName)
				Actions.TakeObject(me.Name, claw.Name)
				self.SetClawDamage()
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 1.4, Bladex.SetTimeSpeed,(1.0,))
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 1.5, self.RestoreVunerabilty,(EntityName,))
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 60.0,self.WolfLifeReduction,(EntityName,))
			print "Converted to Wolf"
		
		
		
		
	def EatHerb(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		x,y,z=me.Position
		if self.Invisible:
			Actions.ReportMsg("The potion will not work while invisible")
			robj=Bladex.GetEntity(me.InvRight)
			if robj:
				Actions.RemoveFromInventory (me, robj,"DropRightEvent")
				robj.Impulse(0.0, 0.0, 0.0)
			return
		self.MakeMeInvunerable(EntityName)
		me.LaunchAnmType("eat00")
		print "Eating Wolf herb"
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.1,self.sndeat1.Play,(x,y,z,0,))
		if me.MeshName=="Werewolf":
			me.AnmEndedFunc=self.Recover
		else:
			me.AnmEndedFunc=self.FallOver
			
			
			
		
	def Recover(self, EntityName):
		print "Recovering"
		me = Bladex.GetEntity(EntityName)
		me.LaunchAnmType("rlx_vt")
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.4, self.BackToNormal,(EntityName,))
		x,y,z=me.Position
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3,self.ballconcsound.Play,(x, y, z, 0,))
		
		robj=Bladex.GetEntity(me.InvRight)
		if robj:
			Actions.RemoveFromInventory (me, robj,"DropRightEvent")
			robj.Impulse(0.0, 0.0, 0.0)
			Reference.EntitiesSelectionData[robj.Name]=(0.0,0.0,"")
			Bladex.AddScheduledFunc(Bladex.GetTime()+1.0,AuxFuncs.FadeObject,(robj.Name,1.0,0.0,2.0,1,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 1.5,self.RestoreVunerabilty,(EntityName,))
		me.AnmEndedFunc=None
		
		
		
		
	def BackToNormal(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		inv=me.GetInventory()
		if me.Life>0:
			AuxFuncs.FadeFrom(1.0,0.0,128,128,255)
			if self.magicaura:
				me.Link(self.magicaura)
				self.magicaura.SetAuraActive(0)	
			
			if self.OrigMeshName:
				print "resetting mesh to ",self.OrigMeshName
				me.SetMesh(self.OrigMeshName)
			if len(self.SavedInvItems)!= 0:
				for i in self.SavedInvItems:
					thing=Bladex.GetEntity(i)
					if thing:
						try:
							Actions.TakeObject("Player1",thing.Name)
						except:
							pass
			self.Resistances=self.OrigResistances
			self.FAttack = 1.0
			self.FDefense = 1.0
			self.DamageFactorNone  = -0.001
			self.DamageFactorLight = 0.1
			me.DamageFunc=WizDamage
			if self.OrigMeshName=="Wizard_X":
				me.SelfIlum=0.3
		
			
			
	#############################################################################################################
	### Magic Powers consume your health
	
	def UseHealth(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		
		if self.MagicPower==1:
			if me.Life>0:
				life=me.Life
				me.Life=life-self.MagicPenaltyIncr
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 20.0, self.UseHealth,(EntityName,))
			print "I have my magic enabled so I am loosing HP"
		
			
	
	def LooseHealth(self, EntityName, HealthLoss):
		me = Bladex.GetEntity(EntityName)
		if me.Life>0:
			me.Life=me.Life-HealthLoss
			
	
	def SubtractMagic(self,MagicValue):
		if self.MagicLevel<MagicValue:
			self.MagicLevel=10
			MagicScorer.SetMagicBarValue(self.MagicLevel)
			print "I have used all my magic!"
			me=Bladex.GetEntity(self.Name)
			if me.MeshName=="Werewolf":
				if me.ActiveEnemy:
					try:
						me.SetActiveEnemy(None)
						ene=Bladex.GetEntity(me.ActiveEnemy)
						ene.LaunchAnmType("hurt_f_big")
					except:
						pass
				self.MakeMeInvunerable(self.Name)
				self.Recover(self.Name)
				
		else:
			newmagiclevel=self.MagicLevel-MagicValue
			MagicScorer.SetMagicBarValue(newmagiclevel)
			self.MagicLevel=newmagiclevel	
			print "using up magic"
			
			
	def AddMagic(self,MagicValue,playsnd=1):
		me = Bladex.GetEntity(self.Name)
		if me.MeshName=="Werewolf":
			return
	
		newmagiclevel=self.MagicLevel+MagicValue
		if newmagiclevel<10000:
			MagicScorer.SetMagicBarValue(newmagiclevel)
			self.MagicLevel=newmagiclevel
			if playsnd:
				Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.8,self.shimmer1.PlayStereo,())
			print "adding magic"
		else:
			self.MagicLevel=10000
			MagicScorer.SetMagicBarValue(self.MagicLevel)
			print "can't hold any more magic"
			
	
	
	def GetAllyMagicReward(self,KilledEntityName):
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		rew=GetMagicReward(KilledEntityName)	
		self.AddMagic(rew,0)
		print "adding magic from ally kill ",rew
			
			
	###############################################################################################################
	#### Powup FX		
				
	def PowupFX2(self,EntityName):
		print "powupFX2"
		AuraParams=(5, 0, 1, 0, 0, 1)
		AuraGradient=(2, 1.0, 0.4, 0.2, 0.0, 0.5, 1.0, 0.15, 0.04, 0.0, 0.8)
		AuraVar1Args=(5, 200, 0, 1, 1.0)
		AuraVar2Args=(200, 5, 1, 0, 1.5)
		PSParams=(self.WIZParticleData, "WIZParticle", 30, 10, 40, 200, 400, -600, 0.0, 2, 2, 0.4, 30, 4.2)
		GenFX.LevelUpFX(self.Name, 0, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, 4.0, "Timer15", 15,)
		list_of_nodes=("Head", "L_Shoulder", "L_Elbow", "L_Hand", "R_Shoulder", "R_Elbow", "R_Hand", "Center", "L_Knee", "L_Foot", "R_Knee", "R_Foot")
		GenFX.ElectricDischarge(self.Name, "WIZRayLevelUp", 30, 40, 100, 600, list_of_nodes, 10, 1.5)
		print "about to switch on Aura"
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.2,self.MagicAuraOn,(EntityName,))
	
	def PowupFX1(self,EntityName):
		print "powup FX1"
		pslup=Bladex.CreateEntity("PSWizPowup", "Entity Particle System Dperson", 0, 0, 0)
		pslup.PersonName=self.Name
		pslup.ParticleType="WIZPowupConc" 
		pslup.PPS=400
		pslup.YGravity=0
		pslup.Friction=0.0
		pslup.RandomVelocity=-2
		pslup.NormalVelocity=-20
		pslup.FollowFactor=0.0
		pslup.Time2Live=50
		pslup.Velocity=0.0, 0.0, 0.0
		pslup.DeathTime=Bladex.GetTime()+1.0
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.9, self.PowupFX2, (EntityName,))
		
		
	####################################################################################################################
	
	def FinishMagic(self, EntityName):
		self.DoingMagic=0	
		
	
	def EnableMagicPower(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		staff= Bladex.GetEntity(me.InvRight)
		if staff:
			if staff.Kind=="ProStaff1":
				self.MagicPower=1
				self.Powerup(EntityName)
				self.FAttack = 1.5
				self.SetLiteOnPickup(EntityName)
				Bladex.AddScheduledFunc(Bladex.GetTime()+ 8.0, self.UseHealth,(EntityName,))
				print "magic ON"
			else:
				print "I have not got my magic staff!"
			
	
	def RestoreVunerabilty(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		me.DamageFunc=WizDamage
		print "Vunerability restored"
		
	
	def MakeMeInvunerable(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		#self.ExHitFunc = me.DamageFunc
		me.DamageFunc = PlayerInvunerable
		print "Vunerability ON"
		
		
		
	def StandsBackInAmazement(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		pjp=me.Position	
		enes=Bladex.GetEntitiesAt(pjp[0],pjp[1],pjp[2],3000)
		for i in enes:
			ene= Bladex.GetEntity(i)
			if ene.Person:			
				if ene.Life>0 and ene.Name!= me.Name and CheckIfAlly(ene.Name):
					ene.Wuea=Reference.WUEA_ENDED
					ene.InterruptCombat()
					if ene.Kind in ("Lich","Knight_Zombie","Zomby"):
						# make them fall over lol 
						ene.LaunchAnmType("hurt_big2")
					else:
						ene.LaunchAnmType("hurt_f_big")
				
			
	def Powerup(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.InCombat and me.ActiveEnemy:
			me.SetActiveEnemy(None)
		
		me.LaunchAnmType("powup")
		self.PowupFX1(EntityName)
		x, y, z= me.Position
		self.powsound2.Play(x, y, z, 0)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3,self.StandsBackInAmazement,(EntityName,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 4.3,self.powsound1.Play,(x, y, z, 0,))
		self.MakeMeInvunerable(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 9.3,self.RestoreVunerabilty,(EntityName,))
		
			
	
	def DisableMagicPower(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		self.FAttack = 1.0
		self.MagicPower=0
		self.MagicAuraOff(EntityName)
		self.SetLiteOnPickup(EntityName)####
		QuitMagicFX()
		
	
	def MagicAuraOn(self, EntityName):
		self.magicaura.SetAuraActive(1)
		
	
	def MagicAuraOff(self, EntityName):
		self.magicaura.SetAuraActive(0)
		
		
		
	def SetMagicAttack (self, EntityName, AttNum):
		if not AttNum in (self.SpellBook) and AttNum != 0:
			Actions.ReportMsg("This spell is not within your power")
			return
		self.MagicAttNum=AttNum
		self.ResetWidgets()
		if self.StaffName:
			stf=Bladex.GetEntity(self.StaffName)
			if self.MagicAttNum==0:
				self.StaffLiteParams=[(self.LightIntensDim, 0.55, (40, 40, 40))]
				stf.Data.liteparams=self.StaffLiteParams
			elif self.MagicAttNum==1: # Green poison balls
				self.StaffLiteParams=[(self.LightIntensLow, 0.55, (120, 180, 90))]
				stf.Data.liteparams=self.StaffLiteParams
			elif self.MagicAttNum==2:# Purple haze
				self.StaffLiteParams=[(self.LightIntensLow, 0.55, (240, 28, 180))]
				stf.Data.liteparams=self.StaffLiteParams
			elif self.MagicAttNum==3:# Golden bolts
				self.StaffLiteParams=[(self.LightIntensLow, 0.55, (120, 120, 30))]
				stf.Data.liteparams=self.StaffLiteParams
			elif self.MagicAttNum==4:# wobbly
				self.StaffLiteParams=[(self.LightIntensLow, 0.55, (150, 20, 150))]
				stf.Data.liteparams=self.StaffLiteParams
			elif self.MagicAttNum==5:
				self.StaffLiteParams=[(self.LightIntensLow, 0.55, (105, 90, 10))]
				stf.Data.liteparams=self.StaffLiteParams
			elif self.MagicAttNum==6:
				self.StaffLiteParams=[(self.LightIntensLow, 0.55, (50, 5, 10))]
				stf.Data.liteparams=self.StaffLiteParams
			elif self.MagicAttNum==7:
				self.StaffLiteParams=[(self.LightIntensLow, 0.55, (20, 30, 120))]
				stf.Data.liteparams=self.StaffLiteParams
			elif self.MagicAttNum==8:
				self.StaffLiteParams=[(self.LightIntensLow, 0.55, (100, 100, 120))]
				stf.Data.liteparams=self.StaffLiteParams
			elif self.MagicAttNum==9:
				self.StaffLiteParams=[(self.LightIntensLow, 0.55, (40, 30, 10))]
				stf.Data.liteparams=self.StaffLiteParams
			if IsHoldingStaff()==1:
				stf.Data.ResetLite(stf.Name)
		
		
	def CheckLiteState(self, EntityName, EventName):
		print "checking LITE state"
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.2, self.CheckVisibiltyOnPickup,(EntityName,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3, self.SetLiteOnPickup,(EntityName,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.5, self.CheckForNewWeapon,(EntityName,))
		
		
	def CheckVisibiltyOnPickup(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		
		robj=Bladex.GetEntity(me.InvRight)
		if robj:
			if me.MeshName!="Werewolf":
				if self.Invisible and not self.Fading:
					robj.Alpha=0.1
					robj.CastShadows=0
				else:
					robj.Alpha=1.0
					robj.CastShadows=1
			
			if robj.Kind=="ProWolfPot1":
				me.AnmEndedFunc=self.DrinkWolfPotion
			if robj.Kind=="ProWolfHerb1":
				me.AnmEndedFunc=self.EatHerb
		
		
	def IsValidForChucking(self,WeaponName):
		wp=Bladex.GetEntity(WeaponName)
		if wp.Kind[:4]=="Arco":
			return FALSE
		badwps=("ProStaff1",
		        "WizardSword",
		        "WizBow1",
		        "ProWolfClaw",
			"BladeSword2",
			"BladeSword2Barbarian") 
		if wp.Kind in badwps:
			return FALSE
		return TRUE   
			       
			    
		
				
	def CheckForNewWeapon(self,EntityName):		
		me = Bladex.GetEntity(EntityName)
		inv=me.GetInventory()
		for id in range(inv.nWeapons):
			wp = inv.GetWeapon (id)
			nuwep = Bladex.GetEntity(wp)
	  		if nuwep:
	  			if nuwep.Data and nuwep.Data.__class__== MasklinMagic.EnchantedWeapon:
	  				return
	  			if self.IsValidForChucking(nuwep.Name):
					nuwep.Data=MasklinMagic.EnchantedWeapon(nuwep)
					print "New picked up weapon enchanted ",nuwep.Name
	  		
	  		
		
	def SetLiteOnPickup(self, EntityName):
		stf=Bladex.GetEntity(self.StaffName)
		if stf:
			if IsHoldingStaff()==1:
				if self.MagicPower==1:
					print "Resetting lite"
					print self.MagicAttNum
					if self.MagicAttNum==1:
						self.StaffLiteParams=[(self.LightIntensLow, 0.55, (110, 180, 90))]
						stf.Data.liteparams=self.StaffLiteParams
					elif self.MagicAttNum==2:
						self.StaffLiteParams=[(self.LightIntensLow, 0.55, (240, 28, 180))]
						stf.Data.liteparams=self.StaffLiteParams
					elif self.MagicAttNum==3:
						self.StaffLiteParams=[(self.LightIntensLow, 0.55, (120, 120, 30))]
						stf.Data.liteparams=self.StaffLiteParams
					elif self.MagicAttNum==4:
						self.StaffLiteParams=[(self.LightIntensLow, 0.55, (150, 20, 150))]
						stf.Data.liteparams=self.StaffLiteParams
					elif self.MagicAttNum==5:
						self.StaffLiteParams=[(self.LightIntensLow, 0.55, (105, 90, 10))]
						stf.Data.liteparams=self.StaffLiteParams
					elif self.MagicAttNum==6:
						self.StaffLiteParams=[(self.LightIntensLow, 0.55, (100, 5, 10))]
						stf.Data.liteparams=self.StaffLiteParams
					elif self.MagicAttNum==7:
						self.StaffLiteParams=[(self.LightIntensLow, 0.55, (20, 30, 120))]
						stf.Data.liteparams=self.StaffLiteParams
					elif self.MagicAttNum==8:
						self.StaffLiteParams=[(self.LightIntensLow, 0.55, (100, 100, 120))]
						stf.Data.liteparams=self.StaffLiteParams
					elif self.MagicAttNum==9:
						self.StaffLiteParams=[(self.LightIntensLow, 0.55, (40, 30, 10))]
						stf.Data.liteparams=self.StaffLiteParams
					elif self.MagicAttNum==0:
						self.StaffLiteParams=[(self.LightIntensLow, 0.55, (40, 40, 40))]
						stf.Data.liteparams=self.StaffLiteParams
					else:
						self.StaffLiteParams=[(self.LightIntensDim, 0.55, (40, 40, 40))]# Default
					stf.Data.liteparams=self.StaffLiteParams
					stf.Data.ResetLite(stf.Name)
					print "ResetLite Data: Holding staff_> Magic ON"
				else:
					self.StaffLiteParams=[(self.LightIntensDim, 0.55, (40, 40, 40))]# Default
					stf.Data.liteparams=self.StaffLiteParams
					stf.Data.ResetLite(stf.Name)
					print "ResetLite Data1: Holding staff but no Magic"
			else:
				self.StaffLiteParams=[(0.0, 0.55, (40, 40, 40))]
				stf.Data.liteparams=self.StaffLiteParams
				stf.Data.ResetLite(stf.Name)
				print "ResetLite Data3: No Staff in hand"
		else:
			print "Where is my staff"
			
	
	
	def GetNewSpell(self, spellnum):
		self.SpellBook.append(spellnum)
		self.ResetWidgets()
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3,self.whoosh1.PlayStereo,())
		import Scorer
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3,Scorer.SlideTBS,(0,))



	def GetNewSwordPower(self, pownum):
		self.SwordPowers.append(pownum)
		import Scorer
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.3,Scorer.SlideTBS,(0,))
		
		
	
	def ResetWidgets(self):
		for num in self.SpellBook:
			if num==1:
				MagicScorer.Show1()
				if self.MagicAttNum==num:
					MagicScorer.Full1()
				else:
					MagicScorer.Dim1()
			elif num==2:
				MagicScorer.Show2()
				if self.MagicAttNum==num:
					MagicScorer.Full2()
				else:
					MagicScorer.Dim2()
			elif num==3:
				MagicScorer.Show3()
				if self.MagicAttNum==num:
					MagicScorer.Full3()
				else:
					MagicScorer.Dim3()
			elif num==4:
				MagicScorer.Show4()
				if self.MagicAttNum==num:
					MagicScorer.Full4()
				else:
					MagicScorer.Dim4()
			elif num==5:
				MagicScorer.Show5()
				if self.MagicAttNum==num:
					MagicScorer.Full5()
				else:
					MagicScorer.Dim5()
			elif num==6:
				MagicScorer.Show6()
				if self.MagicAttNum==num:
					MagicScorer.Full6()
				else:
					MagicScorer.Dim6()
			elif num==7:
				MagicScorer.Show7()
				if self.MagicAttNum==num:
					MagicScorer.Full7()
				else:
					MagicScorer.Dim7()
			elif num==8:
				MagicScorer.Show8()
				if self.MagicAttNum==num:
					MagicScorer.Full8()
				else:
					MagicScorer.Dim8()
			elif num==9:
				MagicScorer.Show9()
				if self.MagicAttNum==num:
					MagicScorer.Full9()
				else:
					MagicScorer.Dim9()
			elif num==10:
				MagicScorer.Show10()
				if self.MagicAttNum==num:
					MagicScorer.Full10()
				else:
					MagicScorer.Dim10()
									
		
	# Triggered from Attack move 
	
	def LaunchMagic (self, EntityName):
		if self.DoingMagic==1:
			return
		me = Bladex.GetEntity(EntityName)
		if me.InCombat:
			en= Bladex.GetEntity(me.ActiveEnemy)
			if en and en.Person:
				distance = B3DLib.GetXZDistance(me.Name, en.Name)
				if distance>4000:
					#if self.DoingMagic==0:
					if IsHoldingStaff() == 1:
						Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.0, self.FinishMagic,(EntityName,))
						self.DoingMagic=1
						if self.MagicAttNum==0:
							pass
						elif self.MagicAttNum==1:
							self.LaunchMagicAtt_Balls(EntityName)
						elif self.MagicAttNum==2:
							self.LaunchMagicAtt_Shoot(EntityName)
						elif self.MagicAttNum==3:
							self.LaunchMagicAtt_Shoot(EntityName)
						elif self.MagicAttNum==4:
							self.LaunchMagicAtt_Wobbly(EntityName)
						elif self.MagicAttNum==5:
							if ValidAppear(me.Position[0],me.Position[1],me.Position[2],3000)!= 1:
								return
							self.LaunchMagicAttack_Demon(EntityName)
						elif self.MagicAttNum==6:
							self.LaunchMagicAtt_HomingMissile(EntityName)
						elif self.MagicAttNum==7:
							self.LaunchMagicAtt_Moon(EntityName)
						elif self.MagicAttNum==8:
							self.LaunchMagicAtt_Shoot(EntityName)
						elif self.MagicAttNum==9:
							self.LaunchMagicAtt_Earthquake(EntityName)
					else:
						print "I am not holding my Staff"
		else:
			print "No enemy"
			if IsHoldingStaff():
				print "I am holding Staff"
				self.DoingMagic=1
				Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.0, self.FinishMagic,(EntityName,))
				if self.MagicAttNum==1:
					self.LaunchMagicAtt_Balls(EntityName)	
					print "LaunchMagicAtt_Balls...."
				elif self.MagicAttNum==2:
					self.LaunchMagicAtt_Shoot(EntityName)
				elif self.MagicAttNum==3:
					self.LaunchMagicAtt_Shoot(EntityName)
				elif self.MagicAttNum==4:
					self.LaunchMagicAtt_Wobbly(EntityName)
				elif self.MagicAttNum==5:
					if ValidAppear(me.Position[0],me.Position[1],me.Position[2],3000)!= 1:
						return
					self.LaunchMagicAttack_Demon(EntityName)
				elif self.MagicAttNum==6:
					self.LaunchMagicAtt_HomingMissile(EntityName)
				elif self.MagicAttNum==7:
					self.LaunchMagicAtt_Moon(EntityName)
				elif self.MagicAttNum==8:
					self.LaunchMagicAtt_Shoot(EntityName)
				elif self.MagicAttNum==9:
					self.LaunchMagicAtt_Earthquake(EntityName)
			
	####################################################################################################################
	############ Night Vision
	
	def StartUseUpLitePower(self):
		if self.LightOn:
			self.UseUpLitePower()
		
	def UseUpLitePower(self):
		if self.LightOn:
			if self.MagicLevel>50:
				self.SubtractMagic(40)
				Bladex.AddScheduledFunc(Bladex.GetTime()+20, self.UseUpLitePower,())
				if self.MagicLevel<200:
					lite=Bladex.GetEntity(self.HeadLightName)
					if lite and lite.Intensity>7.0:
						lite.Flick=1
						AuxFuncs.SpotIntensityVariation(self.HeadLightName, 6.0, 2.0, 6.0 , 0)
			else:
				self.KillLight()
				Actions.ReportMsg("Magic Power is Exhausted")
			
			
	def ResetLightVar(self,lite):
		self.LightOn=0
		lite.SubscribeToList("Pin")
		self.HeadLightName=""
					
								
	def LightUp(self):
		if self.MagicLevel>10:
			me=Bladex.GetEntity(self.Name)
			hx,hy,hz=me.Rel2AbsPoint(0,0,1000)
			if not self.LightOn:
				self.LightOn=1
				print "Lite UP"
				me=Bladex.GetEntity(self.Name)
				self.AGE_Number=self.AGE_Number+1
				lite=Bladex.CreateEntity(self.Name+"_HeadLite_"+`self.AGE_Number`, "Entity Spot",hx,hy,hz)
				lite.Color=25, 146, 168
				lite.Intensity=0.0
				lite.Precission=0.03125
				lite.Flick=0
				lite.Visible=0
				lite.CastShadows=0
				itenslvl=6.0
				if self.MagicLevel<200:
					itenslvl=2.0
					lite.Flick=1
				self.HeadLightName=lite.Name
				AuxFuncs.SpotIntensityVariation(self.HeadLightName, 0.0, itenslvl, 3.0 , 0)
				me.LinkToNode(lite, me.GetNodeIndex("Head"))
				self.StartUseUpLitePower()
			else:
				self.KillLight()
		else:
			Actions.ReportMsg("My Battery is Flat")		
				
	def KillLight(self):
		if self.HeadLightName:
			fadetime=1.5
			lite=Bladex.GetEntity(self.HeadLightName)
			me=Bladex.GetEntity(self.Name)
			Bladex.AddScheduledFunc(Bladex.GetTime()+fadetime,me.Unlink,(lite,))
			AuxFuncs.SpotIntensityVariation(self.HeadLightName, 2.0, 0.0,fadetime+0.1 , 1)
			Bladex.AddScheduledFunc(Bladex.GetTime()+fadetime+0.2, self.ResetLightVar,(lite,))
			
			
		
			
	def RestoreWeaponState(self, WeaponName):
		weapon= Bladex.GetEntity(WeaponName)
		if weapon:
			if weapon.Kind =="ProHealSpell1":
				return		
			if weapon.Parent:
				return
			if weapon.Alpha<0.7:
				weapon.Alpha=1.0
				weapon.CastShadows=1
		
	
	
	
	def CheckAlphaAfterDrop(self,EntityName,EventName):
		me = Bladex.GetEntity(EntityName)
		if me.MeshName !="Werewolf":
			weapon= Bladex.GetEntity(me.InvRight)
			shield= Bladex.GetEntity(me.InvLeft)
			if weapon:
				if not weapon.Kind =="ProHealSpell1":
					Bladex.AddScheduledFunc(Bladex.GetTime()+2.0,self.RestoreWeaponState,(weapon.Name,))
			if shield:
				Bladex.AddScheduledFunc(Bladex.GetTime()+2.1,self.RestoreWeaponState,(shield.Name,))
			
			
		
	
	#################################################################################################################################################
	############ Magic Attacks ######################################################################################################################
	
	############## 1 Chaos Knight Balls ####################
		
	def LaunchMagicAtt_Balls (self, EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life<0:
			return
		me.LaunchAnmType("g_magic01")
		
		
	def MissileImpact(self, EntityName, VictimName, ImpX, ImpY, ImpZ):
		missile=Bladex.GetEntity(EntityName)
		missile.Data.missilesound.StopSound()
		x, y, z=missile.Position
		self.ballsound2.Play(x, y, z, 0)
		impactps=Bladex.CreateEntity("ImpactPS", "Entity Particle System D1", x, y, z)
		impactps.ParticleType="WizMagicMissile"
		impactps.PPS=2000
		impactps.YGravity=1400.0
		impactps.Friction=0.06
		impactps.Velocity=-ImpX/5.0, -ImpY/5.0, -ImpZ/5.0
		impactps.RandomVelocity=40.0
		impactps.Time2Live=20
		impactps.DeathTime=Bladex.GetTime()+0.25
		luzimp=Bladex.CreateEntity("LuzImpacto", "Entity Spot", x-ImpX/10.0, y-ImpY/10.0, z-ImpZ/10.0)
		luzimp.Color=200, 200, 255
		luzimp.Intensity=1.0
		luzimp.Precission=0.001
		luzimp.CastShadows=0
		luzimp.Flick=0
		luzimp.Visible=0
		missileesphere=missile.Data.Sphere
		if missileesphere:
			missile.Unlink(missileesphere)
			AuxFuncs.FadeObject(missileesphere.Name, missileesphere.Alpha, 0.0, 0.5, 1)						
		AuxFuncs.SpotIntensityVariation(luzimp.Name, 1.0, 0.0, 1.0, 1)
		
		missile.Data.OldInflictHitFunc(EntityName, VictimName, ImpX, ImpY, ImpZ)		
		Bladex.AddScheduledFunc(Bladex.GetTime(), self.DeleteMissile, (missile.Name,),"DeleteMissile")
	
	
	
	def MissileOnHit (self, MissileName, hit_entity):
		missile=Bladex.GetEntity(MissileName)
		if hit_entity:
			#print MissileName+" hitting "+hit_entity
			pass
		else:
			missile.Data.missilesound.StopSound()
			x, y, z=missile.Position
			self.ballsound2.Play(x, y, z, 0)
			impactps=Bladex.CreateEntity("ImpactPS", "Entity Particle System D1", x, y, z)
			impactps.ParticleType="WizMagicMissile" 
			impactps.PPS=2000
			impactps.YGravity=1400.0
			impactps.Friction=0.06
			impactps.RandomVelocity=40.0
			impactps.Time2Live=20
			impactps.DeathTime=Bladex.GetTime()+0.25
			luzimp=Bladex.CreateEntity("LuzImpacto", "Entity Spot", x, y, z)
			luzimp.Color=200, 255, 100
			luzimp.Intensity=0.6
			luzimp.Precission=0.001
			luzimp.CastShadows=0
			luzimp.Flick=0
			luzimp.Visible=0
			
			missileesphere=missile.Data.Sphere			
			if missileesphere:
				missile.Unlink(missileesphere)
				AuxFuncs.FadeObject(missileesphere.Name, missileesphere.Alpha, 0.0, 0.5, 1)
			AuxFuncs.SpotIntensityVariation(luzimp.Name, 1.0, 0.0, 1.0, 1)			
			Bladex.AddScheduledFunc(Bladex.GetTime(), self.DeleteMissile, (missile.Name,),"DeleteMissile")
	
	
	def DeleteMissile(self, missileName):
		missile=Bladex.GetEntity(missileName)
		if missile:
			if Reference.EntitiesObjectData.has_key(missile.Name):
				del Reference.EntitiesObjectData[missile.Name]
			missile.Damage=0
			missile.SubscribeToList("Pin")
	
	
	def PrepareBall(self, EntityName, EventName):
		me=Bladex.GetEntity(EntityName)
		if me:
			mcps=Bladex.CreateEntity("MissileConcPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
			mcps.PersonName=EntityName
			mcps.PersonNodeName="R_Hand"
			mcps.FollowFactor=1.0
			mcps.ParticleType="WizSpellEnergyConc"
			mcps.PPS=600
			mcps.YGravity=0.0
			mcps.Friction=0.0
			mcps.Velocity=0.0, 0.0, 0.0
			mcps.RandomVelocity=-8.0
			mcps.NormalVelocity=-8.0
			mcps.Time2Live=30
			mcps.DeathTime=Bladex.GetTime()+1.0
			x,y,z= me.GraspPos("R_Hand")
			self.ballconcsound.Play(x, y, z, 0)
				
				
	
	def ShootBall(self,EntityName,EventName):
		me = Bladex.GetEntity(EntityName)
		magiccost=480
		if self.MagicLevel>magiccost:
			
			if me and me.Life>0:
				#x,y,z= me.GraspPos("R_Hand")
				x,y,z=me.Rel2AbsPoint(0,-1000,0,)
				target= Bladex.GetEntity(me.ActiveEnemy)
				if target:
					target_pos= target.Position
				else:
					target_pos=me.Rel2AbsPoint(0,-30000,0)
					print "target NOT aquired"
				angle= -B3DLib.GetYAngle(target_pos[0]-x,target_pos[1]-y,target_pos[2]-z)
				vx,vy,vz=me.Rel2AbsVector(0.0, -math.cos(angle)*3000, -math.sin(angle)*3000)
			
				msps=Bladex.CreateEntity("MissileShootPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
				msps.PersonName=EntityName
				msps.PersonNodeName="R_Hand"
				msps.ParticleType="WizSpellEnergyConc"
				msps.PPS=1800
				msps.YGravity=0.0
				msps.Friction=0.1
				msps.Velocity=0.0, 0.0, 0.0
				msps.RandomVelocity=20.0
				msps.NormalVelocity=40.0
				msps.Time2Live=15
				msps.DeathTime=Bladex.GetTime()+0.2
				self.ballsound1.Play(x, y, z, 0)
				missileesphere=Bladex.CreateEntity("MissileEsphere", "EsferaNegra", 0.0, 0.0, 0.0)
				missileesphere.Alpha=0.0
				missileesphere.Scale=0.3
				AuxFuncs.FadeObject(missileesphere.Name, 0.0, 0.7, 1.0)
				missileps1=Bladex.CreateEntity("MissilePS1", "Entity Particle System D1", 0.0, 0.0, 0.0)
				missileps1.ParticleType="WizMagicMissile"
				missileps1.PPS=200
			
				missileps1.YGravity=0.0
				missileps1.Friction=0.08
				missileps1.Velocity=0.0, 0.0, 0.0
				missileps1.RandomVelocity=15.0
				missileps1.Time2Live=30
				missileps2=Bladex.CreateEntity("MissilePS2", "Entity Particle System D1", 0.0, 0.0, 0.0)
				missileps2.ParticleType="WizMagicMissile"
				missileps2.PPS=100
				missileps2.YGravity=0.0
				missileps2.Friction=0.04
				missileps2.Velocity=0.0, 0.0, 0.0
				missileps2.RandomVelocity=-5.0
				missileps2.Time2Live=25
			
				missile=ItemTypes.MakeHunterSeekerMissile("MM1"+`self.AGE_Number`, x,y,z,vx,vy,vz, me.ActiveEnemy,"Player1")
				self.AGE_Number=self.AGE_Number+1
				missile.Intensity=1.0
				missile.Color= 100,155,50
				missile.CastShadows=0
				missile.Visible=0
				missile.Flick=0
				missilesound=Bladex.CreateEntity("MissileSound", "Entity Sound", 0, 0, 0)
				missilesound.SetSound("..\\..\\Sounds\\mist-atmos-1.wav")
				missilesound.MinDistance=10000
				missilesound.MaxDistance=20000
				missile.Link(missilesound)
				missile.Link(missileps1)
				missile.Link(missileps2)
				missile.Link(missileesphere)
			
				missileps1.FollowFactor=1.0
				missilesound.PlaySound(-1)
				InitDataField.Initialise(missile)
				
				missile.Data.OldInflictHitFunc=missile.InflictHitFunc
				missile.InflictHitFunc=self.MissileImpact
				missile.OnHitFunc=self.MissileOnHit
				missile.Data.missilesound=missilesound
				missile.Data.Sphere=missileesphere
			
				damfact=me.Level+1
				venfact=me.Level*3
				print "Green ball poison is ",venfact
				Reference.EntitiesObjectData[missile.Name]=[Reference.OBJ_WEAPON,  damfact,  0, 1.0,  Reference.THR_STRAIGHT, [],["Venom",+venfact]]
				missile.ExcludeHitFor(me)
				self.SubtractMagic(magiccost)
		else:
			Actions.ReportMsg("You have run out of Magic!")
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))
	
	
	
	###### Earthquake #######################################
	
	def LaunchMagicAtt_Earthquake(self, EntityName):
		if self.MagicPower==1:
			me = Bladex.GetEntity(EntityName)
			if me.Life<0:
				return
			me.LaunchAnmType("g_magic08")
			
	
	def ContinueQuake(self, Interval, Delta):
		cam= Bladex.GetEntity("Camera")
		cam.EarthQuakeFactor= cam.EarthQuakeFactor-Delta
		if cam.EarthQuakeFactor > 0.0:
			Bladex.AddScheduledFunc(Bladex.GetTime()+Interval,self.ContinueQuake,(Interval, Delta))
		else:
			cam.EarthQuake=FALSE
		
		
	def BeginEarthquake(self,EntityName,EventName):
		me=Bladex.GetEntity(EntityName)
		
		magiccost=2000
		if self.MagicLevel>magiccost: 
			QuakeRange= 10000.0
			me=Bladex.GetEntity(EntityName)
			cam= Bladex.GetEntity("Camera")
			mp=me.Position
			self.rockhitsound.Play(mp[0], mp[1], mp[2],0)
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,self.equakesound.Play,(mp[0], mp[1], mp[2],0,))
		
			# Shake up physical objects around
			objects_in_range= Bladex.GetEntitiesAt(mp[0], mp[1], mp[2],QuakeRange)
			impulse= 40000.0
			for obj_name in objects_in_range:
				object= Bladex.GetEntity(obj_name)
				if (object.Physic or object.Weapon) and not object.Parent:
					op= object.Position;
					x= op[0]-mp[0]; y= op[1]-mp[1]; z= op[2]-mp[2]
					dist= ((x**2.0) + (y**2.0) + (z**2.0))**0.5
					x,y,z= B3DLib.Normalize((x,y-500.0,z))
					factor= ((QuakeRange-dist)/QuakeRange) * impulse
					object.Impulse(x*factor, y*factor,z*factor)
					if AuxFuncs.GetSpot(object):
						object.OnStopFunc= OnOff.TurnOffLight
				elif object.Person and object.Name!= "Player1" and CheckIfAlly(object.Name) and object.Life>0:
					lwp=Bladex.GetEntity(object.InvLeft)
					rwp=Bladex.GetEntity(object.InvRight)
					
					
					if AmIEQProof(object.Name):
						return
					if object.Kind[:5]=="Golem":
						object.Wuea=Reference.WUEA_ENDED
						object.InterruptCombat()
						shockfactor=object.Life/10
						object.Life=int(object.Life/2)
						return
					if rwp:
					
						object.Wuea=Reference.WUEA_ENDED
						object.InterruptCombat()
						object.Data.OldImDeadFunc=object.ImDeadFunc
						object.ImDeadFunc=RemoveFalseWeapon
						try:
							object.DelAnmEventFunc("Start_Weapon")
							object.DelAnmEventFunc("Stop_Weapon")
						except:
							continue
						if rwp.Name!= object.Name+"FalseWeapon":
							if rwp.Data is None:
								Actions.Stop_Weapon (object.Name,"Stop_Weapon")
								if Reference.EntitiesObjectData.has_key(object.InvRight):
									del Reference.EntitiesObjectData[object.InvRight]
								Damage.DropInvalidObjectsOnImpact (object.Name)
								object.Wuea=Reference.WUEA_ENDED
								object.LaunchAnmType("sword_broken")
								inv=object.GetInventory()
								inv.RemoveWeapon(object.InvRight)
								inv.LinkRightHand("None")
								if object.Data.NPC:
									object.Data.ResetCombat (object.Name)
							else:
								Damage.BreakMySword(object.Name)
							fwp=Bladex.CreateEntity(object.Name+"FalseWeapon","Canica",0,0,0,"Weapon")
							Reference.EntitiesObjectData[fwp.Name]=  [Reference.OBJ_WEAPON,  0,  0, 0.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
							fwp.Alpha=0
							fwp.CastShadows=0
							Actions.TakeObject(object.Name,fwp.Name)
						if lwp: 
							if lwp.Kind[:4] !="Arco" and lwp.Kind[:6] != "Piedra":
								Damage.BreakMyShield(object.Name)
					if lwp:
							if lwp.Kind[:6] != "Piedra":
								try:
									inv=object.GetInventory()
									inv.LinkLeftHand("None")
									lwp.TimerFunc=""
									lwp.SubscribeToList("Pin")
									lwp.OnStopFunc= ""
								except:
									pass
					if AmIAFireBreather(object.Name):	
						try:
							object.DelAnmEventFunc("Spit")
							object.DelAnmEventFunc("Stop_Spit")
						except:
							pass
					object.LaunchAnmType("hurt_f_big")
			cam.EarthQuakeFactor=80
			cam.EarthQuake=TRUE
			QuakeTime= 1.5
			Interval= 0.25
			Delta= cam.EarthQuakeFactor/ (QuakeTime/Interval)
		
			Bladex.AddScheduledFunc(Bladex.GetTime()+Interval,self.ContinueQuake,(Interval, Delta))
			self.SubtractMagic(magiccost)
		else:
			Actions.ReportMsg("You have run out of Magic!")
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))

	
	
	#### Flame thrower/Lightning #######################
		
	def LaunchMagicAtt_Shoot (self, EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life<0:
			return
		me.LaunchAnmType("g_magic02")
		
		
	def ShootStuff(self, EntityName,EventName):
		print "Init shoot attack"
		me = Bladex.GetEntity(EntityName)
		wp=Bladex.GetEntity(me.InvRight)
		if wp:
			if wp.Kind=="ProStaff1":
				print"staff held -> shoot"
				if self.MagicAttNum==2:
					self.ShootFlame(EntityName,wp.Name)
				elif self.MagicAttNum==3:
					self.ShootLightning(EntityName,wp.Name)							
				elif self.MagicAttNum==8:
					self.ShootIceStorm(EntityName,wp.Name)	
						
		
						
	########  Flame  ######
			
			
	def FlameFunc(self, fireball_name,end_time,period):
		fireball=Bladex.GetEntity(fireball_name)
		if(fireball):
			prtl=fireball.GetParticleEntity()
			prtl.HitFunc=self.FirePrtlHit
			prtl.ObjCTest= 1
			if(Bladex.GetTime()<end_time):
				Bladex.AddScheduledFunc(Bladex.GetTime()+period,self.FlameFunc,(fireball_name,end_time,period))		
			
			
			
	def ShootFlame (self,EntityName,Weapon):
		me = Bladex.GetEntity(self.Name)
		sound_pos=me.Position
		wp=Bladex.GetEntity(Weapon)
		magiccost=1200
		if self.MagicLevel>magiccost:
			x,y,z = wp.GraspPos("Top")
			if me.ActiveEnemy: 
				SQDistance= me.SQDistance2(Bladex.GetEntity(me.ActiveEnemy))
				max_firefan_dist= 5000.0
				# Get an angle to the target
				target= Bladex.GetEntity(me.ActiveEnemy)
				target_pos= target.Position
				angle= -B3DLib.GetYAngle(target_pos[0]-x,target_pos[1]-y,target_pos[2]-z)
			
				if  SQDistance < (max_firefan_dist*max_firefan_dist):
					# fan out spit
					duration= 0.35
					self.AGE_Number=self.AGE_Number+1
					end_time=Bladex.GetTime()+duration
					period= duration/10.0
					fireball=Bladex.CreateEntity(EntityName+"_Firefanl_"+`self.AGE_Number`,"Entity Particle System D1",x,y,z)
					fireball.ParticleType="PurpleFlame"
					fireball.Time2Live=20
					fireball.YGravity=-4900.0
					fireball.Friction=0.12
					fireball.PPS=512
					fireball.DeathTime=end_time;
					F= 5400.0             # Vector magnitude
					vx,vy,vz=me.Rel2AbsVector(0.0, -math.cos(angle)*F, -math.sin(angle)*F)
					fireball.Velocity=vx,vy,vz
					fireball.RandomVelocity=55.0
					self.FlameFunc(fireball.Name, end_time, period)
					self.firesound1.Play(sound_pos[0], sound_pos[1], sound_pos[2], 0)
				else:
					# fireball spit
					nparticles= 70
					duration= 2.0/60.0 # I think this is a minimum
					self.AGE_Number=self.AGE_Number+1
					end_time=Bladex.GetTime()+duration
					period= duration/7.0
					fireball=Bladex.CreateEntity(EntityName+"_Fireball_"+`self.AGE_Number`,"Entity Particle System D1",x,y,z)
					fireball.ParticleType="PurpleLargeFire"          
					fireball.Time2Live=35
					fireball.YGravity=-400.0
					fireball.Friction=0.075
					fireball.PPS=nparticles/duration
					fireball.DeathTime=end_time;
					F= 25000.0             # Vector magnitude
					vx,vy,vz=me.Rel2AbsVector(1000.0, -math.cos(angle)*F, -math.sin(angle)*F)
					fireball.Velocity=vx,vy,vz
					fireball.RandomVelocity=15.0
					self.FlameFunc(fireball.Name, end_time, period)
					self.firesound2.Play(sound_pos[0], sound_pos[1], sound_pos[2], 0)
			else:
				target_pos=me.Rel2AbsPoint(-500,-15000,0)
				angle= -B3DLib.GetYAngle(target_pos[0]-x,target_pos[1]-y,target_pos[2]-z)
				nparticles= 70
				duration= 2.0/60.0 
				self.AGE_Number=self.AGE_Number+1
				end_time=Bladex.GetTime()+duration
				period= duration/7.0
				fireball=Bladex.CreateEntity(self.Name+"_Fireball_"+`self.AGE_Number`,"Entity Particle System D1",x,y,z)
				fireball.ParticleType="PurpleLargeFire"  
				fireball.Time2Live=30
				fireball.YGravity=-400.0
				fireball.Friction=0.075
				fireball.PPS=nparticles/duration
				fireball.DeathTime=end_time;
				F= 15000.0             
				vx,vy,vz=me.Rel2AbsVector(1000.0, -math.cos(angle)*F, -math.sin(angle)*F)
				fireball.Velocity=vx,vy,vz
				fireball.RandomVelocity=15.0
				self.FlameFunc(fireball.Name, end_time, period)
				self.firesound2.Play(sound_pos[0], sound_pos[1], sound_pos[2], 0)
			self.SubtractMagic(magiccost)
			
		else:
			Actions.ReportMsg("You need more Magic")
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))
			
			
	def FirePrtlHit(self,prtl_name,hit_entity,x,y,z,vx,vy,vz,wcx,wcy,wcz,wdx,wdy,wdz):
		if hit_entity != "BWorld":
			victim=Bladex.GetEntity(hit_entity)
			if victim: 
				if victim.Person:
					me=Bladex.GetEntity(self.Name)
					#lvlfactor=(me.Level+1)
					magicfactor=GetMagicLevelFactor()
					damagefactor=int(magicfactor*2.0)
					print "purple flame damage is ",damagefactor
					
					Reference.EntitiesObjectData[prtl_name]= [Reference.OBJ_WEAPON, 0, 0,   1.0,  Reference.THR_STRAIGHT, Reference.W_FLAG_1H, ["WizFire", + damagefactor]]
					fireproofents=("Golem_stone",
						       "Golem_metal",
					               "Golem_lava",
					               "Golem_clay",
					               "Great_Demon",
					               "ChaosKnight",
					               "DalGurak",
					               "Salamander")
					if victim.Kind not in (fireproofents): 
						victim.DamageFunc(hit_entity, self.Name, prtl_name, "WizFire", 1, -1, x, y, z, 0)
						if Reference.EntitiesObjectData.has_key(prtl_name):
							del Reference.EntitiesObjectData[prtl_name]
						smoke=Bladex.CreateEntity("FireballSmoke", "Entity Particle System D1", x, y, z)
						smoke.ParticleType="DarkSmoke"
						smoke.YGravity=-3000.0
						smoke.Friction=0.05
						smoke.PPS=8
						smoke.Velocity=0.0, -80.0, 0.0
						smoke.RandomVelocity=5.0
						smoke.DeathTime=Bladex.GetTime()+0.5
						node= 0
						victim.LinkToNode(smoke,node)
						if victim.Life>0:
							Damage.DropInvalidObjectsOnImpact (victim.Name)
							victim.Wuea=Reference.WUEA_ENDED
							if victim.InCombat: 
								if victim.Life<int(CharStats.GetCharMaxLife(victim.CharType,victim.Level)/25):
									victim.Life=0
									Actions.FireDeath(victim.Name,"PurpleLargeFire")
									char=Bladex.GetEntity("Player1")
									char.Data.OnKilledEnemy(victim.Name)
								else:
									victim.InterruptCombat()
									victim.LaunchAnmType("hurt_f_big")
							
							else: 
								if victim.Life<int(CharStats.GetCharMaxLife(victim.CharType,victim.Level)/12):
									victim.Life=0
									Actions.FireDeath(victim.Name,"PurpleLargeFire")
									char=Bladex.GetEntity("Player1")
									char.Data.OnKilledEnemy(victim.Name)
								else:
									victim.InterruptCombat()
									victim.LaunchAnmType("hurt_f_big")
				elif victim.Weapon:
					pass
		# This particle should be removed, as it has been converted to smoke
		ptcl=Bladex.GetEntity(prtl_name)
		ptcl.RemoveFromWorld()	

	

	######## Lightning ################
	
	
	def StopLightning (self,EntityName):
		if self.ray1Name:
			ray1= Bladex.GetEntity (self.ray1Name)
			if ray1:
				ray1.Active= 0
				ray1.SubscribeToList("Pin")
			self.ray1Name= None
		if self.ray2Name:
			ray2= Bladex.GetEntity (self.ray2Name)
			if ray2:
				ray2.Active= 0
				ray2.SubscribeToList("Pin")
			self.ray2Name= None
		if self.ray3Name:
			ray3= Bladex.GetEntity (self.ray3Name)
			if ray3:
				ray3.Active= 0
				ray3.SubscribeToList("Pin")
			self.ray3Name= None
	
	
	
	
	def CheckEnemyDamage(self, Enemy):
		ene = Bladex.GetEntity(Enemy)
		if ene.Life<0:
			self.OnKilledEnemy(Enemy)
	
	def ShootLightning (self,EntityName,Weapon):
		print "Shoot Lightning"
		me = Bladex.GetEntity(EntityName)
		#lvlfactor=me.Level+1
		damagefactor=int(GetMagicLevelFactor()*2.0)
		print "gold damage is ",damagefactor
		magiccost=1200
		if self.MagicLevel>magiccost:
			wp=Bladex.GetEntity(Weapon)
			x,y,z = wp.GraspPos("Top")
			if me.InCombat:
				en=Bladex.GetEntity(me.ActiveEnemy)
				if en and en.Person:
					tx1,ty1,tz1= en.Position
					tx2,ty2,tz2= en.Position
					tx3,ty3,tz3= en.Position
					## check enemy life after shoot to get XP points
					Bladex.AddScheduledFunc(Bladex.GetTime()+0.3,self.CheckEnemyDamage,(en.Name,))
					
				else:
					tx1,ty1,tz1=me.Rel2AbsPoint(-2000,-16000,0)
					tx2,ty2,tz2=me.Rel2AbsPoint(0,-16000,0)
					tx3,ty3,tz3=me.Rel2AbsPoint(2000,-16000,0)
			else:
				tx1,ty1,tz1=me.Rel2AbsPoint(-2000,-16000,0)
				tx2,ty2,tz2=me.Rel2AbsPoint(0,-16000,0)
				tx3,ty3,tz3=me.Rel2AbsPoint(2000,-16000,0)
				
			chorigen=Bladex.CreateEntity(EntityName+"Sparx_"+`self.AGE_Number`,"Entity Particle System D1", x, y, z)
			chorigen.ParticleType="GoldSpark"
			chorigen.FollowFactor=1.0
			chorigen.YGravity=0
			chorigen.RandomVelocity=30
			chorigen.Velocity=0.0,0.0, 0.0
			chorigen.Time2Live=6
			chorigen.PPS=800
			chorigen.DeathTime=Bladex.GetTime()+0.4
			ray1= Bladex.CreateEntity(self.Name+"_Bolt1_"+`self.AGE_Number`, "Entity ElectricBolt", x,y,z)
			ray1.MaxAmplitude=500.0
			ray1.Position= x,y,z	# The position gets screwed up after linking
			ray1.Target= tx1,ty1,tz1
			ray1.CoreGlowColor=10,10,0
			ray1.InnerGlowColor=10,10,0
			ray1.OuterGlowColor=5,5,5
			ray1.Active= 1
			ray1.Damage=0
			
			ray2= Bladex.CreateEntity(self.Name+"_Bolt2_"+`self.AGE_Number`, "Entity ElectricBolt", x,y,z)
			ray2.MaxAmplitude=500.0
			ray2.Position= x,y,z	# The position gets screwed up after linking
			ray2.Target= tx2,ty2,tz2
			ray2.CoreGlowColor=10,10,0
			ray2.InnerGlowColor=10,10,0
			ray2.OuterGlowColor=5,5,5
			ray2.Active= 1
			ray2.Damage=1
			Reference.EntitiesObjectData[ray2.Name]=[Reference.OBJ_WEAPON, damagefactor, 0,1.0,  Reference.THR_STRAIGHT, Reference.W_FLAG_1H, ["Gold"]]
			
			ray3= Bladex.CreateEntity(self.Name+"_Bolt3_"+`self.AGE_Number`, "Entity ElectricBolt", x,y,z)
			ray3.MaxAmplitude=500.0
			ray3.Position= x,y,z	
			ray3.Target= tx3,ty3,tz3
			ray3.CoreGlowColor=10,10,0
			ray3.InnerGlowColor=10,10,0
			ray3.OuterGlowColor=5,5,5
			ray3.Active= 1
			ray3.Damage=0
			self.ray1Name= ray1.Name
			self.ray2Name= ray2.Name
			self.ray3Name= ray3.Name
			self.AGE_Number=self.AGE_Number+1
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.StopLightning,(EntityName,))		
			self.firesound4.Play(x,y,z,0)
			self.SubtractMagic(magiccost)
		
		else:
			Actions.ReportMsg("You need more Magic")
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))
			
			
	
	######### Magic Wobbly Things ###################
	
	def LaunchMagicAtt_Wobbly(self,EntityName):
		print"LaunchMagicAtt_Wobbly"
		me = Bladex.GetEntity(EntityName)
		if me.Life<0:
			return
		me.LaunchAnmType("g_magic03")
		
		
		
	def StartWobbly (self,EntityName,EventName):
		me = Bladex.GetEntity(EntityName)
		magiccost=2000  ###################################
		if self.MagicLevel>magiccost:
			xl,yl,zl= me.GraspPos("L_Hand")
			xr,yr,zr= me.GraspPos("R_Hand")
			vx,vy,vz= me.Rel2AbsVector(0,-800.0,0.0)
			x,y,z= (xl+xr)*0.5+vx, (yl+yr)*0.5+vy, (zl+zr)*0.5+vz
			self.AGE_Number=self.AGE_Number+1
			ball= MasklinMagic.MakeWobblySpell1(EntityName+"_WobblySpell"+`self.AGE_Number`, x,y,z, EntityName)
			self.BallName= ball.Name
			self.SubtractMagic(magiccost)
		else:
			Actions.ReportMsg("You need more Magic")
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))
		
	def FireWobbly (self,EntityName,EventName):
		ball= Bladex.GetEntity(self.BallName)
		if ball:
			ball.Data.ReleaseThrownWeaponHandler (self.BallName, "")
			
			
	
	############### Conjour Demons ############
	
	def LaunchMagicAttack_Demon(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life<0:
			return
		me.LaunchAnmType("g_magic05")
		me.AnmEndedFunc=self.JumpBack
		Bladex.AddScheduledFunc(Bladex.GetTime()+2.1, self.firesound3.Play,(me.Position[0],me.Position[1],me.Position[2],0,))
		print"LaunchMagicAttack_Demon"
		
	def JumpBack(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		me.LaunchAnmType("d_b")
		me.AnmEndedFunc=None
		
		
	def ConjourDemon(self,EntityName,EventName):
		delay=1.4
		Bladex.AddScheduledFunc(Bladex.GetTime()+ delay ,self.ConjourDemon2,(EntityName,))	
		
		
	def ConjourDemon2(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		lvl=me.Level+1
		magiccost=750
		
		DEMTYPE="Spidersmall"
		if lvl<=5:
			DEMTYPE="Spidersmall"
			magiccost=750
		elif lvl >4 and lvl<=9:
			DEMTYPE="Cos"
			magiccost=1200
		elif lvl >9:
			DEMTYPE="Little_Demon"
			magiccost=2000
			
		sposx,sposz,sposy= me.Rel2AbsPoint(0,-3000,0)
		if ValidAppear(sposx,sposz,sposy,1000)==1:
			if self.MagicLevel>magiccost:
				dem=Bladex.CreateEntity("MagicDemon"+`self.AGE_Number`,DEMTYPE,sposx,sposz,sposy,"Person")
				dem.Angle = me.Angle
				dem.Level = lvl+1
				MasklinMagic.DemonDefaultFuncs(dem)
				dem.SetOnFloor()
				damfact=GetLifePointFactor()
				Reference.EntitiesObjectData[dem.Name]= [Reference.OBJ_WEAPON,   damfact,  0, 1.0,  Reference.THR_SPINNING, []]
				print "Demon damge is ",damfact
				if self.MagicPower>6000:
					Reference.EntitiesObjectData[dem.Name].append(['Venom', +dem.Level])
				MasklinMagic.DeathAppears(dem.Name)
				self.AGE_Number=self.AGE_Number+1
				if me.ActiveEnemy:
					en=Bladex.GetEntity(me.ActiveEnemy)
					if en:
						dem.Data.SetEnemyName(en.Name)
		   				dem.SetEnemy(en)
		   				en.SetEnemy(dem)
				
				self.SubtractMagic(magiccost)
			else:
				Actions.ReportMsg("Not enough Magic to conjour Demons")
				Bladex.AddScheduledFunc(Bladex.GetTime()+0.3,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))
				
	###############################################################################################################################################
	###### Homing missiles  -- new spell 6
	
	
	def LaunchMagicAtt_HomingMissile (self, EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life<0:
			return
		me.LaunchAnmType("g_magic10")
	
	
	def LaunchHomingSpell (self, EntityName, EventName):
		me = Bladex.GetEntity(EntityName)
		lvl=me.Level+1
		magiccost=250
		if self.MagicLevel>magiccost:
			wp=Bladex.GetEntity(me.InvRight)
			if wp and wp.Kind=="ProStaff1":
				aura= Auras.MakeAura (wp.Name,2.5,(80, 1, 1, 0, 0, 0), (),(),(2, 0.8, 0.1, 0.1, 0.2, 0.0, 0.6, 0.0, 0.0, 0.0, 0.6))
				
				ps=Bladex.CreateEntity(wp.Name+"PS"+`self.AGE_Number`,"Entity Particle System Dobj", 0.0, 0.0, 0.0)
				ps.ObjectName=me.InvRight
				ps.FollowFactor=1.0
				ps.ParticleType="EnergyKeyNegra"
				ps.PPS=140
				ps.YGravity=0.0
				ps.Friction=0.0
				ps.Velocity=0.0, -10.0, 0.0
				ps.RandomVelocity=0.0
				ps.NormalVelocity=2.0
				ps.Time2Live=30
				ps.DeathTime=Bladex.GetTime()+2.0
				Bladex.AddScheduledFunc(Bladex.GetTime()+0.25, self.LaunchHomingSpell2,(EntityName, wp.Name))
				self.SubtractMagic(magiccost)
		else:
			Actions.ReportMsg("Your Magic is too weak")
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))
		
		
		
	def LaunchHomingSpell2 (self, EntityName, WeaponName):
		me = Bladex.GetEntity(EntityName)
		wp=Bladex.GetEntity(WeaponName)
		x,y,z = wp.GraspPos("Top")
		skull=Bladex.CreateEntity(EntityName+"_homingspell_"+`self.AGE_Number`,"Skull",x,y,z,"Weapon")
		skull.Alpha=0.6
		skull.CastShadows=0
		parts=Bladex.CreateEntity(skull.Name+"XPS","Entity Particle System Dobj",0,0,0)
		parts.ObjectName=skull.Name
		parts.ParticleType="RedEnergyDis"
		parts.YGravity=0
		parts.RandomVelocity=4
		parts.Velocity=0.0,0.0,0.0
		parts.Time2Live=30
		parts.PPS=300
		skull.Data=MasklinMagic.FlyingMagicSkull(skull)
		skull.Data.InitLaunch()
		self.AGE_Number=self.AGE_Number+1
			
			
	##################################################
	########### Halfmoon		

	def LaunchMagicAtt_Moon (self, EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life<0:
			return
		me.LaunchAnmType("g_magic07")
		MasklinMagic.Att7_StaffFX()
		
		
	def LaunchMoon(self, EntityName,EventName):
		me = Bladex.GetEntity(EntityName)
		magicpoints=GetMagicLevelFactor()
		magiccost=1800
		damage=magicpoints
		
		if self.MagicLevel>magiccost:
			wp=Bladex.GetEntity(me.InvRight)
			if wp:
				if wp.Kind == "ProStaff1":
					x,y,z = wp.GraspPos("Top")
					moon=MasklinMagic.MakeHalfmoon (EntityName+"_Moon"+`self.AGE_Number`, x,y-100,z, EntityName,damage)
					moon.Data.ThrowReleaseEventHandler (EntityName,"")
					self.AGE_Number=self.AGE_Number+1
					self.SubtractMagic(magiccost)
		else:
			Actions.ReportMsg("Not Enough Magic for this Attack")
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))
					
					
	###############################################
	########## Ice Storm
	
	
	def ShootIceStorm (self,EntityName,Weapon):
		me = Bladex.GetEntity(self.Name)
		magiccost=2000
		if self.MagicLevel>magiccost:
			wp=Bladex.GetEntity(Weapon)
			x,y,z = wp.GraspPos("Top")
			target_pos=me.Rel2AbsPoint(0,-8000,500)
			angle= -B3DLib.GetYAngle(target_pos[0]-x,target_pos[1]-y,target_pos[2]-z)
			duration= 0.6
			self.AGE_Number=self.AGE_Number+1
			end_time=Bladex.GetTime()+duration
			period= duration/20.0
			F= 5400.0             
			vx,vy,vz=me.Rel2AbsVector(0.0, -math.cos(angle)*F, -math.sin(angle)*F)
		
			snow=Bladex.CreateEntity(self.Name+"_IceStorml_"+`self.AGE_Number`, "Entity Particle System D1", x, y, z)
			snow.ParticleType="Brillitos"
			snow.PPS=256
			snow.YGravity=0.0
			snow.Friction=0.12
			snow.RandomVelocity=100.0
			snow.Time2Live=20
			snow.DeathTime=Bladex.GetTime()+0.8
			snow.Velocity=vx,vy,vz
			snow.RandomVelocity=55.0
			self.IceFunc(snow.Name, end_time, period)
			
			snow2=Bladex.CreateEntity(self.Name+"_IceStorm2_"+`self.AGE_Number`,"Entity Particle System D1",x,y,z)
			snow2.ParticleType="SnowDust"
			snow2.Time2Live=20
			snow2.YGravity=0.0
			snow2.Friction=0.12
			snow2.PPS=128
			snow2.DeathTime=end_time;
			snow2.Velocity=vx,vy,vz
			snow2.RandomVelocity=55.0
			self.AGE_Number=self.AGE_Number+1
			sound_pos=me.Position
			self.icesound1.Play(sound_pos[0], sound_pos[1], sound_pos[2], 0)
			self.SubtractMagic(magiccost)	
		else:
			Actions.ReportMsg("Your Magic is exhausted")
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))
		
		

		
	def ThawMee(self, VictimName):
		victim=Bladex.GetEntity(VictimName)
		if victim.Life>0:
			victim.Data.HitFunc=Damage.CalculateDamage
			victim.UnFreeze()
			victim.Data.Invincibility=0
			victim.SelfIlum=0.0
			victim.Alpha=1.0
			victim.Blind=0
			victim.Deaf=0
			victim.DamageFunc=Damage.CalculateDamage
			Aura=Bladex.GetEntity(VictimName+"Aura")
			if Aura:
				victim.Unlink(Aura)
				Aura.SetAuraActive(0)
				Aura.SubscribeToList("Pin")
			rwp=Bladex.GetEntity(victim.InvRight)
			if rwp:
				Aurarwp=Bladex.GetEntity(VictimName+"AuraRWP")
				if Aurarwp:
					rwp.Unlink(Aurarwp)
					Aurarwp.SetAuraActive(0)
					Aurarwp.SubscribeToList("Pin")
			lwp=Bladex.GetEntity(victim.InvLeft)
			if lwp:
				Auralwp=Bladex.GetEntity(VictimName+"AuraLWP")
				if Auralwp:
					rwp.Unlink(Auralwp)
					Auralwp.SetAuraActive(0)
					Auralwp.SubscribeToList("Pin")
			Vapour=Bladex.GetEntity(VictimName+"Vapour")
			if Vapour:
				Vapour.DeathTime=Bladex.GetTime() +1.5
			
			
		
	def FreezeMee(self, VictimName):
		victim=Bladex.GetEntity(VictimName)
		if victim:
			if victim.Data.Invincibility == 0:
				victim.Freeze()
				victim.Data.Invincibility= 2    # In case he gets two doses
				victim.SelfIlum=0.2
				victim.Alpha=0.8
				victim.Blind=1
				victim.Deaf=1
				victim.SetActiveEnemy(None)
				victim.DamageFunc=ShatterMe
				auraparams=(10, 1, 1, 0, 0, 1)
				auragradient=(2, 0.9, 1.0, 1.0, 0.2, 0.1, 0.4, 0.8, 1.0, 0.2, 1.0)
				Aura=Bladex.CreateEntity(VictimName+"Aura", "Entity Aura", 0, 0, 0)
				Aura.SetAuraParams(10, 1, 1, 0, 0, 1)
				Aura.SetAuraGradient(2, 0.9, 1.0, 1.0, 0.2, 0.1, 0.4, 0.8, 1.0, 0.2, 1.0)
				victim.Link(Aura)
				Aura.SetAuraActive(1)
				
				Vapour=Bladex.CreateEntity(VictimName+"Vapour", "Entity Particle System Dperson", 0, 0, 0)
				Vapour.PersonName=VictimName
				Vapour.ParticleType="Vaho"
				Vapour.PPS=20
				Vapour.Velocity=0.0, 0.0, 0.0
				Vapour.NormalVelocity=0
				Vapour.RandomVelocity=1
				Vapour.YGravity=150
				Vapour.Friction=0.02
				Vapour.FollowFactor=0
				Vapour.Time2Live=60
		
				rwp=Bladex.GetEntity(victim.InvRight)
				if rwp:
					Aurarwp=Bladex.CreateEntity(VictimName+"AuraRWP", "Entity Aura", 0, 0, 0)
					Aurarwp.SetAuraParams(10, 1, 1, 0, 0, 1)
					Aurarwp.SetAuraGradient(2, 0.9, 1.0, 1.0, 0.2, 0.1, 0.4, 0.8, 1.0, 0.2, 1.0)
					rwp.Link(Aurarwp)
					Aurarwp.SetAuraActive(1)
				lwp=Bladex.GetEntity(victim.InvLeft)
				if lwp:
					Auralwp=Bladex.CreateEntity(VictimName+"AuraLWP", "Entity Aura", 0, 0, 0)
					Auralwp.SetAuraParams(10, 1, 1, 0, 0, 1)
					Auralwp.SetAuraGradient(2, 0.9, 1.0, 1.0, 0.2, 0.1, 0.4, 0.8, 1.0, 0.2, 1.0)
					lwp.Link(Auralwp)
					Auralwp.SetAuraActive(1)
				
				sound_pos=victim.Position
				self.icesound2.Play(sound_pos[0], sound_pos[1], sound_pos[2], 0)
				freezetime=10+int(GetMagicLevelFactor()/5)
				Bladex.AddScheduledFunc(Bladex.GetTime()+ freezetime, self.ThawMee,(VictimName,))
				
				
			
			
	def IcePrtlHit(self,prtl_name,hit_entity,x,y,z,vx,vy,vz,wcx,wcy,wcz,wdx,wdy,wdz):
		if hit_entity != "BWorld":
			victim=Bladex.GetEntity(hit_entity)
			if AmIFreezeProof(hit_entity):
				print hit_entity+": I am freeze-proof"
				return
			if victim: 
				if victim.Person and victim.Kind != "Wizard_A" and not AllyCombat.CheckAlly (victim.Name):
					me=Bladex.GetEntity(self.Name)
					if victim.Life>0 and victim.Alpha>0.9:
						victim.Wuea=Reference.WUEA_ENDED
						victim.InterruptCombat()
						self.FreezeMee(victim.Name)
				elif victim.Weapon:
					pass
		# This particle should be removed, as it has been converted to smoke
		ptcl=Bladex.GetEntity(prtl_name)
		ptcl.RemoveFromWorld()	

	
	def IceFunc(self, snow_name,end_time,period):
		snow=Bladex.GetEntity(snow_name)
		if(snow):
			prtl=snow.GetParticleEntity()
			prtl.HitFunc=self.IcePrtlHit
			prtl.ObjCTest= 1
			if(Bladex.GetTime()<end_time):
				Bladex.AddScheduledFunc(Bladex.GetTime()+period,self.IceFunc,(snow_name,end_time,period))		
			
			
	#################################################################################################################################################
	#################################################################################################################################################
	####### Sword Powers
	
	
	def LaunchMagicAtt_FireRing (self, EntityName):
		me = Bladex.GetEntity(EntityName)
		me.LaunchAnmType("g_magic06")
		
	
	def StartFireRing (self, EntityName, EventName):
		fireringattnum=1
		if fireringattnum not in self.SwordPowers:
			return
	
		me = Bladex.GetEntity(EntityName)
		
		magiccost=1800
		if self.MagicLevel>magiccost:
			self.RingInit=1
			msps=Bladex.CreateEntity(self.Name+"_FireStorm"+`self.AGE_Number`, "Entity Particle System Dperson", 0.0, 0.0, 0.0)
			msps.PersonName=EntityName
			msps.PersonNodeName="L_Hand"
			msps.ParticleType="FlameEnergyConc"
			msps.PPS=1800
			msps.YGravity=0.0
			msps.Friction=0.1
			msps.Velocity=0.0, 0.0, 0.0
			msps.RandomVelocity=20.0
			msps.NormalVelocity=40.0
			msps.Time2Live=15
			msps.DeathTime=Bladex.GetTime()+0.2
			self.AGE_Number=self.AGE_Number+1
			self.SubtractMagic(magiccost)
		else:
			Actions.ReportMsg("You need more Magic for this attack")
		
	
	def LaunchFireRing (self, EntityName, EventName):
		me= Bladex.GetEntity(EntityName)
		if self.RingInit==1:
			obj=Bladex.CreateEntity(EntityName+"_Disk"+`self.AGE_Number`,"FireRing", me.Position[0],me.Position[1]-300,me.Position[2])
			obj.Orientation=(0.707,0.707,0.0,0.0)
			obj.Alpha=1.0
			obj.SelfIlum=1.0
			obj.RasterMode="AdditiveAlpha"
			obj.RasterMode="Read"
			obj.Solid= 0
			self.RingName= obj.Name
			self.firesound3.Play(me.Position[0],me.Position[1],me.Position[2],0)
			TurnOffAfter= 0.4 
			me = Bladex.GetEntity(EntityName)
			lvl=me.Level+1
			firedam=lvl**2
			if Reference.EntitiesObjectData.has_key(obj.Name):
				del Reference.EntitiesObjectData[obj.Name]
			
			Reference.EntitiesObjectData[obj.Name]=[Reference.OBJ_WEAPON,  0,  0, 1.0,  Reference.THR_SPINNING, []]
			AuxFuncs.FadeAndScale(obj.Name, obj.Position, 1.0, 0.0, 0.0, 1.0, 6.0, 0.0, TurnOffAfter, 1, 0)
			Bladex.AddScheduledFunc(Bladex.GetTime()+TurnOffAfter,self.EndOfRingAttack,(EntityName, EventName),"EndOfRingAttack")
		
		
		
		
	def EndOfRingAttack (self, EntityName,EventName):
		obj= Bladex.GetEntity(self.RingName)
		me= Bladex.GetEntity(EntityName)
		if obj:
			blastrange=9000
			ens = Bladex.GetEntitiesAt(me.Position[0],me.Position[1],me.Position[2],blastrange)
			for id in ens:
				victim= Bladex.GetEntity(id)
				if victim.Person and victim.Name != "Player1":
					if victim.Life>0 and victim.Alpha>0.99 and CheckIfAlly (victim.Name):
						fireproofents=("Golem_stone",
							       "Golem_metal",
					                       "Golem_lava",
					                       "Golem_clay",
					                       "Great_Demon",
					                       "ChaosKnight",
					                       "DalGurak",
					                       "Salamander")
						if victim.Kind not in (fireproofents): 
							distance = B3DLib.GetXZDistance(obj.Name, victim.Name)
							damagefactor=blastrange-distance
							lvl=me.Level+1
							if distance < 1200.0 or victim.Life<int(CharStats.GetCharMaxLife(victim.Kind,victim.Level)/10):
								victim.Life=-276
								Actions.FireDeath(victim.Name)
								self.OnKilledEnemy(victim.Name)
								victim.CastShadows=0
							else:
								victim.Life = victim.Life - (int(damagefactor/20.0))
								
								xhit_point, yhit_point, zhit_point= victim.Position
								
								time=Bladex.GetTime()
								aura=Auras.MakeAura(victim.Name,0.8,   (1  , 0.01, 1.0, 0, 0, 1), (), (), (2,  0.8, 0.6, 0.0, 0.6, 0.2  ,  0.8, 0.1, 0.0, 0.0, 0.8))
								aura.Data.AddEvent(time+0.15,         (100, 1.0 , 1.0, 0, 0, 1), (), (), (2,  0.8, 0.6, 0.0, 0.6, 0.2  ,  0.8, 0.1, 0.0, 0.0, 0.8))
								aura.Data.AddEvent(time+0.8,          (160, 0.01, 1.0, 0, 0, 1), (), (), (2,  0.8, 0.1, 0.0, 0.6, 0.2  ,  0.8, 0.0, 0.0, 0.0, 0.8))
								prtl=Bladex.CreateEntity(aura.Name+"Particles", "Entity Particle System Dperson", 0, 0, 0)
								prtl.PersonName=victim.Name
								prtl.ParticleType="Llamita2"
								prtl.PPS=400
								prtl.Velocity=0.0, 0.0, 0.0
								prtl.NormalVelocity=2.0
								prtl.RandomVelocity=0.0
								prtl.YGravity=-200.0
								prtl.Friction=0.02
								prtl.FollowFactor=0.0
								prtl.Time2Live=21
								prtl.DeathTime=Bladex.GetTime()+0.2
								
								print"arrrghhhhhhh"
								if victim.Life>0:
									#Damage.DropInvalidObjectsOnImpact (victim.Name)
									victim.Wuea=Reference.WUEA_ENDED
									victim.InterruptCombat()
									if victim.InCombat: 
										victim.LaunchAnmType("hurt_f_big")
									else: victim.LaunchAnmType("hurt_f_big")
								else:
									Actions.FireDeath(victim.Name)
									victim.CastShadows=0
									self.OnKilledEnemy(victim.Name)
			# destroy ring
			obj.SubscribeToList("Pin")
			self.RingInit=0
			
	
	######## Sword Ice Storm #####################
	
	
	def StartIceStorm (self, EntityName, EventName):
		iceattnum=2
		if iceattnum not in self.SwordPowers:
			return
		me = Bladex.GetEntity(EntityName)
		lvl=me.Level+1
		magiccost=1600  
		if self.MagicLevel>magiccost:
			x, y, z=me.Rel2AbsPoint(0,-800,500)          
			xl,yl,zl=me.Rel2AbsPoint(2000,-800,500)
			xr,yr,zr=me.Rel2AbsPoint(-2000,-800,500)          
			vx,vy,vz=me.Rel2AbsVector(0.0,-12000,-1000)
			
			duration= 2.0
			end_time=Bladex.GetTime()+duration
			period= duration/20.0
			
			istorm=Bladex.CreateEntity(EntityName+"_IceStorm"+`self.AGE_Number`, "Entity Particle System D3", x, y, z)
			istorm.ParticleType="WhiteStorm"
			D=xl-xr,yl-yr,0
			istorm.Time2Live=20
			istorm.YGravity=-500
			istorm.Velocity=vx,vy,vz
			istorm.RandomVelocity=50
			istorm.PPS = 256
			istorm.DeathTime=Bladex.GetTime()+3.5
			self.IceStormFunc(istorm.Name, end_time, period)
			self.AGE_Number=self.AGE_Number+1
			self.SubtractMagic(magiccost)
			print "end ice storm"
		else:
			Actions.ReportMsg("You need more Magic for this attack")
			
			
	def IceStormPrtlHit(self,prtl_name,hit_entity,x,y,z,vx,vy,vz,wcx,wcy,wcz,wdx,wdy,wdz):
		if hit_entity != "BWorld":
			victim=Bladex.GetEntity(hit_entity)
			if victim: 
				if victim.Person and victim.Kind != "Wizard_A" and not AllyCombat.CheckAlly (victim.Name):
					me=Bladex.GetEntity(self.Name)
					if victim.Life>0 and victim.Alpha>0.9:
						damfact=GetMagicLevelFactor()
						print "Icewind damge is ",damfact
						Reference.EntitiesObjectData[prtl_name]= [Reference.OBJ_WEAPON, 0, 0,  1.0,  Reference.THR_STRAIGHT, Reference.W_FLAG_1H, ["Ice", +damfact]]
						victim.DamageFunc(hit_entity, self.Name, prtl_name, "Ice", 1, -1, x, y, z, 0)
						victim.LaunchAnmType("hurt_f_lite")
						if Reference.EntitiesObjectData.has_key(prtl_name):
							del Reference.EntitiesObjectData[prtl_name]
				elif victim.Weapon:
					pass
		# This particle should be removed, as it has been converted to smoke
		ptcl=Bladex.GetEntity(prtl_name)
		ptcl.RemoveFromWorld()	

	
	def IceStormFunc(self, snow_name,end_time,period):
		snow=Bladex.GetEntity(snow_name)
		if(snow):
			prtl=snow.GetParticleEntity()
			prtl.HitFunc=self.IceStormPrtlHit
			prtl.ObjCTest= 1
			if(Bladex.GetTime()<end_time):
				Bladex.AddScheduledFunc(Bladex.GetTime()+period,self.IceStormFunc,(snow_name,end_time,period))		
			
			
	################ Sword LightStrike #############
			
	def StartLightStrike(self, EntityName, EventName):
		me = Bladex.GetEntity(EntityName)
		lightstrikeattnum=3
		if lightstrikeattnum not in self.SwordPowers:
			return
		magiccost=3000
		if self.MagicLevel>magiccost:
			rwp=Bladex.GetEntity(self.SwordName)
			if rwp:
				if rwp.Kind=="WizardSword":
					extradamage=int(GetMagicLevelFactor())*10
					print "sword light damage is...",extradamage
					self.SwordLightDamage= ["Light", +extradamage]
				
					Reference.EntitiesObjectData[self.SwordName].append (self.SwordLightDamage)
					Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,self.StopLightStrike,(EntityName,))
					self.SubtractMagic(magiccost)
					print "Sword light damage ON"
		else:
			Actions.ReportMsg("You need a LOT of Magic for this attack")
			
			
			
	def StopLightStrike(self, EntityName):
		print "StopLightStrike"
		me = Bladex.GetEntity(EntityName)
		
		rwp=Bladex.GetEntity(self.SwordName)
		if rwp:
			if rwp.Kind=="WizardSword":
				Reference.EntitiesObjectData[self.SwordName].remove (self.SwordLightDamage)
				print "Xtra sword damage Removed"
			
			
			
	
	####### Lightning Rope ##############

			
	def StartLightningRope(self, EntityName, EventName):
		me = Bladex.GetEntity(EntityName)
		lightstrikeattnum=4
		if lightstrikeattnum not in self.SwordPowers:
			return
		magiccost=1500 
		if self.MagicLevel>magiccost:
			rwp=Bladex.GetEntity(self.SwordName)
			if rwp and rwp.Kind=="WizardSword":
				x,y,z=me.Rel2AbsPoint(-600,-2400,0)
				
				damagefactor=GetMagicLevelFactor()*20
				print "Rope damage is ",damagefactor
				edge=MasklinMagic.MakeSlicer(EntityName+"LightningRope"+`self.AGE_Number`, x,y,z,"Player1" , damagefactor)
				edge.Data.ThrowReleaseEventHandler (EntityName,"")
				
				
				self.AGE_Number=self.AGE_Number+1
				self.SubtractMagic(magiccost)
		else:
			Actions.ReportMsg("Magic too weak for this attack")	
			
	
	#################################################################################################################################################
	####### Teleport and dissapearance
	
	def Teleport (self, EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.AnimName == "powup":
			return
		if self.MagicPower==1:
			
			if self.MagicLevel>1000.0:
				me.LaunchAnmType("g_invoke")
			else:
				Actions.ReportMsg("Magic too weak to teleport")
				Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))
		
		
	def FadeOut (self,EntityName):
		self.Fader.SetFadeKit()
		self.Fader.FadeOut(self.FadeOutTime)
		print "Fading out....", self.FadeList
	
	def FadeIn (self,EntityName):
		self.Fader.SetFadeKit()
		self.Fader.FadeIn(self.FadeInTime)
		print "Fading in....", self.FadeList
		
		
	def RelativeEnemyAngle2PositionAngleTuple (self, angle):
		angle= angle+self.EnemyAngle
		if angle > Actions.PI*2.0:
			angle= angle-Actions.TWOPI
		elif angle < 0.0:
			angle= angle+Actions.TWOPI
		
		# What distance to use?
		pos= self.Enemy.Position
		dist= 1500
		pos= pos[0]+dist*math.sin(angle), pos[1], pos[2]-dist*math.cos(angle)
		return (pos, angle)
		
		
		
	def FreeTeleport (self, angle):
		me = Bladex.GetEntity(self.Name)
		angle=me.Angle
		pos= me.Rel2AbsPoint(0,-5000,0)
		return (pos, angle)
		
		
		
	def Reappear (self,EntityName):
		me = Bladex.GetEntity(EntityName)
		# Find a suitable position to reappear in
		if whrandom.random() < 0.5:
			RelAngles=[0, Actions.PI*0.25, Actions.PI*-0.25, Actions.PI*0.5, Actions.PI*-0.5, Actions.PI*0.75, Actions.PI*-0.75]
		else:
			RelAngles=[0, Actions.PI*-0.25, Actions.PI*0.25, Actions.PI*-0.5, Actions.PI*0.5, Actions.PI*-0.75, Actions.PI*0.75]		
		if me.ActiveEnemy:
			self.Enemy= Bladex.GetEntity(me.ActiveEnemy)
			self.EnemyAngle= self.Enemy.Angle
			ReentryInfo= map(self.RelativeEnemyAngle2PositionAngleTuple, RelAngles)
		else:
			ReentryInfo= map(self.FreeTeleport, RelAngles)
		
		max_fall= 2500.0
		for info in ReentryInfo:
			if me.TestPos (info[0][0],info[0][1],info[0][2], me.ActionAreaMax,max_fall):
				me.Position= info[0][0],info[0][1],info[0][2]
				me.Angle= info[1]
				me.SetOnFloor()
				break
		
		# Maybe break enemies facing mode
		try:
			if self.Enemy:
				if self.Enemy.InCombat and self.Enemy.ActiveEnemy==me.Name and not self.Enemy.CanISee(me):
					self.Enemy.SetActiveEnemy(None)
		except:
			pass
		self.FadeInTime=0.65
		self.FadeIn(EntityName)
		self.RestoreVunerabilty(EntityName)
		
		

	def DisappearEvent (self,EntityName,EventName):
		print "TP stage2"
		if self.Invisible:
			Actions.ReportMsg("Cannot Teleport while Invisible")
			return
		me = Bladex.GetEntity(EntityName)
		self.FadeList=[me.Name]
		if me.InvRight:
			self.FadeList.append (me.InvRight)
		if me.InvLeft:
			self.FadeList.append (me.InvLeft)
		if me.InvRightBack:
			self.FadeList.append (me.InvRightBack)
		if me.InvLeftBack:
			self.FadeList.append (me.InvLeftBack)
			
		x,y,z=me.Position
		self.disappsound.Play(x,y,z,0)
		#if self.MagicLevel>1000.0:
		self.MakeMeInvunerable(EntityName)
		self.FadeOut(EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.5, AuxFuncs.FadeFrom, (0.6, 0.6, 40, 50, 40,))
		x,y,z=me.Position
			
		time= Bladex.GetTime()
		Bladex.AddScheduledFunc(time+self.FadeOutTime+self.TransitTime, self.Reappear, (EntityName,), EntityName+" Reappear")
		if Actions.StatR(EntityName)!=Actions.RA_NO_WEAPON:
			weapon= Bladex.GetEntity(me.InvRight)
			weapon.MessageEvent(Reference.MESSAGE_STOP_TRAIL,0,0)
			weapon.MessageEvent(Reference.MESSAGE_STOP_WEAPON,0,0)
		#else:
		#	Actions.ReportMsg("My Magic is too weak to teleport")
		#	Bladex.AddScheduledFunc(Bladex.GetTime()+0.5,self.dohsound.Play,(me.Position[0],me.Position[2],me.Position[2],0,))
			
			
	def InteruptActions(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		me.Wuea=Reference.WUEA_ENDED
		me.InterruptCombat()
		me.Data.Fader.Stop()
		Bladex.RemoveScheduledFunc(me.Name+" Reappear")
			

	###################################################################################################################################################
	############## Invisibilty ###############
	
	def BlindEnemies(self):
		if self.Invisible:
			me = Bladex.GetEntity(self.Name)
			self.EnemyList=[]
			self.EnemyList=GetAllPersons() # returns list of all enemy NPCs in map
			#print self.EnemyList
			if len(self.EnemyList)==0:
				return
			for i in self.EnemyList:
				en = Bladex.GetEntity(i)
				if en and en.Life>0 and not en.Blind:
					en.SeeFunc=SeeAllExceptPlayer
					print "I cannot see Player: ",en.Name
					try:
						if en.Data.NameOfEnemy and en.Data.NameOfEnemy=="Player1":
							en.Data.NameOfEnemy=None
							print en.Name," Name of enemy cleared"
					except AttributeError:
							pass
					if en.ActiveEnemy:
						if en.ActiveEnemy =="Player1":
							print en.Name," I am locked onto Player1"
							en.SetActiveEnemy(None)
							en.ResetChase()
							print "Where he gone?"
					print en.Name," I can't see the Player now"
					
					
	
	def UnBlindEnemies(self, EntityName):
		if self.Invisible:
			self.Invisible=0
			self.Fading=0
			me=Bladex.GetEntity(EntityName)
			me.CastShadows=1
			print "I am fully visible again"
			self.EnemyList=GetAllPersons()
			if len(self.EnemyList)==0:
				return
			for i in self.EnemyList:
				en = Bladex.GetEntity(i)
				if en and en.Life>0:
					try:
						en.SeeFunc=en.Data.StdSeeTheEnemy
						print en.Name," I can see the Player again..hahahaaaaaa"
					except AttributeError:
						print en.Name," I don't want to know"
					
					try:
						ennewenemy=en.Data.MyGetEnemyName()
					except AttributeError:
						ennewenemy = Bladex.GetEntity(en.GetEnemyName())
						
						
	
	def MakeMeInvisible(self):
		if not self.Invisible:
			print "Fading..........out"
			#if self.MagicLevel<50:
			#	Actions.ReportMsg("Magic too weak to achieve invisibilty")
			#	return
			
			me = Bladex.GetEntity(self.Name)
			# needs dissapp FX here
			me.CastShadows=0
			rwp=Bladex.GetEntity(me.InvRight)
			lwp=Bladex.GetEntity(me.InvLeft)
			rbwp=Bladex.GetEntity(me.InvRightBack)
			lbwp=Bladex.GetEntity(me.InvLeftBack)
			self.FadeList=[me.Name]
			if rwp:
				flag=Reference.GiveObjectFlag(me.InvRight)
				if not flag==Reference.OBJ_USEME or not flag==Reference.OBJ_ITEM:
					self.FadeList.append(rwp.Name)
			if lwp:
				self.FadeList.append(lwp.Name)
			if rbwp:
				self.FadeList.append(rbwp.Name)
			if lbwp:
				self.FadeList.append(lbwp.Name)
			self.FadeOut(self.Name)
			self.Invisible=1
			self.BlindEnemies()
			print "I am invisble"
			
				
				
	def RestoreVisibilty(self):
		if self.Invisible:
			print "Fading..........IN"
			me = Bladex.GetEntity(self.Name)
			rwp=Bladex.GetEntity(me.InvRight)
			lwp=Bladex.GetEntity(me.InvLeft)
			rbwp=Bladex.GetEntity(me.InvRightBack)
			lbwp=Bladex.GetEntity(me.InvLeftBack)
			self.FadeList=[me.Name]
			if rwp:
				flag=Reference.GiveObjectFlag(me.InvRight)
				if not flag==Reference.OBJ_USEME or not flag==Reference.OBJ_ITEM:
					self.FadeList.append(rwp.Name)	
			if lwp:
				self.FadeList.append(lwp.Name)
			if rbwp:
				self.FadeList.append(rbwp.Name)
			if lbwp:
				self.FadeList.append(lbwp.Name)
			
			self.FadeInTime=6.0
			self.FadeIn(self.Name)
			self.Fading=1
			Bladex.AddScheduledFunc(Bladex.GetTime()+self.FadeInTime, self.UnBlindEnemies,(self.Name,))
			print "I am visible again"
		
		
	###################################################################################################################################################
	######## Healing Spells
	
	
	def LaunchHealingSpell(self, EntityName, EventName):
		me = Bladex.GetEntity(EntityName)
		robj=Bladex.GetEntity(me.InvRight)
		if robj:
			if robj.Kind=="ProHealSpell1":
				robj.Data.SlowThrowReleaseEventHandler(robj.Name)
		
		
			
###########################################################################################################################################################		
######### Fader ###########################################################################################################################################
	
	
class TeleportFader(Interpolator.LinearInt):
	
	Entities2Fade=[]
	FadeEntity="Player1"
	
	def __init__(self):
		Interpolator.LinearInt.__init__ (self,1.0,0.0)
		self.ObjId=ObjStore.GetNewId() 
		ObjStore.ObjectsStore[self.ObjId]=self
		self.Entities2Fade= []
		name= "Entity Fader for Player1 "
		self.Interpolator= Interpolator.Interp(name)
	

	def persistent_id(self):
		return self.ObjId

	def __getstate__(self):
		return (1,
			self.ObjId,
			self.Interpolator,
			self.Entities2Fade,
			self.FadeEntity
			)

	def __setstate__(self,parm):
		if parm[0]==1:
			self.ObjId=parm[1]
			ObjStore.ObjectsStore[self.ObjId]=self
			self.Interpolator=parm[2]
			self.Entities2Fade=parm[3]
			self.FadeEntity=parm[4]
			self.init_value=1.0
			self.end_value=0.0
			self.period=self.end_value-self.init_value
		else:
			self.Interpolator= None
			self.Entities2Fade= None
			self.init_value=1.0
			self.end_value=0.0
			self.period=self.end_value-self.init_value
			
			self.ObjId=ObjStore.GetNewId() 
			ObjStore.ObjectsStore[self.ObjId]=self
			
			
			
	def SetFadeKit(self):
		owner=Bladex.GetEntity(self.FadeEntity)
		self.Entities2Fade=owner.Data.FadeList
			

	def ExecuteFadeOut(self,value):
		ret= Interpolator.LinearInt.Execute(self,value)
		for entity_name in self.Entities2Fade:
			entity= Bladex.GetEntity(entity_name)
			if entity:
				entity.Alpha= ret
	
	def ExecuteFadeIn(self,value):
		ret= Interpolator.LinearInt.Execute(self,value)
		for entity_name in self.Entities2Fade:
			entity= Bladex.GetEntity(entity_name)
			if entity:
				entity.Alpha= 1.0-ret
	
	def FadeOut(self, period):
		self.Interpolator.Actions=[]
		self.Execute= self.ExecuteFadeOut
		time= Bladex.GetTime()
		self.Interpolator.AddAction (time,time+period,self)
	
	def FadeIn(self, period):
		self.Interpolator.Actions=[]
		self.Execute= self.ExecuteFadeIn
		time= Bladex.GetTime()
		self.Interpolator.AddAction (time,time+period,self)
	
	def Stop(self):
		self.Interpolator.Actions=[]
		
	def EndExecute(self):
		if self.Execute== self.ExecuteFadeIn:
			for entity_name in self.Entities2Fade:
				entity= Bladex.GetEntity(entity_name)
				if entity:
					entity.Alpha= 1.0
		elif  self.Execute== self.ExecuteFadeOut:
			for entity_name in self.Entities2Fade:
				entity= Bladex.GetEntity(entity_name)
				if entity:
					entity.Alpha= 0.1
					
	