import Bladex
import Reference
import Combat
import AuxTran
import AniSound
import pdb
import BCopy
import math
import whrandom
import Actions
import CharStats
import ItemTypes
import AuxFuncs
import B3DLib
import Damage
import Basic_Funcs
import Sounds
import GameStateAux
import Interpolator
import ObjStore
import InitDataField
import Ally_Def
import AllyCombat
import ScorerActions
import GenFX

TRUE = 1==1
FALSE = not TRUE

PI = math.pi
TWOPI = PI*2



def CheckIfAlly (EntityName):
	me=Bladex.GetEntity(EntityName)
	if me:				
		try:
	           enemyName=me.Data.EnemyName
	           return FALSE                  # returns TRUE for enemies of Player
	        except AttributeError:  
	 	   return TRUE



def UsePotion (EntityName):
	import pocimac
	me=Bladex.GetEntity(EntityName)	
	if me and me.Life >0:
		inv = me.GetInventory()
		for x in range (inv.nObjects):
			item_name = inv.GetObject(x)
			item = Bladex.GetEntity(item_name)
			if item.Data and item.Data.__class__==pocimac.Pocima:
				max_life= CharStats.GetCharMaxLife(me.Kind, me.Level)
				if (me.Life <= max_life/4.0) or (item.Data.Increment and me.Life+item.Data.Increment<=max_life or me.Data.Poisoned):
					# we have found a potion, I hope its the life giving one...
					me.Data.obj_used=item
					item.Data.UsedBy = EntityName
					item.UseFunc(item_name, Actions.USE_FROM_INV)
					return 1
	return 0


Bladex.AddParticleGType("NPCLevelUpParticle","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
		aux=traux**0.5
	else:
		traux=i/25.0 
		aux=traux**2.0
	r=255
	g=255
	b=255
	a=255.0*traux
	size=200.0*aux
	Bladex.SetParticleGVal("NPCLevelUpParticle",i,r,g,b,a,size)


def AllyDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded):
	per = Bladex.GetEntity(VictimName)
	if AttackerName:  
		if not CheckIfAlly(AttackerName):
			return 
		
	try:
		if WeaponName[:7] == "ProHeal":
			#print "I am being healed not damaged"
			if per.Life<CharStats.GetCharMaxLife(victim.Kind, victim.Level):
				victim.Life=CharStats.GetCharMaxLife(victim.Kind, victim.Level)
				if victim.Data.Poisoned:
					victim.Data.UnVenom ()
				#print VictimName," I have been healed"
			return
		
		
	except:
		print "Weird stuff in Damage Func"
		
	Damage.CalculateDamage(VictimName, AttackerName, WeaponName, DamageType, DamageZone, DamageNode, x, y, z, Shielded)
	

WepHit=[5,8,15,25,35,50,65,85,100,120,150,190,240,300,380,460,550,650,820,950]
WepDef=[0,-3, -5, -10, -15, -20, -25,-30, -35, -40, -45, -50, -55, -60, -65, -70,-75, -80,-85]


Weps={} 
Weps["Enano1"]=["Hacha","Maza","Hacha5","Espadaromana","Orksword","Garropin","Hacha4Pro","Hacha3","Maza2","HookSword","Martillo","EgyptSword","Espadacurva","Martillo2","Garrote2","Cimitarra","MazaDoble","Hacha6","Hacha2","Martillo3"]
Weps["Enano2"]=["Hacha","Maza","Hacha5","Espadaromana","Orksword","Garropin","Hacha4Pro","Hacha3","Maza2","Martillo","HookSword","Martillo2","Espadacurva","EgyptSword","Garrote2","Cimitarra","MazaDoble","Hacha6","Hacha2","Martillo3"]
Weps["Dwarf_N"]=["Hacha","Maza","Hacha5","Espadaromana","Orksword","Garropin","Hacha4Pro","Hacha3","Maza2","Martillo","HookSword","Martillo2","Espadacurva","EgyptSword","Garrote2","Cimitarra","MazaDoble","Hacha6","Hacha2","Martillo3"]
Weps["Knight_N"]=["Gladius","Gladius","Maza","Orksword","Espadaromana","Espadaelfica","Espadaelfica","Maza2","HookSword","LightEdge","Espadacurva","EgyptSword","Dagesse","Cimitarra","Katana","Maza3","DoubleSword","Espadafilo","Espada"]


DwfShields=["Escudo5","Escudo5","Escudo2","Escudo2","Escudo1","Escudo1","Escudo1","KingShield","KingShield","KingShield","Escudo8","Escudo8","Escudo9","Escudo9","Escudo3","Escudo4","Escudo4","Escudo7","Escudo6","Escudo6"]


def AllyBarbarianLevelUpFunc(EntityName):
	print EntityName+" I have leveled up"
	global WepHit
	global WepDef
	per=Bladex.GetEntity(EntityName)
	if per.Life>0:
		lvl=per.Level
		inv=per.GetInventory()
		if lvl>19:
			WEPDAM=1000
			WEPDEF=-100
		else:
			WEPDAM=WepHit[lvl]
			WEPDEF=WepDef[lvl]
		wp=Bladex.GetEntity(per.InvRight)
		Reference.EntitiesObjectData[wp.Name]=[Reference.OBJ_WEAPON,WEPDAM, WEPDEF, 1.0, Reference.THR_SPINNING, [Reference.W_FLAG_2W,Reference.PI,2000,750,16000,80000,Reference.GolpeArmaEscudoMetal]]
		per.Data.ResetCombat(EntityName)
		if per.Level>7 and per.MeshName != "Barbarian_L":
			ChangeArmour(per.Name,"Barbarian_L",30)
		#print "Barb Sword Upgraded"
			
		
		
		
def AllyAmazonLevelUpFunc(EntityName):		
	print EntityName+" I have leveled up"
	global WepHit
	global WepDef
	per=Bladex.GetEntity(EntityName)
	if per.Life>0:
		lvl=per.Level
		inv=per.GetInventory()
		if lvl>19:
			WEPDAM=1000
			WEPDEF=-100
		else:
			WEPDAM=WepHit[lvl]
			WEPDEF=WepDef[lvl]
		wp=Bladex.GetEntity(per.InvRight)
		Reference.EntitiesObjectData[wp.Name]=[Reference.OBJ_WEAPON,WEPDAM, WEPDEF, 1.0, Reference.THR_SPINNING, [Reference.W_FLAG_SP,Reference.PI,2000,750,16000,80000,Reference.GolpeArmaEscudoMetal]]
		per.Data.ResetCombat(EntityName)
		if per.Level>7 and per.MeshName !="Amazon_L":
			ChangeArmour(per.Name,"Amazon_L",30)
		#print "Amazon Weapon Upgraded"
		
		

def AllyDwarfLevelUpFunc(EntityName):
	print EntityName+" I have leveled up"
	global Weps
	global DwfShields
	per=Bladex.GetEntity(EntityName)
	if per.Life>0:
		lvl=per.Level
		inv=per.GetInventory()
		if lvl>19:
			NEWWPTYPE=Weps[per.Kind][19]
		else:
			NEWWPTYPE=Weps[per.Kind][lvl]
		newwp=Bladex.CreateEntity(EntityName+"_Weapon_Level"+`lvl`,NEWWPTYPE,0,40000,0,"Weapon")
		ItemTypes.ItemDefaultFuncs(newwp)
		inv.AddWeapon(newwp.Name)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 1.5, GetNewWeapon, (EntityName,newwp.Name,))
		sh=Bladex.GetEntity(per.InvLeft)
		# only get a new shield if you have broken the old one
		if not sh:
			if lvl>19:
				NEWSHTYPE=DwfShields[19]
			else:
				NEWSHTYPE=DwfShields[lvl]
			newsh=Bladex.CreateEntity(EntityName+"_Shield_Level"+`lvl`,NEWSHTYPE,0,40000,0,"Weapon")
			ItemTypes.ItemDefaultFuncs(newsh)
			inv.AddShield(newsh.Name)
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.5, GetNewShield, (EntityName,newsh.Name,))
		if per.Kind!="Dwarf_N":
			return
		if per.Level>=7 and per.Level<11 and per.MeshName !="Dwarf_L":
			ChangeArmour(per.Name,"Dwarf_L",40)
		elif per.Level>=11 and per.MeshName !="Dwarf_M":
			ChangeArmour(per.Name,"Dwarf_M",60)
		

def AllyKnightLevelUpFunc(EntityName):
	print EntityName+" I have leveled up"
	global Weps
	global DwfShields
	per=Bladex.GetEntity(EntityName)
	if per.Life>0:
		lvl=per.Level
		inv=per.GetInventory()
		if lvl>19:
			NEWWPTYPE=Weps[per.Kind][19]
		else:
			NEWWPTYPE=Weps[per.Kind][lvl]
		newwp=Bladex.CreateEntity(EntityName+"_Weapon_Level"+`lvl`,NEWWPTYPE,0,40000,0,"Weapon")
		ItemTypes.ItemDefaultFuncs(newwp)
		inv.AddWeapon(newwp.Name)
		if per.InvRight:
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 1.5, GetNewWeapon, (EntityName,newwp.Name,))
		else:
			inv.LinkRightHand(newwp.Name)
		sh=Bladex.GetEntity(per.InvLeft)
		# only get a new shield if you have broken the old one
		if not sh:
			if lvl>19:
				NEWSHTYPE=DwfShields[19]
			else:
				NEWSHTYPE=DwfShields[lvl]
			newsh=Bladex.CreateEntity(EntityName+"_Shield_Level"+`lvl`,NEWSHTYPE,0,40000,0,"Weapon")
			ItemTypes.ItemDefaultFuncs(newsh)
			inv.AddShield(newsh.Name)
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.5, GetNewShield, (EntityName,newsh.Name,))
		if per.Level>=7 and per.Level<11 and per.MeshName !="Knight_L":
			ChangeArmour(per.Name,"Knight_L",30)
		elif per.Level>=11 and per.Level<17 and per.MeshName !="Knight_M":
			ChangeArmour(per.Name,"Knight_M",50)
		elif per.Level>=17 and per.MeshName !="Knight_F":
			ChangeArmour(per.Name,"Knight_F",80)
			
		
def ChangeArmour(EntityName, ArmourMesh,protfact):
	per=Bladex.GetEntity(EntityName)
	inv=per.GetInventory()
	right= per.InvRight
	left= per.InvLeft
	rightback= per.InvRightBack
	leftback= per.InvLeftBack
				
	per.Data.UnlinkAll (EntityName, "")
	per.SetMesh(ArmourMesh)
				
	if rightback:
		inv.LinkRightHand (rightback)
		inv.LinkRightBack(rightback)
	if leftback:
		inv.LinkLeftHand (leftback)
		inv.LinkLeftBack(leftback)
	if right:
		inv.LinkRightHand (right)
	if left:
		inv.LinkLeftHand (left)
	per.Data.armour_prot_factor=protfact
			




def  GetNewShield(EntityName,ShieldName):
	per=Bladex.GetEntity(EntityName)
	inv=per.GetInventory()
	nshd=Bladex.GetEntity(ShieldName)
	if inv.HoldingBow:
		# If you shot something, tough luck. No new shield
		return
	per.Wuea=Reference.WUEA_ENDED	
	per.InterruptCombat()	
	per.LaunchAnmType("Chg_l")
	inv.LinkLeftHand(ShieldName)


def  GetNewWeapon(EntityName,WeaponName):
	per=Bladex.GetEntity(EntityName)
	inv=per.GetInventory()
	nwep=Bladex.GetEntity(WeaponName)
	owep=Bladex.GetEntity(per.InvRight)
	if inv.HoldingBow:
		# If you shot something, tough luck. No new weapon
		return
	if owep:
		per.Wuea=Reference.WUEA_ENDED	
		per.InterruptCombat()	
		per.LaunchAnmType("Chg_r_l")
		inv.LinkRightHand("")
		inv.RemoveWeapon(owep.Name)
		owep.Position=0,30000,0
		inv.LinkRightHand(WeaponName)
		
	
	
	
def ConvertedAllyLevelUpFunc(EntityName):
	print EntityName+" I have leveled up"
	global WepHit
	global WepDef
	
	per=Bladex.GetEntity(EntityName)
	if per.Life>0:
		lvl=per.Level
		inv=per.GetInventory()
		if lvl>19:
			WEPOW=WepHit[19]
			WEPDEF=WepDef[19]
		else:
			WEPOW=WepHit[lvl]
			WEPDEF=WepDef[lvl]
	rwp=Bladex.GetEntity(per.InvRight)
	if rwp:
		Reference.EntitiesObjectData[rwp.Name]=[Reference.OBJ_WEAPON,WEPOW, WEPDEF, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
	
	
	
	
	
def DumpMe(entity):
	per=Bladex.GetEntity(entity)		
	per.Position=0,30000,0
		
		
def RemoveMyCorpse(PersonName, dx, dz):
	wps=Bladex.CreateEntity(PersonName+"WPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
	wps.PersonName=PersonName
	wps.ParticleType="EnPolvo"
	wps.Time2Live=64
	wps.RandomVelocity=0
	wps.Velocity=dx,300,dz
	wps.NormalVelocity=2.0
	wps.YGravity=-300
	wps.DeathTime=Bladex.GetTime()+1.5
	wps.PPS=300
	me = Bladex.GetEntity(PersonName)
	me.Alpha=1.00
	me.RasterMode="Read"
	me.CastShadows=0
	AuxFuncs.FadeObject(PersonName, 1.00, 0.0, 4.0)
	Bladex.AddScheduledFunc(Bladex.GetTime()+4.1, DumpMe,(me.Name,))
	
	
	
	
###########################################################################################################################################################
########## Base Ally Class

class AllyChar (Ally_Def.NPCAlly):

	DeathFunc=None
	DeathArgs=()
	NPCLevelUpParticleData=[]
	LevelupFunc=None
	LevelupArgs=()
	OnGuard=0
	GuardPoint=0,0,0
	GuardLookPoint=0,0
	Dusted=0
	Combatant=1
	
	def __init__(self, me):
		Ally_Def.NPCAlly.__init__(self, me)
	
		me.ImDeadFunc=self.NewImDeadFunc
		
		self.NPCLevelUpParticleData=[]
		
		for i in range(30):
			if i>25:
				traux=(30.0-i)/5.0 
				aux=traux**0.5
			else:
				traux=i/25.0 
				aux=traux**2.0
			r=255
			g=255
			b=255
			a=255.0*traux
			size=200.0*aux
			self.NPCLevelUpParticleData.append(a)
			self.NPCLevelUpParticleData.append(size)
			Bladex.SetParticleGVal("NPCLevelUpParticle",i,r,g,b,a,size)
		
		self.lupsnd1=Bladex.CreateSound("..\\..\\Sounds\\aparicion-escudo.wav", "LUPSnd1")
		self.lupsnd1.Volume=1.0
		self.lupsnd1.MinDistance=10000
		self.lupsnd1.MaxDistance=30000	
		
		self.Combatant=1
		self.OnGuard=0
		self.GuardPoint=0,0,0
		self.GuardLookPoint=0,0
		self.HLCDefaultIncrement = 0.01
		me.DamageFunc=AllyDamage
		
		
		
		
	def NewImDeadFunc (self,EntityName):
		#print EntityName+": NEW ImDeadFunc"
		Ally_Def.NPCAlly.StdImDead(self,EntityName)
		if self.DeathFunc:
			apply(self.DeathFunc,self.DeathArgs)
		if self.Dusted:
			Bladex.AddScheduledFunc(Bladex.GetTime()+12,RemoveMyCorpse,(EntityName,100,0,))
	
	
	
	def GetLocalAllies(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		mypos=me.Position
		localAllylist=[]
		for aname in Bladex.GetEntitiesAt(mypos[0],mypos[1],mypos[2], 50000):
			ally=Bladex.GetEntity(aname)
                        if ally and ally.Person:
                		if ally.Life>0 and ally.Alpha>0.9 and not CheckIfAlly(ally.Name) and ally.Name!=me.Name and ally.Name!="Player1":
                			localAllylist.append(ally.Name)
                return localAllylist
                   				
	
	
	def RaiseAlarm(self,EntityName):
		# called when an ally engages an enemy. Make all other allies turn to face enemy if they are not busy....
		me=Bladex.GetEntity(EntityName)
		#print "Alarm raised by ",me.Name
		x,y,z=me.Rel2AbsPoint(0,2000,0)
		px,py,pz=me.Position
		for aname in Bladex.GetEntitiesAt(px,py,pz, 40000):
			ally=Bladex.GetEntity(aname)
                        if ally and ally.Person:
                		if ally.Life>0 and ally.Alpha>0.9 and not CheckIfAlly(ally.Name) and ally.Name!=me.Name and ally.Name!="Player1":
                			dist=B3DLib.GetXZDistance(EntityName, ally.Name)
					if not ally.CanISee(me) :
						if dist>12000 and dist <40000:
							ally.GoToJogging=1
							if ally.AstarState<>Ally_Def.ASTAR_SOLVED and not me.GetActionMode()!=Ally_Def.ROUTE_CHASE:
								ally.GoTo(x,y,z)
								#print ally.Name," I am responding to alert from ",me.Name
						else:
							Actions.TurnToFaceEntity(ally.Name,me.Name)
							#print ally.Name," I have been alerted"
				
				
		
	def CheckForBadGuys(self):
		me=Bladex.GetEntity(self.Name)
		mypos=me.Position
		localenemylist=[]
		for ename in Bladex.GetEntitiesAt(mypos[0],mypos[1],mypos[2], 30000):
                	ene=Bladex.GetEntity(ename)
                	if ene:
                		if ene.Person:
                			if ene.Life>0 and ene.Alpha>0.9 and CheckIfAlly(ene.Name) and ene.Name!=me.Name and ene.Name!="Player1":
                				localenemylist.append(ene.Name)
                if len (localenemylist) == 0: 
                   	return None
		localenemylist.sort(self.ChooseCanISeeNearest)
                return localenemylist[0]
                   				
			
		
	def GoBackToPost(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.Life<=0:
			return
		if self.OnGuard:
			me.GoTo(self.GuardPoint[0],self.GuardPoint[1],self.GuardPoint[2])
			me.RouteEndedFunc=self.CheckDirection
			
			
			
	def CheckDirection(self, EntityName):
		me=Bladex.GetEntity(self.Name)
		if self.OnGuard and not me.InCombat:
			Actions.TurnToFacePos(EntityName,self.GuardLookPoint[0],self.GuardLookPoint[1])
			me.RouteEndedFunc=None
			self.GetMyBowOut(EntityName)
			
			
	def LookAround(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.RouteEndedFunc:
			me.RouteEndedFunc=None
		if me.Life>0:
			if not me.InCombat:
				if self.OnGuard and not self.CheckForBadGuys():
					self.GoBackToPost(EntityName)
					
				else:
					nearene=self.CheckForBadGuys()
					if nearene:
						Actions.TurnToFaceEntity(me.Name,nearene)
						#print "Looking to enemy"
					else:
						Actions.Turn180(me.Name)
		
	
				
	def DoINeedADrink(self,EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.Life>0:
			if not me.InCombat:
				UsePotion(EntityName)
				#print EntityName+" considering having a drink"


	def StdEnterClose(self,EntityName):
		Ally_Def.NPCAlly.StdEnterClose(self,EntityName)
		self.RaiseAlarm(EntityName)
		

	
	def OnKilledEnemy(self,KilledEntityName):
		me=Bladex.GetEntity(self.Name)
		Reference.debugprint (self.Name+": I have killed "+KilledEntityName)
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			return
		if KilledEntity.Name=="Player1":
			Reference.debugprint ("Ally Char: oooops! I have killed the Player")
			return
		
		if self.OnGuard:
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.5,self.GoBackToPost,(self.Name,))
		else:
			Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.5, self.LookAround, (self.Name,))
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 4.5, self.DoINeedADrink,(self.Name,))
		
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)
		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
		if me.PartialLevel>=LevelLimit and me.Life>0:
			while me.PartialLevel>=LevelLimit:
				me.PartialLevel=me.PartialLevel-LevelLimit
				me.Level=me.Level+1
				LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
			maxlevel=CharStats.GetMaxLevel()
			maxsize=50+(140/maxlevel)*me.Level 
			maxPPS=120+(600/maxlevel)*me.Level 
			maxint=0.5+(4.5/maxlevel)*me.Level 
			AuraParams=(5, 0, 1, 0, 0, 1)
			AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
			AuraVar1Args=(5, maxsize, 0, 1, 0.5)
			AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
			PSParams=(self.NPCLevelUpParticleData, "NPCLevelUpParticle", 30, 50, 150, 255, maxPPS, -600, 0.0, 2, 2, 0.4, 30, 0.5)
			
			GenFX.LevelUpFX(me.Name, 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15)
			if me.Life >0: # If an enemy death by poison or thrown weapons and.. You are death!
				me.ResetWounds()
				me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
				if self.Poisoned:
					self.UnVenom ()
			self.lupsnd1.Play(me.Position[0],me.Position[1],me.Position[2],0)
			if self.LevelupFunc:
				apply(self.LevelupFunc,self.LevelupArgs)
				me=Bladex.GetEntity(self.Name)
			print "Leveled UP -> ", me.Name
				
				
	
				
	def IsValidEnemy (self, entity):
		me=Bladex.GetEntity(self.Name)
		if entity.Person and entity.Life > 0 and entity.Name != self.Name and entity.Name != "Player1" and not AllyCombat.CheckAlly (entity.Name) and (me.CanISee(entity)):
			return TRUE
		else:
			return FALSE
	

	
	def MyGetEnemyName (self):
		me=Bladex.GetEntity(self.Name)
	        if not self.EnemyName or Bladex.GetEntity(self.EnemyName).Life <=0:
		   	enemyList=[]
		   	pj_dir=me.Rel2AbsVector(0.0,-1.0,0.0)
			pjp=me.Position
			for ename in Bladex.GetEnemiesVisibleFrom(pjp,50000,pj_dir,0.0):
                       		ene=Bladex.GetEntity(ename)
                       		if self.IsValidEnemy(ene):
                         		enemyList.append(ene.Name)
                   	if len (enemyList) == 0: 
                   		self.EnemyName=None
                   		return None
                   	enemyList.sort(self.ChooseCanISeeNearest)
                   	self.EnemyName=enemyList[0]
		enemy=Bladex.GetEntity(self.EnemyName)
                me.SetEnemy(enemy)
		return self.EnemyName		
	
	

	def StdSeeTheEnemy(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		life = me.Life
		if life > 0.0:		
			#Reference.debugprint (EntityName + ": Who goes there!")
			if not self.MyGetEnemyName(): 
				return
			ene=Bladex.GetEntity(self.MyGetEnemyName())
			if ene:
				if self.IsValidEnemy(ene):
					#Reference.debugprint (EntityName + " I see "+ene.Name+". - I will CARVE him up!")
					if self.Asleep:
						self.WakeMeUp(EntityName)
				###########################################
				inv= me.GetInventory()
				if inv.HasBow and not inv.HoldingBow:		
					print EntityName+" I have a bow but not holding it" 	
					dist=B3DLib.GetXZDistance(EntityName, ene.Name)
					if dist> 30000:
						self.GetMyBowOut(EntityName)
					
				##########################################
						
				me.LookAtEntity(ene.Name)
				#Just in case we were doing a wait animation
				if me.GetActionMode() == Ally_Def.ROUTE_BAY:	
					me.Wuea=Reference.WUEA_ENDED
				#self.CheckToJoin(EntityName)
				if me.GetActionMode()!=Ally_Def.ROUTE_CHASE:
					self.StdStartChase(EntityName)
				if me.GetActionMode()==Ally_Def.ROUTE_BOWING: 
					if self.AimPressed:
						angle= Reference.TARGET_ANGLE_MAX- me.Accuracy*(Reference.TARGET_ANGLE_MAX-Reference.TARGET_ANGLE_MIN)
						if me.AimOffTarget<angle:
							print "Releasing Arrow"
							Actions.TestReleaseArrow(EntityName)
					else: 
						if me.Wuea!=Reference.WUEA_WAIT:
							print "Drawing Bow"
							Actions.TestDrawBow (EntityName)
				elif me.Aim or Actions.CurrentlyBowing(EntityName):
					me.Wuea=Reference.WUEA_ENDED
					Actions.EndBowMode(EntityName)
					me.SetOnFloor()
			else:
				print (EntityName + ": Cannot get a handle on me")
	
		
		
	def GetMyBowOut(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		inv= me.GetInventory()
		life = me.Life
		if life > 0.0:		
			left_type= Reference.GiveObjectFlag(me.InvLeft)
			if left_type != Reference.OBJ_BOW:
				me.SwitchToBow()
				if inv.GetSelectedWeapon() != me.InvRight and inv.GetSelectedWeapon() != me.InvLeft:
					# Launch the swap weapons animation
					import ScorerActions
					out= ScorerActions.CB_WeaponOutX(EntityName,0)
					if not out:
						me.AnmEndedFunc= ScorerActions.CB_WeaponOutX
					Bladex.AddScheduledFunc(Bladex.GetTime()+2.0, self.GetMyBowOut,(EntityName,),EntityName+"ReGetMyBowOut")

		
	
	def LookAround90(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		inv=me.GetInventory()
		if inv.HasBow or self.OnGuard:	
			return
		trand= whrandom.randint(1,12)
		tvar=10+trand
		if self.Asleep:
			angle = me.Angle+PI*0.5
			if angle >= TWOPI:
				angle = angle - TWOPI
			me.Face(angle)
			Bladex.AddScheduledFunc(Bladex.GetTime()+ tvar, self.LookAround90,(EntityName,))
			me.SetOnFloor()
	
	
	def StdDelayNoSeen(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		#Reference.debugprint(EntityName+": Im in NEWStdDelayNoSeen")
		if me.Life > 0:
			if not self.MyGetEnemyName():
				if (not self.Asleep) and (not me.Blind):
					if me.Aim or Actions.CurrentlyBowing(EntityName):
						me.Wuea=Reference.WUEA_ENDED
						Actions.EndBowMode(EntityName)
						me.SetOnFloor()
					if not self.CheckForBadGuys() and self.OnGuard:
						self.GoBackToPost(EntityName)
						print EntityName+" I am going back to my post"
					me.StopLooking()
					self.PutMeToSleep(EntityName)
					Reference.debugprint(EntityName+": I have got bored and dropped off to sleep")		
					
					if me.GetActionMode() != Ally_Def.ROUTE_CHASE:
						if me.GetActionMode() != Ally_Def.ROUTE_SINGLE and me.GetActionMode() != Ally_Def.ROUTE_BAY:
							Reference.debugprint(EntityName+": I am not chasing")
							self.LaunchMyPatrol(EntityName)
					else:
						Reference.debugprint(EntityName+": I am chasing")
						if me.AstarState<>Ally_Def.ASTAR_SOLVED:
							# Face enemy as much as possible
							lastseenpos = me.EnemyLastSeen
							me.StartLooking(lastseenpos[0], lastseenpos[1], lastseenpos[2])
							if Actions.IsFacingPos(EntityName, lastseenpos[0], lastseenpos[2]):
								self.LaunchMyWatch (EntityName)
							else:
								Actions.TurnToFacePos(EntityName, lastseenpos[0], lastseenpos[2])
								me.RouteEndedFunc=self.LaunchMyWatch
			else:
			
				if self.EnemyName:
					self.EnemyName=None		
				Reference.debugprint(EntityName+": I can't go to sleep yet, I have an enemy")
		
		
		
				
	def PutMeToSleep(self,EntityName):
		if not self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=1  
			self.Asleep = TRUE
			self.LookAround90(EntityName)


	def WakeMeUp(self,EntityName):
		if self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=0  
			self.Asleep = FALSE
			
	
	
	def SetGuardPoint(self,lx=0.0,ly=0.0):
		me=Bladex.GetEntity(self.Name)
		x,y,z=me.Position
		self.GuardPoint=x,y,z
		self.GuardLookPoint=lx,ly
		
		
		
	def StdEnemyDead(self,EntityName):
		Ally_Def.NPCAlly.StdEnemyDead(self,EntityName)
		me=Bladex.GetEntity(EntityName)
		#Reference.debugprint(EntityName+": My enemy is really dead.He he ! - py")
		newene= self.CheckForBadGuys()
		if newene and not me.InCombat:
			Actions.TurnToFaceEntity(EntityName, newene)
		else:
			if self.OnGuard:
				Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.5, self.GoBackToPost,(EntityName,))
	
		
	
	
	# Functions for loading and saving state
	def __getstate__(self):	
		NPCPerson_state=Ally_Def.NPCAlly.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["AllyChar"]=(GameStateAux.SaveFunctionAux(self.DeathFunc),
						self.DeathArgs,
		                                GameStateAux.SaveFunctionAux(self.LevelupFunc),
		                                self.LevelupArgs,
		                                self.OnGuard,
		                                self.GuardPoint,
		                                self.GuardLookPoint,
		                                self.Dusted,
		                                self.Combatant)
		return NPCPerson_state
	
	def __setstate__(self,parm):
		Ally_Def.NPCAlly.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["AllyChar"]
			GameStateAux.LoadFunctionAux(parms[0],self,"DeathFunc")
			self.DeathArgs=parms[1]
			GameStateAux.LoadFunctionAux(parms[2],self,"LevelupFunc")
			self.LevelupArgs=parms[3]
			self.OnGuard=parms[4]
			self.GuardPoint=parms[5]
			self.GuardLookPoint=parms[6]
			self.Dusted=parms[7]
			self.Combatant=parms[8]
			
		self.NPCLevelUpParticleData=[]
		for i in range(30):
			if i>25:
				traux=(30.0-i)/5.0 #va de 0 a 1
				aux=traux**0.5
			else:
				traux=i/25.0 #va de 1 a 0
				aux=traux**2.0
			r=255
			g=255
			b=255
			a=255.0*traux
			size=200.0*aux
			self.NPCLevelUpParticleData.append(a)
			self.NPCLevelUpParticleData.append(size)
		Bladex.SetParticleGVal("NPCLevelUpParticle",i,r,g,b,a,size)
				
		self.lupsnd1=Bladex.CreateSound("..\\..\\Sounds\\aparicion-escudo.wav", "LUPSnd1")
		self.lupsnd1.Volume=1.0
		self.lupsnd1.MinDistance=10000
		self.lupsnd1.MaxDistance=30000	
		me=Bladex.GetEntity(self.Name)
		me.ImDeadFunc=self.NewImDeadFunc


##########################################################################################################################################################





######### Races

class Knight_Traitor (AllyChar):
	def __init__(self, me):
		# base class init
		AllyChar.__init__(self, me)
		#print "Personage Creado",me.Name,self.changed_func

		# Set up traitor knight specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
	
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.Kind=="Knight_Traitor":
			AniSound.AsignarSonidosCaballeroTraidor(EntityName)
		elif me.Kind=="Dark_Knight":
			AniSound.AsignarSonidosCaballeroOscuro(EntityName)

	# Functions for loading and saving state
	def __getstate__(self):	
		#print "Changed Funcs",self.changed_func
		
		NPCPerson_state=AllyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			print "ERROR: Knight_Traitor.__getstate__(): Base class version differs."
			return NPCPerson_state
		NPCPerson_state[1]["Knight_Traitor"]=()
		return NPCPerson_state
	
	def __setstate__(self,parm):
		# Toma como parmetro lo que devuelve __getstate__() y debe recrear la clase
		AllyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Knight_Traitor"]
			

	def ResetCombat (self,EntityName):		
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=TRUE
			self.AttackNPCTime = 1.5
			me.BlockingPropensity = 0.7
			me.AttackList = BCopy.deepcopy(AllyCombat.TraitorKnightAttackData)
			self.ChanceOfFuryOnHurt = 0.25
			self.ChanceOfFuryOnLeaderDeath = 1.00


	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		# Wiz gets magic from kills by npc's he has drugged
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
			
			
			
			

class Dark_Knight (Knight_Traitor):
	pass
	
	
	
	
	
class Ork (AllyChar):
	def __init__(self, me):
		# base class init
		AllyChar.__init__(self, me)

		# anims
		me.AnmTranFunc=AuxTran.AuxTranOrc

		# Set up orc specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.Kind=="Ork":
			AniSound.AsignarSonidosOrco(EntityName)
		elif me.Kind=="Great_Ork":
			AniSound.AsignarSonidosOrcoGrande(EntityName)
		elif me.Kind=="Dark_Ork":
			AniSound.AsignarSonidosOrcoOscuro(EntityName)

	# Functions for loading and saving state
	def __getstate__(self):
		# Tiene que devolver cmo poder guardar el estado de la clase
		NPCPerson_state=AllyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			print "ERROR: Ork.__getstate__(): Base class version differs."
			# Throw?
			return NPCPerson_state
		NPCPerson_state[1]["Ork"]=()
		return NPCPerson_state
		

	def __setstate__(self,parm):
		AllyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Ork"]
			#self.SoundPriorities=parms[0]

		me=Bladex.GetEntity(self.Name)
		me.AnmTranFunc=AuxTran.AuxTranOrc

	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			me.BlockingPropensity = 0.2
			me.AttackList = BCopy.deepcopy(AllyCombat.OrkAttackData)
			self.ChanceOfFuryOnHurt = 0.45

	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		# Wiz gets magic from kills by npc's he has drugged, but not XP
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
			
			

class Great_Ork (Ork):
	pass





class Skeleton (AllyChar):
	def __init__(self, me):
		# base class init		
		AllyChar.__init__(self, me)

		# Set up skeleton specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   =  1.0
		self.SoundPriorities[Reference.SND_HIT]     =  1.0
		self.SoundPriorities[Reference.SND_NPC]     = -1.0
		self.SoundPriorities[Reference.SND_NOISYPC] =  3.0
		self.SoundPriorities[Reference.SND_PC]      =  2.0
		

	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosEsqueleto(EntityName)

	# Functions for loading and saving state
	def __getstate__(self):
		NPCPerson_state=AllyChar.__getstate__(self)		

		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["Skeleton"]=()
		return NPCPerson_state
		

	def __setstate__(self,parm):
		# Toma como parmetro lo que devuelve __getstate__() y debe recrear la clase
		AllyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Skeleton"]
			

	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		# Wiz gets XP from kills by npc's he has drugged
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
			

	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			me.BlockingPropensity = 0.6
			me.AttackList = BCopy.deepcopy(AllyCombat.SkeletonAttackData)





class Troll_Dark (AllyChar):
	def __init__(self, me):
		# base class init		
		AllyChar.__init__(self, me)
		
		self.DamageFactorNone  = 0.15
		self.DamageFactorLight = 0.25
		
		# anims
		#me.AnmTranFunc=AuxTran.AuxTranKnightLivingDead

		# Set up specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0

	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosTroll(EntityName)
		
		
	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
			
			
		
	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			me.BlockingPropensity = 0.8
			me.AttackList = BCopy.deepcopy(AllyCombat.TrollAttackData)
			
			
# is this actually used ?	
class Troll_snow (AllyChar):
	def __init__(self, me):
		# base class init		
		AllyChar.__init__(self, me)
		
		self.DamageFactorNone  = 0.15
		self.DamageFactorLight = 0.25

		# anims
		#me.AnmTranFunc=AuxTran.AuxTranKnightLivingDead

		# Set up specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0

		# Because we share biped data with the Troll_Dark, we start with the wrong mesh
		me.MeshName= 'Troll_snow'

	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosTroll(EntityName)

	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			me.BlockingPropensity = 0.8
			me.AttackList = BCopy.deepcopy(AllyCombat.TrollAttackData)
			
			
			
			
class Cos (AllyChar):

	HitImpulse = [0.0,0.0,0.0]
	last_hit_in_air= FALSE

	def __init__(self, me):
		# base class init		
		AllyChar.__init__(self, me)
		

		me.AddAnmEventFunc("CollisionsOff", self.CollisionsOff)		
		me.InflictHitFunc = self.InflictHitFunc

		

		# Set up specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = -1.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 20.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		self.NoFXOnHit= TRUE

	# Functions for loading and saving state
	def __getstate__(self):		
		#self.changed_func[6] = 1
		NPCPerson_state=AllyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			print "ERROR: Cos.__getstate__(): Base class version differs."			
			return NPCPerson_state
		NPCPerson_state[1]["Cos"]=(self.HitImpulse,self.last_hit_in_air)

		return NPCPerson_state		

	def __setstate__(self,parm):
		# Toma como parmetro lo que devuelve __getstate__() y debe recrear la clase
		AllyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Cos"]			
			self.HitImpulse=parms[0]
			self.last_hit_in_air=parms[1]
		
		me=Bladex.GetEntity(self.Name)
		me.AddAnmEventFunc("CollisionsOff", self.CollisionsOff)
		self.NoFXOnHit= TRUE
		
	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosCosita(EntityName)
		
		
	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		# Wiz gets XP from kills by npc's he has drugged
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
			

	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=FALSE
			me.BlockingPropensity = 0.0
			me.AttackList = BCopy.deepcopy(AllyCombat.CosAttackData)
			self.ChanceOfFuryOnHurt = 0.0
			self.ChanceOfFuryOnLeaderDeath = 0.0


	def InflictHitFunc (self, EntityName, VictimName, ImpX, ImpY, ImpZ):
		me = Bladex.GetEntity(EntityName)
		me.Wuea=Reference.WUEA_ENDED
		me.InterruptAllyCombat()
		me.SetTmpAnmFlags(1,1,1,1,Enm_Def.BM_XYZ,Enm_Def.HEADF_ENG)
		me.LaunchAnmType("jmp_back1")
		# this should encourage the others to attack
		self.CallGroupMemberFunc(EntityName, AllyCombat.TempMoveInProc, 0)
		Actions.Stop_Weapon(EntityName, "Stop_Weapon")		
		


	def HitFunc (self, EntityName, WeaponName, Cx, Cy, Cz, Px, Py, Pz,wcx,wcy,wcz,wdx,wdy,wdz):
		Ally_Def.NPCAlly.HitFunc(self, EntityName, WeaponName, Cx, Cy, Cz, Px, Py, Pz,wcx,wcy,wcz,wdx,wdy,wdz)
		me = Bladex.GetEntity(EntityName)
		self.HitImpulse[0]= Px*0.20;
		self.HitImpulse[1]= Py*0.20;
		self.HitImpulse[2]= Pz*0.20;
		#print EntityName+": Im hit"
		
		# discourage the others from attacking
		if me and me.Life>0:
			me.Data.CallGroupMemberFunc(EntityName, AllyCombat.TempMoveOutProc, 0)
				
		self.last_hit_in_air= (not me.OnFloor) or me.AnimName=="g_01" or me.AnimName=="G_01"
		#self.last_hit_in_air= 1
		if self.last_hit_in_air:
			me.Angle= B3DLib.GetXZAngle(-self.HitImpulse[0], 0.0, -self.HitImpulse[2])
			me.SetActiveEnemy(None)
			
		# launch appropriate hurt anim
		if me and me.Life > 0:
			me.Wuea=Reference.WUEA_ENDED	
			me.InterruptAllyCombat()	
			if self.last_hit_in_air:	
				me.LaunchAnmType("fly")
			else:
				me.LaunchAnmType("hurt_lite")

	def CollisionsOff (self,EntityName,EventName):
		me = Bladex.GetEntity(EntityName)
		enemy=Bladex.GetEntity(me.GetEnemyName())
		me.ExcludeHitInAnimationFor(enemy)
		

	def RespondToHit(self, EntityName, AttackerName, DamagePoints, DamageType, DamageZone, Shielded):
		me = Bladex.GetEntity(EntityName)
		
		# launch appropriate hurt anim
		if me and me.Life > 0:
			damage_factor = DamagePoints / (me.Life+DamagePoints)
			if damage_factor > self.DamageFactorNone:
				if DamageZone >= 0 and DamageZone < 32:
					me.SetWoundedZone(DamageZone, 1)

		# Consider getting furious
		if AttackerName and AttackerName != 'BWorld':
			me = Bladex.GetEntity(EntityName)
			if me and me.Life > 0:
				# consider getting furious
				if whrandom.random() < self.ChanceOfFuryOnHurt:
					self.GetFurious (EntityName)

	def Explode (self,EntityName,EventName):
		me = Bladex.GetEntity(EntityName)
		me.DelAnmEventFunc(EventName)
		# Check valid event type
		if EventName != "Explode":		
			print(EntityName+":-( Explode has unhandled event")
			return
		
		me_pos = me.Position

		for limb_id in range (1, 6):
			limb= me.SeverLimb(limb_id)

			if limb:
				# explode outward 
				limb_pos = limb.Position
				OutImpulse= B3DLib.Normalize ((limb_pos[0]-me_pos[0], limb_pos[1]-me_pos[1], limb_pos[2]-me_pos[2]))
				B3DLib.Scale (OutImpulse, 5000.0)
				limb.Impulse(OutImpulse[0], OutImpulse[1], OutImpulse[2])

				# we want backward impulse as well...  get this from the weapon
				limb.Impulse(self.HitImpulse[0], self.HitImpulse[1], self.HitImpulse[2])
				
				
				
class Minotaur (AllyChar):
	def __init__(self, me):
		# base class init
		AllyChar.__init__(self, me)

		# Set up traitor knight specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		self.DamageFactorNone  = 0.25
		self.DamageFactorLight = 0.33
		self.DamageFactorHeavy = 0.5
		
	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosMinotaur(EntityName)

	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=TRUE
			self.AttackNPCTime = 2.0
			me.BlockingPropensity = 0.6
			me.AttackList = BCopy.deepcopy(AllyCombat.MinotaurAttackData)
			self.ChanceOfFuryOnHurt = 0.0
			self.ChanceOfFuryOnLeaderDeath = 0.0
			
			
	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		# Wiz gets XP from kills by npc's he has drugged
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
			

class Ragnar(AllyChar):

	risaragnar=None
	ChanceOfFury=0.0

	def __init__(self, person):
		# base class init
		AllyChar.__init__(self, person)
		
		# Set up orc specific sound priorities		
		self.SoundPriorities[Reference.SND_ARROW] = 10.0
		self.SoundPriorities[Reference.SND_HIT] = 50.0
		self.SoundPriorities[Reference.SND_NPC] = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC] = 80.0
		
		self.risaragnar=Bladex.CreateSound("..\\..\\Sounds\\risa-ragnar.wav", "RisaRagnar")
		self.risaragnar.Volume=1
		#self.risaragnar.Scale=0.56
		#self.risaragnar.MinDistance=500
		#self.risaragnar.MaxDistance=90000
		self.risaragnar.Scale=1.0
		self.risaragnar.MinDistance=5000
		self.risaragnar.MaxDistance=20000

	# Functions for loading and saving state
	def __getstate__(self):	
		NPCPerson_state=AllyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			print "ERROR: Ragnar.__getstate__(): Base class version differs."
			return NPCPerson_state
		me=Bladex.GetEntity(self.Name)
		NPCPerson_state[1]["Ragnar"]=(self.risaragnar.Name, 
										None, # used to be SeeFunc, now just empty placeholder to maintain savegame compatibility
										self.ChanceOfFury)
		return NPCPerson_state
	
	def __setstate__(self,parm):
		# Toma como parmetro lo que devuelve __getstate__() y debe recrear la clase
		AllyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Ragnar"]
			risaragnar_Name=parms[0]
			self.risaragnar=Bladex.GetSound(risaragnar_Name)
			me=Bladex.GetEntity(self.Name)
			self.ChanceOfFury=parms[2]

	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosRagnar(EntityName)
	
	def Laugh(self, entity_name):
		me=Bladex.GetEntity(self.Name)
		rgpos=me.Position
		self.risaragnar.Play(rgpos[0], rgpos[1], rgpos[2], 0)

	def Escaping(self, risa=0):
		person=Bladex.GetEntity(self.Name)
		person.LaunchAnimation("Rgn_escape")
		if risa:
			person.AnmEndedFunc=self.Laugh

	def CommandingAndEscaping(self, risa=0):
		person=Bladex.GetEntity(self.Name)
		person.LaunchAnimation("Rgn_escape2")
		if risa:
			person.AnmEndedFunc=self.Laugh
			
			
	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		# Wiz gets XP from kills by npc's he has drugged
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
			

	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=0
			self.ChanceOfFury = 0.00
			inv= me.GetInventory()
			if inv.HoldingShield: 
				me.BlockingPropensity = 1.0
				me.RangeDefenceCapable = TRUE
			else: 
				me.BlockingPropensity = 0.2
				me.RangeDefenceCapable = FALSE
			me.AttackList = BCopy.deepcopy(AllyCombat.RagnarAttackData)		
			
			
			
class Golem_stone (AllyChar):

	#variables
	AGE= 0
	StoneType="Piedra_Glm_st"
	StoneGrowTime= 0.8
	ScaleVar= 0.0
	AlphaVar= 0.0
	StoneAlpha=1.0
	StoneSelfIlum=0.0


	def __init__(self, me):
		# base class init
		AllyChar.__init__(self, me)

		self.DamageFactorNone  = 0.25
		self.DamageFactorLight = 0.25

		# Set up traitor knight specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0

		# constants
		me.AddAnmEventFunc("StoneAppears", self.StoneAppearsHandler)
		#me.OnStepFunc = darfuncs.QuakeStep
		me.ImDeadFunc=self.ImDeadFunc
		

		#variables
		self.NoFXOnHit= TRUE

	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		if me.Kind=="Golem_stone":
			AniSound.AsignarSonidosGolem_st(EntityName)
		elif me.Kind=="Golem_clay":
			AniSound.AsignarSonidosGolem_cl(EntityName)
		elif me.Kind=="Golem_lava":
			AniSound.AsignarSonidosGolem_lv(EntityName)
		elif me.Kind=="Golem_metal":
			AniSound.AsignarSonidosGolem_mt(EntityName)

	# Functions for loading and saving state
	def __getstate__(self):
		# Tiene que devolver cmo poder guardar el estado de la clase
		#self.changed_func[6] = 1
		NPCPerson_state=AllyChar.__getstate__(self)
		me=Bladex.GetEntity(self.Name)

		if(NPCPerson_state[0]!=1):
			print "ERROR: Golem_stone.__getstate__(): Base class version differs."
			# Throw?
			return NPCPerson_state
		NPCPerson_state[1][me.Kind]=(self.AGE,
						self.StoneType,
						self.StoneGrowTime,
						self.ScaleVar,
						self.AlphaVar,
						self.StoneAlpha,
						self.StoneSelfIlum)

		return NPCPerson_state
		#self.ResetCombat(me.Name)

	def __setstate__(self,parm):
		# Toma como parmetro lo que devuelve __getstate__() y debe recrear la clase
		AllyChar.__setstate__(self,parm)
		me=Bladex.GetEntity(self.Name)

		version=parm[0]
		if version==1:
			parms=parm[1][me.Kind]
			self.AGE=parms[0]
			self.StoneType=parms[1]
			self.StoneGrowTime=parms[2]
			self.ScaleVar= parms[3]
			self.AlphaVar= parms[4]
			self.StoneAlpha= parms[5]
			self.StoneSelfIlum= parms[6]
		
		me.AddAnmEventFunc("StoneAppears", self.StoneAppearsHandler)
		#me.OnStepFunc = darfuncs.QuakeStep		
		#me.ImDeadFunc=self.ImDeadFunc		
		self.NoFXOnHit= TRUE

	def ImDeadFunc (self,EntityName):
		AllyChar.NewImDeadFunc(self,EntityName)
		Bladex.AddScheduledFunc(Bladex.GetTime()+3.2, self.Destroza,(EntityName,))
	
	def Destroza(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		me.SeverLimb(1)
		me.SeverLimb(2)
		me.SeverLimb(4)
		me.SeverLimb(6)
		me.SeverLimb(8)
		me.CastShadows = 0
		
		
	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		# Wiz gets XP from kills by npc's he has drugged
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
		
		
	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttacksOwnKind=TRUE
			self.AttackNPCTime = 2.0
			me.BlockingPropensity = 0.2
			me.AttackList = BCopy.deepcopy(AllyCombat.StoneGolemAttackData)
			self.ChanceOfFuryOnHurt = 0.0
			self.ChanceOfFuryOnLeaderDeath = 0.0

	def ScaleStone (self, obj_name, time):
		obj= Bladex.GetEntity(obj_name)
		parent= obj.Parent
		if parent:
			me = Bladex.GetEntity(parent)
			me.Unlink(obj)
		obj.Scale= obj.Scale+self.ScaleVar
		if obj.Scale>=1.0:
			obj.Scale= 1.0
			obj.RemoveFromList("Timer60")
			obj.TimerFunc=""
		if parent:
			me.GetInventory().LinkLeftHand(obj.Name)
	
	def DownScaleStone (self, obj_name, time):
		obj= Bladex.GetEntity(obj_name)
		parent= obj.Parent
		if parent:
			me = Bladex.GetEntity(parent)
			if me and me.Person and me.InvLeft==obj_name:
				inv= me.GetInventory()
				inv.LinkLeftHand(NULL)
			me.Unlink(obj)
			
		obj.Scale= max (0,0, obj.Scale-self.ScaleVar)
		obj.Alpha= max (0,0, obj.Alpha-self.AlphaVar)
		if obj.Scale<=0.0 or obj.Alpha<=0.0:
			obj.RemoveFromList("Timer60")
			obj.TimerFunc=""
			obj.RemoveFromWorld()
			obj.SubscribeToList("Pin")
	
	def StoneStopFunc (self, EntityName):
		print "stopping stone ",EntityName
		stone= Bladex.GetEntity(EntityName)
		if stone:
			stone.MessageEvent(Reference.MESSAGE_STOP_WEAPON,0,0)
			stone.MessageEvent(Reference.MESSAGE_STOP_TRAIL,0,0)
			stone.Alpha=self.StoneAlpha
			stone.TimerFunc= self.DownScaleStone
			stone.SubscribeToList("Timer60")
				
	def StoneAppearsHandler (self,EntityName,EventName):
		me = Bladex.GetEntity(EntityName)
		if not me.InvLeft:
			self.AGE= self.AGE+1
			x,y,z= me.GraspPos("L_Hand")
			stone= Bladex.CreateEntity(EntityName+"_"+self.StoneType+"_"+`self.AGE`, self.StoneType, x,y,z, "Weapon")
			stone.Mass= 5
			init_scale= 0.25
			stone.Alpha=self.StoneAlpha
			stone.Scale= init_scale
			stone.SelfIlum= self.StoneSelfIlum
			
			self.ScaleVar= (1.0-init_scale)/(60.0*self.StoneGrowTime)
			self.AlphaVar= self.ScaleVar
			stone.TimerFunc= self.ScaleStone
			stone.SubscribeToList("Timer60")
			stone.OnStopFunc= self.StoneStopFunc
			
			me.GetInventory().LinkLeftHand(stone.Name)
			me.Data.ThrowForce= 2.0
			stone.ExcludeHitFor(me)
		me.AddAnmEventFunc("ThrowLeftEvent",self.ThrowReleaseEventHandler)

	def ThrowReleaseEventHandler(self, EntityName, EventName):
		me = Bladex.GetEntity(EntityName)
			
		Actions.ThrowReleaseEventHandler(EntityName, EventName)
		
		if me.InvLeft:
			object = Bladex.GetEntity(me.InvLeft)
			object.TimerFunc=""
			object.SubscribeToList("Pin")
			inv=me.GetInventory()
			inv.LinkLeftHand("None")


class Golem_clay (Golem_stone):
	def __init__(self, me):
		# base class init
		Golem_stone.__init__(self, me)
		self.StoneType="Piedra_Glm_cl"
		self.ClaySmoke(me.Name)
		me.ImDeadFunc=self.ImDeadFunc

	def ImDeadFunc (self,EntityName):
		self.StopSmoke(EntityName)
		Ally_Def.NPCAlly.StdImDead(self,EntityName)
	
	def ClaySmoke(self,EntityName):
		pslup=Bladex.CreateEntity(EntityName+" hedorshit", "Entity Particle System Dperson", 0, 0, 0)
		pslup.PersonName=EntityName
		pslup.ParticleType="ShitSmoke"
		pslup.PPS=48
		pslup.YGravity=0
		pslup.Friction=0.0
		pslup.RandomVelocity=1
		pslup.NormalVelocity=2
		pslup.FollowFactor=0
		pslup.Time2Live=64
		pslup.Velocity=0.0, -100.0, 0.0
		#self.pslup.DeathTime=Bladex.GetTime()+5.0		
	
	def StopSmoke(self,EntityName):
		self.pslup=Bladex.GetEntity(EntityName+" hedorshit")
		self.pslup.DeathTime=Bladex.GetTime()


class Golem_lava (Golem_stone):
	def __init__(self, me):
		# base class init
		Golem_stone.__init__(self, me)
		self.StoneType="Piedra_Glm_lv"
		self.StoneSelfIlum=1.0


class Golem_metal (Golem_stone):
	def __init__(self, me):
		# base class init
		Golem_stone.__init__(self, me)
		self.StoneType="Piedra_Glm_mt"
			
		
		
		
		
			
			
class Salamander (AllyChar):
	# variables
	AGE_Number=0


	def __init__(self, me):
		# base class init
		AllyChar.__init__(self, me)

		# Set up traitor knight specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0

		# constants
		self.DamageFactorNone  = 0.15
		self.DamageFactorLight = 0.25

		me.AddAnmEventFunc("Spit", self.StartSpit)

	# Functions for loading and saving state
	def __getstate__(self):	
		NPCPerson_state=AllyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			print "ERROR: Salamander.__getstate__(): Base class version differs."
			return NPCPerson_state
		NPCPerson_state[1]["Salamander"]=(self.AGE_Number,)
		return NPCPerson_state
	
	def __setstate__(self,parm):
		# Toma como parmetro lo que devuelve __getstate__() y debe recrear la clase
		AllyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Salamander"]
			self.AGE_Number=parms[0]
		me=Bladex.GetEntity(self.Name)
		me.AddAnmEventFunc("Spit", self.StartSpit)


	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosSalamander(EntityName)


	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind=TRUE
			self.AttackNPCTime = 2.0
			me.BlockingPropensity = 0.2
			me.AttackList = BCopy.deepcopy(AllyCombat.SalamanderAttackData)
			self.ChanceOfFuryOnHurt = 0.0
			self.ChanceOfFuryOnLeaderDeath = 0.0
			
			
	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		# Wiz gets XP from kills by npc's he has drugged
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
			
			

	def FirePrtlHit(self,prtl_name,hit_entity,x,y,z,vx,vy,vz,wcx,wcy,wcz,wdx,wdy,wdz):
		if hit_entity != "BWorld":
			victim=Bladex.GetEntity(hit_entity)
			if victim: 
				if victim.Person and not victim.Kind=="Salamander":
					Reference.EntitiesObjectData[prtl_name]= [Reference.OBJ_WEAPON, 0, 0,   1.0,  Reference.THR_STRAIGHT, Reference.W_FLAG_1H, ["Fire", +6.0]]
					victim.DamageFunc(hit_entity, self.Name, prtl_name, "Fire", 1, -1, x, y, z, 0)
					if Reference.EntitiesObjectData.has_key(prtl_name):
						del Reference.EntitiesObjectData[prtl_name]

					# Generate a smoke effect
					smoke=Bladex.CreateEntity("FireballSmoke", "Entity Particle System D1", x, y, z)
					smoke.ParticleType="DarkSmoke"
					smoke.YGravity=-3000.0
					smoke.Friction=0.05
					smoke.PPS=8
					smoke.Velocity=0.0, -80.0, 0.0
					smoke.RandomVelocity=5.0
					smoke.DeathTime=Bladex.GetTime()+0.5
					node= 0
					victim.LinkToNode(smoke,node)
					
					# Override hurt anim
					if victim.Life>0:
						Damage.DropInvalidObjectsOnImpact (victim.Name)
						victim.Wuea=Reference.WUEA_ENDED
						if victim.InAllyCombat: 
							victim.InterruptAllyCombat()
							victim.LaunchAnmType("hurt_f_big")
						else: 
							victim.LaunchAnmType("hurt_f_big")
				elif victim.Weapon:
					pass
		# This particle should be removed, as it has been converted to smoke
		ptcl=Bladex.GetEntity(prtl_name)
		ptcl.RemoveFromWorld()
			
		
	def SpitFunc(self, fireball_name,end_time,period):
		fireball=Bladex.GetEntity(fireball_name)
		if(fireball):
			prtl=fireball.GetParticleEntity()
			prtl.HitFunc=self.FirePrtlHit
			prtl.ObjCTest= 1
			if(Bladex.GetTime()<end_time):
				Bladex.AddScheduledFunc(Bladex.GetTime()+period,self.SpitFunc,(fireball_name,end_time,period))
				
	def StartSpit (self,EntityName,EventName):
		me = Bladex.GetEntity(EntityName)
		if me.InAllyCombat: 
			SQDistance= me.SQDistance2(Bladex.GetEntity(me.GetEnemyName()))
			max_firefan_dist= 4000.0
			
			# Get an angle to the target
			target= Bladex.GetEntity(me.GetEnemyName())
			target_pos= target.Position
			x,y,z= me.GraspPos("ViewPoint")
			angle= -B3DLib.GetYAngle(target_pos[0]-x,target_pos[1]-y,target_pos[2]-z)
			
			if  SQDistance < (max_firefan_dist*max_firefan_dist):
				# fan out spit
				duration= 0.3
				self.AGE_Number=self.AGE_Number+1
				end_time=Bladex.GetTime()+duration
				period= duration/10.0
				fireball=Bladex.CreateEntity(EntityName+"_Firefanl_"+`self.AGE_Number`,"Entity Particle System D1",x,y,z)
				fireball.ParticleType="Flame"
				fireball.Time2Live=20
				fireball.YGravity=-4900.0
				fireball.Friction=0.12
				fireball.PPS=512
				fireball.DeathTime=end_time;
				F= 5400.0             # Vector magnitude
				vx,vy,vz=me.Rel2AbsVector(0.0, -math.cos(angle)*F, -math.sin(angle)*F)
				fireball.Velocity=vx,vy,vz
				fireball.RandomVelocity=55.0
				self.SpitFunc(fireball.Name, end_time, period)
			else:
				# fireball spit
				nparticles= 70
				duration= 2.0/60.0 # I think this is a minimum
				self.AGE_Number=self.AGE_Number+1
				end_time=Bladex.GetTime()+duration
				period= duration/7.0
				fireball=Bladex.CreateEntity(EntityName+"_Fireball_"+`self.AGE_Number`,"Entity Particle System D1",x,y,z)
				fireball.ParticleType="LargeFire"
				fireball.Time2Live=30
				fireball.YGravity=-400.0
				fireball.Friction=0.075
				fireball.PPS=nparticles/duration
				fireball.DeathTime=end_time;
				F= 25000.0             # Vector magnitude
				vx,vy,vz=me.Rel2AbsVector(0.0, -math.cos(angle)*F, -math.sin(angle)*F)
				fireball.Velocity=vx,vy,vz
				fireball.RandomVelocity=15.0
				self.SpitFunc(fireball.Name, end_time, period)
			
			
class Giant (AllyChar):
	def __init__(self, me):
		# base class init		
		AllyChar.__init__(self, me)
		
		self.DamageFactorNone  = 0.15
		self.DamageFactorLight = 0.25
		
		

		# Set up specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0

	def ResetSounds(self, EntityName):
		import AniSoundGiant
		AniSoundGiant.AsignarSonidosGiant(EntityName)
		me=Bladex.GetEntity(EntityName)
		Bladex.ReadBitMap("../../Maps/BarbWiz/NUGiantStuff/GogoIcon.bmp","GogoIcon")
		Reference.EnemiesScorerData[self.Name]=("GogoIcon","Gnt")
		
		
		
	def ResetCombat (self,EntityName):
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			me.BlockingPropensity = 0.8
			me.AttackList = BCopy.deepcopy(GogoAttackData)
			
			
			
	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		# Wiz gets XP from kills by npc's he has drugged
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
			
			
			
	def GetWeapon(self, WeaponType="ProGiantClub3"):
		me = Bladex.GetEntity(self.Name)
		wp=Bladex.CreateEntity(me.Name+"WP",WeaponType,0,0,0,"Weapon")
		Actions.TakeObject(me.Name,wp.Name)
		lvl=me.Level+1
		if lvl>=20:
			damage=450
		else:
			damage=lvl*20
		Reference.EntitiesObjectData[wp.Name]=[Reference.OBJ_WEAPON,damage, 0, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
		print "Gogo Weapon set at ",damage
		
	
	





GogoAttackData =	[ 
           # inner zone blocks:
            [Combat.BLOCK,  0.80, (),                   500.0, 1750.0, 3000.0, 0.65],

           # attacks:			         
            [Combat.ATTACKDOWN, 0.90, ("G04",),         650.0, 1225.0, 2150.0, 0.35],
            [Combat.ATTACKDOWN, 0.60, ("G18",),        2050.0, 3025.0, 3900.0, 0.35],

            [Combat.ATTACK, 0.25, ("G01",),            1250.0, 1625.0, 1800.0, 0.35],
            [Combat.ATTACK, 0.20, ("G02",),            1000.0, 1500.0, 2000.0, 0.35],
            [Combat.ATTACK, 0.15, ("G04",),             650.0, 1225.0, 2050.0, 0.35],
            [Combat.ATTACK, 0.15, ("G06",),             950.0, 1405.0, 1860.0, 0.35],
            [Combat.ATTACK, 0.10, ("G12",),            2150.0, 2505.0, 2850.0, 0.35],
            [Combat.ATTACK, 0.10, ("G18",),            2150.0, 3025.0, 3900.0, 0.35],
            #[Combat.ATTACK, 0.10, ("G19",),             250.0, 2500.0, 3900.0, 0.35], #Thrust. Don't look right with club
            [Combat.ATTACK, 0.05, ("G31",),            2220.0, 3060.0, 3900.0, 0.35]

]		
			
			
			
			
class Little_Demon (AllyChar):

	Fader=None
	FadeOutTime= 0.23333
	FadeInTime= 0.23333
	TransitTime= 0.0
	AGE_Number=0
	ImplosionPeriod = 2.5
	DeathBallPeriod = 3.5

	def __init__(self, me):
		# base class init		
		AllyChar.__init__(self, me)
		me.ImDeadFunc=self.ImDeadFunc

		


		# Set up specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
			
		# Create a linear interpolator for fading
		FadeList=[me.Name]
		self.Fader= EntitiesFader (FadeList)

		self.DamageFactorNone  = 0.1
		self.DamageFactorLight = 0.2

		me.AddAnmEventFunc("Spit", self.StartSpit)
		me.AddAnmEventFunc("Disappear", self.Disappear)
		me.AddAnmEventFunc("EndZig", self.EndZig)
		me.AddAnmEventFunc("EndZag", self.EndZag)
	
	
	# Functions for loading and saving state
	def __getstate__(self):
		#self.changed_func[6] = 1
		NPCPerson_state=AllyChar.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			print "ERROR: Little_Demon.__getstate__(): Base class version differs."
			return NPCPerson_state
		NPCPerson_state[1]["Little_Demon"]=(self.AGE_Number,)
		return NPCPerson_state
	
	def __setstate__(self,parm):
		# Toma como parmetro lo que devuelve __getstate__() y debe recrear la clase
		AllyChar.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Little_Demon"]
			self.AGE_Number=parms[0]
		
		me=Bladex.GetEntity(self.Name)
		# Create a linear interpolator for fading
		FadeList=[me.Name]		
		self.Fader= EntitiesFader (FadeList)
		self.FadeOutTime= 0.23333
		self.FadeInTime= 0.23333
		self.TransitTime= 0.0
		self.DamageFactorNone  = 0.1
		self.DamageFactorLight = 0.2
		self.ImplosionPeriod = 2.5
		self.DeathBallPeriod = 3.5
		me.AddAnmEventFunc("Spit", self.StartSpit)
		me.AddAnmEventFunc("Disappear", self.Disappear)
		me.AddAnmEventFunc("EndZig", self.EndZig)
		me.AddAnmEventFunc("EndZag", self.EndZag)
		#me.ImDeadFunc=self.ImDeadFunc

	def ResetSounds(self, EntityName):
		AniSound.AsignarSonidosLittleDemon(EntityName)
		
	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttacksOwnKind=FALSE
			me.AttackList = BCopy.deepcopy(AllyCombat.LittleDemonAttackData)
			me.BlockingPropensity= 0.4
			
			
			
			
	def OnKilledEnemy(self,KilledEntityName):
		AllyChar.OnKilledEnemy(self,KilledEntityName)
		me=Bladex.GetEntity(self.Name)
		# Wiz gets XP from kills by npc's he has drugged
		char=Bladex.GetEntity("Player1")
		if char.Kind=="Wizard_A":
			if char.Life>0:
				char.Data.GetAllyMagicReward(KilledEntityName)
			
			
	
	def FadeOut (self,EntityName):
		self.Fader.FadeOut(self.FadeOutTime)
	
	def FadeIn (self,EntityName):
		self.Fader.FadeIn(self.FadeInTime)

	def Disappear (self,EntityName,EventName):
		#print "Disappearing..."
		me = Bladex.GetEntity(EntityName)
		# May wish to make all attacks pass through...
		self.FadeOut(EntityName)
		time= Bladex.GetTime()
		Bladex.AddScheduledFunc(time+self.FadeOutTime+self.TransitTime, self.Reappear, (EntityName,), EntityName+" Reappear")

	def IntersectCircleWithVector (self,V, P, C, r):
		PminusC= P[0]-C[0], P[1]-C[1], P[2]-C[2]
		
		a= V[0]*V[0] + V[1]*V[1] + V[2]*V[2]
		b= V[0]*2.0*PminusC[0] + V[1]*2.0*PminusC[1] + V[2]*2.0*PminusC[2]
		c= (PminusC[0]*PminusC[0] + PminusC[1]*PminusC[1] + PminusC[2]*PminusC[2]) - r*r
		
		sq_term= b*b-4*a*c
		if sq_term < 0.0:
			#print "Vector doesnt intersect circle"
			return P[0]+V[0], P[1]+V[1], P[2]+V[2]
		else:
			sq_term= math.sqrt(sq_term)
			t= (-b-sq_term)/(2.0*a)
			#print "Vector intersects circle at t="+`t`
			return P[0]+V[0]*t, P[1]+V[1]*t, P[2]+V[2]*t
				
	def Reappear (self,EntityName):
		#print "Reappearing..."
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.Enemy= Bladex.GetEntity(me.GetEnemyName())
			
			if me.AnimName=="g_jumpl":
				angle= -56.0/180.0 * Actions.PI
				closest_distance= AllyCombat.GetMoveMinDist(AllyCombat.ATTACK, ("G27",), me.AttackList)
			elif me.AnimName=="g_jumpr":
				angle=  56.0/180.0 * Actions.PI
				closest_distance= AllyCombat.GetMoveMinDist(AllyCombat.ATTACK, ("G22",), me.AttackList)
			else:
				angle=  0.0
				closest_distance= 3000.0
				#raise NameError, 'Reappearing in incorrect animation'
				#return
			startpos=me.Position
			enemypos= self.Enemy.Position
			SQoriginal_distance= me.SQDistance2(self.Enemy)
			teletransported= 0
			if SQoriginal_distance > closest_distance*closest_distance:
				relative_vector= -math.sin(angle), 0.0, math.cos(angle)
				DisplacementDistances= [2000.0, 1750.0, 1500.0, 1250.0, 1000.0, 750.0, 500.0, 2500.0, 3000.0, 3500.0, 4000.0]
				
				me.Angle=B3DLib.GetEntity2EntityAngle(me.Name, me.GetEnemyName())
				for distance in DisplacementDistances:
					position= me.Rel2AbsPoint(distance*relative_vector[0], -distance*relative_vector[2],0.0)
					newx= position[0]-enemypos[0]
					newy= position[1]-enemypos[1]
					newz= position[2]-enemypos[2]
					SQnew_distance=  newx*newx + newy*newy + newz*newz
					
					# set position as the intersection of circle
					if SQnew_distance < closest_distance*closest_distance:
						#pdb.set_trace()
						V= position[0]-startpos[0], position[1]-startpos[1],position[2]-startpos[2]
						position= self.IntersectCircleWithVector (V, startpos, enemypos, closest_distance)
					
					YOffset=1500.0
					max_fall= 1000.0
					if me.TestPos (position[0],position[1],position[2], me.ActionAreaMax, max_fall):
						
						if  SQnew_distance <= SQoriginal_distance:
							old_position= me.Position
							me.Position= position[0],position[1],position[2]
							old_angle= me.Angle
							me.Angle= B3DLib.GetEntity2EntityAngle(EntityName, me.GetEnemyName())
							if me.CanISee(self.Enemy)and me.Dist2Floor<max_fall+YOffset:
								teletransported= 1
								#print "teletransported "+`distance`+" metres"
								me.SetOnFloor()
								break
							#print "cant see"
							me.Position= old_position[0], old_position[1], old_position[2]							
							me.Angle= old_angle
							dist2Floor= me.Dist2Floor
						else:
							pass
							#print "further"
					
					elif me.TestPos (position[0],position[1]-YOffset,position[2], me.ActionAreaMax, max_fall+YOffset):
						
						if  SQnew_distance <= SQoriginal_distance:
							old_position= me.Position
							me.Position= position[0],position[1]-YOffset,position[2]
							old_angle= me.Angle
							me.Angle= B3DLib.GetEntity2EntityAngle(EntityName, me.GetEnemyName())
							if me.CanISee(self.Enemy) and me.Dist2Floor<max_fall+YOffset:
								teletransported= 1
								#print "teletransported up and "+`distance`+" metres"
								me.SetOnFloor()
								break
							me.Position= old_position[0], old_position[1], old_position[2]							
							me.Angle= old_angle
							dist2Floor= me.Dist2Floor
					
			if not teletransported: 
				print "jump failed"
				me.SetOnFloor()
				pass
			# Maybe break enemies facing mode
			if self.Enemy.InAllyCombat and self.Enemy.ActiveEnemy==me.Name and not self.Enemy.CanISee(me):
				self.Enemy.SetActiveEnemy(None)
			self.FadeIn(EntityName)
			Bladex.CheckPyErrors()
			#print "Reappeared"
		
		
	def EndZig (self,EntityName,EventName):
		#print "Ending Zig"
		# Decide to Zag if not close enough to the player, or to launch an attack
		me = Bladex.GetEntity(EntityName)
		self.Enemy= Bladex.GetEntity(me.GetEnemyName())		
		enm_angle= B3DLib.GetEntity2EntityAngle(EntityName, me.GetEnemyName())
		diff_angle= B3DLib.DiffAngle(me.Angle, enm_angle)
		if abs (diff_angle) <= Actions.PI:
			distance= math.sqrt(me.SQDistance2(self.Enemy))
			if distance > AllyCombat.GetMoveMaxDist(AllyCombat.ATTACK, ("G27",), me.AttackList):
				if distance > AllyCombat.GetMoveMaxDist(AllyCombat.ATTACK, ("ZAG",), me.AttackList):
					me.SetActiveEnemy(None)
					me.Angle= enm_angle
				else:
					if diff_angle > 0.0:
						#print "Will Zag next"
						res= me.SetNextAttack("ZAG")
					else:
						#print "Will Zig next"
						res= me.SetNextAttack("ZIG")
			else:
				#print "Cannot Zag, will attack"
				res= me.SetNextAttack("G27")
		else:
			#print "Not facing, Angle: "+`diff_angle`
			#print "Distance: "+`math.sqrt(me.SQDistance2(self.Enemy))`
			pass
		Bladex.CheckPyErrors()
		#print "Zig Ended"

	def EndZag (self,EntityName,EventName):
		#print "Ending Zag"		
		# Decide to Zag if not close enough to the player, or to launch an attack
		me = Bladex.GetEntity(EntityName)
		self.Enemy= Bladex.GetEntity(me.GetEnemyName())
		enm_angle= B3DLib.GetEntity2EntityAngle(EntityName, me.GetEnemyName())
		diff_angle= B3DLib.DiffAngle(me.Angle, enm_angle)
		if abs (diff_angle) <= Actions.PI:
			distance= math.sqrt(me.SQDistance2(self.Enemy))
			if distance > AllyCombat.GetMoveMaxDist(AllyCombat.ATTACK, ("G22",), me.AttackList):
				if distance > AllyCombat.GetMoveMaxDist(AllyCombat.ATTACK, ("ZIG",), me.AttackList):
					me.SetActiveEnemy(None)
					me.Angle= enm_angle
				else:
					if  diff_angle> 0.0:
						#print "Will Zag next"
						res= me.SetNextAttack("ZAG")
					else:
						#print "Will Zig next"
						res= me.SetNextAttack("ZIG")
			else:
				#print "Cannot Zig, will attack"
				res= me.SetNextAttack("G22")
		else:
			#print "Not facing, Angle: "+`diff_angle`
			#print "Distance: "+`math.sqrt(me.SQDistance2(self.Enemy))`
			pass
		Bladex.CheckPyErrors()
		#print "Zag Ended"
				
	def FirePrtlHit(self,prtl_name,hit_entity,x,y,z,vx,vy,vz,wcx,wcy,wcz,wdx,wdy,wdz):
		if hit_entity != "BWorld":
			victim=Bladex.GetEntity(hit_entity)
			if victim: 
				if victim.Person and not victim.Kind=="Little_Demon":
					Reference.EntitiesObjectData[prtl_name]= [Reference.OBJ_WEAPON, 0, 0,  1.0,  Reference.THR_STRAIGHT, Reference.W_FLAG_1H, ["Fire", +6.0]]
					victim.DamageFunc(hit_entity, self.Name, prtl_name, "Fire", 1, -1, x, y, z, 0)
					if Reference.EntitiesObjectData.has_key(prtl_name):
						del Reference.EntitiesObjectData[prtl_name]

					# Generate a smoke effect
					smoke=Bladex.CreateEntity("FireballSmoke", "Entity Particle System D1", x, y, z)
					smoke.ParticleType="DarkSmoke"
					smoke.YGravity=-3000.0
					smoke.Friction=0.05
					smoke.PPS=8
					smoke.Velocity=0.0, -80.0, 0.0
					smoke.RandomVelocity=5.0
					smoke.DeathTime=Bladex.GetTime()+0.5
					node= 0
					victim.LinkToNode(smoke,node)
					
					# Override hurt anim
					if victim.Life>0:
						if victim.InAllyCombat:
							Damage.DropInvalidObjectsOnImpact (victim.Name)
							victim.Wuea=Reference.WUEA_ENDED
							victim.InterruptAllyCombat()
							victim.LaunchAnmType("hurt_f_big")
						else:
							Damage.DropInvalidObjectsOnImpact (victim.Name)
							victim.Wuea=Reference.WUEA_ENDED
							victim.InterruptAllyCombat()
							victim.LaunchAnmType("hurt_f_big")
				elif victim.Weapon:
					pass
		# This particle should be removed, as it has been converted to smoke
		ptcl=Bladex.GetEntity(prtl_name)
		ptcl.RemoveFromWorld()
			
		
	def SpitFunc(self, fireball_name,end_time,period):		
		fireball=Bladex.GetEntity(fireball_name)
		if(fireball):
			prtl=fireball.GetParticleEntity()
			prtl.HitFunc=self.FirePrtlHit
			prtl.ObjCTest= 1
			if(Bladex.GetTime()<end_time):
				Bladex.AddScheduledFunc(Bladex.GetTime()+period,self.SpitFunc,(fireball_name,end_time,period))
				
				
	def StartSpit (self,EntityName,EventName):		
		me = Bladex.GetEntity(EntityName)
		if me.InAllyCombat: 
			SQDistance= me.SQDistance2(Bladex.GetEntity(me.GetEnemyName()))
			max_firefan_dist= 4000.0			
			
			# Get an angle to the target
			target= Bladex.GetEntity(me.GetEnemyName())
			target_pos= target.Position
			x,y,z= me.GraspPos("ViewPoint")
			angle= -B3DLib.GetYAngle(target_pos[0]-x,target_pos[1]-y,target_pos[2]-z)
			if  SQDistance < (max_firefan_dist*max_firefan_dist):
				# fan out spit
				duration= 0.3
				self.AGE_Number=self.AGE_Number+1
				end_time=Bladex.GetTime()+duration
				period= duration/10.0
				fireball=Bladex.CreateEntity(EntityName+"_Firefanl_"+`self.AGE_Number`,"Entity Particle System D1",x,y,z)
				fireball.ParticleType="Flame"
				fireball.Time2Live=20
				fireball.YGravity=-500.0
				fireball.Friction=0.12
				fireball.PPS=512
				fireball.DeathTime=end_time;
				F= 7000.0             # Vector magnitude
				vx,vy,vz=me.Rel2AbsVector(0.0, -math.cos(angle)*F, -math.sin(angle)*F)
				fireball.Velocity=vx,vy,vz
				fireball.RandomVelocity=55.0
				node= me.GetNodeIndex("Head")
				me.LinkToNode(fireball,node)
			else:
				# fireball spit
				nparticles= 70
				duration= 1.0/60.0 # I think this is a minimum
				
				self.AGE_Number=self.AGE_Number+1
				end_time=Bladex.GetTime()+duration
				period= duration/7.0				
				fireball=Bladex.CreateEntity(EntityName+"_Fireball_"+`self.AGE_Number`,"Entity Particle System D1",x,y,z)
				fireball.ParticleType="LargeFire"
				fireball.Time2Live=31
				fireball.YGravity=-2400.0
				fireball.Friction=0.075
				fireball.PPS=nparticles/duration
				fireball.DeathTime=end_time;
				F= 25000.0             # Vector magnitude
				vx,vy,vz=me.Rel2AbsVector(0.0, -math.cos(angle)*F,-math.sin(angle)*F)
				fireball.Velocity=vx,vy,vz
				fireball.RandomVelocity=25.0
			
			self.SpitFunc(fireball.Name, end_time, period)		


	def RemoveMe (self,EntityName):
		me  = Bladex.GetEntity(EntityName)
		if me:
			me.Alpha=0.0
			me.TimerFunc=""
			me.SubscribeToList("Pin")
		
	def DeathBall (self,EntityName):
		me  = Bladex.GetEntity(EntityName)
		if me:
			alfa=me.Angle+3.14159/2.0
			x=me.Position[0]+500.0*math.cos(alfa)
			y=me.Position[1]+250.0
			z=me.Position[2]+500.0*math.sin(alfa)
			me.RasterMode="Read"
			self.deathball_particle_system=Bladex.CreateEntity("BolaFuego", "Entity Particle System D1", x, y, z)
			self.deathball_particle_system.ParticleType="FuegoInvocacion"
			self.deathball_particle_system.PPS=250
			self.deathball_particle_system.YGravity=0.0
			self.deathball_particle_system.Friction=0.1
			self.deathball_particle_system.Velocity=0.0, 0.0, 0.0
			self.deathball_particle_system.RandomVelocity=50.0
			self.deathball_particle_system.Time2Live=40
			self.deathball_particle_system.DeathTime= Bladex.GetTime()+self.DeathBallPeriod
			self.FadeOutTime=self.DeathBallPeriod*0.8
			#pdb.set_trace()
			self.FadeOut(EntityName)
			
			# After the fade out, remove me from the world
			Bladex.AddScheduledFunc(Bladex.GetTime()+self.DeathBallPeriod*0.9, self.RemoveMe, (EntityName,))

	def ImplosionDemonio (self,EntityName):
		me = Bladex.GetEntity(EntityName)
		impl=Bladex.CreateEntity("ImplosionDemonio", "Entity Particle System D1", me.Position[0], me.Position[1], me.Position[2])
		impl.ParticleType="Energia3"
		impl.YGravity=0.0
		impl.Friction=0.0
		impl.PPS=300
		impl.Velocity=0.0, 0.0, 0.0
		impl.RandomVelocity=-30.0
		impl.Time2Live=70
		impl.DeathTime=Bladex.GetTime()+(self.ImplosionPeriod*0.5)

	def ImDeadFunc (self,EntityName):
		Ally_Def.NPCPerson.StdImDead(self,EntityName)
		me = Bladex.GetEntity(EntityName)
		me.UnlinkChildren()
				
		# Launch disappearing animation
		me.Wuea=Reference.WUEA_ENDED
		me.SetTmpAnmFlags(1,1,1,0,5,1)
		me.LaunchAnimation("Ldm_dth_disap")

		# Create an implosive particle system
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.25, self.ImplosionDemonio, (EntityName,))
		
		# After the implosion, create a fiery deathball
		Bladex.AddScheduledFunc(Bladex.GetTime()+self.ImplosionPeriod, self.DeathBall, (EntityName,))



	def InteruptActions(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		me.Wuea=Reference.WUEA_ENDED
		me.InterruptAllyCombat()
		me.Data.Fader.Stop()
		Bladex.RemoveScheduledFunc(me.Name+" Reappear")
		
			
			
			
class EntitiesFader(Interpolator.LinearInt):
	"Clase para hacer desaparecer una entidad"

	def __init__(self, Entities2Fade):
		Interpolator.LinearInt.__init__ (self,1.0,0.0)
		self.ObjId=ObjStore.GetNewId() # Para identificarlo al grabar/guardar
		ObjStore.ObjectsStore[self.ObjId]=self

		name= "Entity Fader for; "
		for entity_name in Entities2Fade:
			name= name+entity_name+", "
		self.Interpolator= Interpolator.Interp(name)
		self.Entities2Fade= Entities2Fade



	def persistent_id(self):
		return self.ObjId

	def __getstate__(self):
		# Tiene que devolver c䮯 poder guardar el estado de la clase
		return (1,
			self.ObjId,
			self.Interpolator,
			self.Entities2Fade
			)

	def __setstate__(self,parm):
		# Toma como par⮥tro lo que devuelve __getstate__() y debe recrear la clase
		if parm[0]==1:
			self.ObjId=parm[1]
			ObjStore.ObjectsStore[self.ObjId]=self
			self.Interpolator=parm[2]
			self.Entities2Fade=parm[3]
			self.init_value=1.0
			self.end_value=0.0
			self.period=self.end_value-self.init_value
		else:
			print "Warning -> Version mismatch in EntitiesFader.__setstate__()"
			self.Interpolator= None
			self.Entities2Fade= None
			self.init_value=1.0
			self.end_value=0.0
			self.period=self.end_value-self.init_value
			
			self.ObjId=ObjStore.GetNewId() # Para identificarlo al grabar/guardar
			ObjStore.ObjectsStore[self.ObjId]=self

	def ExecuteFadeOut(self,value):
		#pdb.set_trace()
		ret= Interpolator.LinearInt.Execute(self,value)
		for entity_name in self.Entities2Fade:
			entity= Bladex.GetEntity(entity_name)
			if entity:
				entity.Alpha= ret
	
	def ExecuteFadeIn(self,value):
		ret= Interpolator.LinearInt.Execute(self,value)
		for entity_name in self.Entities2Fade:
			entity= Bladex.GetEntity(entity_name)
			if entity:
				entity.Alpha= 1.0-ret
	
	def FadeOut(self, period):
		self.Interpolator.Actions=[]
		self.Execute= self.ExecuteFadeOut
		time= Bladex.GetTime()
		self.Interpolator.AddAction (time,time+period,self)
	
	def FadeIn(self, period):
		#pdb.set_trace()
		self.Interpolator.Actions=[]
		self.Execute= self.ExecuteFadeIn
		time= Bladex.GetTime()
		self.Interpolator.AddAction (time,time+period,self)
	
	def Stop(self):
		self.Interpolator.Actions=[]
		
	def EndExecute(self):
		if self.Execute== self.ExecuteFadeIn:
			for entity_name in self.Entities2Fade:
				entity= Bladex.GetEntity(entity_name)
				if entity:
					entity.Alpha= 1.0
		elif  self.Execute== self.ExecuteFadeOut:
			for entity_name in self.Entities2Fade:
				entity= Bladex.GetEntity(entity_name)
				if entity:
					entity.Alpha= 0.0
		
	
	
# Not used as is classed as undead and not druggable	
		
class SkeletonDRTP(AllyChar):

	def __init__(self, me):
		AllyChar.__init__(self, me)

		# Set up skeleton specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   =  1.0
		self.SoundPriorities[Reference.SND_HIT]     =  1.0
		self.SoundPriorities[Reference.SND_NPC]     = -1.0
		self.SoundPriorities[Reference.SND_NOISYPC] =  3.0
		self.SoundPriorities[Reference.SND_PC]      =  2.0
		
		me.ImDeadFunc=self.ImDeadFunc
		

	def ResetSounds(self, EntityName):
		import AniSoundSklDRTP
		AniSoundSklDRTP.AsignarSonidosSkeletonDRTP(EntityName)
		me=Bladex.GetEntity(EntityName)
		Bladex.ReadBitMap("../../Maps/WizardsDomain/NUFiles/NUSkeletonDRTPStuff/SklDRTPIcon.bmp","SkltpIcon")
		Reference.EnemiesScorerData[self.Name]=("SkltpIcon","Stp")



	# Functions for loading and saving state
	def __getstate__(self):
		NPCPerson_state=Ally_Def.NPCAlly.__getstate__(self)		
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["SkeletonDRTP"]=()
		return NPCPerson_state
		

	def __setstate__(self,parm):
		Ally_Def.NPCAlly.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["SkeletonDRTP"]
			
			

	def ResetCombat (self,EntityName):
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			me.BlockingPropensity = 0.0
			me.AttackList = BCopy.deepcopy(SkeletonDRTPAttackData)
			
			
		
	def ImDeadFunc (self,EntityName):
		me = Bladex.GetEntity(EntityName)
		rwp=Bladex.GetEntity(me.InvRight)
		if rwp and rwp.Kind=='ProSklScythe1':
			if not rwp.TestHit:
				Actions.RemoveFromInventory (me, rwp,"DropRightEvent")
				rwp.Impulse(0.0, 0.0, 0.0) 
				Bladex.AddScheduledFunc(Bladex.GetTime()+12, dust.EnPolvoObjeto,(rwp.Name,100,0,))
				
		print EntityName," ->dusted"
		Bladex.AddScheduledFunc(Bladex.GetTime()+10, dust.EnPolvoPerson,(EntityName,100,0,))
		Ally_Def.NPCAlly.StdImDead(self,EntityName)
		
		
	
	def MutilateFunc(self,EntityName,obj_name,x,y,z,nx,ny,nz,node):
		limb= Bladex.GetEntity(obj_name)
		InitDataField.Initialise(limb)
		Bladex.AddScheduledFunc(Bladex.GetTime()+10, dust.EnPolvoObjeto,(obj_name,100,0,))
		
		
		

SkeletonDRTPAttackData = [
           # inner zone blocks:
            [AllyCombat.BLOCK,  0.30, (),                   500.0, 1000.0, 3000.0, 0.35],
            [AllyCombat.BLOCK,  0.08, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.08, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.08, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [AllyCombat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.10, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tf",                3500.0, 7000.0, 9000.0, 0.50],
            
           # attacks:
            [AllyCombat.ATTACKDOWN, 1.00, ("STAIRS",),         1200.0, 1600.0, 2500.0, 0.35],
            
            [AllyCombat.ATTACK, 0.00, ("GA","GA","GA","GM1",), 1200.0, 1400.0, 2500.0, 0.35],
            [AllyCombat.ATTACK, 0.50, ("GA",),             1200.0, 1400.0, 2500.0, 0.35],
            [AllyCombat.ATTACK, 0.40, ("GM2",),               0.0, 1600.0, 2500.0, 0.35],
            [AllyCombat.ATTACK, 0.40, ("GA", "GA"),        1200.0, 1600.0, 2500.0, 0.35],
            [AllyCombat.ATTACK, 0.20, ("GA", "GA", "GM1"),    0.0, 1600.0, 3000.0, 0.35],
            [AllyCombat.ATTACK, 0.25, ("GM2",),            1200.0, 1800.0, 2500.0, 0.35],
            #[AllyCombat.ATTACK, 0.25, ("G22",),            2014.0, 3000.0, 5327.0, 0.35],
            [AllyCombat.ATTACK, 1.00, "RespectDistance",      0.0,  500.0, 1200.0, 0.30,1],
            
           
            
            
           # inner zone moves:
            [AllyCombat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.50],
            [AllyCombat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.50],
            [AllyCombat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.50],
            [AllyCombat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.50],

           # outer zone moves:
            [AllyCombat.MOVE,   0.01, "tr",                5000.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.MOVE,   0.01, "tl",                5000.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.MOVE,   0.05, "tb",                5000.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.MOVE,   0.02, "tf",                5000.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.MOVE,   0.06, AllyCombat.TempMoveInProc,      3000.0, 7000.0, 9000.0, 0.35],
            
]		
		
		
		
		
			
class Enano (AllyChar):
	def __init__(self, me):	
		AllyChar.__init__(self, me)
		
		
		#me.MeshName = "Enano1"

		# anims
		me.AnmTranFunc=AuxTran.AuxTranOrc

		# Set up orc specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0


	def ResetSounds(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		AniSound.AsignarSonidosEnano(EntityName)
		
		

	def ResetCombat (self,EntityName):
		AllyChar.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			me.BlockingPropensity = 0.7
			me.AttackList = BCopy.deepcopy(Combat.EnanoAttackData)
			self.ChanceOfFuryOnHurt = 0.45
			lvl=me.Level+1
			if lvl>4 and lvl <7:
				me.AttackList.append([Combat.ATTACK, 0.10, ("GA", "GA", "GM1"),  0.0, 1600.0, 3000.0, 0.35],)
			if lvl>=7 and lvl <10: 
				me.AttackList.append([Combat.ATTACK, 0.1, ("GM2",), 1200.0, 1800.0, 3000.0, 0.35],)
			if lvl>10 and lvl <14:
				me.AttackList.append([Combat.ATTACK, 0.1, ("GM3",), 1200.0, 1800.0, 3000.0, 0.35],)
			if lvl>14:
				me.AttackList.append([Combat.ATTACK, 0.1, ("GM4",), 1200.0, 1800.0, 3000.0, 0.35],)




EnanoAttackData =	[ 
           # inner zone blocks:
            [Combat.BLOCK,  0.25, (),                   500.0, 1000.0, 3000.0, 0.50],
            [Combat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.05, "tf",                 750.0, 1500.0, 3500.0, 0.50],
           # total inner zone 0.45
           
           # outer zone blocks:
            [Combat.BLOCK,  0.07, (),                  3000.0, 4000.0, 5000.0, 0.50],
            [Combat.BLOCK,  0.035,"tr",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.035,"tl",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.245,"tb",                3500.0, 7000.0, 9000.0, 0.50],
            [Combat.BLOCK,  0.07, "tf",                3500.0, 7000.0, 9000.0, 0.50],
           # total outer zone 0.455
           
           # dodges:
            [Combat.DODGE,  0.30, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.30, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.30, "d_b",                500.0, 1200.0, 2800.0, 0.35],

           # attacks:
            [Combat.ATTACKDOWN, 1.00, ("STAIRS",),         1200.0, 1800.0, 2500.0, 0.35],

            [Combat.ATTACK, 0.50, ("GA",),             1200.0, 1400.0, 2500.0, 0.35],
            [Combat.ATTACK, 0.40, ("GA", "GA"),           0.0, 1600.0, 2500.0, 0.35],
            [Combat.ATTACK, 0.10, ("GA", "GA", "GA"),  1000.0, 1600.0, 2500.0, 0.35],
            [Combat.ATTACK, 0.40, ("GA", "GA"),        1200.0, 1600.0, 2500.0, 0.35],
            #[Combat.ATTACK, 0.10, ("GA", "GA", "GM1"),    0.0, 1600.0, 3000.0, 0.35],
            #[Combat.ATTACK, 0.25, ("GM2",),            1200.0, 1800.0, 2500.0, 0.35],
            [Combat.ATTACK, 1.00, "RespectDistance",      0.0,  500.0, 2000.0, 1.00],

           # inner zone moves:
            [Combat.MOVE,   0.03, "tr",                   0.0, 2000.0, 5000.0, 0.50],
            [Combat.MOVE,   0.03, "tl",                   0.0, 2000.0, 5000.0, 0.50],
            [Combat.MOVE,   0.05, "tb",                   0.0, 2000.0, 5000.0, 0.50],
            [Combat.MOVE,   0.10, "tf",                   0.0, 2000.0, 5000.0, 0.50],

           # outer zone moves:
            [Combat.MOVE,   0.03, "tr",                5000.0, 7000.0, 9000.0, 0.50],
            [Combat.MOVE,   0.03, "tl",                5000.0, 7000.0, 9000.0, 0.50],
            [Combat.MOVE,   0.05, "tb",                5000.0, 7000.0, 9000.0, 0.50],
            [Combat.MOVE,   0.03, "tf",                5000.0, 7000.0, 9000.0, 0.50],
            [Combat.MOVE,   0.15, Combat.TempMoveInProc,      5000.0, 7000.0, 9000.0, 0.35],
            [Combat.MOVE,   0.05, Combat.UsePotion,           3000.0, 7000.0, 9000.0, 1.00],
]




class AllyBarbarian (AllyChar):
	def __init__(self, me):	
		AllyChar.__init__(self, me)
		
		# anims
		me.AnmTranFunc=AuxTran.AuxTranOrc

		# Set up orc specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0


	def ResetSounds(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		AniSound.AsignarSonidosBarbaro(EntityName)
		Bladex.ReadBitMap("../../Data/Icons/icono barbaro.bmp","BarbarianIcon")
		Reference.EnemiesScorerData[self.Name]=("BarbarianIcon","Bar")
		

	def ResetCombat (self,EntityName):
		AllyChar.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			me.BlockingPropensity = 0.6
			me.AttackList = BCopy.deepcopy(AllyBarbarianAttackData)
			if me.Level>1:
				me.AttackList.append ([AllyCombat.ATTACK, 0.02, ("DR_G_2H",),1200.0, 1600.0, 2500.0, 0.35],)
				me.AttackList.append ([AllyCombat.ATTACK, 0.02, ("DL_G_2H",),1200.0, 1600.0, 2500.0, 0.35],)  
			if me.Level>2:
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GM4_2H","GM5_2H",),1200.0, 1600.0, 2500.0, 0.35],) 
			if me.Level>3:
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GM7_2H","GM8_2H",),1200.0, 1600.0, 2500.0, 0.35],) 
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GM10_2H","GM11_2H",),1200.0, 1600.0, 2500.0, 0.35],) 
				me.AttackList.append ([AllyCombat.ATTACK, 0.02, ("GM1_2H","GM6_2H",),1200.0, 1600.0, 2500.0, 0.35],)  # ChaosSword
			if me.Level>5:
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GM1_2H","GM12_2H",),1200.0, 1600.0, 2500.0, 0.35],) 
			if me.Level>7:
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GM7_2H","GM41_2H",),1200.0, 1600.0, 2500.0, 0.35],) # DeathSword
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GM1_2H","GM2_2H",),1200.0, 1600.0, 2500.0, 0.35],) 
			if me.Level>9:
				me.AttackList.append ([AllyCombat.ATTACK, 0.02, ("GM11_2H","GM15_2H",),1200.0, 1600.0, 2500.0, 0.35],) # SlayingSword
			if me.Level>11:
				me.AttackList.append ([AllyCombat.ATTACK, 0.09, ("GI_2H","GM23_2H",),1200.0, 1600.0, 2500.0, 0.35],) 
				me.AttackList.append ([AllyCombat.ATTACK, 0.09, ("GI_2H","GM42_2H",),1200.0, 1600.0, 2500.0, 0.35],) 
			if me.Level>14:
				me.AttackList.append ([AllyCombat.ATTACK, 0.02, ("GI_2H","GM23_2H","GM24_2H",),1500.0, 2000.0, 2500.0, 0.35],) 
			if me.Level>18:
				me.AttackList.append ([AllyCombat.ATTACK, 0.09, ("GM1_2H","GM40_2H",),1200.0, 1600.0, 2500.0, 0.35],) 
			


AllyBarbarianAttackData = [
           # inner zone blocks:
            [AllyCombat.BLOCK,  0.08, (),                   500.0, 1000.0, 3000.0, 0.35],
            [AllyCombat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [AllyCombat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],

           # dodges:
            [AllyCombat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [AllyCombat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [AllyCombat.DODGE,  0.40, "d_b",                500.0, 1200.0, 2800.0, 0.35],

            
            [AllyCombat.ATTACK, 1.00, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],

	    [AllyCombat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
            [AllyCombat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
            [AllyCombat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.35],
            [AllyCombat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.35],
            
            [AllyCombat.MOVE,   0.06, "tr",                5001.0, 7000.0, 9000.0, 0.50, 1],
            [AllyCombat.MOVE,   0.06, "tl",                5002.0, 7000.0, 9000.0, 0.50, 1],
            [AllyCombat.MOVE,   0.15, "tb",                5003.0, 7000.0, 9000.0, 0.50, 1],
            [AllyCombat.MOVE,   0.05, "tf",                5004.0, 7000.0, 9000.0, 0.50, 1],
            
            [AllyCombat.MOVE,   0.15, AllyCombat.TempMoveInProc,      5000.0, 7000.0, 9000.0, 0.35],
            
            
            [AllyCombat.ATTACK, 0.50, ("GI_2H",), 1500.0, 2500.0, 3500.0, 0.35],
	    [AllyCombat.ATTACK, 0.40, ("GM1_2H",),1500.0, 2500.0, 3500.0, 0.35],
	    [AllyCombat.ATTACK, 0.25, ("GM10_2H",),1500.0, 2500.0, 3500.0, 0.35], 
	    [AllyCombat.ATTACK, 0.25, ("GM7_2H",),1500.0, 2500.0, 3500.0, 0.35],
	    [AllyCombat.ATTACK, 0.10, ("GM4_2H",),1500.0, 2500.0, 3500.0, 0.35], 

            [AllyCombat.MOVE,   0.05, AllyCombat.UsePotion,           3000.0, 7000.0, 9000.0, 1.00],

]



class AllyAmazon (AllyChar):

	def __init__(self, me):
		AllyChar.__init__(self, me)
		
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		

	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		AniSound.AsignarSonidosAmazona(EntityName)
		Bladex.ReadBitMap("../../Data/Icons/icono amazona.bmp","AmazonIcon")
		Reference.EnemiesScorerData[self.Name]=("AmazonIcon","Amz")	
		
	
	
	def ResetCombat (self,EntityName):		
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttacksOwnKind=FALSE
			self.AttackNPCTime = 1.5
			me.AttackList = BCopy.deepcopy(AmazonAttackData)
			self.ChanceOfFuryOnHurt = 0.25
			self.ChanceOfFuryOnLeaderDeath = 1.00
			me.BlockingPropensity = 0.6
			if me.Level>2:
				me.AttackList.append ([AllyCombat.ATTACK, 0.15, ("GM15_SP",),1200.0, 1600.0, 2500.0, 0.35],)
			if me.Level>4:
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GM2_SP",),1200.0, 1600.0, 2500.0, 0.35],)
			if me.Level>6:
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GM10_SP",),1200.0, 1600.0, 2500.0, 0.35],)
			if me.Level>8:
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GI_SP","GM32_SP",),1700.0, 2000.0, 2500.0, 0.35],)
			if me.Level>12:
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GM31_SP",),1200.0, 1600.0, 2500.0, 0.35],)
			if me.Level>18:
				me.AttackList.append ([AllyCombat.ATTACK, 0.05, ("GM28_SP",),1200.0, 1600.0, 2500.0, 0.35],)
			

			
AmazonAttackData = [
           # inner zone blocks:
            [AllyCombat.BLOCK,  0.08, (),                   500.0, 1000.0, 3000.0, 0.35],
            [AllyCombat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [AllyCombat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],
            
             # outer zone moves:
            [AllyCombat.MOVE,   0.06, "tr",                5001.0, 7000.0, 9000.0, 0.50, 1],
            [AllyCombat.MOVE,   0.06, "tl",                5002.0, 7000.0, 9000.0, 0.50, 1],
            [AllyCombat.MOVE,   0.15, "tb",                5003.0, 7000.0, 9000.0, 0.50, 1],
            [AllyCombat.MOVE,   0.05, "tf",                5004.0, 7000.0, 9000.0, 0.50, 1],
            
            # inner zone moves:
            [AllyCombat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
            [AllyCombat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
            [AllyCombat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.35],
            [AllyCombat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.35],
            
            [AllyCombat.ATTACK, 0.50, ("GI_SP",) ,1200.0, 1800.0, 2500.0, 0.35],
	    [AllyCombat.ATTACK, 0.25, ("GM1_SP",),1200.0, 1800.0, 2500.0, 0.35], 
	    [AllyCombat.ATTACK, 0.25, ("GM8_SP",),1200.0, 1800.0, 2500.0, 0.35], 
	    [AllyCombat.ATTACK, 0.25, ("GM6_SP",),1200.0, 1800.0, 2500.0, 0.35], 
	    [AllyCombat.ATTACK, 0.15, ("GM3_SP",),1200.0, 1800.0, 2500.0, 0.35], 
	    
	    [AllyCombat.MOVE,   0.15, AllyCombat.TempMoveInProc,      5000.0, 7000.0, 9000.0, 0.35],
            
           # dodges:
            [AllyCombat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [AllyCombat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [AllyCombat.DODGE,  0.30, "d_b",                500.0, 1200.0, 2800.0, 0.35],
            [AllyCombat.ATTACK, 0.30, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],
            [AllyCombat.MOVE,   0.05, AllyCombat.UsePotion,   3000.0, 7000.0, 9000.0, 1.00],
]		




class AllyKnight (AllyChar):

	def __init__(self, me):
		AllyChar.__init__(self, me)
		
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		

	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		AniSound.AsignarSonidosCaballero(EntityName)
		Bladex.ReadBitMap("../../Data/Icons/icono caballero.bmp","KnightIcon")
		Reference.EnemiesScorerData[self.Name]=("KnightIcon","Kgt")	
		
	
	
	def ResetCombat (self,EntityName):		
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttacksOwnKind=FALSE
			self.AttackNPCTime = 1.5
			me.AttackList = BCopy.deepcopy(AllyKnightAttackData)
			self.ChanceOfFuryOnHurt = 0.25
			self.ChanceOfFuryOnLeaderDeath = 1.00
			me.BlockingPropensity = 0.6
			if me.Level>2:
				me.AttackList.append ([AllyCombat.ATTACK, 0.8, ("GM4_1H",),1200.0, 1600.0, 2500.0, 0.35],)
				me.AttackList.append ([AllyCombat.ATTACK, 0.8, ("GM7_1H",),1200.0, 1600.0, 2500.0, 0.35],)
			if me.Level>3:
				me.AttackList.append ([AllyCombat.ATTACK, 0.8, ("GM9_1H",),1200.0, 1600.0, 2500.0, 0.35],)
				me.AttackList.append ([AllyCombat.ATTACK, 0.8, ("GM2_1H",),1200.0, 1600.0, 2500.0, 0.35],)
				me.AttackList.append ([AllyCombat.DODGE,  0.3, ("D_r", "g_d_r",),1200.0, 1600.0, 2500.0, 0.35],)
				me.AttackList.append ([AllyCombat.DODGE,  0.3, ("D_l", "g_d_l",),1200.0, 1600.0, 2500.0, 0.35],)
			if me.Level>5:
				me.AttackList.append ([AllyCombat.ATTACK, 0.8, ("GM38_1H",),1200.0, 1600.0, 2500.0, 0.35],)
				me.AttackList.append ([AllyCombat.ATTACK, 0.8, ("GM23_1H",),1200.0, 1600.0, 2500.0, 0.35],)
			if me.Level>8:
				me.AttackList.append ([AllyCombat.ATTACK, 0.8, ("GM35_1H",),1200.0, 1600.0, 2500.0, 0.35],)
			if me.Level>11:
				me.AttackList.append ([AllyCombat.ATTACK, 0.8, ("GM5_1H",),1200.0, 1600.0, 2500.0, 0.35],)
				me.AttackList.append ([AllyCombat.ATTACK, 0.8, ("GM23_1H","GM24_1H"),1200.0, 1600.0, 2500.0, 0.35],)
			if me.Level>17:
				me.AttackList.append ([AllyCombat.ATTACK, 0.8, ("GM21_1H",),1200.0, 1600.0, 2500.0, 0.35],)
			
			
			
			
AllyKnightAttackData = [
	# inner zone blocks:
	[AllyCombat.BLOCK,  0.20, "tr",                 750.0, 1500.0, 3500.0, 0.50],
	[AllyCombat.BLOCK,  0.20, "tl",                 750.0, 1500.0, 3500.0, 0.50],
	[AllyCombat.BLOCK,  0.20, "tb",                 750.0, 1500.0, 3500.0, 0.50],
    	[AllyCombat.BLOCK,  0.40, "tf",                 750.0, 1500.0, 3500.0, 0.50],

    	# outer zone blocks:
    	[AllyCombat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
    	[AllyCombat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
    	[AllyCombat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
    	[AllyCombat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],

	# dodges
    	[AllyCombat.DODGE,  0.15, "d_r",                0.0, 1200.0, 2800.0, 0.35],
    	[AllyCombat.DODGE,  0.15, "d_l",                0.0, 1200.0, 2800.0, 0.35],
    	[AllyCombat.DODGE,  0.10, "d_b",                0.0, 1200.0, 2800.0, 0.35],

	# basic attacks
	[AllyCombat.ATTACK, 0.05, ("GI_1H",),             1200.0, 1800.0, 2500.0, 0.35], 
	[AllyCombat.ATTACK, 0.05, ("GM1_1H",),            1200.0, 1800.0, 2500.0, 0.35], 
	[AllyCombat.ATTACK, 0.05, ("GM3_1H",),            1200.0, 1800.0, 2500.0, 0.35], 
	[AllyCombat.ATTACK, 0.05, ("GM6_1H",),            1200.0, 1800.0, 2500.0, 0.35], 
	[AllyCombat.ATTACK, 0.05, ("GM8_1H",),            1200.0, 1800.0, 2500.0, 0.35], 

    	# inner zone moves:
    	[AllyCombat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
    	[AllyCombat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
    	[AllyCombat.MOVE,   0.15, "tb",                   0.0, 2000.0, 5000.0, 0.35],
    	[AllyCombat.MOVE,   0.10, "tf",                   0.0, 2000.0, 5000.0, 0.35],
        [AllyCombat.MOVE,   0.15, AllyCombat.TempMoveInProc,      5000.0, 7000.0, 9000.0, 0.35],
    	[AllyCombat.ATTACK, 0.60, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],
]
	
			
class AllyDwarf (AllyChar):
	def __init__(self, me):
		AllyChar.__init__(self, me)
		
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		
		
	
	def ResetSounds(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		AniSound.AsignarSonidosEnano(EntityName)
		Bladex.ReadBitMap("../../Data/Icons/icono enano.bmp","Dwarf_NIcon")
		Reference.EnemiesScorerData[self.Name]=("Dwarf_NIcon","Dwf")	
			
		




	def ResetCombat (self,EntityName):		
		Ally_Def.NPCAlly.ResetCombat(self, EntityName)
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			self.AttacksOwnKind=TRUE
			me.BlockingPropensity = 0.8
			self.AttackNPCTime = 100
			me.AttackList = BCopy.deepcopy(AllyDwarfAttackData)
			self.ChanceOfFuryOnHurt = 0.25
			self.ChanceOfFuryOnLeaderDeath = 1.00
			if me.Level>1:
				me.AttackList.append([AllyCombat.ATTACK, 0.08, ("GM43_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
			if me.Level>3:
				me.AttackList.append([AllyCombat.ATTACK, 0.12, ("GM30_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
			if me.Level>5:
				me.AttackList.append([AllyCombat.ATTACK, 0.12, ("GM31_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
			if me.Level>7:
				me.AttackList.append([AllyCombat.ATTACK, 0.12, ("GM15_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
			if me.Level>9:
				me.AttackList.append([AllyCombat.ATTACK, 0.12, ("GM17_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
			if me.Level>12:
				me.AttackList.append([AllyCombat.ATTACK, 0.12, ("GM26_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
			if me.Level>12:
				me.AttackList.append([AllyCombat.ATTACK, 0.12, ("GM11_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
			if me.Level>17:
				me.AttackList.append([AllyCombat.ATTACK, 0.12, ("GM22_1H",), 	  800.0, 1200.0, 2500.0, 0.35],)
							
					
					
					
			
AllyDwarfAttackData = [
           # inner zone blocks:
            [AllyCombat.BLOCK,  0.08, (),                   500.0, 1000.0, 3000.0, 0.35],
            [AllyCombat.BLOCK,  0.05, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [AllyCombat.BLOCK,  0.20, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # outer zone blocks:
            [AllyCombat.BLOCK,  0.05, "tr",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.05, "tl",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.35, "tb",                3500.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.BLOCK,  0.10, "tf",                3500.0, 7000.0, 9000.0, 0.50],

           # dodges:
            [AllyCombat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [AllyCombat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [AllyCombat.DODGE,  0.00, "d_b",                500.0, 1200.0, 2800.0, 0.35],

            # basic attacks
	    [AllyCombat.ATTACK, 0.50, ("GI_1H",),            500, 1500.0, 2500.0, 0.35], # Light Attack 
	    [AllyCombat.ATTACK, 0.40, ("GM12_1H",),          500, 1500.0, 2500.0, 0.35], # Light High Attack 
	    [AllyCombat.ATTACK, 0.30, ("GM18_1H",),          500, 1500.0, 2500.0, 0.35], # Light Low Attack 
	    [AllyCombat.ATTACK, 0.40, ("GM16_1H",),          500, 1500.0, 2500.0, 0.35], # Light Left Attack 
	    [AllyCombat.ATTACK, 0.40, ("GM14_1H",),          500, 1500.0, 2500.0, 0.35], # Light Right Attack 
	    
	    [AllyCombat.MOVE,   0.03, "tr",                5000.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.MOVE,   0.03, "tl",                5000.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.MOVE,   0.05, "tb",                5000.0, 7000.0, 9000.0, 0.50],
            [AllyCombat.MOVE,   0.03, "tf",                5000.0, 7000.0, 9000.0, 0.50],
            
            [AllyCombat.MOVE,   0.05, "tr",                   0.0, 2000.0, 5000.0, 0.35],
            [AllyCombat.MOVE,   0.05, "tl",                   0.0, 2000.0, 5000.0, 0.35],
            [AllyCombat.MOVE,   0.10, "tb",                   0.0, 2000.0, 5000.0, 0.35],
            [AllyCombat.MOVE,   0.25, "tf",                   0.0, 2000.0, 5000.0, 0.35],
            
            [AllyCombat.ATTACK, 0.60, "RespectDistance",      0.0,  500.0, 1000.0, 0.30, 1],
            
            [AllyCombat.MOVE,   0.25, AllyCombat.TempMoveInProc,      3000.0,  7000.0, 9000.0, 0.35, 1],
]	
			
			
			
			

##########################################################################################################################################################

class GuardCrow (Basic_Funcs.PlayerPerson):

	InvestigatingSound = FALSE
	SoundPriorities = [-1.0, -1.0, -1.0, -1.0, -1.0]
	EnemyName=None
	AlarmRaised=0
	alarmsnd1=None
	alarmsnd2=None
	SoundNum=0

	def __init__(self, me,soundnum):
		Basic_Funcs.PlayerPerson.__init__(self, me)

		self.SoundPriorities = [-1.0, -1.0, -1.0, -1.0, -1.0]
		
		self.NPC = 1

		me.SubscribeToList("Listeners")
		me.Deaf = 0

		me.SeeFunc=self.CrowSeeTheEnemy
		self.Invincibility=1
		self.Name=me.Name
		self.EnemyName=None  # To identify crow as ally
		self.SoundNum=soundnum
		
		
			
		
		self.alarmsnd1=Bladex.CreateSound("..\\..\\Sounds\\hawkcall1.wav", "AlarmSound1")
		self.alarmsnd1.Volume=1
		self.alarmsnd1.Scale=1.0
		self.alarmsnd1.MinDistance= 500
		self.alarmsnd1.MaxDistance=40000
		
		self.alarmsnd2=Bladex.CreateSound("..\\..\\Sounds\\peacock.wav", "AlarmSound2")
		self.alarmsnd2.Volume=1
		self.alarmsnd2.Scale=1.0
		self.alarmsnd2.MinDistance= 500
		self.alarmsnd2.MaxDistance=40000
		
		
	def ResetSounds(self, EntityName):
		me=Bladex.GetEntity(EntityName)
		Bladex.ReadBitMap("../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/CrowIcon.bmp","CrowIcon")
		Reference.EnemiesScorerData[self.Name]=("CrowIcon","Crw")

		
	def ResetAlarm(self):
		self.AlarmRaised=0


	def CrowSeeTheEnemy(self,EntityName):
		#Reference.debugprint (EntityName + ": I see the enemy");
		me = Bladex.GetEntity(EntityName)
		life = me.Life
		if life > 0.0:		# Check I'm not dead
			if me.Blind:
				return
			if  self.AlarmRaised:
				return
	        	pjp = me.Position
			for ename in Bladex.GetEntitiesAt(pjp[0],pjp[1],pjp[2], 8000):
                      		intruder=Bladex.GetEntity(ename)
                      		if intruder and intruder.Person:
					if intruder.Life>0 and CheckIfAlly(intruder.Name) and intruder.Name != me.Name and intruder.Name != "Player1":  
						Reference.debugprint (EntityName + ": I see an intruder!")
						if self.SoundNum==1:
							self.alarmsnd1.Play(pjp[0],pjp[1],pjp[2],2)
						elif self.SoundNum==2:
							self.alarmsnd2.Play(pjp[0],pjp[1],pjp[2],2)
						else:
							self.alarmsnd1.Play(pjp[0],pjp[1],pjp[2],2)
							
							
							
               					self.AlarmRaised=1
               					Bladex.AddScheduledFunc(Bladex.GetTime()+15,self.ResetAlarm,())
				





	# Functions for loading and saving state
	def __save_core_funcs__(self):
		me = Bladex.GetEntity(self.Name)
		if not me:
			print "__save_core_funcs__() Warning: trying to save a non existent entity",self.Name
			return

		core_funcs = []
		j = 0
		funcs=[ ("SeeFunc",self.CrowSeeTheEnemy)]
		for i in funcs:
			exec('f = me.'+i[0])
			if (i[1] <> f):
				#print "Save Core Func para",me.Name," callback ",i[0]," funcion ", f
				core_funcs.append((j,GameStateAux.SaveFunctionAux(f)))
			j = j + 1
		return(core_funcs)


	def __load_core_funcs__(self,param):
		me = Bladex.GetEntity(self.Name)
		if not me:
			print "__load_core_funcs__ -> Warning, trying to get a non existent entity",self.Name
			return
		
		funcs=["SeeFunc"]
				
		for i in param:
			try:
				GameStateAux.LoadFunctionAux(i[1],me,funcs[i[0]])
			except:
				GameStateAux.LoadFunctionAux(i[1],self,funcs[i[0]])
				exec("me.%s=self.%s"%(funcs[i[0]],funcs[i[0]]))
				

	def __getstate__(self):
		
		PlayerPerson_state=Basic_Funcs.PlayerPerson.__getstate__(self)
		if(PlayerPerson_state[0]!=1):
			print "ERROR: NPCPerson.__getstate__(): Base class version differs."
			return playerperson_state
		me=Bladex.GetEntity(self.Name)
		PlayerPerson_state[1]["GuardCrow"]=(self.__save_core_funcs__(), self.alarmsnd1.Name, self.alarmsnd2.Name,self.SoundNum)
		return PlayerPerson_state

	def __setstate__(self,parm):
		
		Basic_Funcs.PlayerPerson.__setstate__(self,parm)
		me=Bladex.GetEntity(self.Name)
		
		me.SeeFunc=self.CrowSeeTheEnemy
		
		self.inheritance = 1

		version=parm[0]
		if version==1:
			parms=parm[1]["GuardCrow"]
			self.__load_core_funcs__(parms[0])
			self.alarmsnd1=Bladex.GetSound(parms[1])
			self.alarmsnd2=Bladex.GetSound(parms[2])
			self.SoundNum=parms[3]

		
def MakeGuardCrow(name,pos,ang,sndnum=0,fps=20):
	ori=(0.0,0.0,0.707,-0.707)
	if ang >=0 and ang<0.75:
		# North
		ori=(0.0,0.0,0.707,-0.707)
	elif ang >=0.75 and ang<1.5:
		# NW
		ori= (0.27,0.27,0.653,-0.653)
	elif ang >=1.5 and ang<2.25:
		# West
		ori=(0.5,0.5,0.5,-0.5)
	elif ang >=2.25 and ang<3.00:
		# SW
		ori=(0.653,0.653,0.27,-0.27)
	elif ang >=3.00 and ang<3.75:
		# South
		ori=(0.707,0.707,0.0,0.0)
	elif ang >=3.75 and ang<4.5:
		# SE
		ori=(0.653,0.653,-0.27,0.27)
	elif ang >=4.5 and ang<5.25:
		# East
		ori=(0.5,0.5,-0.5,0.5)
	elif ang >=5.25 and ang<6.00:
		# NE
		ori=(0.353,0.353,-0.612,0.612)
	else:
		ori=(0.0,0.0,0.707,-0.707)
	
	crw=Bladex.CreateEntity(name,"Crw",0,0,0,)
	crw.Static = 1
	crw.Position=pos         
	crw.Orientation=ori                                  
	crw.Actor=1
	crw.Animation="Crw_pic"
	crw.FPS=fps
	crw.SendSectorMsgs=0
	crw.TurnOn()	
	# The crow is only for show
	# The spider does the looking	
	spd=Bladex.CreateEntity(name+"Spider","Spidersmall",pos[0],pos[1],pos[2],"Person")
	spd.Angle=ang  
	spd.Alpha=0
	spd.CastShadows=0
	spd.RasterMode  ="AdditiveAlpha"
	spd.RasterMode  ="Read"
	spd.Data=GuardCrow(spd,sndnum)
	
	



		
################################################################################
# Parse the CharType  automatically
################################################################################
classes_defined= dir()
def AllyDefaultFuncs (pers):	
	print "Applying Data to new Ally"	
	if pers.CharType in classes_defined:	
		exec_string = 'pers.Data=' + pers.CharType + '(pers)'
		exec (exec_string)		
		Bladex.CheckPyErrors()
		print pers.CharType
		print "Data Applied"
		if not pers.Data:
			raise NameError, 'CharType must not have valid associated class'
		Bladex.CheckPyErrors()	
	else:
		print "WARNING: "+pers.CharType+" is an unrecognised class in WizardAllyTypes.py!"
		pers.Data= Ally_Def.NPCAlly (pers)		
################################################################################