import Bladex

# ***********************************
# *      Asignacion de sonidos      *
# ***********************************

AsignarSonidosSkeletteCalled=0


def AsignarSonidosSkelette(Personaje):

	from AniSoundSklDRTPX import *

	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos

	per.AddEventSound('shield_block', GolpeArmaEscudoStp)
	per.AddEventSound('weapon_block', GolpeArmaArmaStp)
	per.AddEventSound('impale', TajoEmpalanteStp)
	per.AddEventSound('slash', TajoCortanteStp)
	per.AddEventSound('mutilate', TajoMutilacionStp)
	per.AddEventSound('crush', GolpeContundenteStp)


	global AsignarSonidosSkeletteCalled
	if AsignarSonidosSkeletteCalled:
		return
	AsignarSonidosSkeletteCalled=1


	# Sonidos de animaciones

	
	# Animation Speak01
	
	per.AddAnimSound('Scl_insult', Insulto1Stp, 0.1500 )
	
	per.AddAnimSound('Scl_chg_r', Enfundar, 0.1254 )
	per.AddAnimSound('Scl_chg_r_l', Enfundar, 0.2584)
	per.AddAnimSound('Scl_attack_chg_r_l', Enfundar, 0.2356)
	per.AddAnimSound('Scl_attack_chg_r', Enfundar, 0.3654)
	per.AddAnimSound('Scl_chg_r', Enfundar, 0.2541)
	per.AddAnimSound('Scl_chg_r_l', Enfundar, 0.2586)
	per.AddAnimSound('Scl_attack_chg_r_l', Enfundar, 0.2546)
	per.AddAnimSound('Scl_attack_chg_r', Enfundar, 0.2586)

	per.AddAnimSound('Scl_g_01', EsfuerzoCorto6Stp, 0.2443)
	per.AddAnimSound('Scl_g_02', EsfuerzoCorto5Stp, 0.3493)
	#per.AddAnimSound('Scl_g_02', Relax1, 0.1200)
	per.AddAnimSound('Scl_g_05', EsfuerzoCorto2Stp, 0.2546)
	#per.AddAnimSound('Scl_g_05', Relax1, 0.9000)
	per.AddAnimSound('Scl_g_06', EsfuerzoCorto3Stp, 0.2584)
	#per.AddAnimSound('Scl_g_06', Relax2, 0.8000)
	per.AddAnimSound('Scl_g_07', EsfuerzoCorto4Stp, 0.2690)
	#per.AddAnimSound('Scl_g_07', Relax1, 0.8000)
	per.AddAnimSound('Scl_g_08', EsfuerzoCorto2Stp, 0.2548)
	#per.AddAnimSound('Scl_g_08', Relax2, 0.8000)
	per.AddAnimSound('Scl_g_09', EsfuerzoCorto6Stp, 0.2061)
	#per.AddAnimSound('Scl_g_09', Relax2, 0.8000)
	per.AddAnimSound('Scl_g_01', SesgadoCorto, 0.2519)
	per.AddAnimSound('Scl_g_02', SesgadoCortoAgudo, 0.3356)
	per.AddAnimSound('Scl_g_05', SesgadoCortoGrave, 0.5248)
	per.AddAnimSound('Scl_g_06', SesgadoCorto, 0.2589)
	per.AddAnimSound('Scl_g_07', SesgadoCortoAgudo, 0.2690)
	per.AddAnimSound('Scl_g_08', SesgadoCortoGrave, 0.2548)
	per.AddAnimSound('Scl_g_09', SesgadoCorto, 0.2061)
	per.AddAnimSound('Scl_g_11', EsfuerzoGolpeFrontalStp, 0.2584)
	per.AddAnimSound('Scl_g_12', EsfuerzoGolpeFrontalStp, 0.2546)
	per.AddAnimSound('Scl_g_13', EsfuerzoGolpeFrontalStp, 0.2541)
	per.AddAnimSound('Scl_g_14', EsfuerzoGolpeLateralStp, 0.2500)
	per.AddAnimSound('Scl_g_15', EsfuerzoGolpeLateralStp, 0.2543)
	per.AddAnimSound('Scl_g_16', EsfuerzoGolpeLateralStp, 0.3113)
	per.AddAnimSound('Scl_g_17', EsfuerzoGolpeLateralStp, 0.1300)
	per.AddAnimSound('Scl_g_18', EsfuerzoGolpeArribaStp, 0.3521)
	per.AddAnimSound('Scl_g_11', SesgadoLargo, 0.2584)
	per.AddAnimSound('Scl_g_12', SesgadoLargo, 0.2544)
	per.AddAnimSound('Scl_g_13', SesgadoLargoAgudo, 0.3254)
	per.AddAnimSound('Scl_g_14', SesgadoLargoGrave, 0.2541)
	per.AddAnimSound('Scl_g_15', SesgadoLargo, 0.5412)
	per.AddAnimSound('Scl_g_16', SesgadoLargoAgudo, 0.3113)
	per.AddAnimSound('Scl_g_17', SesgadoLargoAgudo, 0.2563)
	per.AddAnimSound('Scl_g_18', SesgadoLargoGrave, 0.4561)
	per.AddAnimSound('Scl_g_22', EsfuerzoGolpeAtrasStp, 0.1224)
	per.AddAnimSound('Scl_g_26', EsfuerzoGolpeCabezaStp, 0.2314)
	per.AddAnimSound('Scl_g_22', SesgadoLargo, 0.1224)
	per.AddAnimSound('Scl_g_22', SesgadoLargoAgudo, 0.2600)
	per.AddAnimSound('Scl_g_22', EsfuerzoGolpeCabezaStp, 0.2600)
	per.AddAnimSound('Scl_g_22', SesgadoLargo, 0.4740)
	per.AddAnimSound('Scl_g_22', EsfuerzoCorto6Stp, 0.4740)
	per.AddAnimSound('Scl_g_26', SesgadoLargoAgudo, 0.2700)
	per.AddAnimSound('Scl_g_31', EsfuerzoGolpeAtrasStp, 0.2584)
	per.AddAnimSound('Scl_g_31', SesgadoLargo, 0.3541)
	per.AddAnimSound('Scl_g_31', SesgadoLargoAgudo, 0.6214)
	per.AddAnimSound('Scl_clmb_medlow_1h', EsfuerzoCorto2Stp, 0.2584)
	per.AddAnimSound('Scl_clmb_medium_1h', EsfuerzoCorto2Stp, 0.2584)
	per.AddAnimSound('Scl_clmb_high_1h', EsfuerzoCorto1Stp, 0.2546)
	per.AddAnimSound('Scl_clmb_medlow_no', EsfuerzoCorto2Stp, 0.2558)
	per.AddAnimSound('Scl_clmb_medium_no', EsfuerzoCorto2Stp, 0.4125)
	per.AddAnimSound('Scl_clmb_high_no', EsfuerzoCorto1Stp, 0.2531)
	per.AddAnimSound('Scl_clmb_medium_1h', EsfuerzoCortoStp, 0.2584)
	per.AddAnimSound('Scl_clmb_high_1h', EsfuerzoStpMediano, 0.2584)
	per.AddAnimSound('Scl_clmb_high_1h', EsfuerzoCortoStp, 0.2584)
	per.AddAnimSound('Scl_clmb_medium_no', EsfuerzoCortoStp, 0.3695)
	per.AddAnimSound('Scl_clmb_high_no', EsfuerzoStpMediano, 0.3214)
	per.AddAnimSound('Scl_clmb_high_no', EsfuerzoCortoStp, 0.2584)

	per.AddAnimSound("Scl_dth0", MuerteStp1, 0.1200)
	per.AddAnimSound("Scl_dth0", Caida, 0.1452)
	per.AddAnimSound("Scl_dth_n00", MuerteStp2, 0.1000)
	per.AddAnimSound("Scl_dth_n00", Caida, 0.3560)
	per.AddAnimSound("Scl_dth_n00", Caida3, 0.5300)
	per.AddAnimSound("Scl_dth_n00", Caida2, 0.7000)
	per.AddAnimSound("Scl_dth_n01", MuerteStp2, 0.1100)
	per.AddAnimSound("Scl_dth_n01", Caida, 0.3250)
	per.AddAnimSound("Scl_dth_n01", Caida2, 0.5590)
	per.AddAnimSound("Scl_dth_n01", Caida3, 0.6700)
	per.AddAnimSound("Scl_dth_n02", MuerteStp4, 0.1200)
	per.AddAnimSound("Scl_dth_n02", Caida, 0.2000)
	per.AddAnimSound("Scl_dth_n02", Caida2, 0.6500)
	per.AddAnimSound("Scl_dth_n02", Caida3, 0.7500)
	per.AddAnimSound("Scl_dth_n03", MuerteStp4, 0.1200)
	per.AddAnimSound("Scl_dth_n03", Caida, 0.1200)
	per.AddAnimSound("Scl_dth_n03", Caida2, 0.5150)
	per.AddAnimSound("Scl_dth_n03", Caida3, 0.4700)
	per.AddAnimSound("Scl_dth_n04", MuerteStp1, 0.1100)
	per.AddAnimSound("Scl_dth_n04", Caida, 0.1200)
	per.AddAnimSound("Scl_dth_n04", Caida, 0.4500)
	per.AddAnimSound("Scl_dth_n04", Caida3, 0.7480)
	per.AddAnimSound("Scl_dth_n04", Caida2, 0.7800)
	per.AddAnimSound("Scl_dth_n05", MuerteStp1, 0.1100)
	per.AddAnimSound("Scl_dth_n05", Caida, 0.1500)
	per.AddAnimSound("Scl_dth_n05", Caida, 0.4500)
	per.AddAnimSound("Scl_dth_n05", Caida2, 0.8800)
	per.AddAnimSound("Scl_dth_n06", MuerteStp1, 0.1200)
	per.AddAnimSound("Scl_dth_n06", Caida, 0.1800)
	per.AddAnimSound("Scl_dth_n06", Caida, 0.4500)
	per.AddAnimSound("Scl_dth_n06", Caida3, 0.5500)
	per.AddAnimSound("Scl_dth_n06", Caida2, 0.6000)
	per.AddAnimSound("Scl_dth_i1", MuerteStp1, 0.2541)
	per.AddAnimSound("Scl_dth_i2", MuerteStp2, 0.2145)
	per.AddAnimSound("Scl_dth_bl1", MuerteStp3, 0.2145)
	per.AddAnimSound("Scl_dth_bl2", MuerteStp4, 0.1234)
	per.AddAnimSound("Scl_dth_rock", MuerteStp1, 0.2111)
	per.AddAnimSound("Scl_dth_c1", Caida, 0.1470)
	per.AddAnimSound("Scl_dth_c1", Caida, 0.4500)
	per.AddAnimSound("Scl_dth_c1", Caida2, 0.6900)
	per.AddAnimSound("Scl_dth_c1", Caida3, 0.7900)
	per.AddAnimSound("Scl_dth_c2", Caida, 0.1900)
	per.AddAnimSound("Scl_dth_c2", Caida, 0.4500)
	per.AddAnimSound("Scl_dth_c2", Caida2, 0.7800)
	per.AddAnimSound("Scl_dth_c2", Caida3, 0.8850)
	per.AddAnimSound("Scl_dth_c3", Caida, 0.1200)
	per.AddAnimSound("Scl_dth_c3", Caida, 0.4500)
	per.AddAnimSound("Scl_dth_c3", Caida2, 0.6370)
	per.AddAnimSound("Scl_dth_c3", Caida3, 0.6800)
	per.AddAnimSound("Scl_dth_c4", Caida, 0.1200)
	per.AddAnimSound("Scl_dth_c4", Caida, 0.4500)
	per.AddAnimSound("Scl_dth_c4", Caida2, 0.4640)
	per.AddAnimSound("Scl_dth_c4", Caida3, 0.7000)
	per.AddAnimSound("Scl_dth_c5", Caida, 0.1200)
	per.AddAnimSound("Scl_dth_c5", Caida, 0.4500)
	per.AddAnimSound("Scl_dth_c5", Caida2, 0.5370)
	per.AddAnimSound("Scl_dth_c5", Caida3, 0.7800)
	per.AddAnimSound("Scl_dth_c6", Caida, 0.1200)
	per.AddAnimSound("Scl_dth_c6", Caida, 0.4500)
	per.AddAnimSound("Scl_dth_c6", Caida2, 0.7700)
	
	per.AddAnimSound("Scl_dth_c7", Caida, 0.1200)
	per.AddAnimSound("Scl_dth_c7", Caida, 0.4500)
	per.AddAnimSound("Scl_dth_c7", Caida2, 0.6300)
	per.AddAnimSound("Scl_dth_c7", Caida3, 0.6900)
	
	per.AddAnimSound("Scl_dth_burn", MuerteQuemandoStp, 0.1100)
	per.AddAnimSound("Scl_dth_fll", GritoCaida, 0.1100)
	per.AddAnimSound("Scl_dth_fll", GritoCaida, 0.1100)
	per.AddAnimSound("Kgt_dth_rockfront", AplastamientoStp, 0.1000)
	per.AddAnimSound("Kgt_dth_rockfront", HeridaStp2, 0.1000)
	per.AddAnimSound("Kgt_dth_rock", AplastamientoStp, 0.1500)
	per.AddAnimSound("Kgt_dth_rock", HeridaStp2, 0.1000)



	per.AddAnimSound("Scl_hurt_jog", HeridaStp1, 0.2514)
	per.AddAnimSound("Scl_hurt_neck", HeridaStp2, 0.2145)
	per.AddAnimSound("Scl_hurt_breast", HeridaStp3, 0.2541)
	per.AddAnimSound("Scl_hurt_back", HeridaStp1, 0.1234)
	per.AddAnimSound("Scl_hurt_r_arm", HeridaStp2, 0.1236)
	per.AddAnimSound("Scl_hurt_l_arm", HeridaStp3, 0.1254)
	per.AddAnimSound("Scl_hurt_r_leg", HeridaStp1, 0.3214)
	per.AddAnimSound("Scl_hurt_l_leg", HeridaStp2, 0.1253)
	per.AddAnimSound("Scl_hurt_f_head", HeridaStp3, 0.2314)
	per.AddAnimSound("Scl_hurt_f_neck", HeridaStp2, 0.1235)
	per.AddAnimSound("Scl_hurt_f_breast", HeridaStp1, 0.1245)
	per.AddAnimSound("Scl_hurt_f_back", HeridaStp2, 0.5842)
	per.AddAnimSound("Scl_hurt_f_r_arm", HeridaStp3, 0.5487)
	per.AddAnimSound("Scl_hurt_f_l_arm", HeridaStp2, 0.2541)
	per.AddAnimSound("Scl_hurt_f_r_leg", HeridaStp1, 0.2145)
	per.AddAnimSound("Scl_hurt_f_l_leg", HeridaStp2, 0.1234)
	per.AddAnimSound("Scl_hurt_f_lite", HeridaStp3, 0.1235)
	per.AddAnimSound("Scl_hurt_f_big", HeridaStp2, 0.2145)
	per.AddAnimSound("Scl_hurt_head", HeridaStp1, 0.1254)
	
	per.AddAnimSound("Scl_appears1", Generador, 0.1000)
	per.AddAnimSound("Scl_appears2", Generador, 0.1000)
	
	
	
	per.AddAnimSound("Rlx_1h_Scl", Relax1, 0.1500)
	per.AddAnimSound("Rlx_1h_Scl", Relax2, 0.3000)
	per.AddAnimSound("Rlx_1h_Scl", Relax1, 0.6000)
	per.AddAnimSound("Rlx_1h_Scl", Relax2, 0.9000)
	
	import StepSounds
	Bladex.AddActionStepSound("Scl","default","PisadaEsqueleto")
	
