######################################################
#
# Create sets of attacks
#
#        - Stp -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Stp","g_01","ATTACKING")
Bladex.SetActionEventTable("Stp","g_02","ATTACKING")
Bladex.SetActionEventTable("Stp","g_07","ATTACKING")
Bladex.SetActionEventTable("Stp","g_09","ATTACKING")
Bladex.SetActionEventTable("Stp","g_16","ATTACKING")
Bladex.SetActionEventTable("Stp","g_18","ATTACKING")
Bladex.SetActionEventTable("Stp","g_22","ATTACKING")
Bladex.SetActionEventTable("Stp","g_flame1","ATTACKING")


stp=Bladex.GetCharType("SkeletonDRTP","Stp")

###############################
# GRUPOS DE GOLPES ALEATORIOS #
###############################
#GA group

stp.AddAttack("GA","Stp_g_01")
stp.AddAttack("GA","Stp_g_02")
stp.AddAttack("GA","Stp_g_07")
stp.AddAttack("GA","Stp_g_09")

stp.AttackTypeFlag("GA",ATK_RANDOM)

###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#GM1 group
stp.AddAttack("GM1","Stp_g_16")

stp.AttackTypeFlag("GM1",ATK_SEQUENTIAL)

#GM2 group
stp.AddAttack("GM2","Stp_g_16")
stp.AddAttack("GM2","Stp_g_18")

stp.AttackTypeFlag("GM2",ATK_SEQUENTIAL)

#G22 group
stp.AddAttack("G22","Stp_g_22")

stp.AttackTypeFlag("G22",ATK_UNIQUE)



stp.AddAttack("G30","Stp_g_flame1")

###############################
# GRUPO PARA ESCALERAS        #
###############################
stp.AddAttack("STAIRS","Ork_g_16")
stp.AddAttack("STAIRS","Ork_g_18")

stp.AttackTypeFlag("STAIRS",ATK_RANDOM)



