import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # SkeletonDRTP         #
    #                      #
    ########################
    

  
    
    
import SkeletonDRTPAnm_def
SkeletonDRTPAnm_def.InitSkeletonDRTP()    
 
 
 
stp=Bladex.GetCharType("SkeletonDRTP","Stp")
stp.IntName="Stp" 
    
stp.TurnSpeed=4.5
stp.Jcost=2700
stp.MaxFall=4000
stp.DieFall=14000
stp.MaxStair=400
stp.Fov=math.pi/1.2
stp.MaxGrab=2500.0
stp.MedGrab=1500.0
stp.Min2Grab=1000.0

stp.MinTake=-500.0      # Min height above floor barbarian will take
stp.MaxTake1=250.0	# Max height above floor for Take1 Anim
stp.MaxTake2=550.0	# Max height above floor for Take2 Anim
stp.MaxTake3=1300.0	# Max height above floor for Take3 Anim
stp.MaxTake4=1900.0	# Max height above floor for Take4 Anim
stp.MaxTake5=3000.0	# Max height above floor for Take5 Anim
stp.Reach=2000.0	# Max distance from stp centre to obj centre to take

stp.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
stp.MovBkwdSpeedInStrafe=1000  #Idem backwards

stp.MaxCombatDist=8000
stp.DistStop=2000.0
stp.DistStop2=6000.0
stp.MaxSeeDist=25000


stp.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones
stp.SetCDSphere(0,300.0,320.0)  #(numero de la espera, altura mm, radio mm)
stp.SetCDSphere(1,-100.0,450.0)  #(numero de la espera, altura mm, radio mm)

stp.NaturalWeapons=0

###############################################################################
#

def SkeletonDRTPWhenFirst():
	Bladex.CreateBipedData("Stp","SkeletonDRTP")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Stp.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Stp.dat")

	import SkeletonDRTPAnimationSet
	SkeletonDRTPAnimationSet.LoadSkeletonDRTPAnimationSet("Stp")
	
	import SkeletonDRTPBAct
	import LinkTables
	LinkTables.LinkMe("Stp")
	
	import SkeletonDRTPCombos
	
	import AnmFactSkeletonDRTP
	AnmFactSkeletonDRTP.AnmFactSkeletonDRTP()
	import SkeletonDRTPStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Stp.dat","Stp")
	
	print"New SkeletonDRTP Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("SkeletonDRTP","Stp")
race.OnFirst=SkeletonDRTPWhenFirst
