import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # Skelette             #
    #                      #
    ########################
    

  
    
    
import SkeletteAnm_def
SkeletteAnm_def.InitSkelette()    
 
 
 
scl=Bladex.GetCharType("Skelette_A","Scl")
scl.IntName="Scl" 
    
scl.TurnSpeed=4.5
scl.Jcost=2700
scl.MaxFall=4000
scl.DieFall=14000
scl.MaxStair=400
scl.Fov=math.pi/1.2
scl.MaxGrab=2500.0
scl.MedGrab=1500.0
scl.Min2Grab=1000.0

scl.MinTake=-500.0      # Min height above floor barbarian will take
scl.MaxTake1=250.0	# Max height above floor for Take1 Anim
scl.MaxTake2=550.0	# Max height above floor for Take2 Anim
scl.MaxTake3=1300.0	# Max height above floor for Take3 Anim
scl.MaxTake4=1900.0	# Max height above floor for Take4 Anim
scl.MaxTake5=3000.0	# Max height above floor for Take5 Anim
scl.Reach=2000.0	# Max distance from scl centre to obj centre to take

scl.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
scl.MovBkwdSpeedInStrafe=1000  #Idem backwards

scl.MaxCombatDist=8000
scl.DistStop=2000.0
scl.DistStop2=6000.0
scl.MaxSeeDist=25000


scl.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones
scl.SetCDSphere(0,300.0,320.0)  #(numero de la espera, altura mm, radio mm)
scl.SetCDSphere(1,-100.0,450.0)  #(numero de la espera, altura mm, radio mm)

scl.NaturalWeapons=0

   
    

###############################################################################
#

def SkeletteWhenFirst():
	Bladex.CreateBipedData("Scl","Skelette_A")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Scl.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Scl.dat")

	import SkeletteAnimationSet
	SkeletteAnimationSet.LoadSkeletteAnimationSet("Scl")
	
	import SkeletteBAct
	import LinkTables
	LinkTables.LinkMe("Scl")
	
	import SkeletteCombos
	
	import AnmFactSkelette
	AnmFactSkelette.AnmFactSkelette()
	import SkeletteStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Scl.dat","Scl")
	
	print"New Skelette Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Skelette_A","Scl")
race.OnFirst=SkeletteWhenFirst
