import Bladex
import netgame


# ***********************************
# *      Asignacion de sonidos      *
# ***********************************

AsignarSonidosZombyCalled=0
def AsignarSonidosZomby(Personaje):
	from AniSoundZmbX import *
	
	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos

	per.AddEventSound('shield_block', GolpeArmaEscudoZmb)
	per.AddEventSound('weapon_block', GolpeArmaArmaZmb)
	per.AddEventSound('impale', TajoEmpalanteZmb)
	per.AddEventSound('slash', TajoCortanteZmb)
	per.AddEventSound('mutilate', TajoMutilacionZmb)
	per.AddEventSound('crush', GolpeContundenteZmb)
	
	global AsignarSonidosZombyCalled
	if AsignarSonidosZombyCalled:
		return
	AsignarSonidosZombyCalled=1
	
	
	
	# Sonidos de animaciones

	per.AddAnimSound('Zmb_chg_r', Enfundar, 0.4)
	per.AddAnimSound('Zmb_chg_r_l', Enfundar, 0.3599)
	per.AddAnimSound('Zmb_attack_chg_r_l', Enfundar, 0.5)
	per.AddAnimSound('Zmb_attack_chg_r', Enfundar, 0.5)
	per.AddAnimSound('Zmb_chg_r', Enfundar, 0.4)
	per.AddAnimSound('Zmb_chg_r_l', Enfundar, 0.3599)
	per.AddAnimSound('Zmb_attack_chg_r_l', Enfundar, 0.5)
	per.AddAnimSound('Zmb_attack_chg_r', Enfundar, 0.5)

	per.AddAnimSound('Zmb_g_01', EsfuerzoCorto6Zmb, 0.2468)
	per.AddAnimSound('Zmb_g_02', EsfuerzoCorto5Zmb, 0.3026)
	per.AddAnimSound('Zmb_g_05', EsfuerzoCorto2Zmb, 0.5300)
	per.AddAnimSound('Zmb_g_06', EsfuerzoCorto3Zmb, 0.4211)
	per.AddAnimSound('Zmb_g_07', EsfuerzoCorto4Zmb, 0.3291)
	per.AddAnimSound('Zmb_g_08', EsfuerzoCorto2Zmb, 0.3881)
	per.AddAnimSound('Zmb_g_09', EsfuerzoCorto6Zmb, 0.2895)
	per.AddAnimSound('Zmb_g_01', SesgadoCorto, 0.3377)
	per.AddAnimSound('Zmb_g_01', AndarZmb1, 0.5000)
	per.AddAnimSound('Zmb_g_01', AndarZmb2, 0.7000)
	per.AddAnimSound('Zmb_g_01', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Zmb_g_01', RespiracionZmb2, 0.8000)
	per.AddAnimSound('Zmb_g_02', SesgadoCortoAgudo, 0.3158)
	per.AddAnimSound('Zmb_g_02', AndarZmb1, 0.5000)
	per.AddAnimSound('Zmb_g_02', AndarZmb2, 0.7000)
	per.AddAnimSound('Zmb_g_02', RespiracionZmb2, 0.2200)
	per.AddAnimSound('Zmb_g_02', RespiracionZmb1, 0.800)
	per.AddAnimSound('Zmb_g_05', SesgadoCortoGrave, 0.5658)
	per.AddAnimSound('Zmb_g_05', AndarZmb1, 0.7000)
	per.AddAnimSound('Zmb_g_05', AndarZmb2, 0.8500)
	per.AddAnimSound('Zmb_g_05', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Zmb_g_05', RespiracionZmb2, 0.3000)
	per.AddAnimSound('Zmb_g_06', SesgadoCorto, 0.4342)
	per.AddAnimSound('Zmb_g_06', AndarZmb1, 0.7000)
	per.AddAnimSound('Zmb_g_06', AndarZmb2, 0.8500)
	per.AddAnimSound('Zmb_g_06', RespiracionZmb2, 0.1200)
	per.AddAnimSound('Zmb_g_06', RespiracionZmb1, 0.3000)
	per.AddAnimSound('Zmb_g_06', RespiracionZmb2, 0.8000)
	per.AddAnimSound('Zmb_g_06', RespiracionZmb1, 0.6000)
	per.AddAnimSound('Zmb_g_07', SesgadoCortoAgudo, 0.3418)
	per.AddAnimSound('Zmb_g_07', AndarZmb2, 0.6000)
	per.AddAnimSound('Zmb_g_07', AndarZmb1, 0.8000)
	per.AddAnimSound('Zmb_g_07', RespiracionZmb1, 0.1700)
	per.AddAnimSound('Zmb_g_07', RespiracionZmb2, 0.7000)
	per.AddAnimSound('Zmb_g_07', RespiracionZmb2, 0.4000)
	per.AddAnimSound('Zmb_g_08', SesgadoCortoGrave, 0.4030)
	per.AddAnimSound('Zmb_g_08', AndarZmb1, 0.4030)
	per.AddAnimSound('Zmb_g_08', AndarZmb2, 0.6000)
	per.AddAnimSound('Zmb_g_08', RespiracionZmb2, 0.5000)
	per.AddAnimSound('Zmb_g_08', RespiracionZmb1, 0.7000)
	per.AddAnimSound('Zmb_g_08', RespiracionZmb2, 0.1100)
	per.AddAnimSound('Zmb_g_08', RespiracionZmb1, 0.2000)
	per.AddAnimSound('Zmb_g_09', SesgadoCorto, 0.3158)
	per.AddAnimSound('Zmb_g_09', AndarZmb1, 0.6000)
	per.AddAnimSound('Zmb_g_09', AndarZmb2, 0.8000)
	per.AddAnimSound('Zmb_g_09', RespiracionZmb1, 0.5000)
	per.AddAnimSound('Zmb_g_09', RespiracionZmb2, 0.7000)
	per.AddAnimSound('Zmb_g_09', RespiracionZmb2, 0.1100)
	per.AddAnimSound('Zmb_g_11', EsfuerzoGolpeFrontalZmb, 0.4685)
	per.AddAnimSound('Zmb_g_12', EsfuerzoGolpeFrontalZmb, 0.2290)
	per.AddAnimSound('Zmb_g_13', EsfuerzoGolpeFrontalZmb, 0.3053)
	per.AddAnimSound('Zmb_g_14', EsfuerzoGolpeLateralZmb, 0.2290)
	per.AddAnimSound('Zmb_g_15', EsfuerzoGolpeLateralZmb, 0.4628)
	per.AddAnimSound('Zmb_g_16', EsfuerzoGolpeLateralZmb, 0.4681)
	per.AddAnimSound('Zmb_g_17', EsfuerzoGolpeLateralZmb, 0.4200)
	per.AddAnimSound('Zmb_g_18', EsfuerzoGolpeArribaZmb, 0.4224)
	per.AddAnimSound('Zmb_g_11', SesgadoLargo, 0.4775)
	per.AddAnimSound('Zmb_g_11', AndarZmb1, 0.7000)
	per.AddAnimSound('Zmb_g_11', AndarZmb2, 0.8500)
	per.AddAnimSound('Zmb_g_11', RespiracionZmb1, 0.1200)
	per.AddAnimSound('Zmb_g_11', RespiracionZmb2, 0.2500)
	per.AddAnimSound('Zmb_g_11', RespiracionZmb1, 0.6000)
	per.AddAnimSound('Zmb_g_11', RespiracionZmb2, 0.8000)
	per.AddAnimSound('Zmb_g_12', SesgadoLargo, 0.4351)
	per.AddAnimSound('Zmb_g_12', AndarZmb1, 0.7000)
	per.AddAnimSound('Zmb_g_12', AndarZmb2, 0.8500)
	per.AddAnimSound('Zmb_g_12', RespiracionZmb1, 0.5000)
	per.AddAnimSound('Zmb_g_12', RespiracionZmb2, 0.6000)
	per.AddAnimSound('Zmb_g_12', RespiracionZmb1, 0.1100)
	per.AddAnimSound('Zmb_g_13', SesgadoLargoAgudo, 0.1679)
	per.AddAnimSound('Zmb_g_13', AndarZmb1, 0.6000)
	per.AddAnimSound('Zmb_g_13', AndarZmb2, 0.8500)
	per.AddAnimSound('Zmb_g_13', RespiracionZmb1, 0.4000)
	per.AddAnimSound('Zmb_g_13', RespiracionZmb2, 0.5000)
	per.AddAnimSound('Zmb_g_13', RespiracionZmb1, 0.7000)
	per.AddAnimSound('Zmb_g_14', SesgadoLargoGrave, 0.3969)
	per.AddAnimSound('Zmb_g_14', AndarZmb1, 0.6000)
	per.AddAnimSound('Zmb_g_14', AndarZmb2, 0.8500)
	per.AddAnimSound('Zmb_g_14', RespiracionZmb1, 0.1100)
	per.AddAnimSound('Zmb_g_14', RespiracionZmb2, 0.5000)
	per.AddAnimSound('Zmb_g_14', RespiracionZmb1, 0.7000)
	per.AddAnimSound('Zmb_g_15', SesgadoLargo, 0.4463)
	per.AddAnimSound('Zmb_g_15', AndarZmb1, 0.6000)
	per.AddAnimSound('Zmb_g_15', AndarZmb2, 0.8000)
	per.AddAnimSound('Zmb_g_15', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Zmb_g_15', RespiracionZmb2, 0.3000)
	per.AddAnimSound('Zmb_g_15', RespiracionZmb1, 0.6000)
	per.AddAnimSound('Zmb_g_15', RespiracionZmb2, 0.7500)
	per.AddAnimSound('Zmb_g_15', RespiracionZmb1, 0.9000)
	per.AddAnimSound('Zmb_g_16', SesgadoLargoAgudo, 0.4823)
	per.AddAnimSound('Zmb_g_16', AndarZmb1, 0.6000)
	per.AddAnimSound('Zmb_g_16', AndarZmb2, 0.8000)
	per.AddAnimSound('Zmb_g_16', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Zmb_g_16', RespiracionZmb1, 0.3000)
	per.AddAnimSound('Zmb_g_16', RespiracionZmb1, 0.7000)
	per.AddAnimSound('Zmb_g_16', RespiracionZmb1, 0.8500)
	per.AddAnimSound('Zmb_g_17', SesgadoLargoAgudo, 0.4427)
	per.AddAnimSound('Zmb_g_17', AndarZmb2, 0.6000)
	per.AddAnimSound('Zmb_g_17', AndarZmb1, 0.8000)
	per.AddAnimSound('Zmb_g_17', RespiracionZmb1, 0.1200)
	per.AddAnimSound('Zmb_g_17', RespiracionZmb1, 0.5900)
	per.AddAnimSound('Zmb_g_17', RespiracionZmb2, 0.7000)
	per.AddAnimSound('Zmb_g_18', SesgadoLargoGrave, 0.4483)
	per.AddAnimSound('Zmb_g_18', AndarZmb1, 0.6000)
	per.AddAnimSound('Zmb_g_18', AndarZmb2, 0.8000)
	per.AddAnimSound('Zmb_g_18', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Zmb_g_18', RespiracionZmb1, 0.3000)
	per.AddAnimSound('Zmb_g_18', RespiracionZmb1, 0.7000)
	per.AddAnimSound('Zmb_g_18', RespiracionZmb1, 0.9000)
	per.AddAnimSound('Zmb_g_22', EsfuerzoGolpeAtrasZmb, 0.4300)
	per.AddAnimSound('Zmb_g_26', EsfuerzoGolpeCabezaZmb, 0.1342)
	per.AddAnimSound('Zmb_g_22', SesgadoLargo, 0.4698)
	per.AddAnimSound('Zmb_g_22', AndarZmb1, 0.6000)
	per.AddAnimSound('Zmb_g_22', AndarZmb2, 0.8000)
	per.AddAnimSound('Zmb_g_22', RespiracionZmb2, 0.3000)
	per.AddAnimSound('Zmb_g_22', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Zmb_g_22', RespiracionZmb2, 0.7000)
	per.AddAnimSound('Zmb_g_22', RespiracionZmb1, 0.9000)
	per.AddAnimSound('Zmb_g_26', SesgadoLargoAgudo, 0.1983)
	per.AddAnimSound('Zmb_g_26', RespiracionZmb1, 0.3000)
	per.AddAnimSound('Zmb_g_26', RespiracionZmb2, 0.4500)
	per.AddAnimSound('Zmb_g_26', RespiracionZmb1, 0.6500)
	per.AddAnimSound('Zmb_g_26', RespiracionZmb2, 0.8500)
	per.AddAnimSound('Zmb_g_31', EsfuerzoGolpeAtrasZmb, 0.2950)
	per.AddAnimSound('Zmb_g_31', SesgadoLargo, 0.2950)
	per.AddAnimSound('Zmb_g_31', AndarZmb2, 0.6000)
	per.AddAnimSound('Zmb_g_31', AndarZmb1, 0.8000)
	per.AddAnimSound('Zmb_g_31', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Zmb_g_31', RespiracionZmb2, 0.4000)
	per.AddAnimSound('Zmb_g_31', RespiracionZmb1, 0.7000)
	per.AddAnimSound('Zmb_g_31', RespiracionZmb2, 0.9000)
	
	per.AddAnimSound('Zmb_g_12', SesgadoLargoAgudo, 0.5461)
	per.AddAnimSound('Zmb_g_12', EsfuerzoCortoZmb, 0.5180)
	per.AddAnimSound('Zmb_g_16', SesgadoLargoAgudo, 0.4543)
	per.AddAnimSound('Zmb_g_16', EsfuerzoCorto1Zmb, 0.4400)
	per.AddAnimSound('Zmb_g_13', SesgadoLargoAgudo, 0.3150)
	per.AddAnimSound('Zmb_g_13', EsfuerzoCorto2Zmb, 0.2900)
	per.AddAnimSound('Zmb_g_18', SesgadoLargoAgudo, 0.4894)
	per.AddAnimSound('Zmb_g_18', EsfuerzoCorto3Zmb, 0.4700)
	
	per.AddAnimSound('Zmb_g_claw1', SesgadoLargoGrave, 0.3300)
	per.AddAnimSound('Zmb_g_claw1', EsfuerzoCorto4Zmb, 0.3690)
	per.AddAnimSound('Zmb_g_claw1', AndarZmb1, 0.5500)
	per.AddAnimSound('Zmb_g_claw1', AndarZmb2, 0.7500)
	per.AddAnimSound('Zmb_g_claw1', RespiracionZmb1, 0.1200)
	per.AddAnimSound('Zmb_g_claw1', RespiracionZmb2, 0.6500)
	per.AddAnimSound('Zmb_g_claw1', RespiracionZmb1, 0.8500)
	per.AddAnimSound('Zmb_g_claw2', SesgadoLargoGrave, 0.3160)
	per.AddAnimSound('Zmb_g_claw2', EsfuerzoZmbMediano, 0.2900)
	per.AddAnimSound('Zmb_g_claw2', AndarZmb1, 0.4500)
	per.AddAnimSound('Zmb_g_claw2', AndarZmb2, 0.6500)
	per.AddAnimSound('Zmb_g_claw2', RespiracionZmb1, 0.1200)
	per.AddAnimSound('Zmb_g_claw2', RespiracionZmb2, 0.2900)
	per.AddAnimSound('Zmb_g_claw2', RespiracionZmb1, 0.5500)
	per.AddAnimSound('Zmb_g_claw2', RespiracionZmb2, 0.7500)
	per.AddAnimSound('Zmb_g_claw3', SesgadoLargoGrave, 0.3005)
	per.AddAnimSound('Zmb_g_claw3', EsfuerzoZmbMediano, 0.3005)
	per.AddAnimSound('Zmb_g_claw3', AndarZmb1, 0.5000)
	per.AddAnimSound('Zmb_g_claw3', AndarZmb2, 0.7000)
	per.AddAnimSound('Zmb_g_claw3', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Zmb_g_claw3', RespiracionZmb2, 0.4250)
	per.AddAnimSound('Zmb_g_claw3', RespiracionZmb1, 0.6250)
	per.AddAnimSound('Zmb_g_claw3', RespiracionZmb2, 0.7000)
	
	#per.AddAnimSound('Zmb_g_spit', EscupeZmb1, 0.4000)
	per.AddAnimSound('Zmb_g_spit', EscupeZmb1, 0.1000)
	
	per.AddAnimSound('Zmb_Rlx_no', SesgadoLargoAgudo, 0.2950)
	per.AddAnimSound('Zmb_Wlk_1h', SesgadoLargoAgudo, 0.2950)
	

	per.AddAnimSound('Zmb_clmb_medlow_1h', EsfuerzoCorto2Zmb, 0.2400)
	per.AddAnimSound('Zmb_clmb_medium_1h', EsfuerzoCorto2Zmb, 0.1389)
	per.AddAnimSound('Zmb_clmb_high_1h', EsfuerzoCorto1Zmb, 0.0862)
	per.AddAnimSound('Zmb_clmb_medlow_no', EsfuerzoCorto2Zmb, 0.4000)
	per.AddAnimSound('Zmb_clmb_medium_no', EsfuerzoCorto2Zmb, 0.1944)
	per.AddAnimSound('Zmb_clmb_high_no', EsfuerzoCorto1Zmb, 0.1552)
	per.AddAnimSound('Zmb_clmb_medium_1h', EsfuerzoCortoZmb, 0.1944)
	per.AddAnimSound('Zmb_clmb_high_1h', EsfuerzoZmbMediano, 0.1552)
	per.AddAnimSound('Zmb_clmb_high_1h', EsfuerzoCortoZmb, 0.1552)
	per.AddAnimSound('Zmb_clmb_medium_no', EsfuerzoCortoZmb, 0.1944)
	per.AddAnimSound('Zmb_clmb_high_no', EsfuerzoZmbMediano, 0.1552)
	per.AddAnimSound('Zmb_clmb_high_no', EsfuerzoCortoZmb, 0.1552)

	per.AddAnimSound('Zmb_dth0', MuerteZmb1, 0.1000)
	per.AddAnimSound("Zmb_dth_i1", MuerteZmb1, 0.1130)
	per.AddAnimSound("Zmb_dth_i2", MuerteZmb4, 0.1130)
	per.AddAnimSound("Zmb_dth_bl1", MuerteZmb2, 0.1130)
	per.AddAnimSound("Zmb_dth_bl2", MuerteZmb1, 0.1130)
	per.AddAnimSound("Zmb_dth_rock", MuerteZmb3, 0.1130)
	per.AddAnimSound("Zmb_dth_n00", MuerteZmb1, 0.1100)
	per.AddAnimSound("Zmb_dth_n00", AndarZmb1, 0.2000)
	per.AddAnimSound("Zmb_dth_n00", AndarZmb2, 0.4000)
	per.AddAnimSound("Zmb_dth_n00", AndarZmb1, 0.6000)
	per.AddAnimSound("Zmb_dth_n00", AndarZmb1, 0.7500)
	per.AddAnimSound("Zmb_dth_n00", CaidaZmb1, 0.8000)
	per.AddAnimSound("Zmb_dth_n01", MuerteZmb2, 0.1100)
	per.AddAnimSound("Zmb_dth_n01", AndarZmb1, 0.2200)
	per.AddAnimSound("Zmb_dth_n01", AndarZmb2, 0.4200)
	per.AddAnimSound("Zmb_dth_n01", AndarZmb1, 0.6200)
	per.AddAnimSound("Zmb_dth_n01", AndarZmb2, 0.7500)
	per.AddAnimSound("Zmb_dth_n01", CaidaZmb1, 0.7800)
	per.AddAnimSound("Zmb_dth_n02", MuerteZmb3, 0.1200)
	per.AddAnimSound("Zmb_dth_n02", AndarZmb1, 0.2200)
	per.AddAnimSound("Zmb_dth_n02", AndarZmb2, 0.4200)
	per.AddAnimSound("Zmb_dth_n02", AndarZmb1, 0.6200)
	per.AddAnimSound("Zmb_dth_n02", AndarZmb2, 0.7500)
	per.AddAnimSound("Zmb_dth_n02", CaidaZmb1, 0.8000)
	per.AddAnimSound("Zmb_dth_n03", MuerteZmb4, 0.1200)
	per.AddAnimSound("Zmb_dth_n03", AndarZmb1, 0.2200)
	per.AddAnimSound("Zmb_dth_n03", AndarZmb2, 0.4200)
	per.AddAnimSound("Zmb_dth_n03", AndarZmb1, 0.6200)
	per.AddAnimSound("Zmb_dth_n03", AndarZmb2, 0.7500)
	per.AddAnimSound("Zmb_dth_n03", CaidaZmb1, 0.7550)
	per.AddAnimSound("Zmb_dth_n04", MuerteZmb4, 0.1100)
	per.AddAnimSound("Zmb_dth_n04", AndarZmb1, 0.2200)
	per.AddAnimSound("Zmb_dth_n04", AndarZmb2, 0.4200)
	per.AddAnimSound("Zmb_dth_n04", AndarZmb1, 0.6200)
	per.AddAnimSound("Zmb_dth_n04", AndarZmb2, 0.7500)
	per.AddAnimSound("Zmb_dth_n04", CaidaZmb1, 0.7600)
	per.AddAnimSound("Zmb_dth_n05", MuerteZmb4, 0.1100)
	per.AddAnimSound("Zmb_dth_n05", AndarZmb1, 0.2200)
	per.AddAnimSound("Zmb_dth_n05", AndarZmb2, 0.4200)
	per.AddAnimSound("Zmb_dth_n05", AndarZmb1, 0.6200)
	per.AddAnimSound("Zmb_dth_n05", AndarZmb2, 0.7500)
	per.AddAnimSound("Zmb_dth_n05", CaidaZmb1, 0.7700)
	per.AddAnimSound("Zmb_dth_n06", MuerteZmb2, 0.1200)
	per.AddAnimSound("Zmb_dth_n06", AndarZmb2, 0.2200)
	per.AddAnimSound("Zmb_dth_n06", AndarZmb1, 0.4200)
	per.AddAnimSound("Zmb_dth_n06", AndarZmb2, 0.6200)
	per.AddAnimSound("Zmb_dth_n06", AndarZmb1, 0.7500)
	per.AddAnimSound("Zmb_dth_n06", CaidaZmb1, 0.7900)
	per.AddAnimSound("Zmb_dth_c1", DesangreZmb1, 0.1250)
	per.AddAnimSound("Zmb_dth_c1", AndarZmb1, 0.2250)
	per.AddAnimSound("Zmb_dth_c1", AndarZmb1, 0.3000)
	per.AddAnimSound("Zmb_dth_c1", AndarZmb2, 0.3800)
	per.AddAnimSound("Zmb_dth_c1", AndarZmb1, 0.4500)
	per.AddAnimSound("Zmb_dth_c1", AndarZmb1, 0.5000)
	per.AddAnimSound("Zmb_dth_c1", AndarZmb1, 0.6000)
	per.AddAnimSound("Zmb_dth_c1", AndarZmb2, 0.6800)
	per.AddAnimSound("Zmb_dth_c1", AndarZmb1, 0.7200)
	per.AddAnimSound("Zmb_dth_c1", CaidaZmb1, 0.7800)
	per.AddAnimSound("Zmb_dth_c1", DesangreZmb1, 0.2500)
	per.AddAnimSound("Zmb_dth_c2", DesangreZmb1, 0.1250)
	per.AddAnimSound("Zmb_dth_c2", DesangreZmb1, 0.2500)
	per.AddAnimSound("Zmb_dth_c2", AndarZmb1, 0.2250)
	per.AddAnimSound("Zmb_dth_c2", AndarZmb1, 0.3000)
	per.AddAnimSound("Zmb_dth_c2", AndarZmb2, 0.3800)
	per.AddAnimSound("Zmb_dth_c2", AndarZmb2, 0.4500)
	per.AddAnimSound("Zmb_dth_c2", AndarZmb1, 0.5000)
	per.AddAnimSound("Zmb_dth_c2", AndarZmb1, 0.6000)
	per.AddAnimSound("Zmb_dth_c2", AndarZmb2, 0.6800)
	per.AddAnimSound("Zmb_dth_c2", AndarZmb1, 0.7200)
	per.AddAnimSound("Zmb_dth_c2", CaidaZmb1, 0.7720)
	per.AddAnimSound("Zmb_dth_c2", CaidaZmb2, 0.8720)
	per.AddAnimSound("Zmb_dth_c3", DesangreZmb1, 0.1250)
	per.AddAnimSound("Zmb_dth_c3", DesangreZmb1, 0.2500)
	per.AddAnimSound("Zmb_dth_c3", AndarZmb1, 0.2250)
	per.AddAnimSound("Zmb_dth_c3", AndarZmb1, 0.3000)
	per.AddAnimSound("Zmb_dth_c3", AndarZmb2, 0.3800)
	per.AddAnimSound("Zmb_dth_c3", AndarZmb2, 0.4500)
	per.AddAnimSound("Zmb_dth_c3", AndarZmb1, 0.5000)
	per.AddAnimSound("Zmb_dth_c3", AndarZmb1, 0.6000)
	per.AddAnimSound("Zmb_dth_c3", AndarZmb2, 0.6800)
	per.AddAnimSound("Zmb_dth_c3", AndarZmb1, 0.7200)
	per.AddAnimSound("Zmb_dth_c3", CaidaZmb1, 0.7220)
	per.AddAnimSound("Zmb_dth_c4", DesangreZmb1, 0.1250)
	per.AddAnimSound("Zmb_dth_c4", DesangreZmb1, 0.2500)
	per.AddAnimSound("Zmb_dth_c4", AndarZmb1, 0.2250)
	per.AddAnimSound("Zmb_dth_c4", AndarZmb1, 0.3000)
	per.AddAnimSound("Zmb_dth_c4", AndarZmb2, 0.3800)
	per.AddAnimSound("Zmb_dth_c4", AndarZmb2, 0.4500)
	per.AddAnimSound("Zmb_dth_c4", AndarZmb1, 0.5000)
	per.AddAnimSound("Zmb_dth_c4", AndarZmb1, 0.6000)
	per.AddAnimSound("Zmb_dth_c4", AndarZmb2, 0.6800)
	per.AddAnimSound("Zmb_dth_c4", CaidaZmb1, 0.7000)
	per.AddAnimSound("Zmb_dth_c4", CaidaZmb2, 0.8720)
	per.AddAnimSound("Zmb_dth_c5", DesangreZmb1, 0.1250)
	per.AddAnimSound("Zmb_dth_c5", DesangreZmb1, 0.2500)
	per.AddAnimSound("Zmb_dth_c5", AndarZmb1, 0.2250)
	per.AddAnimSound("Zmb_dth_c5", AndarZmb1, 0.3000)
	per.AddAnimSound("Zmb_dth_c5", AndarZmb2, 0.3800)
	per.AddAnimSound("Zmb_dth_c5", AndarZmb2, 0.4500)
	per.AddAnimSound("Zmb_dth_c5", AndarZmb1, 0.5000)
	per.AddAnimSound("Zmb_dth_c5", AndarZmb1, 0.6000)
	per.AddAnimSound("Zmb_dth_c5", AndarZmb2, 0.6800)
	per.AddAnimSound("Zmb_dth_c5", AndarZmb1, 0.7200)
	per.AddAnimSound("Zmb_dth_c5", CaidaZmb1, 0.7720)
	per.AddAnimSound("Zmb_dth_c5", CaidaZmb2, 0.5500)
	per.AddAnimSound("Zmb_dth_c6", DesangreZmb1, 0.1250)
	per.AddAnimSound("Zmb_dth_c6", DesangreZmb1, 0.2500)
	per.AddAnimSound("Zmb_dth_c6", AndarZmb1, 0.2250)
	per.AddAnimSound("Zmb_dth_c6", AndarZmb1, 0.3000)
	per.AddAnimSound("Zmb_dth_c6", AndarZmb2, 0.3800)
	per.AddAnimSound("Zmb_dth_c6", AndarZmb2, 0.4500)
	per.AddAnimSound("Zmb_dth_c6", AndarZmb1, 0.5000)
	per.AddAnimSound("Zmb_dth_c6", AndarZmb1, 0.6000)
	per.AddAnimSound("Zmb_dth_c6", AndarZmb2, 0.6800)
	per.AddAnimSound("Zmb_dth_c6", AndarZmb1, 0.7200)
	per.AddAnimSound("Zmb_dth_c6", CaidaZmb1, 0.7700)

	per.AddAnimSound('Zmb_hurt_jog', HeridaZmb2, 0.3000)
	per.AddAnimSound('Zmb_hurt_neck', HeridaZmb2, 0.1000)
	per.AddAnimSound('Zmb_hurt_breast', HeridaZmb2, 0.1667)
	per.AddAnimSound('Zmb_hurt_back', HeridaZmb2, 0.2632)
	per.AddAnimSound('Zmb_hurt_r_arm', HeridaZmb2, 0.1500)
	per.AddAnimSound('Zmb_hurt_l_arm', HeridaZmb2, 0.2000)
	per.AddAnimSound('Zmb_hurt_r_leg', HeridaZmb2, 0.1765)
	per.AddAnimSound('Zmb_hurt_l_leg', HeridaZmb2, 0.2143)
	per.AddAnimSound('Zmb_hurt_f_head', HeridaZmb2, 0.3000)
	per.AddAnimSound('Zmb_hurt_f_breast', HeridaZmb2,0.2727)
	per.AddAnimSound('Zmb_hurt_f_back', HeridaZmb2, 0.1818)
	per.AddAnimSound('Zmb_hurt_f_r_arm', HeridaZmb2, 0.2727)
	per.AddAnimSound('Zmb_hurt_f_l_arm', HeridaZmb2, 0.2727)
	per.AddAnimSound('Zmb_hurt_f_r_leg', HeridaZmb2, 0.2727)
	per.AddAnimSound('Zmb_hurt_f_l_leg', HeridaZmb2, 0.2727)
	per.AddAnimSound('Zmb_hurt_f_lite', HeridaZmb2, 0.1333)
	per.AddAnimSound('Zmb_hurt_f_big', HeridaZmb2, 0.1304)
	per.AddAnimSound('Zmb_hurt_head', HeridaZmb2, 0.1579)
	
	per.AddAnimSound('Rlx_no_Zmb', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Rlx_no_Zmb', AndarZmb1, 0.2250)
	per.AddAnimSound('Rlx_no_Zmb', RespiracionZmb2, 0.3000)
	per.AddAnimSound('Rlx_no_Zmb', AndarZmb2, 0.3750)
	per.AddAnimSound('Rlx_no_Zmb', RespiracionZmb1, 0.4500)
	per.AddAnimSound('Rlx_no_Zmb', AndarZmb1, 0.5250)
	per.AddAnimSound('Rlx_no_Zmb', RespiracionZmb2, 0.6000)
	per.AddAnimSound('Rlx_no_Zmb', AndarZmb2, 0.6750)
	per.AddAnimSound('Rlx_no_Zmb', RespiracionZmb2, 0.7500)
	per.AddAnimSound('Rlx_no_Zmb', AndarZmb1, 0.8250)
	per.AddAnimSound('Rlx_no_Zmb', RespiracionZmb2, 0.9000)
	per.AddAnimSound('Rlx_1h_Zmb', AndarZmb2, 0.1500)
	per.AddAnimSound('Rlx_1h_Zmb', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Rlx_1h_Zmb', AndarZmb1, 0.2250)
	per.AddAnimSound('Rlx_1h_Zmb', RespiracionZmb2, 0.3000)
	per.AddAnimSound('Rlx_1h_Zmb', AndarZmb2, 0.3750)
	per.AddAnimSound('Rlx_1h_Zmb', RespiracionZmb1, 0.4500)
	per.AddAnimSound('Rlx_1h_Zmb', AndarZmb1, 0.5250)
	per.AddAnimSound('Rlx_1h_Zmb', RespiracionZmb2, 0.6000)
	per.AddAnimSound('Rlx_1h_Zmb', AndarZmb2, 0.6750)
	per.AddAnimSound('Rlx_1h_Zmb', RespiracionZmb2, 0.7500)
	per.AddAnimSound('Rlx_1h_Zmb', AndarZmb1, 0.8250)
	per.AddAnimSound('Rlx_1h_Zmb', RespiracionZmb2, 0.9000)
	per.AddAnimSound('Rlx_1h2_Zmb', RespiracionZmb1, 0.1500)
	per.AddAnimSound('Rlx_1h2_Zmb', AndarZmb1, 0.2250)
	per.AddAnimSound('Rlx_1h2_Zmb', RespiracionZmb2, 0.3000)
	per.AddAnimSound('Rlx_1h2_Zmb', AndarZmb2, 0.3750)
	per.AddAnimSound('Rlx_1h2_Zmb', RespiracionZmb1, 0.4500)
	per.AddAnimSound('Rlx_1h2_Zmb', AndarZmb1, 0.5250)
	per.AddAnimSound('Rlx_1h2_Zmb', RespiracionZmb2, 0.6000)
	per.AddAnimSound('Rlx_1h2_Zmb', AndarZmb2, 0.6750)
	per.AddAnimSound('Rlx_1h2_Zmb', RespiracionZmb2, 0.7500)
	per.AddAnimSound('Rlx_1h2_Zmb', AndarZmb1, 0.8250)
	per.AddAnimSound('Rlx_1h2_Zmb', RespiracionZmb2, 0.9000)
	
	#per.AddAnimSound('Wlk_1h_Zmb', RespiracionZmb2, 0.1500)
	per.AddAnimSound('Wlk_1h_Zmb', AndarZmb1, 0.2250)
	#per.AddAnimSound('Wlk_1h_Zmb', RespiracionZmb2, 0.3000)
	per.AddAnimSound('Wlk_1h_Zmb', AndarZmb2, 0.3750)
	#per.AddAnimSound('Wlk_1h_Zmb', RespiracionZmb2, 0.4500)
	per.AddAnimSound('Wlk_1h_Zmb', AndarZmb1, 0.6250)
	#per.AddAnimSound('Wlk_1h_Zmb', RespiracionZmb2, 0.6000)
	per.AddAnimSound('Wlk_1h_Zmb', AndarZmb2, 0.6750)
	#per.AddAnimSound('Wlk_1h_Zmb', RespiracionZmb2, 0.7500)
	per.AddAnimSound('Wlk_1h_Zmb', AndarZmb1, 0.8250)
	#per.AddAnimSound('Wlk_1h_Zmb', RespiracionZmb2, 0.9000)
	
	#per.AddAnimSound('Zmb_appears1', GeneradorZmb1, 0.1000)
	#per.AddAnimSound('Zmb_appears2', GeneradorZmb2, 0.1000)
	
	
	
	
	
	