######################################################
#
# Create sets of attacks
#
#        - Zmb -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Zmb","g_spit","ATTACKING")
Bladex.SetActionEventTable("Zmb","spit_drag","ATTACKING")
Bladex.SetActionEventTable("Zmb","g_12","ATTACKING")
Bladex.SetActionEventTable("Zmb","g_13","ATTACKING")
Bladex.SetActionEventTable("Zmb","g_16","ATTACKING")
Bladex.SetActionEventTable("Zmb","g_18","ATTACKING")
Bladex.SetActionEventTable("Zmb","g_claw1","ATTACKING")
Bladex.SetActionEventTable("Zmb","g_claw2","ATTACKING")
Bladex.SetActionEventTable("Zmb","g_claw3","ATTACKING")

zmb=Bladex.GetCharType("Zomby","Zmb")

ATK_UNIQUE=0

###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#SP1 group
zmb.AddAttack("SP1","Zmb_g_spit")
zmb.AttackTypeFlag("SP1",ATK_UNIQUE)
zmb.AddLevels("Zmb_g_spit",0,0)

#SP2 group
zmb.AddAttack("SP2","Zmb_spit_drag")
zmb.AttackTypeFlag("SP2",ATK_UNIQUE)
zmb.AddLevels("Zmb_spit_drag",0,0)

#G12 group
zmb.AddAttack("G12","Zmb_g_12")
zmb.AttackTypeFlag("G12",ATK_UNIQUE)
zmb.AddLevels("Zmb_g_12",0,0)

#G13 group
zmb.AddAttack("G13","Zmb_g_13")
zmb.AttackTypeFlag("G13",ATK_UNIQUE)
zmb.AddLevels("Zmb_g_13",0,0)

#G16 group
zmb.AddAttack("G16","Zmb_g_16")
zmb.AttackTypeFlag("G16",ATK_UNIQUE)
zmb.AddLevels("Zmb_g_16",0,0)

#G18 group
zmb.AddAttack("G18","Zmb_g_18")
zmb.AttackTypeFlag("G18",ATK_UNIQUE)
zmb.AddLevels("Zmb_g_18",0,0)

#C1 group
zmb.AddAttack("C1","Zmb_g_claw1")
zmb.AttackTypeFlag("C1",ATK_UNIQUE)
zmb.AddLevels("Zmb_claw1",0,0)

#C2 group
zmb.AddAttack("C2","Zmb_g_claw2")
zmb.AttackTypeFlag("C2",ATK_UNIQUE)
zmb.AddLevels("Zmb_claw2",0,0)

#C3 group
zmb.AddAttack("C3","Zmb_g_claw3")
zmb.AttackTypeFlag("C3",ATK_UNIQUE)
zmb.AddLevels("Zmb_claw3",0,0)
