import Bladex
import BUIx
import Raster
import ScorerWidgets
import Scorer
import darfuncs
import Language
import BBLib
#import Actions
import MenuText

  	

if Language.Current == "Spanish":
	TextInfoCharMasklin1 = ("""MASKLIN""")
	TextInfoCharMasklin2 = ("""Life: 150\n"""
				"""Attack: 1\n"""
				"""Defence: 1\n"""
				"""Age: 947\n"""
				"""Height: 185 cm\n"""
				"""Weight: 85 Kg\n\n"""
				"""SPECIALITY:Magic\n""")
	TextInfoCharMasklin3 = ("""INFORMATION""")
	TextInfoCharMasklin4 = ("""Desde tiempo fuera de mente, los Mages han existido del borde\n"""
				"""de mito. Su sabidura arcana los sirve bien,\n""" 
				"""cuando ellos vagan la mundo buscando suprimir\n"""
				""" el mal que ellos lo encuentran. \n"""
				"""Ellos lo encuentran por todas partes.""")
				
else:
	TextInfoCharMasklin1 = ("""MASKLIN""")
	TextInfoCharMasklin2 = ("""Life: 150\n"""
				"""Attack: 1\n"""
				"""Defence: 1\n"""
				"""Age: 947\n"""
				"""Height: 185 cm\n"""
				"""Weight: 85 Kg\n\n"""
				"""SPECIALITY: Magic\n""")
	TextInfoCharMasklin3 = ("""INFORMATION""")
	TextInfoCharMasklin4 = ("""Since time out of mind, the Mages have existed of the edge\n"""
				"""of myth. Their arcane wisdom serves them well,\n"""
				"""as they roam the Earth seeking to supress evil\n"""
				"""wherever they find it.\n"""
				"""They find it everywhere.""")
				


MarcAnchoTex = 256.0
MarcAltoTex = 256.0 

marc1 = 0
marc2 = 0
marc3 = 0
marc4 = 0
marc5 = 0
marc6 = 0
InfoChaWidget1 = 0
InfoChaWidget2 = 0
InfoChaWidget3 = 0
InfoChaWidget4 = 0
fond1=0
fond2=0
fond3=0 
SelectCharWidget=0

Size_Y=480

def SlideFrame(dir,time = 0):
    	if time < 1.0:
        	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.025,SlideFrame,(dir,time + 0.05))
    	else:
        	time = 1.0

        if dir:
           	marc1.SetVisible(0)
           	marc2.SetVisible(0)
           	marc3.SetVisible(0)
           	marc4.SetVisible(0)
            	marc5.SetVisible(0)
            	marc6.SetVisible(0)
        
    	if dir:
        	Y_UP = -MarcAltoTex * time
        	Y_DOWN = (Size_Y - MarcAltoTex) + MarcAltoTex * time
    	else:
        	Y_UP = -MarcAltoTex + MarcAltoTex * time
        	Y_DOWN = Size_Y - MarcAltoTex * time
        
    	Scorer.wFrame.MoveWidgetTo("Marc1",0,Y_UP)
    	Scorer.wFrame.MoveWidgetTo("Marc2",MarcAnchoTex,Y_UP)
    	Scorer.wFrame.MoveWidgetTo("Marc3",MarcAnchoTex * 2.0,Y_UP)

    	Scorer.wFrame.MoveWidgetTo("Marc4",0,Y_DOWN)
    	Scorer.wFrame.MoveWidgetTo("Marc5",MarcAnchoTex,Y_DOWN)
    	Scorer.wFrame.MoveWidgetTo("Marc6",MarcAnchoTex * 2.0,Y_DOWN)
    
    
def FadeTextInfo(time = 0.0):
	
    	if time < 1.0:
        	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.02,FadeTextInfo,(time + 0.1,))
    	else:
        	time = 1.0
    	InfoChaWidget1.SetAlpha(time)
    	InfoChaWidget2.SetAlpha(time)
    	InfoChaWidget3.SetAlpha(time)
    	InfoChaWidget4.SetAlpha(time)


def FadeTextEnter(time = 0.0):
    	if time < 1.0:
        	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.02,FadeTextEnter,(time + 0.1,))
    	else:
        	time = 1.0
    	SelectCharWidget.SetAlpha(time)
    	
    	
def FadeFondo(time = 0.0):
    if time < 0.3:
        Bladex.AddScheduledFunc(Bladex.GetTime() + 0.02,FadeFondo,(time + 0.02,))
    else:
        time = 0.3
    fond1.SetAlpha(time * 3.33)
    fond2.SetAlpha(time * 3.33)
    fond3.SetAlpha(time * 3.33)
    
    
BBLib.ReadMMP("../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/wizgraphic.mmp")

    
    	
def CreateWidgetPressEnter():
	global SelectCharWidget
        SelectCharWidget=BUIx.B_TextWidget(Scorer.wFrame,"PressEnter","",ScorerWidgets.font_server,"../../Data/Letras menu med.bmp")
        SelectCharWidget.SetAlpha(0)
        SelectCharWidget.SetColor(128,168,168) 
        SelectCharWidget.SetText(MenuText.GetMenuText("Press ENTER to Start Game"))
	SelectCharWidget.SetVisible(1)
	Scorer.wFrame.AddWidget(SelectCharWidget,0.50,32.0,BUIx.B_FrameWidget.B_FR_HRelative,BUIx.B_FrameWidget.B_FR_HCenter,BUIx.B_FrameWidget.B_FR_AbsoluteBottom,BUIx.B_FrameWidget.B_FR_Bottom)



def PrecargaBackgroundCharacters():
    	global fond1
    	global fond2
    	global fond3   

    	if fond1 == 0:
        	TamX = 256.0
        	TamY = 256.0

        	fond1=BUIx.B_BitmapWidget(Scorer.wFrame,"FondoChar",256,256,"WIZ1","../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/wizgraphic.mmp")
        	fond1.SetColor(255,255,255)
        	Scorer.wFrame.AddWidget(fond1,0,0,BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
        	fond1.SetSize(TamX,TamY)
        	fond1.SetAutoScale(1)

        	fond2=BUIx.B_BitmapWidget(Scorer.wFrame,"FondoChar",256,256,"WIZ2","../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/wizgraphic.mmp")
        	fond2.SetColor(255,255,255)
        	Scorer.wFrame.AddWidget(fond2,256.0,0,BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
        	fond2.SetSize(TamX,TamY)
        	fond2.SetAutoScale(1)

        	fond3=BUIx.B_BitmapWidget(Scorer.wFrame,"FondoChar",256,256,"WIZ3","../../Maps/WizardsDomain/NUFiles/NUMasklinStuff/wizgraphic.mmp")
        	fond3.SetColor(255,255,255)
        	Scorer.wFrame.AddWidget(fond3,0,256.0,BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
        	fond3.SetSize(TamX,TamY)
        	fond3.SetAutoScale(1)
        fond1.SetBitmap("WIZ1")
    	fond2.SetBitmap("WIZ2")
    	fond3.SetBitmap("WIZ3")




def CreateWidgetMarc():
    	global marc1
    	global marc2
    	global marc3
    	global marc4
    	global marc5
    	global marc6
    
    	TamX=256
    	TamY=256
    
   	marc1=BUIx.B_BitmapWidget(Scorer.wFrame,"Marc1",256,256,"1","../../Data/seleccionpersonaje.mmp")
    	marc1.SetColor(255,255,255)
    	Scorer.wFrame.AddWidget(marc1,0,0,BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
    	marc1.SetSize(TamX,TamY)
    	marc1.SetAlpha(1.0)
    	marc1.SetVisible(0)
    	marc1.SetAutoScale(1)
	

    	marc2=BUIx.B_BitmapWidget(Scorer.wFrame,"Marc2",256,256,"2","../../Data/seleccionpersonaje.mmp")
    	marc2.SetColor(255,255,255)
    	Scorer.wFrame.AddWidget(marc2,256,0,BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
    	marc2.SetSize(TamX,TamY)
    	marc2.SetAlpha(1.0)
    	marc2.SetVisible(0)
    	marc2.SetAutoScale(1)

    	marc3=BUIx.B_BitmapWidget(Scorer.wFrame,"Marc3",256,256,"3","../../Data/seleccionpersonaje.mmp")
    	marc3.SetColor(255,255,255)
    	Scorer.wFrame.AddWidget(marc3,512,0,BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
    	marc3.SetSize(TamX,TamY)
    	marc3.SetAlpha(1.0)
    	marc3.SetVisible(0)
    	marc3.SetAutoScale(1)

    	marc4=BUIx.B_BitmapWidget(Scorer.wFrame,"Marc4",256,256,"4","../../Data/seleccionpersonaje.mmp")
    	marc4.SetColor(255,255,255)
    	Scorer.wFrame.AddWidget(marc4,0,480-256,BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
    	marc4.SetSize(TamX,TamY)
    	marc4.SetAlpha(1.0)
    	marc4.SetVisible(0)
    	marc4.SetAutoScale(1)

    	marc5=BUIx.B_BitmapWidget(Scorer.wFrame,"Marc5",256,256,"5","../../Data/seleccionpersonaje.mmp")
    	marc5.SetColor(255,255,255)
    	Scorer.wFrame.AddWidget(marc5,256,480-256,BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
    	marc5.SetSize(TamX,TamY)
   	marc5.SetAlpha(1.0)
    	marc5.SetVisible(0)
    	marc5.SetAutoScale(1)

    	marc6=BUIx.B_BitmapWidget(Scorer.wFrame,"Marc6",256,256,"6","../../Data/seleccionpersonaje.mmp")
    	marc6.SetColor(255,255,255)
    	Scorer.wFrame.AddWidget(marc6,512,480-256,BUIx.B_FrameWidget.B_FR_AbsoluteLeft,BUIx.B_FrameWidget.B_FR_Left,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
    	marc6.SetSize(TamX,TamY)
    	marc6.SetAlpha(1.0)
    	marc6.SetVisible(0)
    	marc6.SetAutoScale(1)
    	print "made widgets"
    
  
def CreateTextWidgets():
    	global TextInfoCharMasklin1
    	global TextInfoCharMasklin2
    	global TextInfoCharMasklin3
    	global TextInfoCharMasklin4
    
    	global InfoChaWidget1
    	global InfoChaWidget2
    	global InfoChaWidget3
    	global InfoChaWidget4
    
    	InfoChaWidget1=BUIx.B_TextWidget(Scorer.wFrame,"InfoCha1","",ScorerWidgets.font_server,"../../Data/Letras menu gra.bmp")
    	InfoChaWidget1.SetText(TextInfoCharMasklin1)
    	InfoChaWidget1.SetAlpha(1)
    	InfoChaWidget1.SetColor(255,0,0)   
    	Scorer.wFrame.AddWidget(InfoChaWidget1,0.5,100.0,BUIx.B_FrameWidget.B_FR_HRelative,BUIx.B_FrameWidget.B_FR_HCenter,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
    	InfoChaWidget1.SetVisible(0)
    	InfoChaWidget1.SetAutoScale(1)
    
    	InfoChaWidget2=BUIx.B_TextWidget(Scorer.wFrame,"InfoCha2","",ScorerWidgets.font_server,"../../Data/Letras menu med.bmp")
    	InfoChaWidget2.SetText(TextInfoCharMasklin2)
    	InfoChaWidget2.SetAlpha(1)
    	InfoChaWidget2.SetColor(254,254,202)   
    	Scorer.wFrame.AddWidget(InfoChaWidget2,0.5,140.0,BUIx.B_FrameWidget.B_FR_HRelative,BUIx.B_FrameWidget.B_FR_HCenter,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
    	InfoChaWidget2.SetVisible(0)
    	InfoChaWidget2.SetAutoScale(1)

    	InfoChaWidget3=BUIx.B_TextWidget(Scorer.wFrame,"InfoCha3","",ScorerWidgets.font_server,"../../Data/Letras menu med.bmp")
    	InfoChaWidget3.SetText(TextInfoCharMasklin3)
    	InfoChaWidget3.SetAlpha(0)
    	InfoChaWidget3.SetColor(254,116,4) 
    	Scorer.wFrame.AddWidget(InfoChaWidget3,0.5,290.0,BUIx.B_FrameWidget.B_FR_HRelative,BUIx.B_FrameWidget.B_FR_HCenter,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
    	InfoChaWidget3.SetVisible(1)
    	InfoChaWidget3.SetAutoScale(1)

    	InfoChaWidget4=BUIx.B_TextWidget(Scorer.wFrame,"InfoCha4","",ScorerWidgets.font_server,"../../Data/Letras menu med.bmp")
    	InfoChaWidget4.SetText(TextInfoCharMasklin4)
    	InfoChaWidget4.SetAlpha(1)
    	InfoChaWidget4.SetColor(247,255,171)   
    	Scorer.wFrame.AddWidget(InfoChaWidget4,0.5,320.0,BUIx.B_FrameWidget.B_FR_HRelative,BUIx.B_FrameWidget.B_FR_HCenter,BUIx.B_FrameWidget.B_FR_AbsoluteTop,BUIx.B_FrameWidget.B_FR_Top)
    	InfoChaWidget4.SetVisible(0)
    	InfoChaWidget4.SetAutoScale(1)
    	Scorer.wFrame.RecalcLayout()
	print "made text"


def ActivateWiggetInfoChar():
	global InfoChaWidget1
    	global InfoChaWidget2
    	global InfoChaWidget3
    	global InfoChaWidget4
	InfoChaWidget1.SetVisible(1)
	InfoChaWidget2.SetVisible(1)
    	InfoChaWidget3.SetVisible(1)
    	InfoChaWidget4.SetVisible(1)

    	InfoChaWidget1.SetAlpha(0)
    	InfoChaWidget2.SetAlpha(0)
    	InfoChaWidget3.SetAlpha(0)
    	InfoChaWidget4.SetAlpha(0)
    	
    	fond1.SetBitmap("WIZ1")
        fond2.SetBitmap("WIZ2")
        fond3.SetBitmap("WIZ3")
    	
    	fond1.SetVisible(1)
    	fond2.SetVisible(1)
    	fond3.SetVisible(1)
    	FadeFondo()

    	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5,FadeTextInfo,())
    	Bladex.AddScheduledFunc(Bladex.GetTime() + 4.5,FadeTextEnter,())
    	Scorer.wFrame.SetSize(10,10) # Fuerzo que recalcule.
    	Scorer.wFrame.RecalcLayout()


def InitWidgets():
     	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.6,ActivateWiggetInfoChar,())
     	SlideFrame(0)
     	marc1.SetVisible(1)
     	marc2.SetVisible(1)
     	marc3.SetVisible(1)
     	marc4.SetVisible(1)
     	marc5.SetVisible(1)
     	marc6.SetVisible(1)
     	


CreateWidgetPressEnter()
CreateTextWidgets()
CreateWidgetMarc()
PrecargaBackgroundCharacters()




def DeactFrames():
	InfoChaWidget1.SetVisible(0)
        InfoChaWidget2.SetVisible(0)
        InfoChaWidget3.SetVisible(0)
        InfoChaWidget4.SetVisible(0)	
        fond1.SetVisible(0)
        fond2.SetVisible(0)
        fond3.SetVisible(0)	
        SelectCharWidget.SetVisible(0)
	SlideFrame(1)
	






	
  	
  	
 
 

 
 
  	
  	

  	

